
#include <stdint.h>
struct PM8000RegType
{
    uint16_t address;
    uint16_t size;
    char type[20];
    char name[70];

};

//The reason for the if statement is to use the code storage instead of declaring this in a array.
PM8000RegType nextPM8000Reg(uint16_t currentRegister)
{
    PM8000RegType val = (PM8000RegType){0,0,"",""};
  
    if (currentRegister < 30) {
        val = (PM8000RegType){ 30, 20,  "UTF8",  "Meter Name" };
        return val;
    }
    if (currentRegister < 50) {
        val = (PM8000RegType){ 50, 20,  "UTF8",  "Meter Model" };
        return val;
    }
    if (currentRegister < 1717) {
        val = (PM8000RegType){ 1717, 6,  "UTF8",  "Current Version" };
        return val;
    }
    if (currentRegister < 1837) {
        val = (PM8000RegType){ 1837, 1,  "INT16U",  "Year" };
        return val;
    }
    if (currentRegister < 1838) {
        val = (PM8000RegType){ 1838, 1,  "INT16U",  "Month" };
        return val;
    }
    if (currentRegister < 1839) {
        val = (PM8000RegType){ 1839, 1,  "INT16U",  "Day" };
        return val;
    }
    if (currentRegister < 1840) {
        val = (PM8000RegType){ 1840, 1,  "INT16U",  "Hour" };
        return val;
    }
    if (currentRegister < 1841) {
        val = (PM8000RegType){ 1841, 1,  "INT16U",  "Minute" };
        return val;
    }
    if (currentRegister < 1842) {
        val = (PM8000RegType){ 1842, 1,  "INT16U",  "Second" };
        return val;
    }
    if (currentRegister < 1844) {
        val = (PM8000RegType){ 1844, 1,  "INT16U",  "Day of Week" };
        return val;
    }
    if (currentRegister < 1845) {
        val = (PM8000RegType){ 1845, 4,  "DATETIME",  "UTC Time" };
        return val;
    }
    if (currentRegister < 2400) {
        val = (PM8000RegType){ 2400, 2,  "BITMAP",  "Digital Input Status Validity - Base Unit" };
        return val;
    }
    if (currentRegister < 2402) {
        val = (PM8000RegType){ 2402, 2,  "BITMAP",  "Digital Output Status Validity - Base Unit" };
        return val;
    }
    if (currentRegister < 2420) {
        val = (PM8000RegType){ 2420, 2,  "BITMAP",  "Setpoint Status Validity" };
        return val;
    }
    if (currentRegister < 2550) {
        val = (PM8000RegType){ 2550, 2,  "BITMAP",  "Digital Input Status Validity  Option Slot A" };
        return val;
    }
    if (currentRegister < 2552) {
        val = (PM8000RegType){ 2552, 2,  "BITMAP",  "Digital Input Status Validity  Option Slot B" };
        return val;
    }
    if (currentRegister < 2554) {
        val = (PM8000RegType){ 2554, 2,  "BITMAP",  "Digital Input Status Validity  Option Slot C" };
        return val;
    }
    if (currentRegister < 2556) {
        val = (PM8000RegType){ 2556, 2,  "BITMAP",  "Digital Input Status Validity  Option Slot D" };
        return val;
    }
    if (currentRegister < 2566) {
        val = (PM8000RegType){ 2566, 2,  "BITMAP",  "Digital Output Status Validity  Option Slot A" };
        return val;
    }
    if (currentRegister < 2568) {
        val = (PM8000RegType){ 2568, 2,  "BITMAP",  "Digital Output Status Validity  Option Slot B" };
        return val;
    }
    if (currentRegister < 2570) {
        val = (PM8000RegType){ 2570, 2,  "BITMAP",  "Digital Output Status Validity  Option Slot C" };
        return val;
    }
    if (currentRegister < 2572) {
        val = (PM8000RegType){ 2572, 2,  "BITMAP",  "Digital Output Status Validity  Option Slot D" };
        return val;
    }
    if (currentRegister < 2700) {
        val = (PM8000RegType){ 2700, 2,  "FLOAT32",  "Active Energy Delivered (Into Load)" };
        return val;
    }
    if (currentRegister < 2702) {
        val = (PM8000RegType){ 2702, 2,  "FLOAT32",  "Active Energy Received (Out of Load)" };
        return val;
    }
    if (currentRegister < 2704) {
        val = (PM8000RegType){ 2704, 2,  "FLOAT32",  "Active Energy Delivered + Received" };
        return val;
    }
    if (currentRegister < 2706) {
        val = (PM8000RegType){ 2706, 2,  "FLOAT32",  "Active Energy Delivered- Received" };
        return val;
    }
    if (currentRegister < 2708) {
        val = (PM8000RegType){ 2708, 2,  "FLOAT32",  "Reactive Energy Delivered" };
        return val;
    }
    if (currentRegister < 2710) {
        val = (PM8000RegType){ 2710, 2,  "FLOAT32",  "Reactive Energy Received" };
        return val;
    }
    if (currentRegister < 2712) {
        val = (PM8000RegType){ 2712, 2,  "FLOAT32",  "Reactive Energy Delivered + Received" };
        return val;
    }
    if (currentRegister < 2714) {
        val = (PM8000RegType){ 2714, 2,  "FLOAT32",  "Reactive Energy Delivered - Received" };
        return val;
    }
    if (currentRegister < 2716) {
        val = (PM8000RegType){ 2716, 2,  "FLOAT32",  "Apparent Energy Delivered" };
        return val;
    }
    if (currentRegister < 2718) {
        val = (PM8000RegType){ 2718, 2,  "FLOAT32",  "Apparent Energy Received" };
        return val;
    }
    if (currentRegister < 2720) {
        val = (PM8000RegType){ 2720, 2,  "FLOAT32",  "Apparent Energy Delivered + Received" };
        return val;
    }
    if (currentRegister < 2722) {
        val = (PM8000RegType){ 2722, 2,  "FLOAT32",  "Apparent Energy Delivered - Received" };
        return val;
    }
    if (currentRegister < 2724) {
        val = (PM8000RegType){ 2724, 2,  "FLOAT32",  "Active Energy in Quadrant I" };
        return val;
    }
    if (currentRegister < 2726) {
        val = (PM8000RegType){ 2726, 2,  "FLOAT32",  "Active Energy in Quadrant II" };
        return val;
    }
    if (currentRegister < 2728) {
        val = (PM8000RegType){ 2728, 2,  "FLOAT32",  "Active Energy in Quadrant III" };
        return val;
    }
    if (currentRegister < 2730) {
        val = (PM8000RegType){ 2730, 2,  "FLOAT32",  "Active Energy in Quadrant IV" };
        return val;
    }
    if (currentRegister < 2732) {
        val = (PM8000RegType){ 2732, 2,  "FLOAT32",  "Reactive Energy in Quadrant I" };
        return val;
    }
    if (currentRegister < 2734) {
        val = (PM8000RegType){ 2734, 2,  "FLOAT32",  "Reactive Energy in Quadrant II" };
        return val;
    }
    if (currentRegister < 2736) {
        val = (PM8000RegType){ 2736, 2,  "FLOAT32",  "Reactive Energy in Quadrant III" };
        return val;
    }
    if (currentRegister < 2738) {
        val = (PM8000RegType){ 2738, 2,  "FLOAT32",  "Reactive Energy in Quadrant IV" };
        return val;
    }
    if (currentRegister < 2740) {
        val = (PM8000RegType){ 2740, 2,  "FLOAT32",  "Apparent Energy in Quadrant I" };
        return val;
    }
    if (currentRegister < 2742) {
        val = (PM8000RegType){ 2742, 2,  "FLOAT32",  "Apparent Energy in Quadrant II" };
        return val;
    }
    if (currentRegister < 2744) {
        val = (PM8000RegType){ 2744, 2,  "FLOAT32",  "Apparent Energy in Quadrant III" };
        return val;
    }
    if (currentRegister < 2746) {
        val = (PM8000RegType){ 2746, 2,  "FLOAT32",  "Apparent Energy in Quadrant IV" };
        return val;
    }
    if (currentRegister < 2748) {
        val = (PM8000RegType){ 2748, 2,  "FLOAT32",  "Conditional Active Energy Delivered (Into Load)" };
        return val;
    }
    if (currentRegister < 2750) {
        val = (PM8000RegType){ 2750, 2,  "FLOAT32",  "Conditional Active Energy Received (Out of Load)" };
        return val;
    }
    if (currentRegister < 2754) {
        val = (PM8000RegType){ 2754, 2,  "FLOAT32",  "Active Energy Delivered - Received, Conditional" };
        return val;
    }
    if (currentRegister < 2756) {
        val = (PM8000RegType){ 2756, 2,  "FLOAT32",  "Conditional Reactive Energy In (Delivered)" };
        return val;
    }
    if (currentRegister < 2758) {
        val = (PM8000RegType){ 2758, 2,  "FLOAT32",  "Conditional Reactive Energy Out (Received)" };
        return val;
    }
    if (currentRegister < 2762) {
        val = (PM8000RegType){ 2762, 2,  "FLOAT32",  "Reactive Energy Delivered - Received, Conditional" };
        return val;
    }
    if (currentRegister < 2768) {
        val = (PM8000RegType){ 2768, 2,  "FLOAT32",  "Apparent Energy Delivered + Received, Conditional" };
        return val;
    }
    if (currentRegister < 2772) {
        val = (PM8000RegType){ 2772, 2,  "FLOAT32",  "Active Energy Delivered , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 2774) {
        val = (PM8000RegType){ 2774, 2,  "FLOAT32",  "Active Energy Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 2776) {
        val = (PM8000RegType){ 2776, 2,  "FLOAT32",  "Active Energy Delivered - Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 2778) {
        val = (PM8000RegType){ 2778, 2,  "FLOAT32",  "Reactive Energy Delivered , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 2780) {
        val = (PM8000RegType){ 2780, 2,  "FLOAT32",  "Reactive Energy Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 2782) {
        val = (PM8000RegType){ 2782, 2,  "FLOAT32",  "Reactive Energy Delivered - Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 2784) {
        val = (PM8000RegType){ 2784, 2,  "FLOAT32",  "Apparent Energy Delivered + Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 2786) {
        val = (PM8000RegType){ 2786, 2,  "FLOAT32",  "Active Energy Delivered , Present Interval" };
        return val;
    }
    if (currentRegister < 2788) {
        val = (PM8000RegType){ 2788, 2,  "FLOAT32",  "Active Energy Received , Present Interval" };
        return val;
    }
    if (currentRegister < 2790) {
        val = (PM8000RegType){ 2790, 2,  "FLOAT32",  "Active Energy Delivered - Received , Present Interval" };
        return val;
    }
    if (currentRegister < 2792) {
        val = (PM8000RegType){ 2792, 2,  "FLOAT32",  "Reactive Energy Delivered , Present Interval" };
        return val;
    }
    if (currentRegister < 2794) {
        val = (PM8000RegType){ 2794, 2,  "FLOAT32",  "Reactive Energy Received , Present Interval" };
        return val;
    }
    if (currentRegister < 2796) {
        val = (PM8000RegType){ 2796, 2,  "FLOAT32",  "Reactive Energy Delivered - Received , Present Interval" };
        return val;
    }
    if (currentRegister < 2798) {
        val = (PM8000RegType){ 2798, 2,  "FLOAT32",  "Apparent Energy Delivered + Received , Present Interval" };
        return val;
    }
    if (currentRegister < 2800) {
        val = (PM8000RegType){ 2800, 2,  "FLOAT32",  "Active Energy Delivered Interval" };
        return val;
    }
    if (currentRegister < 2802) {
        val = (PM8000RegType){ 2802, 2,  "FLOAT32",  "Active Energy Received Interval" };
        return val;
    }
    if (currentRegister < 2804) {
        val = (PM8000RegType){ 2804, 2,  "FLOAT32",  "Reactive Energy Delivered Interval" };
        return val;
    }
    if (currentRegister < 2806) {
        val = (PM8000RegType){ 2806, 2,  "FLOAT32",  "Reactive Energy Received Interval" };
        return val;
    }
    if (currentRegister < 2808) {
        val = (PM8000RegType){ 2808, 2,  "FLOAT32",  "Apparent Energy Delivered Interval" };
        return val;
    }
    if (currentRegister < 2810) {
        val = (PM8000RegType){ 2810, 2,  "FLOAT32",  "Apparent Energy Received Interval" };
        return val;
    }
    if (currentRegister < 2830) {
        val = (PM8000RegType){ 2830, 2,  "FLOAT32",  "Input Metering Accumulation Channel 01" };
        return val;
    }
    if (currentRegister < 2832) {
        val = (PM8000RegType){ 2832, 2,  "FLOAT32",  "Input Metering Accumulation Channel 02" };
        return val;
    }
    if (currentRegister < 2834) {
        val = (PM8000RegType){ 2834, 2,  "FLOAT32",  "Input Metering Accumulation Channel 03" };
        return val;
    }
    if (currentRegister < 2836) {
        val = (PM8000RegType){ 2836, 2,  "FLOAT32",  "Input Metering Accumulation Channel 04" };
        return val;
    }
    if (currentRegister < 2838) {
        val = (PM8000RegType){ 2838, 2,  "FLOAT32",  "Input Metering Accumulation Channel 05" };
        return val;
    }
    if (currentRegister < 3000) {
        val = (PM8000RegType){ 3000, 2,  "FLOAT32",  "Current A" };
        return val;
    }
    if (currentRegister < 3002) {
        val = (PM8000RegType){ 3002, 2,  "FLOAT32",  "Current B" };
        return val;
    }
    if (currentRegister < 3004) {
        val = (PM8000RegType){ 3004, 2,  "FLOAT32",  "Current C" };
        return val;
    }
    if (currentRegister < 3006) {
        val = (PM8000RegType){ 3006, 2,  "FLOAT32",  "Current N" };
        return val;
    }
    if (currentRegister < 3008) {
        val = (PM8000RegType){ 3008, 2,  "FLOAT32",  "Current G" };
        return val;
    }
    if (currentRegister < 3010) {
        val = (PM8000RegType){ 3010, 2,  "FLOAT32",  "Current Avg" };
        return val;
    }
    if (currentRegister < 3018) {
        val = (PM8000RegType){ 3018, 2,  "FLOAT32",  "Current Unbalance Worst" };
        return val;
    }
    if (currentRegister < 3020) {
        val = (PM8000RegType){ 3020, 2,  "FLOAT32",  "Voltage A-B" };
        return val;
    }
    if (currentRegister < 3022) {
        val = (PM8000RegType){ 3022, 2,  "FLOAT32",  "Voltage B-C" };
        return val;
    }
    if (currentRegister < 3024) {
        val = (PM8000RegType){ 3024, 2,  "FLOAT32",  "Voltage C-A" };
        return val;
    }
    if (currentRegister < 3026) {
        val = (PM8000RegType){ 3026, 2,  "FLOAT32",  "Voltage L-L Avg" };
        return val;
    }
    if (currentRegister < 3028) {
        val = (PM8000RegType){ 3028, 2,  "FLOAT32",  "Voltage A-N" };
        return val;
    }
    if (currentRegister < 3030) {
        val = (PM8000RegType){ 3030, 2,  "FLOAT32",  "Voltage B-N" };
        return val;
    }
    if (currentRegister < 3032) {
        val = (PM8000RegType){ 3032, 2,  "FLOAT32",  "Voltage C-N" };
        return val;
    }
    if (currentRegister < 3036) {
        val = (PM8000RegType){ 3036, 2,  "FLOAT32",  "Voltage L-N Avg" };
        return val;
    }
    if (currentRegister < 3052) {
        val = (PM8000RegType){ 3052, 2,  "FLOAT32",  "Voltage Unbalance L-N Worst" };
        return val;
    }
    if (currentRegister < 3054) {
        val = (PM8000RegType){ 3054, 2,  "FLOAT32",  "Active Power A" };
        return val;
    }
    if (currentRegister < 3056) {
        val = (PM8000RegType){ 3056, 2,  "FLOAT32",  "Active Power B" };
        return val;
    }
    if (currentRegister < 3058) {
        val = (PM8000RegType){ 3058, 2,  "FLOAT32",  "Active Power C" };
        return val;
    }
    if (currentRegister < 3060) {
        val = (PM8000RegType){ 3060, 2,  "FLOAT32",  "Active Power Total" };
        return val;
    }
    if (currentRegister < 3062) {
        val = (PM8000RegType){ 3062, 2,  "FLOAT32",  "Reactive Power A" };
        return val;
    }
    if (currentRegister < 3064) {
        val = (PM8000RegType){ 3064, 2,  "FLOAT32",  "Reactive Power B" };
        return val;
    }
    if (currentRegister < 3066) {
        val = (PM8000RegType){ 3066, 2,  "FLOAT32",  "Reactive Power C" };
        return val;
    }
    if (currentRegister < 3068) {
        val = (PM8000RegType){ 3068, 2,  "FLOAT32",  "Reactive Power Total" };
        return val;
    }
    if (currentRegister < 3070) {
        val = (PM8000RegType){ 3070, 2,  "FLOAT32",  "Apparent Power A" };
        return val;
    }
    if (currentRegister < 3072) {
        val = (PM8000RegType){ 3072, 2,  "FLOAT32",  "Apparent Power B" };
        return val;
    }
    if (currentRegister < 3074) {
        val = (PM8000RegType){ 3074, 2,  "FLOAT32",  "Apparent Power C" };
        return val;
    }
    if (currentRegister < 3076) {
        val = (PM8000RegType){ 3076, 2,  "FLOAT32",  "Apparent Power Total" };
        return val;
    }
    if (currentRegister < 3110) {
        val = (PM8000RegType){ 3110, 2,  "FLOAT32",  "Frequency" };
        return val;
    }
    if (currentRegister < 3112) {
        val = (PM8000RegType){ 3112, 2,  "FLOAT32",  "Input Metering Rate Channel 01" };
        return val;
    }
    if (currentRegister < 3114) {
        val = (PM8000RegType){ 3114, 2,  "FLOAT32",  "Input Metering Rate Channel 02" };
        return val;
    }
    if (currentRegister < 3116) {
        val = (PM8000RegType){ 3116, 2,  "FLOAT32",  "Input Metering Rate Channel 03" };
        return val;
    }
    if (currentRegister < 3118) {
        val = (PM8000RegType){ 3118, 2,  "FLOAT32",  "Input Metering Rate Channel 04" };
        return val;
    }
    if (currentRegister < 3120) {
        val = (PM8000RegType){ 3120, 2,  "FLOAT32",  "Input Metering Rate Channel 05" };
        return val;
    }
    if (currentRegister < 3136) {
        val = (PM8000RegType){ 3136, 2,  "FLOAT32",  "Current Capacity A" };
        return val;
    }
    if (currentRegister < 3138) {
        val = (PM8000RegType){ 3138, 2,  "FLOAT32",  "Current Capacity B" };
        return val;
    }
    if (currentRegister < 3140) {
        val = (PM8000RegType){ 3140, 2,  "FLOAT32",  "Current Capacity C" };
        return val;
    }
    if (currentRegister < 3142) {
        val = (PM8000RegType){ 3142, 2,  "FLOAT32",  "Current Capacity avg" };
        return val;
    }
    if (currentRegister < 3144) {
        val = (PM8000RegType){ 3144, 2,  "FLOAT32",  "Power Factor A" };
        return val;
    }
    if (currentRegister < 3146) {
        val = (PM8000RegType){ 3146, 2,  "FLOAT32",  "Power Factor B" };
        return val;
    }
    if (currentRegister < 3148) {
        val = (PM8000RegType){ 3148, 2,  "FLOAT32",  "Power Factor C" };
        return val;
    }
    if (currentRegister < 3150) {
        val = (PM8000RegType){ 3150, 2,  "FLOAT32",  "Power Factor Total" };
        return val;
    }
    if (currentRegister < 3152) {
        val = (PM8000RegType){ 3152, 2,  "FLOAT32",  "Displacement Power Factor A" };
        return val;
    }
    if (currentRegister < 3154) {
        val = (PM8000RegType){ 3154, 2,  "FLOAT32",  "Displacement Power Factor B" };
        return val;
    }
    if (currentRegister < 3156) {
        val = (PM8000RegType){ 3156, 2,  "FLOAT32",  "Displacement Power Factor C" };
        return val;
    }
    if (currentRegister < 3158) {
        val = (PM8000RegType){ 3158, 2,  "FLOAT32",  "Displacement Power Factor Total" };
        return val;
    }
    if (currentRegister < 3160) {
        val = (PM8000RegType){ 3160, 2,  "FLOAT32",  "Power Factor A Lagging" };
        return val;
    }
    if (currentRegister < 3162) {
        val = (PM8000RegType){ 3162, 2,  "FLOAT32",  "Power Factor A Leading" };
        return val;
    }
    if (currentRegister < 3164) {
        val = (PM8000RegType){ 3164, 2,  "FLOAT32",  "Power Factor B Lagging" };
        return val;
    }
    if (currentRegister < 3166) {
        val = (PM8000RegType){ 3166, 2,  "FLOAT32",  "Power Factor B Leading" };
        return val;
    }
    if (currentRegister < 3168) {
        val = (PM8000RegType){ 3168, 2,  "FLOAT32",  "Power Factor C Lagging" };
        return val;
    }
    if (currentRegister < 3170) {
        val = (PM8000RegType){ 3170, 2,  "FLOAT32",  "Power Factor C Leading" };
        return val;
    }
    if (currentRegister < 3172) {
        val = (PM8000RegType){ 3172, 2,  "FLOAT32",  "Power Factor Lagging" };
        return val;
    }
    if (currentRegister < 3174) {
        val = (PM8000RegType){ 3174, 2,  "FLOAT32",  "Power Factor Leading" };
        return val;
    }
    if (currentRegister < 3204) {
        val = (PM8000RegType){ 3204, 4,  "INT64",  "Active Energy Delivered (Into Load)" };
        return val;
    }
    if (currentRegister < 3208) {
        val = (PM8000RegType){ 3208, 4,  "INT64",  "Active Energy Received (Out of Load)" };
        return val;
    }
    if (currentRegister < 3212) {
        val = (PM8000RegType){ 3212, 4,  "INT64",  "Active Energy Delivered + Received" };
        return val;
    }
    if (currentRegister < 3216) {
        val = (PM8000RegType){ 3216, 4,  "INT64",  "Active Energy Delivered- Received" };
        return val;
    }
    if (currentRegister < 3220) {
        val = (PM8000RegType){ 3220, 4,  "INT64",  "Reactive Energy Delivered" };
        return val;
    }
    if (currentRegister < 3224) {
        val = (PM8000RegType){ 3224, 4,  "INT64",  "Reactive Energy Received" };
        return val;
    }
    if (currentRegister < 3228) {
        val = (PM8000RegType){ 3228, 4,  "INT64",  "Reactive Energy Delivered + Received" };
        return val;
    }
    if (currentRegister < 3232) {
        val = (PM8000RegType){ 3232, 4,  "INT64",  "Reactive Energy Delivered - Received" };
        return val;
    }
    if (currentRegister < 3236) {
        val = (PM8000RegType){ 3236, 4,  "INT64",  "Apparent Energy Delivered" };
        return val;
    }
    if (currentRegister < 3240) {
        val = (PM8000RegType){ 3240, 4,  "INT64",  "Apparent Energy Received" };
        return val;
    }
    if (currentRegister < 3244) {
        val = (PM8000RegType){ 3244, 4,  "INT64",  "Apparent Energy Delivered + Received" };
        return val;
    }
    if (currentRegister < 3248) {
        val = (PM8000RegType){ 3248, 4,  "INT64",  "Apparent Energy Delivered - Received" };
        return val;
    }
    if (currentRegister < 3256) {
        val = (PM8000RegType){ 3256, 4,  "INT64",  "Active Energy in Quadrant I" };
        return val;
    }
    if (currentRegister < 3260) {
        val = (PM8000RegType){ 3260, 4,  "INT64",  "Active Energy in Quadrant II" };
        return val;
    }
    if (currentRegister < 3264) {
        val = (PM8000RegType){ 3264, 4,  "INT64",  "Active Energy in Quadrant III" };
        return val;
    }
    if (currentRegister < 3268) {
        val = (PM8000RegType){ 3268, 4,  "INT64",  "Active Energy in Quadrant IV" };
        return val;
    }
    if (currentRegister < 3272) {
        val = (PM8000RegType){ 3272, 4,  "INT64",  "Reactive Energy in Quadrant I" };
        return val;
    }
    if (currentRegister < 3276) {
        val = (PM8000RegType){ 3276, 4,  "INT64",  "Reactive Energy in Quadrant II" };
        return val;
    }
    if (currentRegister < 3280) {
        val = (PM8000RegType){ 3280, 4,  "INT64",  "Reactive Energy in Quadrant III" };
        return val;
    }
    if (currentRegister < 3284) {
        val = (PM8000RegType){ 3284, 4,  "INT64",  "Reactive Energy in Quadrant IV" };
        return val;
    }
    if (currentRegister < 3288) {
        val = (PM8000RegType){ 3288, 4,  "INT64",  "Apparent Energy in Quadrant I" };
        return val;
    }
    if (currentRegister < 3292) {
        val = (PM8000RegType){ 3292, 4,  "INT64",  "Apparent Energy in Quadrant II" };
        return val;
    }
    if (currentRegister < 3296) {
        val = (PM8000RegType){ 3296, 4,  "INT64",  "Apparent Energy in Quadrant III" };
        return val;
    }
    if (currentRegister < 3300) {
        val = (PM8000RegType){ 3300, 4,  "INT64",  "Apparent Energy in Quadrant IV" };
        return val;
    }
    if (currentRegister < 3358) {
        val = (PM8000RegType){ 3358, 4,  "INT64",  "Conditional Active Energy Delivered (Into Load)" };
        return val;
    }
    if (currentRegister < 3362) {
        val = (PM8000RegType){ 3362, 4,  "INT64",  "Conditional Active Energy Received (Out of Load)" };
        return val;
    }
    if (currentRegister < 3370) {
        val = (PM8000RegType){ 3370, 4,  "INT64",  "Active Energy Delivered - Received, Conditional" };
        return val;
    }
    if (currentRegister < 3374) {
        val = (PM8000RegType){ 3374, 4,  "INT64",  "Conditional Reactive Energy In (Delivered)" };
        return val;
    }
    if (currentRegister < 3378) {
        val = (PM8000RegType){ 3378, 4,  "INT64",  "Conditional Reactive Energy Out (Received)" };
        return val;
    }
    if (currentRegister < 3386) {
        val = (PM8000RegType){ 3386, 4,  "INT64",  "Reactive Energy Delivered - Received, Conditional" };
        return val;
    }
    if (currentRegister < 3398) {
        val = (PM8000RegType){ 3398, 4,  "INT64",  "Apparent Energy Delivered + Received, Conditional" };
        return val;
    }
    if (currentRegister < 3414) {
        val = (PM8000RegType){ 3414, 4,  "INT64",  "Active Energy Delivered , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 3418) {
        val = (PM8000RegType){ 3418, 4,  "INT64",  "Active Energy Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 3422) {
        val = (PM8000RegType){ 3422, 4,  "INT64",  "Active Energy Delivered - Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 3426) {
        val = (PM8000RegType){ 3426, 4,  "INT64",  "Reactive Energy Delivered , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 3430) {
        val = (PM8000RegType){ 3430, 4,  "INT64",  "Reactive Energy Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 3434) {
        val = (PM8000RegType){ 3434, 4,  "INT64",  "Reactive Energy Delivered - Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 3438) {
        val = (PM8000RegType){ 3438, 4,  "INT64",  "Apparent Energy Delivered + Received , Last Complete Interval" };
        return val;
    }
    if (currentRegister < 3442) {
        val = (PM8000RegType){ 3442, 4,  "INT64",  "Active Energy Delivered , Present Interval" };
        return val;
    }
    if (currentRegister < 3446) {
        val = (PM8000RegType){ 3446, 4,  "INT64",  "Active Energy Received , Present Interval" };
        return val;
    }
    if (currentRegister < 3450) {
        val = (PM8000RegType){ 3450, 4,  "INT64",  "Active Energy Delivered - Received , Present Interval" };
        return val;
    }
    if (currentRegister < 3454) {
        val = (PM8000RegType){ 3454, 4,  "INT64",  "Reactive Energy Delivered , Present Interval" };
        return val;
    }
    if (currentRegister < 3458) {
        val = (PM8000RegType){ 3458, 4,  "INT64",  "Reactive Energy Received , Present Interval" };
        return val;
    }
    if (currentRegister < 3462) {
        val = (PM8000RegType){ 3462, 4,  "INT64",  "Reactive Energy Delivered - Received , Present Interval" };
        return val;
    }
    if (currentRegister < 3466) {
        val = (PM8000RegType){ 3466, 4,  "INT64",  "Apparent Energy Delivered + Received , Present Interval" };
        return val;
    }
    if (currentRegister < 3470) {
        val = (PM8000RegType){ 3470, 4,  "INT64",  "Active Energy Delivered Interval" };
        return val;
    }
    if (currentRegister < 3474) {
        val = (PM8000RegType){ 3474, 4,  "INT64",  "Active Energy Received Interval" };
        return val;
    }
    if (currentRegister < 3478) {
        val = (PM8000RegType){ 3478, 4,  "INT64",  "Reactive Energy Delivered Interval" };
        return val;
    }
    if (currentRegister < 3482) {
        val = (PM8000RegType){ 3482, 4,  "INT64",  "Reactive Energy Received Interval" };
        return val;
    }
    if (currentRegister < 3486) {
        val = (PM8000RegType){ 3486, 4,  "INT64",  "Apparent Energy Delivered Interval" };
        return val;
    }
    if (currentRegister < 3490) {
        val = (PM8000RegType){ 3490, 4,  "INT64",  "Apparent Energy Received Interval" };
        return val;
    }
    if (currentRegister < 3570) {
        val = (PM8000RegType){ 3570, 4,  "INT64",  "Input Metering Accumulation Channel 01" };
        return val;
    }
    if (currentRegister < 3574) {
        val = (PM8000RegType){ 3574, 4,  "INT64",  "Input Metering Accumulation Channel 02" };
        return val;
    }
    if (currentRegister < 3578) {
        val = (PM8000RegType){ 3578, 4,  "INT64",  "Input Metering Accumulation Channel 03" };
        return val;
    }
    if (currentRegister < 3582) {
        val = (PM8000RegType){ 3582, 4,  "INT64",  "Input Metering Accumulation Channel 04" };
        return val;
    }
    if (currentRegister < 3602) {
        val = (PM8000RegType){ 3602, 4,  "INT64",  "Input Metering Accumulation Channel 05" };
        return val;
    }
    if (currentRegister < 3650) {
        val = (PM8000RegType){ 3650, 2,  "FLOAT32",  "Current A Squared Hours" };
        return val;
    }
    if (currentRegister < 3652) {
        val = (PM8000RegType){ 3652, 2,  "FLOAT32",  "Current B Square Hours" };
        return val;
    }
    if (currentRegister < 3654) {
        val = (PM8000RegType){ 3654, 2,  "FLOAT32",  "Current C Square Hours" };
        return val;
    }
    if (currentRegister < 3656) {
        val = (PM8000RegType){ 3656, 2,  "FLOAT32",  "Voltage A-B Square Hours" };
        return val;
    }
    if (currentRegister < 3658) {
        val = (PM8000RegType){ 3658, 2,  "FLOAT32",  "Voltage B-C Square Hours" };
        return val;
    }
    if (currentRegister < 3660) {
        val = (PM8000RegType){ 3660, 2,  "FLOAT32",  "Voltage C-A Square Hours" };
        return val;
    }
    if (currentRegister < 3668) {
        val = (PM8000RegType){ 3668, 2,  "FLOAT32",  "Current A Squared Hours" };
        return val;
    }
    if (currentRegister < 3670) {
        val = (PM8000RegType){ 3670, 2,  "FLOAT32",  "Current B Square Hours" };
        return val;
    }
    if (currentRegister < 3672) {
        val = (PM8000RegType){ 3672, 2,  "FLOAT32",  "Current C Square Hours" };
        return val;
    }
    if (currentRegister < 3674) {
        val = (PM8000RegType){ 3674, 2,  "FLOAT32",  "Voltage A-B Square Hours" };
        return val;
    }
    if (currentRegister < 3676) {
        val = (PM8000RegType){ 3676, 2,  "FLOAT32",  "Voltage B-C Square Hours" };
        return val;
    }
    if (currentRegister < 3678) {
        val = (PM8000RegType){ 3678, 2,  "FLOAT32",  "Voltage C-A Square Hours" };
        return val;
    }
    if (currentRegister < 3680) {
        val = (PM8000RegType){ 3680, 2,  "FLOAT32",  "Voltage A-N Square Hours" };
        return val;
    }
    if (currentRegister < 3682) {
        val = (PM8000RegType){ 3682, 2,  "FLOAT32",  "Voltage B-N Square Hours" };
        return val;
    }
    if (currentRegister < 3684) {
        val = (PM8000RegType){ 3684, 2,  "FLOAT32",  "Voltage C-N Square Hours" };
        return val;
    }
    if (currentRegister < 4196) {
        val = (PM8000RegType){ 4196, 4,  "INT64",  "Active Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 4200) {
        val = (PM8000RegType){ 4200, 4,  "INT64",  "Active Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 4204) {
        val = (PM8000RegType){ 4204, 4,  "INT64",  "Active Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 4208) {
        val = (PM8000RegType){ 4208, 4,  "INT64",  "Active Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 4228) {
        val = (PM8000RegType){ 4228, 4,  "INT64",  "Active Energy Received Rate 1" };
        return val;
    }
    if (currentRegister < 4232) {
        val = (PM8000RegType){ 4232, 4,  "INT64",  "Active Energy Received Rate 2" };
        return val;
    }
    if (currentRegister < 4236) {
        val = (PM8000RegType){ 4236, 4,  "INT64",  "Active Energy Received Rate 3" };
        return val;
    }
    if (currentRegister < 4240) {
        val = (PM8000RegType){ 4240, 4,  "INT64",  "Active Energy Received Rate 4" };
        return val;
    }
    if (currentRegister < 4260) {
        val = (PM8000RegType){ 4260, 4,  "INT64",  "Reactive Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 4264) {
        val = (PM8000RegType){ 4264, 4,  "INT64",  "Reactive Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 4268) {
        val = (PM8000RegType){ 4268, 4,  "INT64",  "Reactive Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 4272) {
        val = (PM8000RegType){ 4272, 4,  "INT64",  "Reactive Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 4292) {
        val = (PM8000RegType){ 4292, 4,  "INT64",  "Reactive Energy Received Rate 1" };
        return val;
    }
    if (currentRegister < 4296) {
        val = (PM8000RegType){ 4296, 4,  "INT64",  "Reactive Energy Received Rate 2" };
        return val;
    }
    if (currentRegister < 4300) {
        val = (PM8000RegType){ 4300, 4,  "INT64",  "Reactive Energy Received Rate 3" };
        return val;
    }
    if (currentRegister < 4304) {
        val = (PM8000RegType){ 4304, 4,  "INT64",  "Reactive Energy Received Rate 4" };
        return val;
    }
    if (currentRegister < 4324) {
        val = (PM8000RegType){ 4324, 4,  "INT64",  "Apparent Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 4328) {
        val = (PM8000RegType){ 4328, 4,  "INT64",  "Apparent Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 4332) {
        val = (PM8000RegType){ 4332, 4,  "INT64",  "Apparent Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 4336) {
        val = (PM8000RegType){ 4336, 4,  "INT64",  "Apparent Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 4356) {
        val = (PM8000RegType){ 4356, 4,  "INT64",  "Apparent Energy Received Rate 1" };
        return val;
    }
    if (currentRegister < 4360) {
        val = (PM8000RegType){ 4360, 4,  "INT64",  "Apparent Energy Received Rate 2" };
        return val;
    }
    if (currentRegister < 4364) {
        val = (PM8000RegType){ 4364, 4,  "INT64",  "Apparent Energy Received Rate 3" };
        return val;
    }
    if (currentRegister < 4368) {
        val = (PM8000RegType){ 4368, 4,  "INT64",  "Apparent Energy Received Rate 4" };
        return val;
    }
    if (currentRegister < 4800) {
        val = (PM8000RegType){ 4800, 2,  "FLOAT32",  "Active Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 4802) {
        val = (PM8000RegType){ 4802, 2,  "FLOAT32",  "Active Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 4804) {
        val = (PM8000RegType){ 4804, 2,  "FLOAT32",  "Active Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 4806) {
        val = (PM8000RegType){ 4806, 2,  "FLOAT32",  "Active Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 4816) {
        val = (PM8000RegType){ 4816, 2,  "FLOAT32",  "Active Energy Received Rate 1" };
        return val;
    }
    if (currentRegister < 4818) {
        val = (PM8000RegType){ 4818, 2,  "FLOAT32",  "Active Energy Received Rate 2" };
        return val;
    }
    if (currentRegister < 4820) {
        val = (PM8000RegType){ 4820, 2,  "FLOAT32",  "Active Energy Received Rate 3" };
        return val;
    }
    if (currentRegister < 4822) {
        val = (PM8000RegType){ 4822, 2,  "FLOAT32",  "Active Energy Received Rate 4" };
        return val;
    }
    if (currentRegister < 4832) {
        val = (PM8000RegType){ 4832, 2,  "FLOAT32",  "Reactive Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 4834) {
        val = (PM8000RegType){ 4834, 2,  "FLOAT32",  "Reactive Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 4836) {
        val = (PM8000RegType){ 4836, 2,  "FLOAT32",  "Reactive Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 4838) {
        val = (PM8000RegType){ 4838, 2,  "FLOAT32",  "Reactive Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 4848) {
        val = (PM8000RegType){ 4848, 2,  "FLOAT32",  "Reactive Energy Received Rate 1" };
        return val;
    }
    if (currentRegister < 4850) {
        val = (PM8000RegType){ 4850, 2,  "FLOAT32",  "Reactive Energy Received Rate 2" };
        return val;
    }
    if (currentRegister < 4852) {
        val = (PM8000RegType){ 4852, 2,  "FLOAT32",  "Reactive Energy Received Rate 3" };
        return val;
    }
    if (currentRegister < 4854) {
        val = (PM8000RegType){ 4854, 2,  "FLOAT32",  "Reactive Energy Received Rate 4" };
        return val;
    }
    if (currentRegister < 4864) {
        val = (PM8000RegType){ 4864, 2,  "FLOAT32",  "Apparent Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 4866) {
        val = (PM8000RegType){ 4866, 2,  "FLOAT32",  "Apparent Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 4868) {
        val = (PM8000RegType){ 4868, 2,  "FLOAT32",  "Apparent Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 4870) {
        val = (PM8000RegType){ 4870, 2,  "FLOAT32",  "Apparent Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 4880) {
        val = (PM8000RegType){ 4880, 2,  "FLOAT32",  "Apparent Energy Received Rate 1" };
        return val;
    }
    if (currentRegister < 4882) {
        val = (PM8000RegType){ 4882, 2,  "FLOAT32",  "Apparent Energy Received Rate 2" };
        return val;
    }
    if (currentRegister < 4884) {
        val = (PM8000RegType){ 4884, 2,  "FLOAT32",  "Apparent Energy Received Rate 3" };
        return val;
    }
    if (currentRegister < 4886) {
        val = (PM8000RegType){ 4886, 2,  "FLOAT32",  "Apparent Energy Received Rate 4" };
        return val;
    }
    if (currentRegister < 8915) {
        val = (PM8000RegType){ 8915, 2,  "INT32U",  "Digital Input S1 Count" };
        return val;
    }
    if (currentRegister < 8919) {
        val = (PM8000RegType){ 8919, 2,  "INT32U",  "Digital Input S2 Count" };
        return val;
    }
    if (currentRegister < 8923) {
        val = (PM8000RegType){ 8923, 2,  "INT32U",  "Digital Input S3 Count" };
        return val;
    }
    if (currentRegister < 9027) {
        val = (PM8000RegType){ 9027, 2,  "INT32U",  "Digital Input A S1 Count" };
        return val;
    }
    if (currentRegister < 9029) {
        val = (PM8000RegType){ 9029, 2,  "INT32U",  "Digital Input A S2 Count" };
        return val;
    }
    if (currentRegister < 9031) {
        val = (PM8000RegType){ 9031, 2,  "INT32U",  "Digital Input A S3 Count" };
        return val;
    }
    if (currentRegister < 9033) {
        val = (PM8000RegType){ 9033, 2,  "INT32U",  "Digital Input A S4 Count" };
        return val;
    }
    if (currentRegister < 9035) {
        val = (PM8000RegType){ 9035, 2,  "INT32U",  "Digital Input A S5 Count" };
        return val;
    }
    if (currentRegister < 9037) {
        val = (PM8000RegType){ 9037, 2,  "INT32U",  "Digital Input A S6 Count" };
        return val;
    }
    if (currentRegister < 9039) {
        val = (PM8000RegType){ 9039, 2,  "INT32U",  "Digital Input B S1 Count" };
        return val;
    }
    if (currentRegister < 9041) {
        val = (PM8000RegType){ 9041, 2,  "INT32U",  "Digital Input B S2 Count" };
        return val;
    }
    if (currentRegister < 9043) {
        val = (PM8000RegType){ 9043, 2,  "INT32U",  "Digital Input B S3 Count" };
        return val;
    }
    if (currentRegister < 9045) {
        val = (PM8000RegType){ 9045, 2,  "INT32U",  "Digital Input B S4 Count" };
        return val;
    }
    if (currentRegister < 9047) {
        val = (PM8000RegType){ 9047, 2,  "INT32U",  "Digital Input B S5 Count" };
        return val;
    }
    if (currentRegister < 9049) {
        val = (PM8000RegType){ 9049, 2,  "INT32U",  "Digital Input B S6 Count" };
        return val;
    }
    if (currentRegister < 9051) {
        val = (PM8000RegType){ 9051, 2,  "INT32U",  "Digital Input C S1 Count" };
        return val;
    }
    if (currentRegister < 9053) {
        val = (PM8000RegType){ 9053, 2,  "INT32U",  "Digital Input C S2 Count" };
        return val;
    }
    if (currentRegister < 9055) {
        val = (PM8000RegType){ 9055, 2,  "INT32U",  "Digital Input C S3 Count" };
        return val;
    }
    if (currentRegister < 9057) {
        val = (PM8000RegType){ 9057, 2,  "INT32U",  "Digital Input C S4 Count" };
        return val;
    }
    if (currentRegister < 9059) {
        val = (PM8000RegType){ 9059, 2,  "INT32U",  "Digital Input C S5 Count" };
        return val;
    }
    if (currentRegister < 9061) {
        val = (PM8000RegType){ 9061, 2,  "INT32U",  "Digital Input C S6 Count" };
        return val;
    }
    if (currentRegister < 9063) {
        val = (PM8000RegType){ 9063, 2,  "INT32U",  "Digital Input D S1 Count" };
        return val;
    }
    if (currentRegister < 9065) {
        val = (PM8000RegType){ 9065, 2,  "INT32U",  "Digital Input D S2 Count" };
        return val;
    }
    if (currentRegister < 9067) {
        val = (PM8000RegType){ 9067, 2,  "INT32U",  "Digital Input D S3 Count" };
        return val;
    }
    if (currentRegister < 9069) {
        val = (PM8000RegType){ 9069, 2,  "INT32U",  "Digital Input D S4 Count" };
        return val;
    }
    if (currentRegister < 9071) {
        val = (PM8000RegType){ 9071, 2,  "INT32U",  "Digital Input D S5 Count" };
        return val;
    }
    if (currentRegister < 9073) {
        val = (PM8000RegType){ 9073, 2,  "INT32U",  "Digital Input D S6 Count" };
        return val;
    }
    if (currentRegister < 10016) {
        val = (PM8000RegType){ 10016, 2,  "FLOAT32",  "Analog input 1 Scaled Value" };
        return val;
    }
    if (currentRegister < 10018) {
        val = (PM8000RegType){ 10018, 2,  "FLOAT32",  "Analog input 2 Scaled Value" };
        return val;
    }
    if (currentRegister < 10020) {
        val = (PM8000RegType){ 10020, 2,  "FLOAT32",  "Analog input 3 Scaled Value" };
        return val;
    }
    if (currentRegister < 10022) {
        val = (PM8000RegType){ 10022, 2,  "FLOAT32",  "Analog input 4 Scaled Value" };
        return val;
    }
    if (currentRegister < 10032) {
        val = (PM8000RegType){ 10032, 2,  "FLOAT32",  "Analog input 1 Scaled Value" };
        return val;
    }
    if (currentRegister < 10034) {
        val = (PM8000RegType){ 10034, 2,  "FLOAT32",  "Analog input 2 Scaled Value" };
        return val;
    }
    if (currentRegister < 10036) {
        val = (PM8000RegType){ 10036, 2,  "FLOAT32",  "Analog input 3 Scaled Value" };
        return val;
    }
    if (currentRegister < 10038) {
        val = (PM8000RegType){ 10038, 2,  "FLOAT32",  "Analog input 4 Scaled Value" };
        return val;
    }
    if (currentRegister < 10048) {
        val = (PM8000RegType){ 10048, 2,  "FLOAT32",  "Analog input 1 Scaled Value" };
        return val;
    }
    if (currentRegister < 10050) {
        val = (PM8000RegType){ 10050, 2,  "FLOAT32",  "Analog input 2 Scaled Value" };
        return val;
    }
    if (currentRegister < 10052) {
        val = (PM8000RegType){ 10052, 2,  "FLOAT32",  "Analog input 3 Scaled Value" };
        return val;
    }
    if (currentRegister < 10054) {
        val = (PM8000RegType){ 10054, 2,  "FLOAT32",  "Analog input 4 Scaled Value" };
        return val;
    }
    if (currentRegister < 10064) {
        val = (PM8000RegType){ 10064, 2,  "FLOAT32",  "Analog input 1 Scaled Value" };
        return val;
    }
    if (currentRegister < 10066) {
        val = (PM8000RegType){ 10066, 2,  "FLOAT32",  "Analog input 2 Scaled Value" };
        return val;
    }
    if (currentRegister < 10068) {
        val = (PM8000RegType){ 10068, 2,  "FLOAT32",  "Analog input 3 Scaled Value" };
        return val;
    }
    if (currentRegister < 10070) {
        val = (PM8000RegType){ 10070, 2,  "FLOAT32",  "Analog input 4 Scaled Value" };
        return val;
    }
    if (currentRegister < 10216) {
        val = (PM8000RegType){ 10216, 2,  "FLOAT32",  "Analog output 1 Normalized Value" };
        return val;
    }
    if (currentRegister < 10218) {
        val = (PM8000RegType){ 10218, 2,  "FLOAT32",  "Analog output 2 Normalized Value" };
        return val;
    }
    if (currentRegister < 10232) {
        val = (PM8000RegType){ 10232, 2,  "FLOAT32",  "Analog output 1 Normalized Value" };
        return val;
    }
    if (currentRegister < 10234) {
        val = (PM8000RegType){ 10234, 2,  "FLOAT32",  "Analog output 2 Normalized Value" };
        return val;
    }
    if (currentRegister < 10248) {
        val = (PM8000RegType){ 10248, 2,  "FLOAT32",  "Analog output 1 Normalized Value" };
        return val;
    }
    if (currentRegister < 10250) {
        val = (PM8000RegType){ 10250, 2,  "FLOAT32",  "Analog output 2 Normalized Value" };
        return val;
    }
    if (currentRegister < 10264) {
        val = (PM8000RegType){ 10264, 2,  "FLOAT32",  "Analog output 1 Normalized Value" };
        return val;
    }
    if (currentRegister < 10266) {
        val = (PM8000RegType){ 10266, 2,  "FLOAT32",  "Analog output 2 Normalized Value" };
        return val;
    }
    if (currentRegister < 13598) {
        val = (PM8000RegType){ 13598, 2,  "INT32U",  "Current Disturbance" };
        return val;
    }
    if (currentRegister < 13600) {
        val = (PM8000RegType){ 13600, 2,  "INT32U",  "Voltage Disturbance" };
        return val;
    }
    if (currentRegister < 14040) {
        val = (PM8000RegType){ 14040, 2,  "INT32U",  "Over Current I4" };
        return val;
    }
    if (currentRegister < 14045) {
        val = (PM8000RegType){ 14045, 2,  "FLOAT32",  "Pickup Setpoint" };
        return val;
    }
    if (currentRegister < 14047) {
        val = (PM8000RegType){ 14047, 2,  "INT32U",  "Pickup Time Delay" };
        return val;
    }
    if (currentRegister < 14049) {
        val = (PM8000RegType){ 14049, 2,  "FLOAT32",  "Dropout Setpoint" };
        return val;
    }
    if (currentRegister < 14051) {
        val = (PM8000RegType){ 14051, 2,  "INT32U",  "Dropout Time Delay" };
        return val;
    }
    if (currentRegister < 14320) {
        val = (PM8000RegType){ 14320, 2,  "INT32U",  "Over Demand, Active Power, Last" };
        return val;
    }
    if (currentRegister < 14325) {
        val = (PM8000RegType){ 14325, 2,  "FLOAT32",  "Pickup Setpoint" };
        return val;
    }
    if (currentRegister < 14327) {
        val = (PM8000RegType){ 14327, 2,  "INT32U",  "Pickup Time Delay" };
        return val;
    }
    if (currentRegister < 14329) {
        val = (PM8000RegType){ 14329, 2,  "FLOAT32",  "Dropout Setpoint" };
        return val;
    }
    if (currentRegister < 14331) {
        val = (PM8000RegType){ 14331, 2,  "INT32U",  "Dropout Time Delay" };
        return val;
    }
    if (currentRegister < 14520) {
        val = (PM8000RegType){ 14520, 2,  "INT32U",  "Over Voltage Unbalance" };
        return val;
    }
    if (currentRegister < 14525) {
        val = (PM8000RegType){ 14525, 2,  "FLOAT32",  "Pickup Setpoint" };
        return val;
    }
    if (currentRegister < 14527) {
        val = (PM8000RegType){ 14527, 2,  "INT32U",  "Pickup Time Delay" };
        return val;
    }
    if (currentRegister < 14529) {
        val = (PM8000RegType){ 14529, 2,  "FLOAT32",  "Dropout Setpoint" };
        return val;
    }
    if (currentRegister < 14531) {
        val = (PM8000RegType){ 14531, 2,  "INT32U",  "Dropout Time Delay" };
        return val;
    }
    if (currentRegister < 14580) {
        val = (PM8000RegType){ 14580, 2,  "INT32U",  "Over Current A" };
        return val;
    }
    if (currentRegister < 14585) {
        val = (PM8000RegType){ 14585, 2,  "FLOAT32",  "Pickup Setpoint" };
        return val;
    }
    if (currentRegister < 14587) {
        val = (PM8000RegType){ 14587, 2,  "INT32U",  "Pickup Time Delay" };
        return val;
    }
    if (currentRegister < 14589) {
        val = (PM8000RegType){ 14589, 2,  "FLOAT32",  "Dropout Setpoint" };
        return val;
    }
    if (currentRegister < 14591) {
        val = (PM8000RegType){ 14591, 2,  "INT32U",  "Dropout Time Delay" };
        return val;
    }
    if (currentRegister < 14600) {
        val = (PM8000RegType){ 14600, 2,  "INT32U",  "Over Current B" };
        return val;
    }
    if (currentRegister < 14605) {
        val = (PM8000RegType){ 14605, 2,  "FLOAT32",  "Pickup Setpoint" };
        return val;
    }
    if (currentRegister < 14607) {
        val = (PM8000RegType){ 14607, 2,  "INT32U",  "Pickup Time Delay" };
        return val;
    }
    if (currentRegister < 14609) {
        val = (PM8000RegType){ 14609, 2,  "FLOAT32",  "Dropout Setpoint" };
        return val;
    }
    if (currentRegister < 14611) {
        val = (PM8000RegType){ 14611, 2,  "INT32U",  "Dropout Time Delay" };
        return val;
    }
    if (currentRegister < 14620) {
        val = (PM8000RegType){ 14620, 2,  "INT32U",  "Over Current C" };
        return val;
    }
    if (currentRegister < 14625) {
        val = (PM8000RegType){ 14625, 2,  "FLOAT32",  "Pickup Setpoint" };
        return val;
    }
    if (currentRegister < 14627) {
        val = (PM8000RegType){ 14627, 2,  "INT32U",  "Pickup Time Delay" };
        return val;
    }
    if (currentRegister < 14629) {
        val = (PM8000RegType){ 14629, 2,  "FLOAT32",  "Dropout Setpoint" };
        return val;
    }
    if (currentRegister < 14631) {
        val = (PM8000RegType){ 14631, 2,  "INT32U",  "Dropout Time Delay" };
        return val;
    }
    if (currentRegister < 21000) {
        val = (PM8000RegType){ 21000, 2,  "FLOAT32",  "HS Current A" };
        return val;
    }
    if (currentRegister < 21002) {
        val = (PM8000RegType){ 21002, 2,  "FLOAT32",  "HS Current B" };
        return val;
    }
    if (currentRegister < 21004) {
        val = (PM8000RegType){ 21004, 2,  "FLOAT32",  "HS Current C" };
        return val;
    }
    if (currentRegister < 21006) {
        val = (PM8000RegType){ 21006, 2,  "FLOAT32",  "HS Current N" };
        return val;
    }
    if (currentRegister < 21008) {
        val = (PM8000RegType){ 21008, 2,  "FLOAT32",  "HS Current G" };
        return val;
    }
    if (currentRegister < 21010) {
        val = (PM8000RegType){ 21010, 2,  "FLOAT32",  "HS Current Avg" };
        return val;
    }
    if (currentRegister < 21016) {
        val = (PM8000RegType){ 21016, 2,  "FLOAT32",  "HS Frequency" };
        return val;
    }
    if (currentRegister < 21018) {
        val = (PM8000RegType){ 21018, 2,  "FLOAT32",  "HS Voltage, A-B " };
        return val;
    }
    if (currentRegister < 21020) {
        val = (PM8000RegType){ 21020, 2,  "FLOAT32",  "HS Voltage, B-C " };
        return val;
    }
    if (currentRegister < 21022) {
        val = (PM8000RegType){ 21022, 2,  "FLOAT32",  "HS Voltage, C-A " };
        return val;
    }
    if (currentRegister < 21024) {
        val = (PM8000RegType){ 21024, 2,  "FLOAT32",  "HS Voltage, L-L Average " };
        return val;
    }
    if (currentRegister < 21026) {
        val = (PM8000RegType){ 21026, 2,  "FLOAT32",  "HS Voltage, A-N " };
        return val;
    }
    if (currentRegister < 21028) {
        val = (PM8000RegType){ 21028, 2,  "FLOAT32",  "HS Voltage, B-N " };
        return val;
    }
    if (currentRegister < 21030) {
        val = (PM8000RegType){ 21030, 2,  "FLOAT32",  "HS Voltage, C-N " };
        return val;
    }
    if (currentRegister < 21034) {
        val = (PM8000RegType){ 21034, 2,  "FLOAT32",  "HS Voltage, L-N Average " };
        return val;
    }
    if (currentRegister < 21036) {
        val = (PM8000RegType){ 21036, 2,  "FLOAT32",  "Current Unbalance Worst" };
        return val;
    }
    if (currentRegister < 21038) {
        val = (PM8000RegType){ 21038, 2,  "FLOAT32",  "Voltage Unbalance Worst" };
        return val;
    }
    if (currentRegister < 21040) {
        val = (PM8000RegType){ 21040, 2,  "FLOAT32",  "HS Active Power A" };
        return val;
    }
    if (currentRegister < 21042) {
        val = (PM8000RegType){ 21042, 2,  "FLOAT32",  "HS Active Power B" };
        return val;
    }
    if (currentRegister < 21044) {
        val = (PM8000RegType){ 21044, 2,  "FLOAT32",  "HS Active Power C" };
        return val;
    }
    if (currentRegister < 21046) {
        val = (PM8000RegType){ 21046, 2,  "FLOAT32",  "HS Active Power Total" };
        return val;
    }
    if (currentRegister < 21048) {
        val = (PM8000RegType){ 21048, 2,  "FLOAT32",  "HS Reactive Power A" };
        return val;
    }
    if (currentRegister < 21050) {
        val = (PM8000RegType){ 21050, 2,  "FLOAT32",  "HS Reactive Power B" };
        return val;
    }
    if (currentRegister < 21052) {
        val = (PM8000RegType){ 21052, 2,  "FLOAT32",  "HS Reactive Power C" };
        return val;
    }
    if (currentRegister < 21054) {
        val = (PM8000RegType){ 21054, 2,  "FLOAT32",  "HS Reactive Power Total" };
        return val;
    }
    if (currentRegister < 21056) {
        val = (PM8000RegType){ 21056, 2,  "FLOAT32",  "HS Apparent Power A" };
        return val;
    }
    if (currentRegister < 21058) {
        val = (PM8000RegType){ 21058, 2,  "FLOAT32",  "HS Apparent Power B" };
        return val;
    }
    if (currentRegister < 21060) {
        val = (PM8000RegType){ 21060, 2,  "FLOAT32",  "HS Apparent Power C" };
        return val;
    }
    if (currentRegister < 21062) {
        val = (PM8000RegType){ 21062, 2,  "FLOAT32",  "HS Apparent Power Total" };
        return val;
    }
    if (currentRegister < 21064) {
        val = (PM8000RegType){ 21064, 2,  "FLOAT32",  "HS Power Factor A" };
        return val;
    }
    if (currentRegister < 21066) {
        val = (PM8000RegType){ 21066, 2,  "FLOAT32",  "HS Power Factor B" };
        return val;
    }
    if (currentRegister < 21068) {
        val = (PM8000RegType){ 21068, 2,  "FLOAT32",  "HS Power Factor C" };
        return val;
    }
    if (currentRegister < 21070) {
        val = (PM8000RegType){ 21070, 2,  "FLOAT32",  "HS Power Factor Total" };
        return val;
    }
    if (currentRegister < 21072) {
        val = (PM8000RegType){ 21072, 2,  "FLOAT32",  "HS Power Factor A Lagging" };
        return val;
    }
    if (currentRegister < 21074) {
        val = (PM8000RegType){ 21074, 2,  "FLOAT32",  "HS Power Factor A Leading" };
        return val;
    }
    if (currentRegister < 21076) {
        val = (PM8000RegType){ 21076, 2,  "FLOAT32",  "HS Power Factor B Lagging" };
        return val;
    }
    if (currentRegister < 21078) {
        val = (PM8000RegType){ 21078, 2,  "FLOAT32",  "HS Power Factor B Leading" };
        return val;
    }
    if (currentRegister < 21080) {
        val = (PM8000RegType){ 21080, 2,  "FLOAT32",  "HS Power Factor C Lagging" };
        return val;
    }
    if (currentRegister < 21082) {
        val = (PM8000RegType){ 21082, 2,  "FLOAT32",  "HS Power Factor C Leading" };
        return val;
    }
    if (currentRegister < 21084) {
        val = (PM8000RegType){ 21084, 2,  "FLOAT32",  "HS Power Factor Lagging" };
        return val;
    }
    if (currentRegister < 21086) {
        val = (PM8000RegType){ 21086, 2,  "FLOAT32",  "HS Power Factor Leading" };
        return val;
    }
    if (currentRegister < 21300) {
        val = (PM8000RegType){ 21300, 2,  "FLOAT32",  "THD Current A" };
        return val;
    }
    if (currentRegister < 21302) {
        val = (PM8000RegType){ 21302, 2,  "FLOAT32",  "THD Current B" };
        return val;
    }
    if (currentRegister < 21304) {
        val = (PM8000RegType){ 21304, 2,  "FLOAT32",  "THD Current C" };
        return val;
    }
    if (currentRegister < 21306) {
        val = (PM8000RegType){ 21306, 2,  "FLOAT32",  "THD Current N" };
        return val;
    }
    if (currentRegister < 21330) {
        val = (PM8000RegType){ 21330, 2,  "FLOAT32",  "THD Voltage A-N" };
        return val;
    }
    if (currentRegister < 21332) {
        val = (PM8000RegType){ 21332, 2,  "FLOAT32",  "THD Voltage B-N" };
        return val;
    }
    if (currentRegister < 21334) {
        val = (PM8000RegType){ 21334, 2,  "FLOAT32",  "THD Voltage C-N" };
        return val;
    }
    if (currentRegister < 21358) {
        val = (PM8000RegType){ 21358, 2,  "FLOAT32",  "K-Factor A" };
        return val;
    }
    if (currentRegister < 21360) {
        val = (PM8000RegType){ 21360, 2,  "FLOAT32",  "K-Factor B" };
        return val;
    }
    if (currentRegister < 21362) {
        val = (PM8000RegType){ 21362, 2,  "FLOAT32",  "K-Factor C" };
        return val;
    }
    if (currentRegister < 21364) {
        val = (PM8000RegType){ 21364, 2,  "FLOAT32",  "Crest Factor A" };
        return val;
    }
    if (currentRegister < 21366) {
        val = (PM8000RegType){ 21366, 2,  "FLOAT32",  "Crest Factor B" };
        return val;
    }
    if (currentRegister < 21368) {
        val = (PM8000RegType){ 21368, 2,  "FLOAT32",  "Crest Factor C" };
        return val;
    }
    if (currentRegister < 21370) {
        val = (PM8000RegType){ 21370, 2,  "FLOAT32",  "Crest Factor N" };
        return val;
    }
    if (currentRegister < 21432) {
        val = (PM8000RegType){ 21432, 2,  "FLOAT32",  "Total Cap HD Current A" };
        return val;
    }
    if (currentRegister < 21434) {
        val = (PM8000RegType){ 21434, 2,  "FLOAT32",  "Total Ind HD Current A" };
        return val;
    }
    if (currentRegister < 21436) {
        val = (PM8000RegType){ 21436, 2,  "FLOAT32",  "Total Cap HD Current B" };
        return val;
    }
    if (currentRegister < 21438) {
        val = (PM8000RegType){ 21438, 2,  "FLOAT32",  "Total Ind HD Current B" };
        return val;
    }
    if (currentRegister < 21440) {
        val = (PM8000RegType){ 21440, 2,  "FLOAT32",  "Total Cap HD Current C" };
        return val;
    }
    if (currentRegister < 21442) {
        val = (PM8000RegType){ 21442, 2,  "FLOAT32",  "Total Ind HD Current C" };
        return val;
    }
    if (currentRegister < 21444) {
        val = (PM8000RegType){ 21444, 2,  "FLOAT32",  "Total Cap HD Current N" };
        return val;
    }
    if (currentRegister < 21446) {
        val = (PM8000RegType){ 21446, 2,  "FLOAT32",  "Total Ind HD Current N" };
        return val;
    }
    if (currentRegister < 21452) {
        val = (PM8000RegType){ 21452, 2,  "FLOAT32",  "Total Cap HD Voltage A" };
        return val;
    }
    if (currentRegister < 21454) {
        val = (PM8000RegType){ 21454, 2,  "FLOAT32",  "Total Ind HD Voltage A" };
        return val;
    }
    if (currentRegister < 21456) {
        val = (PM8000RegType){ 21456, 2,  "FLOAT32",  "Total Cap HD Voltage B" };
        return val;
    }
    if (currentRegister < 21458) {
        val = (PM8000RegType){ 21458, 2,  "FLOAT32",  "Total Ind HD Voltage B" };
        return val;
    }
    if (currentRegister < 21460) {
        val = (PM8000RegType){ 21460, 2,  "FLOAT32",  "Total Cap HD Voltage C" };
        return val;
    }
    if (currentRegister < 21462) {
        val = (PM8000RegType){ 21462, 2,  "FLOAT32",  "Total Ind HD Voltage C" };
        return val;
    }
    if (currentRegister < 21464) {
        val = (PM8000RegType){ 21464, 2,  "FLOAT32",  "Total Even HD Current A" };
        return val;
    }
    if (currentRegister < 21466) {
        val = (PM8000RegType){ 21466, 2,  "FLOAT32",  "Total Odd HD Current A" };
        return val;
    }
    if (currentRegister < 21468) {
        val = (PM8000RegType){ 21468, 2,  "FLOAT32",  "Total Even HD Current B" };
        return val;
    }
    if (currentRegister < 21470) {
        val = (PM8000RegType){ 21470, 2,  "FLOAT32",  "Total Odd HD Current B" };
        return val;
    }
    if (currentRegister < 21472) {
        val = (PM8000RegType){ 21472, 2,  "FLOAT32",  "Total Even HD Current C" };
        return val;
    }
    if (currentRegister < 21474) {
        val = (PM8000RegType){ 21474, 2,  "FLOAT32",  "Total Odd HD Current C" };
        return val;
    }
    if (currentRegister < 21476) {
        val = (PM8000RegType){ 21476, 2,  "FLOAT32",  "Total Even HD Current N" };
        return val;
    }
    if (currentRegister < 21478) {
        val = (PM8000RegType){ 21478, 2,  "FLOAT32",  "Total Odd HD Current N" };
        return val;
    }
    if (currentRegister < 21484) {
        val = (PM8000RegType){ 21484, 2,  "FLOAT32",  "Total Even HD Voltage A" };
        return val;
    }
    if (currentRegister < 21486) {
        val = (PM8000RegType){ 21486, 2,  "FLOAT32",  "Total Odd HD Voltage A" };
        return val;
    }
    if (currentRegister < 21488) {
        val = (PM8000RegType){ 21488, 2,  "FLOAT32",  "Total Even HD Voltage B" };
        return val;
    }
    if (currentRegister < 21490) {
        val = (PM8000RegType){ 21490, 2,  "FLOAT32",  "Total Odd HD Voltage B" };
        return val;
    }
    if (currentRegister < 21492) {
        val = (PM8000RegType){ 21492, 2,  "FLOAT32",  "Total Even HD Voltage C" };
        return val;
    }
    if (currentRegister < 21494) {
        val = (PM8000RegType){ 21494, 2,  "FLOAT32",  "Total Odd HD Voltage C" };
        return val;
    }
    if (currentRegister < 21598) {
        val = (PM8000RegType){ 21598, 2,  "FLOAT32",  "Current, Positive Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 21600) {
        val = (PM8000RegType){ 21600, 2,  "FLOAT32",  "Current, Positive Sequence, Angle" };
        return val;
    }
    if (currentRegister < 21602) {
        val = (PM8000RegType){ 21602, 2,  "FLOAT32",  "Current, Negative Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 21604) {
        val = (PM8000RegType){ 21604, 2,  "FLOAT32",  "Current, Negative Sequence, Angle" };
        return val;
    }
    if (currentRegister < 21606) {
        val = (PM8000RegType){ 21606, 2,  "FLOAT32",  "Current, Zero Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 21608) {
        val = (PM8000RegType){ 21608, 2,  "FLOAT32",  "Current, Zero Sequence, Angle" };
        return val;
    }
    if (currentRegister < 21610) {
        val = (PM8000RegType){ 21610, 2,  "FLOAT32",  "Voltage, Positive Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 21612) {
        val = (PM8000RegType){ 21612, 2,  "FLOAT32",  "Voltage, Positive Sequence, Angle" };
        return val;
    }
    if (currentRegister < 21614) {
        val = (PM8000RegType){ 21614, 2,  "FLOAT32",  "Voltage, Negative Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 21616) {
        val = (PM8000RegType){ 21616, 2,  "FLOAT32",  "Voltage, Negative Sequence, Angle" };
        return val;
    }
    if (currentRegister < 21618) {
        val = (PM8000RegType){ 21618, 2,  "FLOAT32",  "Voltage, Zero Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 21620) {
        val = (PM8000RegType){ 21620, 2,  "FLOAT32",  "Voltage, Zero Sequence, Angle" };
        return val;
    }
    if (currentRegister < 21678) {
        val = (PM8000RegType){ 21678, 2,  "FLOAT32",  "K-Factor N" };
        return val;
    }
    if (currentRegister < 22878) {
        val = (PM8000RegType){ 22878, 2,  "FLOAT32",  "Voltage A-N, H1 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22880) {
        val = (PM8000RegType){ 22880, 2,  "FLOAT32",  "Voltage A-N, H1 Angle" };
        return val;
    }
    if (currentRegister < 22884) {
        val = (PM8000RegType){ 22884, 2,  "FLOAT32",  "Voltage A-N, H2 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22886) {
        val = (PM8000RegType){ 22886, 2,  "FLOAT32",  "Voltage A-N, H2 Angle" };
        return val;
    }
    if (currentRegister < 22890) {
        val = (PM8000RegType){ 22890, 2,  "FLOAT32",  "Voltage A-N, H3 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22892) {
        val = (PM8000RegType){ 22892, 2,  "FLOAT32",  "Voltage A-N, H3 Angle" };
        return val;
    }
    if (currentRegister < 22896) {
        val = (PM8000RegType){ 22896, 2,  "FLOAT32",  "Voltage A-N, H4 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22898) {
        val = (PM8000RegType){ 22898, 2,  "FLOAT32",  "Voltage A-N, H4 Angle" };
        return val;
    }
    if (currentRegister < 22902) {
        val = (PM8000RegType){ 22902, 2,  "FLOAT32",  "Voltage A-N, H5 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22904) {
        val = (PM8000RegType){ 22904, 2,  "FLOAT32",  "Voltage A-N, H5 Angle" };
        return val;
    }
    if (currentRegister < 22908) {
        val = (PM8000RegType){ 22908, 2,  "FLOAT32",  "Voltage A-N, H6 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22910) {
        val = (PM8000RegType){ 22910, 2,  "FLOAT32",  "Voltage A-N, H6 Angle" };
        return val;
    }
    if (currentRegister < 22914) {
        val = (PM8000RegType){ 22914, 2,  "FLOAT32",  "Voltage A-N, H7 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22916) {
        val = (PM8000RegType){ 22916, 2,  "FLOAT32",  "Voltage A-N, H7 Angle" };
        return val;
    }
    if (currentRegister < 22920) {
        val = (PM8000RegType){ 22920, 2,  "FLOAT32",  "Voltage A-N, H8 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22922) {
        val = (PM8000RegType){ 22922, 2,  "FLOAT32",  "Voltage A-N, H8 Angle" };
        return val;
    }
    if (currentRegister < 22926) {
        val = (PM8000RegType){ 22926, 2,  "FLOAT32",  "Voltage A-N, H9 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22928) {
        val = (PM8000RegType){ 22928, 2,  "FLOAT32",  "Voltage A-N, H9 Angle" };
        return val;
    }
    if (currentRegister < 22932) {
        val = (PM8000RegType){ 22932, 2,  "FLOAT32",  "Voltage A-N, H10 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22934) {
        val = (PM8000RegType){ 22934, 2,  "FLOAT32",  "Voltage A-N, H10 Angle" };
        return val;
    }
    if (currentRegister < 22938) {
        val = (PM8000RegType){ 22938, 2,  "FLOAT32",  "Voltage A-N, H11 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22940) {
        val = (PM8000RegType){ 22940, 2,  "FLOAT32",  "Voltage A-N, H11 Angle" };
        return val;
    }
    if (currentRegister < 22944) {
        val = (PM8000RegType){ 22944, 2,  "FLOAT32",  "Voltage A-N, H12 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22946) {
        val = (PM8000RegType){ 22946, 2,  "FLOAT32",  "Voltage A-N, H12 Angle" };
        return val;
    }
    if (currentRegister < 22950) {
        val = (PM8000RegType){ 22950, 2,  "FLOAT32",  "Voltage A-N, H13 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22952) {
        val = (PM8000RegType){ 22952, 2,  "FLOAT32",  "Voltage A-N, H13 Angle" };
        return val;
    }
    if (currentRegister < 22956) {
        val = (PM8000RegType){ 22956, 2,  "FLOAT32",  "Voltage A-N, H14 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22958) {
        val = (PM8000RegType){ 22958, 2,  "FLOAT32",  "Voltage A-N, H14 Angle" };
        return val;
    }
    if (currentRegister < 22962) {
        val = (PM8000RegType){ 22962, 2,  "FLOAT32",  "Voltage A-N, H15 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22964) {
        val = (PM8000RegType){ 22964, 2,  "FLOAT32",  "Voltage A-N, H15 Angle" };
        return val;
    }
    if (currentRegister < 22968) {
        val = (PM8000RegType){ 22968, 2,  "FLOAT32",  "Voltage A-N, H16 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22970) {
        val = (PM8000RegType){ 22970, 2,  "FLOAT32",  "Voltage A-N, H16 Angle" };
        return val;
    }
    if (currentRegister < 22974) {
        val = (PM8000RegType){ 22974, 2,  "FLOAT32",  "Voltage A-N, H17 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22976) {
        val = (PM8000RegType){ 22976, 2,  "FLOAT32",  "Voltage A-N, H17 Angle" };
        return val;
    }
    if (currentRegister < 22980) {
        val = (PM8000RegType){ 22980, 2,  "FLOAT32",  "Voltage A-N, H18 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22982) {
        val = (PM8000RegType){ 22982, 2,  "FLOAT32",  "Voltage A-N, H18 Angle" };
        return val;
    }
    if (currentRegister < 22986) {
        val = (PM8000RegType){ 22986, 2,  "FLOAT32",  "Voltage A-N, H19 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22988) {
        val = (PM8000RegType){ 22988, 2,  "FLOAT32",  "Voltage A-N, H19 Angle" };
        return val;
    }
    if (currentRegister < 22992) {
        val = (PM8000RegType){ 22992, 2,  "FLOAT32",  "Voltage A-N, H20 Magnitude, V" };
        return val;
    }
    if (currentRegister < 22994) {
        val = (PM8000RegType){ 22994, 2,  "FLOAT32",  "Voltage A-N, H20 Angle" };
        return val;
    }
    if (currentRegister < 22998) {
        val = (PM8000RegType){ 22998, 2,  "FLOAT32",  "Voltage A-N, H21 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23000) {
        val = (PM8000RegType){ 23000, 2,  "FLOAT32",  "Voltage A-N, H21 Angle" };
        return val;
    }
    if (currentRegister < 23004) {
        val = (PM8000RegType){ 23004, 2,  "FLOAT32",  "Voltage A-N, H22 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23006) {
        val = (PM8000RegType){ 23006, 2,  "FLOAT32",  "Voltage A-N, H22 Angle" };
        return val;
    }
    if (currentRegister < 23010) {
        val = (PM8000RegType){ 23010, 2,  "FLOAT32",  "Voltage A-N, H23 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23012) {
        val = (PM8000RegType){ 23012, 2,  "FLOAT32",  "Voltage A-N, H23 Angle" };
        return val;
    }
    if (currentRegister < 23016) {
        val = (PM8000RegType){ 23016, 2,  "FLOAT32",  "Voltage A-N, H24 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23018) {
        val = (PM8000RegType){ 23018, 2,  "FLOAT32",  "Voltage A-N, H24 Angle" };
        return val;
    }
    if (currentRegister < 23022) {
        val = (PM8000RegType){ 23022, 2,  "FLOAT32",  "Voltage A-N, H25 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23024) {
        val = (PM8000RegType){ 23024, 2,  "FLOAT32",  "Voltage A-N, H25 Angle" };
        return val;
    }
    if (currentRegister < 23028) {
        val = (PM8000RegType){ 23028, 2,  "FLOAT32",  "Voltage A-N, H26 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23030) {
        val = (PM8000RegType){ 23030, 2,  "FLOAT32",  "Voltage A-N, H26 Angle" };
        return val;
    }
    if (currentRegister < 23034) {
        val = (PM8000RegType){ 23034, 2,  "FLOAT32",  "Voltage A-N, H27 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23036) {
        val = (PM8000RegType){ 23036, 2,  "FLOAT32",  "Voltage A-N, H27 Angle" };
        return val;
    }
    if (currentRegister < 23040) {
        val = (PM8000RegType){ 23040, 2,  "FLOAT32",  "Voltage A-N, H28 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23042) {
        val = (PM8000RegType){ 23042, 2,  "FLOAT32",  "Voltage A-N, H28 Angle" };
        return val;
    }
    if (currentRegister < 23046) {
        val = (PM8000RegType){ 23046, 2,  "FLOAT32",  "Voltage A-N, H29 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23048) {
        val = (PM8000RegType){ 23048, 2,  "FLOAT32",  "Voltage A-N, H29 Angle" };
        return val;
    }
    if (currentRegister < 23052) {
        val = (PM8000RegType){ 23052, 2,  "FLOAT32",  "Voltage A-N, H30 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23054) {
        val = (PM8000RegType){ 23054, 2,  "FLOAT32",  "Voltage A-N, H30 Angle" };
        return val;
    }
    if (currentRegister < 23058) {
        val = (PM8000RegType){ 23058, 2,  "FLOAT32",  "Voltage A-N, H31 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23060) {
        val = (PM8000RegType){ 23060, 2,  "FLOAT32",  "Voltage A-N, H31 Angle" };
        return val;
    }
    if (currentRegister < 23064) {
        val = (PM8000RegType){ 23064, 2,  "FLOAT32",  "Voltage A-N, H32 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23066) {
        val = (PM8000RegType){ 23066, 2,  "FLOAT32",  "Voltage A-N, H32 Angle" };
        return val;
    }
    if (currentRegister < 23070) {
        val = (PM8000RegType){ 23070, 2,  "FLOAT32",  "Voltage A-N, H33 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23072) {
        val = (PM8000RegType){ 23072, 2,  "FLOAT32",  "Voltage A-N, H33 Angle" };
        return val;
    }
    if (currentRegister < 23076) {
        val = (PM8000RegType){ 23076, 2,  "FLOAT32",  "Voltage A-N, H34 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23078) {
        val = (PM8000RegType){ 23078, 2,  "FLOAT32",  "Voltage A-N, H34 Angle" };
        return val;
    }
    if (currentRegister < 23082) {
        val = (PM8000RegType){ 23082, 2,  "FLOAT32",  "Voltage A-N, H35 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23084) {
        val = (PM8000RegType){ 23084, 2,  "FLOAT32",  "Voltage A-N, H35 Angle" };
        return val;
    }
    if (currentRegister < 23088) {
        val = (PM8000RegType){ 23088, 2,  "FLOAT32",  "Voltage A-N, H36 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23090) {
        val = (PM8000RegType){ 23090, 2,  "FLOAT32",  "Voltage A-N, H36 Angle" };
        return val;
    }
    if (currentRegister < 23094) {
        val = (PM8000RegType){ 23094, 2,  "FLOAT32",  "Voltage A-N, H37 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23096) {
        val = (PM8000RegType){ 23096, 2,  "FLOAT32",  "Voltage A-N, H37 Angle" };
        return val;
    }
    if (currentRegister < 23100) {
        val = (PM8000RegType){ 23100, 2,  "FLOAT32",  "Voltage A-N, H38 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23102) {
        val = (PM8000RegType){ 23102, 2,  "FLOAT32",  "Voltage A-N, H38 Angle" };
        return val;
    }
    if (currentRegister < 23106) {
        val = (PM8000RegType){ 23106, 2,  "FLOAT32",  "Voltage A-N, H39 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23108) {
        val = (PM8000RegType){ 23108, 2,  "FLOAT32",  "Voltage A-N, H39 Angle" };
        return val;
    }
    if (currentRegister < 23112) {
        val = (PM8000RegType){ 23112, 2,  "FLOAT32",  "Voltage A-N, H40 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23114) {
        val = (PM8000RegType){ 23114, 2,  "FLOAT32",  "Voltage A-N, H40 Angle" };
        return val;
    }
    if (currentRegister < 23118) {
        val = (PM8000RegType){ 23118, 2,  "FLOAT32",  "Voltage A-N, H41 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23120) {
        val = (PM8000RegType){ 23120, 2,  "FLOAT32",  "Voltage A-N, H41 Angle" };
        return val;
    }
    if (currentRegister < 23124) {
        val = (PM8000RegType){ 23124, 2,  "FLOAT32",  "Voltage A-N, H42 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23126) {
        val = (PM8000RegType){ 23126, 2,  "FLOAT32",  "Voltage A-N, H42 Angle" };
        return val;
    }
    if (currentRegister < 23130) {
        val = (PM8000RegType){ 23130, 2,  "FLOAT32",  "Voltage A-N, H43 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23132) {
        val = (PM8000RegType){ 23132, 2,  "FLOAT32",  "Voltage A-N, H43 Angle" };
        return val;
    }
    if (currentRegister < 23136) {
        val = (PM8000RegType){ 23136, 2,  "FLOAT32",  "Voltage A-N, H44 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23138) {
        val = (PM8000RegType){ 23138, 2,  "FLOAT32",  "Voltage A-N, H44 Angle" };
        return val;
    }
    if (currentRegister < 23142) {
        val = (PM8000RegType){ 23142, 2,  "FLOAT32",  "Voltage A-N, H45 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23144) {
        val = (PM8000RegType){ 23144, 2,  "FLOAT32",  "Voltage A-N, H45 Angle" };
        return val;
    }
    if (currentRegister < 23148) {
        val = (PM8000RegType){ 23148, 2,  "FLOAT32",  "Voltage A-N, H46 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23150) {
        val = (PM8000RegType){ 23150, 2,  "FLOAT32",  "Voltage A-N, H46 Angle" };
        return val;
    }
    if (currentRegister < 23154) {
        val = (PM8000RegType){ 23154, 2,  "FLOAT32",  "Voltage A-N, H47 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23156) {
        val = (PM8000RegType){ 23156, 2,  "FLOAT32",  "Voltage A-N, H47 Angle" };
        return val;
    }
    if (currentRegister < 23160) {
        val = (PM8000RegType){ 23160, 2,  "FLOAT32",  "Voltage A-N, H48 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23162) {
        val = (PM8000RegType){ 23162, 2,  "FLOAT32",  "Voltage A-N, H48 Angle" };
        return val;
    }
    if (currentRegister < 23166) {
        val = (PM8000RegType){ 23166, 2,  "FLOAT32",  "Voltage A-N, H49 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23168) {
        val = (PM8000RegType){ 23168, 2,  "FLOAT32",  "Voltage A-N, H49 Angle" };
        return val;
    }
    if (currentRegister < 23172) {
        val = (PM8000RegType){ 23172, 2,  "FLOAT32",  "Voltage A-N, H50 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23174) {
        val = (PM8000RegType){ 23174, 2,  "FLOAT32",  "Voltage A-N, H50 Angle" };
        return val;
    }
    if (currentRegister < 23178) {
        val = (PM8000RegType){ 23178, 2,  "FLOAT32",  "Voltage A-N, H51 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23180) {
        val = (PM8000RegType){ 23180, 2,  "FLOAT32",  "Voltage A-N, H51 Angle" };
        return val;
    }
    if (currentRegister < 23184) {
        val = (PM8000RegType){ 23184, 2,  "FLOAT32",  "Voltage A-N, H52 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23186) {
        val = (PM8000RegType){ 23186, 2,  "FLOAT32",  "Voltage A-N, H52 Angle" };
        return val;
    }
    if (currentRegister < 23190) {
        val = (PM8000RegType){ 23190, 2,  "FLOAT32",  "Voltage A-N, H53 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23192) {
        val = (PM8000RegType){ 23192, 2,  "FLOAT32",  "Voltage A-N, H53 Angle" };
        return val;
    }
    if (currentRegister < 23196) {
        val = (PM8000RegType){ 23196, 2,  "FLOAT32",  "Voltage A-N, H54 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23198) {
        val = (PM8000RegType){ 23198, 2,  "FLOAT32",  "Voltage A-N, H54 Angle" };
        return val;
    }
    if (currentRegister < 23202) {
        val = (PM8000RegType){ 23202, 2,  "FLOAT32",  "Voltage A-N, H55 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23204) {
        val = (PM8000RegType){ 23204, 2,  "FLOAT32",  "Voltage A-N, H55 Angle" };
        return val;
    }
    if (currentRegister < 23208) {
        val = (PM8000RegType){ 23208, 2,  "FLOAT32",  "Voltage A-N, H56 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23210) {
        val = (PM8000RegType){ 23210, 2,  "FLOAT32",  "Voltage A-N, H56 Angle" };
        return val;
    }
    if (currentRegister < 23214) {
        val = (PM8000RegType){ 23214, 2,  "FLOAT32",  "Voltage A-N, H57 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23216) {
        val = (PM8000RegType){ 23216, 2,  "FLOAT32",  "Voltage A-N, H57 Angle" };
        return val;
    }
    if (currentRegister < 23220) {
        val = (PM8000RegType){ 23220, 2,  "FLOAT32",  "Voltage A-N, H58 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23222) {
        val = (PM8000RegType){ 23222, 2,  "FLOAT32",  "Voltage A-N, H58 Angle" };
        return val;
    }
    if (currentRegister < 23226) {
        val = (PM8000RegType){ 23226, 2,  "FLOAT32",  "Voltage A-N, H59 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23228) {
        val = (PM8000RegType){ 23228, 2,  "FLOAT32",  "Voltage A-N, H59 Angle" };
        return val;
    }
    if (currentRegister < 23232) {
        val = (PM8000RegType){ 23232, 2,  "FLOAT32",  "Voltage A-N, H60 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23234) {
        val = (PM8000RegType){ 23234, 2,  "FLOAT32",  "Voltage A-N, H60 Angle" };
        return val;
    }
    if (currentRegister < 23238) {
        val = (PM8000RegType){ 23238, 2,  "FLOAT32",  "Voltage A-N, H61 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23240) {
        val = (PM8000RegType){ 23240, 2,  "FLOAT32",  "Voltage A-N, H61 Angle" };
        return val;
    }
    if (currentRegister < 23244) {
        val = (PM8000RegType){ 23244, 2,  "FLOAT32",  "Voltage A-N, H62 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23246) {
        val = (PM8000RegType){ 23246, 2,  "FLOAT32",  "Voltage A-N, H62 Angle" };
        return val;
    }
    if (currentRegister < 23250) {
        val = (PM8000RegType){ 23250, 2,  "FLOAT32",  "Voltage A-N, H63 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23252) {
        val = (PM8000RegType){ 23252, 2,  "FLOAT32",  "Voltage A-N, H63 Angle" };
        return val;
    }
    if (currentRegister < 23266) {
        val = (PM8000RegType){ 23266, 2,  "FLOAT32",  "Voltage B-N, H1 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23268) {
        val = (PM8000RegType){ 23268, 2,  "FLOAT32",  "Voltage B-N, H1 Angle" };
        return val;
    }
    if (currentRegister < 23272) {
        val = (PM8000RegType){ 23272, 2,  "FLOAT32",  "Voltage B-N, H2 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23274) {
        val = (PM8000RegType){ 23274, 2,  "FLOAT32",  "Voltage B-N, H2 Angle" };
        return val;
    }
    if (currentRegister < 23278) {
        val = (PM8000RegType){ 23278, 2,  "FLOAT32",  "Voltage B-N, H3 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23280) {
        val = (PM8000RegType){ 23280, 2,  "FLOAT32",  "Voltage B-N, H3 Angle" };
        return val;
    }
    if (currentRegister < 23284) {
        val = (PM8000RegType){ 23284, 2,  "FLOAT32",  "Voltage B-N, H4 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23286) {
        val = (PM8000RegType){ 23286, 2,  "FLOAT32",  "Voltage B-N, H4 Angle" };
        return val;
    }
    if (currentRegister < 23290) {
        val = (PM8000RegType){ 23290, 2,  "FLOAT32",  "Voltage B-N, H5 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23292) {
        val = (PM8000RegType){ 23292, 2,  "FLOAT32",  "Voltage B-N, H5 Angle" };
        return val;
    }
    if (currentRegister < 23296) {
        val = (PM8000RegType){ 23296, 2,  "FLOAT32",  "Voltage B-N, H6 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23298) {
        val = (PM8000RegType){ 23298, 2,  "FLOAT32",  "Voltage B-N, H6 Angle" };
        return val;
    }
    if (currentRegister < 23302) {
        val = (PM8000RegType){ 23302, 2,  "FLOAT32",  "Voltage B-N, H7 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23304) {
        val = (PM8000RegType){ 23304, 2,  "FLOAT32",  "Voltage B-N, H7 Angle" };
        return val;
    }
    if (currentRegister < 23308) {
        val = (PM8000RegType){ 23308, 2,  "FLOAT32",  "Voltage B-N, H8 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23310) {
        val = (PM8000RegType){ 23310, 2,  "FLOAT32",  "Voltage B-N, H8 Angle" };
        return val;
    }
    if (currentRegister < 23314) {
        val = (PM8000RegType){ 23314, 2,  "FLOAT32",  "Voltage B-N, H9 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23316) {
        val = (PM8000RegType){ 23316, 2,  "FLOAT32",  "Voltage B-N, H9 Angle" };
        return val;
    }
    if (currentRegister < 23320) {
        val = (PM8000RegType){ 23320, 2,  "FLOAT32",  "Voltage B-N, H10 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23322) {
        val = (PM8000RegType){ 23322, 2,  "FLOAT32",  "Voltage B-N, H10 Angle" };
        return val;
    }
    if (currentRegister < 23326) {
        val = (PM8000RegType){ 23326, 2,  "FLOAT32",  "Voltage B-N, H11 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23328) {
        val = (PM8000RegType){ 23328, 2,  "FLOAT32",  "Voltage B-N, H11 Angle" };
        return val;
    }
    if (currentRegister < 23332) {
        val = (PM8000RegType){ 23332, 2,  "FLOAT32",  "Voltage B-N, H12 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23334) {
        val = (PM8000RegType){ 23334, 2,  "FLOAT32",  "Voltage B-N, H12 Angle" };
        return val;
    }
    if (currentRegister < 23338) {
        val = (PM8000RegType){ 23338, 2,  "FLOAT32",  "Voltage B-N, H13 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23340) {
        val = (PM8000RegType){ 23340, 2,  "FLOAT32",  "Voltage B-N, H13 Angle" };
        return val;
    }
    if (currentRegister < 23344) {
        val = (PM8000RegType){ 23344, 2,  "FLOAT32",  "Voltage B-N, H14 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23346) {
        val = (PM8000RegType){ 23346, 2,  "FLOAT32",  "Voltage B-N, H14 Angle" };
        return val;
    }
    if (currentRegister < 23350) {
        val = (PM8000RegType){ 23350, 2,  "FLOAT32",  "Voltage B-N, H15 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23352) {
        val = (PM8000RegType){ 23352, 2,  "FLOAT32",  "Voltage B-N, H15 Angle" };
        return val;
    }
    if (currentRegister < 23356) {
        val = (PM8000RegType){ 23356, 2,  "FLOAT32",  "Voltage B-N, H16 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23358) {
        val = (PM8000RegType){ 23358, 2,  "FLOAT32",  "Voltage B-N, H16 Angle" };
        return val;
    }
    if (currentRegister < 23362) {
        val = (PM8000RegType){ 23362, 2,  "FLOAT32",  "Voltage B-N, H17 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23364) {
        val = (PM8000RegType){ 23364, 2,  "FLOAT32",  "Voltage B-N, H17 Angle" };
        return val;
    }
    if (currentRegister < 23368) {
        val = (PM8000RegType){ 23368, 2,  "FLOAT32",  "Voltage B-N, H18 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23370) {
        val = (PM8000RegType){ 23370, 2,  "FLOAT32",  "Voltage B-N, H18 Angle" };
        return val;
    }
    if (currentRegister < 23374) {
        val = (PM8000RegType){ 23374, 2,  "FLOAT32",  "Voltage B-N, H19 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23376) {
        val = (PM8000RegType){ 23376, 2,  "FLOAT32",  "Voltage B-N, H19 Angle" };
        return val;
    }
    if (currentRegister < 23380) {
        val = (PM8000RegType){ 23380, 2,  "FLOAT32",  "Voltage B-N, H20 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23382) {
        val = (PM8000RegType){ 23382, 2,  "FLOAT32",  "Voltage B-N, H20 Angle" };
        return val;
    }
    if (currentRegister < 23386) {
        val = (PM8000RegType){ 23386, 2,  "FLOAT32",  "Voltage B-N, H21 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23388) {
        val = (PM8000RegType){ 23388, 2,  "FLOAT32",  "Voltage B-N, H21 Angle" };
        return val;
    }
    if (currentRegister < 23392) {
        val = (PM8000RegType){ 23392, 2,  "FLOAT32",  "Voltage B-N, H22 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23394) {
        val = (PM8000RegType){ 23394, 2,  "FLOAT32",  "Voltage B-N, H22 Angle" };
        return val;
    }
    if (currentRegister < 23398) {
        val = (PM8000RegType){ 23398, 2,  "FLOAT32",  "Voltage B-N, H23 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23400) {
        val = (PM8000RegType){ 23400, 2,  "FLOAT32",  "Voltage B-N, H23 Angle" };
        return val;
    }
    if (currentRegister < 23404) {
        val = (PM8000RegType){ 23404, 2,  "FLOAT32",  "Voltage B-N, H24 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23406) {
        val = (PM8000RegType){ 23406, 2,  "FLOAT32",  "Voltage B-N, H24 Angle" };
        return val;
    }
    if (currentRegister < 23410) {
        val = (PM8000RegType){ 23410, 2,  "FLOAT32",  "Voltage B-N, H25 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23412) {
        val = (PM8000RegType){ 23412, 2,  "FLOAT32",  "Voltage B-N, H25 Angle" };
        return val;
    }
    if (currentRegister < 23416) {
        val = (PM8000RegType){ 23416, 2,  "FLOAT32",  "Voltage B-N, H26 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23418) {
        val = (PM8000RegType){ 23418, 2,  "FLOAT32",  "Voltage B-N, H26 Angle" };
        return val;
    }
    if (currentRegister < 23422) {
        val = (PM8000RegType){ 23422, 2,  "FLOAT32",  "Voltage B-N, H27 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23424) {
        val = (PM8000RegType){ 23424, 2,  "FLOAT32",  "Voltage B-N, H27 Angle" };
        return val;
    }
    if (currentRegister < 23428) {
        val = (PM8000RegType){ 23428, 2,  "FLOAT32",  "Voltage B-N, H28 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23430) {
        val = (PM8000RegType){ 23430, 2,  "FLOAT32",  "Voltage B-N, H28 Angle" };
        return val;
    }
    if (currentRegister < 23434) {
        val = (PM8000RegType){ 23434, 2,  "FLOAT32",  "Voltage B-N, H29 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23436) {
        val = (PM8000RegType){ 23436, 2,  "FLOAT32",  "Voltage B-N, H29 Angle" };
        return val;
    }
    if (currentRegister < 23440) {
        val = (PM8000RegType){ 23440, 2,  "FLOAT32",  "Voltage B-N, H30 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23442) {
        val = (PM8000RegType){ 23442, 2,  "FLOAT32",  "Voltage B-N, H30 Angle" };
        return val;
    }
    if (currentRegister < 23446) {
        val = (PM8000RegType){ 23446, 2,  "FLOAT32",  "Voltage B-N, H31 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23448) {
        val = (PM8000RegType){ 23448, 2,  "FLOAT32",  "Voltage B-N, H31 Angle" };
        return val;
    }
    if (currentRegister < 23452) {
        val = (PM8000RegType){ 23452, 2,  "FLOAT32",  "Voltage B-N, H32 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23454) {
        val = (PM8000RegType){ 23454, 2,  "FLOAT32",  "Voltage B-N, H32 Angle" };
        return val;
    }
    if (currentRegister < 23458) {
        val = (PM8000RegType){ 23458, 2,  "FLOAT32",  "Voltage B-N, H33 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23460) {
        val = (PM8000RegType){ 23460, 2,  "FLOAT32",  "Voltage B-N, H33 Angle" };
        return val;
    }
    if (currentRegister < 23464) {
        val = (PM8000RegType){ 23464, 2,  "FLOAT32",  "Voltage B-N, H34 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23466) {
        val = (PM8000RegType){ 23466, 2,  "FLOAT32",  "Voltage B-N, H34 Angle" };
        return val;
    }
    if (currentRegister < 23470) {
        val = (PM8000RegType){ 23470, 2,  "FLOAT32",  "Voltage B-N, H35 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23472) {
        val = (PM8000RegType){ 23472, 2,  "FLOAT32",  "Voltage B-N, H35 Angle" };
        return val;
    }
    if (currentRegister < 23476) {
        val = (PM8000RegType){ 23476, 2,  "FLOAT32",  "Voltage B-N, H36 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23478) {
        val = (PM8000RegType){ 23478, 2,  "FLOAT32",  "Voltage B-N, H36 Angle" };
        return val;
    }
    if (currentRegister < 23482) {
        val = (PM8000RegType){ 23482, 2,  "FLOAT32",  "Voltage B-N, H37 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23484) {
        val = (PM8000RegType){ 23484, 2,  "FLOAT32",  "Voltage B-N, H37 Angle" };
        return val;
    }
    if (currentRegister < 23488) {
        val = (PM8000RegType){ 23488, 2,  "FLOAT32",  "Voltage B-N, H38 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23490) {
        val = (PM8000RegType){ 23490, 2,  "FLOAT32",  "Voltage B-N, H38 Angle" };
        return val;
    }
    if (currentRegister < 23494) {
        val = (PM8000RegType){ 23494, 2,  "FLOAT32",  "Voltage B-N, H39 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23496) {
        val = (PM8000RegType){ 23496, 2,  "FLOAT32",  "Voltage B-N, H39 Angle" };
        return val;
    }
    if (currentRegister < 23500) {
        val = (PM8000RegType){ 23500, 2,  "FLOAT32",  "Voltage B-N, H40 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23502) {
        val = (PM8000RegType){ 23502, 2,  "FLOAT32",  "Voltage B-N, H40 Angle" };
        return val;
    }
    if (currentRegister < 23506) {
        val = (PM8000RegType){ 23506, 2,  "FLOAT32",  "Voltage B-N, H41 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23508) {
        val = (PM8000RegType){ 23508, 2,  "FLOAT32",  "Voltage B-N, H41 Angle" };
        return val;
    }
    if (currentRegister < 23512) {
        val = (PM8000RegType){ 23512, 2,  "FLOAT32",  "Voltage B-N, H42 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23514) {
        val = (PM8000RegType){ 23514, 2,  "FLOAT32",  "Voltage B-N, H42 Angle" };
        return val;
    }
    if (currentRegister < 23518) {
        val = (PM8000RegType){ 23518, 2,  "FLOAT32",  "Voltage B-N, H43 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23520) {
        val = (PM8000RegType){ 23520, 2,  "FLOAT32",  "Voltage B-N, H43 Angle" };
        return val;
    }
    if (currentRegister < 23524) {
        val = (PM8000RegType){ 23524, 2,  "FLOAT32",  "Voltage B-N, H44 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23526) {
        val = (PM8000RegType){ 23526, 2,  "FLOAT32",  "Voltage B-N, H44 Angle" };
        return val;
    }
    if (currentRegister < 23530) {
        val = (PM8000RegType){ 23530, 2,  "FLOAT32",  "Voltage B-N, H45 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23532) {
        val = (PM8000RegType){ 23532, 2,  "FLOAT32",  "Voltage B-N, H45 Angle" };
        return val;
    }
    if (currentRegister < 23536) {
        val = (PM8000RegType){ 23536, 2,  "FLOAT32",  "Voltage B-N, H46 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23538) {
        val = (PM8000RegType){ 23538, 2,  "FLOAT32",  "Voltage B-N, H46 Angle" };
        return val;
    }
    if (currentRegister < 23542) {
        val = (PM8000RegType){ 23542, 2,  "FLOAT32",  "Voltage B-N, H47 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23544) {
        val = (PM8000RegType){ 23544, 2,  "FLOAT32",  "Voltage B-N, H47 Angle" };
        return val;
    }
    if (currentRegister < 23548) {
        val = (PM8000RegType){ 23548, 2,  "FLOAT32",  "Voltage B-N, H48 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23550) {
        val = (PM8000RegType){ 23550, 2,  "FLOAT32",  "Voltage B-N, H48 Angle" };
        return val;
    }
    if (currentRegister < 23554) {
        val = (PM8000RegType){ 23554, 2,  "FLOAT32",  "Voltage B-N, H49 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23556) {
        val = (PM8000RegType){ 23556, 2,  "FLOAT32",  "Voltage B-N, H49 Angle" };
        return val;
    }
    if (currentRegister < 23560) {
        val = (PM8000RegType){ 23560, 2,  "FLOAT32",  "Voltage B-N, H50 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23562) {
        val = (PM8000RegType){ 23562, 2,  "FLOAT32",  "Voltage B-N, H50 Angle" };
        return val;
    }
    if (currentRegister < 23566) {
        val = (PM8000RegType){ 23566, 2,  "FLOAT32",  "Voltage B-N, H51 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23568) {
        val = (PM8000RegType){ 23568, 2,  "FLOAT32",  "Voltage B-N, H51 Angle" };
        return val;
    }
    if (currentRegister < 23572) {
        val = (PM8000RegType){ 23572, 2,  "FLOAT32",  "Voltage B-N, H52 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23574) {
        val = (PM8000RegType){ 23574, 2,  "FLOAT32",  "Voltage B-N, H52 Angle" };
        return val;
    }
    if (currentRegister < 23578) {
        val = (PM8000RegType){ 23578, 2,  "FLOAT32",  "Voltage B-N, H53 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23580) {
        val = (PM8000RegType){ 23580, 2,  "FLOAT32",  "Voltage B-N, H53 Angle" };
        return val;
    }
    if (currentRegister < 23584) {
        val = (PM8000RegType){ 23584, 2,  "FLOAT32",  "Voltage B-N, H54 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23586) {
        val = (PM8000RegType){ 23586, 2,  "FLOAT32",  "Voltage B-N, H54 Angle" };
        return val;
    }
    if (currentRegister < 23590) {
        val = (PM8000RegType){ 23590, 2,  "FLOAT32",  "Voltage B-N, H55 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23592) {
        val = (PM8000RegType){ 23592, 2,  "FLOAT32",  "Voltage B-N, H55 Angle" };
        return val;
    }
    if (currentRegister < 23596) {
        val = (PM8000RegType){ 23596, 2,  "FLOAT32",  "Voltage B-N, H56 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23598) {
        val = (PM8000RegType){ 23598, 2,  "FLOAT32",  "Voltage B-N, H56 Angle" };
        return val;
    }
    if (currentRegister < 23602) {
        val = (PM8000RegType){ 23602, 2,  "FLOAT32",  "Voltage B-N, H57 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23604) {
        val = (PM8000RegType){ 23604, 2,  "FLOAT32",  "Voltage B-N, H57 Angle" };
        return val;
    }
    if (currentRegister < 23608) {
        val = (PM8000RegType){ 23608, 2,  "FLOAT32",  "Voltage B-N, H58 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23610) {
        val = (PM8000RegType){ 23610, 2,  "FLOAT32",  "Voltage B-N, H58 Angle" };
        return val;
    }
    if (currentRegister < 23614) {
        val = (PM8000RegType){ 23614, 2,  "FLOAT32",  "Voltage B-N, H59 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23616) {
        val = (PM8000RegType){ 23616, 2,  "FLOAT32",  "Voltage B-N, H59 Angle" };
        return val;
    }
    if (currentRegister < 23620) {
        val = (PM8000RegType){ 23620, 2,  "FLOAT32",  "Voltage B-N, H60 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23622) {
        val = (PM8000RegType){ 23622, 2,  "FLOAT32",  "Voltage B-N, H60 Angle" };
        return val;
    }
    if (currentRegister < 23626) {
        val = (PM8000RegType){ 23626, 2,  "FLOAT32",  "Voltage B-N, H61 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23628) {
        val = (PM8000RegType){ 23628, 2,  "FLOAT32",  "Voltage B-N, H61 Angle" };
        return val;
    }
    if (currentRegister < 23632) {
        val = (PM8000RegType){ 23632, 2,  "FLOAT32",  "Voltage B-N, H62 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23634) {
        val = (PM8000RegType){ 23634, 2,  "FLOAT32",  "Voltage B-N, H62 Angle" };
        return val;
    }
    if (currentRegister < 23638) {
        val = (PM8000RegType){ 23638, 2,  "FLOAT32",  "Voltage B-N, H63 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23640) {
        val = (PM8000RegType){ 23640, 2,  "FLOAT32",  "Voltage B-N, H63 Angle" };
        return val;
    }
    if (currentRegister < 23654) {
        val = (PM8000RegType){ 23654, 2,  "FLOAT32",  "Voltage C-N, H1 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23656) {
        val = (PM8000RegType){ 23656, 2,  "FLOAT32",  "Voltage C-N, H1 Angle" };
        return val;
    }
    if (currentRegister < 23660) {
        val = (PM8000RegType){ 23660, 2,  "FLOAT32",  "Voltage C-N, H2 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23662) {
        val = (PM8000RegType){ 23662, 2,  "FLOAT32",  "Voltage C-N, H2 Angle" };
        return val;
    }
    if (currentRegister < 23666) {
        val = (PM8000RegType){ 23666, 2,  "FLOAT32",  "Voltage C-N, H3 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23668) {
        val = (PM8000RegType){ 23668, 2,  "FLOAT32",  "Voltage C-N, H3 Angle" };
        return val;
    }
    if (currentRegister < 23672) {
        val = (PM8000RegType){ 23672, 2,  "FLOAT32",  "Voltage C-N, H4 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23674) {
        val = (PM8000RegType){ 23674, 2,  "FLOAT32",  "Voltage C-N, H4 Angle" };
        return val;
    }
    if (currentRegister < 23678) {
        val = (PM8000RegType){ 23678, 2,  "FLOAT32",  "Voltage C-N, H5 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23680) {
        val = (PM8000RegType){ 23680, 2,  "FLOAT32",  "Voltage C-N, H5 Angle" };
        return val;
    }
    if (currentRegister < 23684) {
        val = (PM8000RegType){ 23684, 2,  "FLOAT32",  "Voltage C-N, H6 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23686) {
        val = (PM8000RegType){ 23686, 2,  "FLOAT32",  "Voltage C-N, H6 Angle" };
        return val;
    }
    if (currentRegister < 23690) {
        val = (PM8000RegType){ 23690, 2,  "FLOAT32",  "Voltage C-N, H7 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23692) {
        val = (PM8000RegType){ 23692, 2,  "FLOAT32",  "Voltage C-N, H7 Angle" };
        return val;
    }
    if (currentRegister < 23696) {
        val = (PM8000RegType){ 23696, 2,  "FLOAT32",  "Voltage C-N, H8 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23698) {
        val = (PM8000RegType){ 23698, 2,  "FLOAT32",  "Voltage C-N, H8 Angle" };
        return val;
    }
    if (currentRegister < 23702) {
        val = (PM8000RegType){ 23702, 2,  "FLOAT32",  "Voltage C-N, H9 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23704) {
        val = (PM8000RegType){ 23704, 2,  "FLOAT32",  "Voltage C-N, H9 Angle" };
        return val;
    }
    if (currentRegister < 23708) {
        val = (PM8000RegType){ 23708, 2,  "FLOAT32",  "Voltage C-N, H10 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23710) {
        val = (PM8000RegType){ 23710, 2,  "FLOAT32",  "Voltage C-N, H10 Angle" };
        return val;
    }
    if (currentRegister < 23714) {
        val = (PM8000RegType){ 23714, 2,  "FLOAT32",  "Voltage C-N, H11 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23716) {
        val = (PM8000RegType){ 23716, 2,  "FLOAT32",  "Voltage C-N, H11 Angle" };
        return val;
    }
    if (currentRegister < 23720) {
        val = (PM8000RegType){ 23720, 2,  "FLOAT32",  "Voltage C-N, H12 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23722) {
        val = (PM8000RegType){ 23722, 2,  "FLOAT32",  "Voltage C-N, H12 Angle" };
        return val;
    }
    if (currentRegister < 23726) {
        val = (PM8000RegType){ 23726, 2,  "FLOAT32",  "Voltage C-N, H13 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23728) {
        val = (PM8000RegType){ 23728, 2,  "FLOAT32",  "Voltage C-N, H13 Angle" };
        return val;
    }
    if (currentRegister < 23732) {
        val = (PM8000RegType){ 23732, 2,  "FLOAT32",  "Voltage C-N, H14 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23734) {
        val = (PM8000RegType){ 23734, 2,  "FLOAT32",  "Voltage C-N, H14 Angle" };
        return val;
    }
    if (currentRegister < 23738) {
        val = (PM8000RegType){ 23738, 2,  "FLOAT32",  "Voltage C-N, H15 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23740) {
        val = (PM8000RegType){ 23740, 2,  "FLOAT32",  "Voltage C-N, H15 Angle" };
        return val;
    }
    if (currentRegister < 23744) {
        val = (PM8000RegType){ 23744, 2,  "FLOAT32",  "Voltage C-N, H16 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23746) {
        val = (PM8000RegType){ 23746, 2,  "FLOAT32",  "Voltage C-N, H16 Angle" };
        return val;
    }
    if (currentRegister < 23750) {
        val = (PM8000RegType){ 23750, 2,  "FLOAT32",  "Voltage C-N, H17 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23752) {
        val = (PM8000RegType){ 23752, 2,  "FLOAT32",  "Voltage C-N, H17 Angle" };
        return val;
    }
    if (currentRegister < 23756) {
        val = (PM8000RegType){ 23756, 2,  "FLOAT32",  "Voltage C-N, H18 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23758) {
        val = (PM8000RegType){ 23758, 2,  "FLOAT32",  "Voltage C-N, H18 Angle" };
        return val;
    }
    if (currentRegister < 23762) {
        val = (PM8000RegType){ 23762, 2,  "FLOAT32",  "Voltage C-N, H19 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23764) {
        val = (PM8000RegType){ 23764, 2,  "FLOAT32",  "Voltage C-N, H19 Angle" };
        return val;
    }
    if (currentRegister < 23768) {
        val = (PM8000RegType){ 23768, 2,  "FLOAT32",  "Voltage C-N, H20 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23770) {
        val = (PM8000RegType){ 23770, 2,  "FLOAT32",  "Voltage C-N, H20 Angle" };
        return val;
    }
    if (currentRegister < 23774) {
        val = (PM8000RegType){ 23774, 2,  "FLOAT32",  "Voltage C-N, H21 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23776) {
        val = (PM8000RegType){ 23776, 2,  "FLOAT32",  "Voltage C-N, H21 Angle" };
        return val;
    }
    if (currentRegister < 23780) {
        val = (PM8000RegType){ 23780, 2,  "FLOAT32",  "Voltage C-N, H22 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23782) {
        val = (PM8000RegType){ 23782, 2,  "FLOAT32",  "Voltage C-N, H22 Angle" };
        return val;
    }
    if (currentRegister < 23786) {
        val = (PM8000RegType){ 23786, 2,  "FLOAT32",  "Voltage C-N, H23 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23788) {
        val = (PM8000RegType){ 23788, 2,  "FLOAT32",  "Voltage C-N, H23 Angle" };
        return val;
    }
    if (currentRegister < 23792) {
        val = (PM8000RegType){ 23792, 2,  "FLOAT32",  "Voltage C-N, H24 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23794) {
        val = (PM8000RegType){ 23794, 2,  "FLOAT32",  "Voltage C-N, H24 Angle" };
        return val;
    }
    if (currentRegister < 23798) {
        val = (PM8000RegType){ 23798, 2,  "FLOAT32",  "Voltage C-N, H25 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23800) {
        val = (PM8000RegType){ 23800, 2,  "FLOAT32",  "Voltage C-N, H25 Angle" };
        return val;
    }
    if (currentRegister < 23804) {
        val = (PM8000RegType){ 23804, 2,  "FLOAT32",  "Voltage C-N, H26 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23806) {
        val = (PM8000RegType){ 23806, 2,  "FLOAT32",  "Voltage C-N, H26 Angle" };
        return val;
    }
    if (currentRegister < 23810) {
        val = (PM8000RegType){ 23810, 2,  "FLOAT32",  "Voltage C-N, H27 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23812) {
        val = (PM8000RegType){ 23812, 2,  "FLOAT32",  "Voltage C-N, H27 Angle" };
        return val;
    }
    if (currentRegister < 23816) {
        val = (PM8000RegType){ 23816, 2,  "FLOAT32",  "Voltage C-N, H28 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23818) {
        val = (PM8000RegType){ 23818, 2,  "FLOAT32",  "Voltage C-N, H28 Angle" };
        return val;
    }
    if (currentRegister < 23822) {
        val = (PM8000RegType){ 23822, 2,  "FLOAT32",  "Voltage C-N, H29 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23824) {
        val = (PM8000RegType){ 23824, 2,  "FLOAT32",  "Voltage C-N, H29 Angle" };
        return val;
    }
    if (currentRegister < 23828) {
        val = (PM8000RegType){ 23828, 2,  "FLOAT32",  "Voltage C-N, H30 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23830) {
        val = (PM8000RegType){ 23830, 2,  "FLOAT32",  "Voltage C-N, H30 Angle" };
        return val;
    }
    if (currentRegister < 23834) {
        val = (PM8000RegType){ 23834, 2,  "FLOAT32",  "Voltage C-N, H31 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23836) {
        val = (PM8000RegType){ 23836, 2,  "FLOAT32",  "Voltage C-N, H31 Angle" };
        return val;
    }
    if (currentRegister < 23840) {
        val = (PM8000RegType){ 23840, 2,  "FLOAT32",  "Voltage C-N, H32 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23842) {
        val = (PM8000RegType){ 23842, 2,  "FLOAT32",  "Voltage C-N, H32 Angle" };
        return val;
    }
    if (currentRegister < 23846) {
        val = (PM8000RegType){ 23846, 2,  "FLOAT32",  "Voltage C-N, H33 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23848) {
        val = (PM8000RegType){ 23848, 2,  "FLOAT32",  "Voltage C-N, H33 Angle" };
        return val;
    }
    if (currentRegister < 23852) {
        val = (PM8000RegType){ 23852, 2,  "FLOAT32",  "Voltage C-N, H34 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23854) {
        val = (PM8000RegType){ 23854, 2,  "FLOAT32",  "Voltage C-N, H34 Angle" };
        return val;
    }
    if (currentRegister < 23858) {
        val = (PM8000RegType){ 23858, 2,  "FLOAT32",  "Voltage C-N, H35 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23860) {
        val = (PM8000RegType){ 23860, 2,  "FLOAT32",  "Voltage C-N, H35 Angle" };
        return val;
    }
    if (currentRegister < 23864) {
        val = (PM8000RegType){ 23864, 2,  "FLOAT32",  "Voltage C-N, H36 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23866) {
        val = (PM8000RegType){ 23866, 2,  "FLOAT32",  "Voltage C-N, H36 Angle" };
        return val;
    }
    if (currentRegister < 23870) {
        val = (PM8000RegType){ 23870, 2,  "FLOAT32",  "Voltage C-N, H37 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23872) {
        val = (PM8000RegType){ 23872, 2,  "FLOAT32",  "Voltage C-N, H37 Angle" };
        return val;
    }
    if (currentRegister < 23876) {
        val = (PM8000RegType){ 23876, 2,  "FLOAT32",  "Voltage C-N, H38 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23878) {
        val = (PM8000RegType){ 23878, 2,  "FLOAT32",  "Voltage C-N, H38 Angle" };
        return val;
    }
    if (currentRegister < 23882) {
        val = (PM8000RegType){ 23882, 2,  "FLOAT32",  "Voltage C-N, H39 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23884) {
        val = (PM8000RegType){ 23884, 2,  "FLOAT32",  "Voltage C-N, H39 Angle" };
        return val;
    }
    if (currentRegister < 23888) {
        val = (PM8000RegType){ 23888, 2,  "FLOAT32",  "Voltage C-N, H40 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23890) {
        val = (PM8000RegType){ 23890, 2,  "FLOAT32",  "Voltage C-N, H40 Angle" };
        return val;
    }
    if (currentRegister < 23894) {
        val = (PM8000RegType){ 23894, 2,  "FLOAT32",  "Voltage C-N, H41 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23896) {
        val = (PM8000RegType){ 23896, 2,  "FLOAT32",  "Voltage C-N, H41 Angle" };
        return val;
    }
    if (currentRegister < 23900) {
        val = (PM8000RegType){ 23900, 2,  "FLOAT32",  "Voltage C-N, H42 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23902) {
        val = (PM8000RegType){ 23902, 2,  "FLOAT32",  "Voltage C-N, H42 Angle" };
        return val;
    }
    if (currentRegister < 23906) {
        val = (PM8000RegType){ 23906, 2,  "FLOAT32",  "Voltage C-N, H43 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23908) {
        val = (PM8000RegType){ 23908, 2,  "FLOAT32",  "Voltage C-N, H43 Angle" };
        return val;
    }
    if (currentRegister < 23912) {
        val = (PM8000RegType){ 23912, 2,  "FLOAT32",  "Voltage C-N, H44 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23914) {
        val = (PM8000RegType){ 23914, 2,  "FLOAT32",  "Voltage C-N, H44 Angle" };
        return val;
    }
    if (currentRegister < 23918) {
        val = (PM8000RegType){ 23918, 2,  "FLOAT32",  "Voltage C-N, H45 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23920) {
        val = (PM8000RegType){ 23920, 2,  "FLOAT32",  "Voltage C-N, H45 Angle" };
        return val;
    }
    if (currentRegister < 23924) {
        val = (PM8000RegType){ 23924, 2,  "FLOAT32",  "Voltage C-N, H46 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23926) {
        val = (PM8000RegType){ 23926, 2,  "FLOAT32",  "Voltage C-N, H46 Angle" };
        return val;
    }
    if (currentRegister < 23930) {
        val = (PM8000RegType){ 23930, 2,  "FLOAT32",  "Voltage C-N, H47 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23932) {
        val = (PM8000RegType){ 23932, 2,  "FLOAT32",  "Voltage C-N, H47 Angle" };
        return val;
    }
    if (currentRegister < 23936) {
        val = (PM8000RegType){ 23936, 2,  "FLOAT32",  "Voltage C-N, H48 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23938) {
        val = (PM8000RegType){ 23938, 2,  "FLOAT32",  "Voltage C-N, H48 Angle" };
        return val;
    }
    if (currentRegister < 23942) {
        val = (PM8000RegType){ 23942, 2,  "FLOAT32",  "Voltage C-N, H49 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23944) {
        val = (PM8000RegType){ 23944, 2,  "FLOAT32",  "Voltage C-N, H49 Angle" };
        return val;
    }
    if (currentRegister < 23948) {
        val = (PM8000RegType){ 23948, 2,  "FLOAT32",  "Voltage C-N, H50 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23950) {
        val = (PM8000RegType){ 23950, 2,  "FLOAT32",  "Voltage C-N, H50 Angle" };
        return val;
    }
    if (currentRegister < 23954) {
        val = (PM8000RegType){ 23954, 2,  "FLOAT32",  "Voltage C-N, H51 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23956) {
        val = (PM8000RegType){ 23956, 2,  "FLOAT32",  "Voltage C-N, H51 Angle" };
        return val;
    }
    if (currentRegister < 23960) {
        val = (PM8000RegType){ 23960, 2,  "FLOAT32",  "Voltage C-N, H52 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23962) {
        val = (PM8000RegType){ 23962, 2,  "FLOAT32",  "Voltage C-N, H52 Angle" };
        return val;
    }
    if (currentRegister < 23966) {
        val = (PM8000RegType){ 23966, 2,  "FLOAT32",  "Voltage C-N, H53 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23968) {
        val = (PM8000RegType){ 23968, 2,  "FLOAT32",  "Voltage C-N, H53 Angle" };
        return val;
    }
    if (currentRegister < 23972) {
        val = (PM8000RegType){ 23972, 2,  "FLOAT32",  "Voltage C-N, H54 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23974) {
        val = (PM8000RegType){ 23974, 2,  "FLOAT32",  "Voltage C-N, H54 Angle" };
        return val;
    }
    if (currentRegister < 23978) {
        val = (PM8000RegType){ 23978, 2,  "FLOAT32",  "Voltage C-N, H55 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23980) {
        val = (PM8000RegType){ 23980, 2,  "FLOAT32",  "Voltage C-N, H55 Angle" };
        return val;
    }
    if (currentRegister < 23984) {
        val = (PM8000RegType){ 23984, 2,  "FLOAT32",  "Voltage C-N, H56 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23986) {
        val = (PM8000RegType){ 23986, 2,  "FLOAT32",  "Voltage C-N, H56 Angle" };
        return val;
    }
    if (currentRegister < 23990) {
        val = (PM8000RegType){ 23990, 2,  "FLOAT32",  "Voltage C-N, H57 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23992) {
        val = (PM8000RegType){ 23992, 2,  "FLOAT32",  "Voltage C-N, H57 Angle" };
        return val;
    }
    if (currentRegister < 23996) {
        val = (PM8000RegType){ 23996, 2,  "FLOAT32",  "Voltage C-N, H58 Magnitude, V" };
        return val;
    }
    if (currentRegister < 23998) {
        val = (PM8000RegType){ 23998, 2,  "FLOAT32",  "Voltage C-N, H58 Angle" };
        return val;
    }
    if (currentRegister < 24002) {
        val = (PM8000RegType){ 24002, 2,  "FLOAT32",  "Voltage C-N, H59 Magnitude, V" };
        return val;
    }
    if (currentRegister < 24004) {
        val = (PM8000RegType){ 24004, 2,  "FLOAT32",  "Voltage C-N, H59 Angle" };
        return val;
    }
    if (currentRegister < 24008) {
        val = (PM8000RegType){ 24008, 2,  "FLOAT32",  "Voltage C-N, H60 Magnitude, V" };
        return val;
    }
    if (currentRegister < 24010) {
        val = (PM8000RegType){ 24010, 2,  "FLOAT32",  "Voltage C-N, H60 Angle" };
        return val;
    }
    if (currentRegister < 24014) {
        val = (PM8000RegType){ 24014, 2,  "FLOAT32",  "Voltage C-N, H61 Magnitude, V" };
        return val;
    }
    if (currentRegister < 24016) {
        val = (PM8000RegType){ 24016, 2,  "FLOAT32",  "Voltage C-N, H61 Angle" };
        return val;
    }
    if (currentRegister < 24020) {
        val = (PM8000RegType){ 24020, 2,  "FLOAT32",  "Voltage C-N, H62 Magnitude, V" };
        return val;
    }
    if (currentRegister < 24022) {
        val = (PM8000RegType){ 24022, 2,  "FLOAT32",  "Voltage C-N, H62 Angle" };
        return val;
    }
    if (currentRegister < 24026) {
        val = (PM8000RegType){ 24026, 2,  "FLOAT32",  "Voltage C-N, H63 Magnitude, V" };
        return val;
    }
    if (currentRegister < 24028) {
        val = (PM8000RegType){ 24028, 2,  "FLOAT32",  "Voltage C-N, H63 Angle" };
        return val;
    }
    if (currentRegister < 24430) {
        val = (PM8000RegType){ 24430, 2,  "FLOAT32",  "Current A, H1 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24432) {
        val = (PM8000RegType){ 24432, 2,  "FLOAT32",  "Current A, H1 Angle" };
        return val;
    }
    if (currentRegister < 24436) {
        val = (PM8000RegType){ 24436, 2,  "FLOAT32",  "Current A, H2 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24438) {
        val = (PM8000RegType){ 24438, 2,  "FLOAT32",  "Current A, H2 Angle" };
        return val;
    }
    if (currentRegister < 24442) {
        val = (PM8000RegType){ 24442, 2,  "FLOAT32",  "Current A, H3 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24444) {
        val = (PM8000RegType){ 24444, 2,  "FLOAT32",  "Current A, H3 Angle" };
        return val;
    }
    if (currentRegister < 24448) {
        val = (PM8000RegType){ 24448, 2,  "FLOAT32",  "Current A, H4 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24450) {
        val = (PM8000RegType){ 24450, 2,  "FLOAT32",  "Current A, H4 Angle" };
        return val;
    }
    if (currentRegister < 24454) {
        val = (PM8000RegType){ 24454, 2,  "FLOAT32",  "Current A, H5 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24456) {
        val = (PM8000RegType){ 24456, 2,  "FLOAT32",  "Current A, H5 Angle" };
        return val;
    }
    if (currentRegister < 24460) {
        val = (PM8000RegType){ 24460, 2,  "FLOAT32",  "Current A, H6 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24462) {
        val = (PM8000RegType){ 24462, 2,  "FLOAT32",  "Current A, H6 Angle" };
        return val;
    }
    if (currentRegister < 24466) {
        val = (PM8000RegType){ 24466, 2,  "FLOAT32",  "Current A, H7 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24468) {
        val = (PM8000RegType){ 24468, 2,  "FLOAT32",  "Current A, H7 Angle" };
        return val;
    }
    if (currentRegister < 24472) {
        val = (PM8000RegType){ 24472, 2,  "FLOAT32",  "Current A, H8 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24474) {
        val = (PM8000RegType){ 24474, 2,  "FLOAT32",  "Current A, H8 Angle" };
        return val;
    }
    if (currentRegister < 24478) {
        val = (PM8000RegType){ 24478, 2,  "FLOAT32",  "Current A, H9 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24480) {
        val = (PM8000RegType){ 24480, 2,  "FLOAT32",  "Current A, H9 Angle" };
        return val;
    }
    if (currentRegister < 24484) {
        val = (PM8000RegType){ 24484, 2,  "FLOAT32",  "Current A, H10 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24486) {
        val = (PM8000RegType){ 24486, 2,  "FLOAT32",  "Current A, H10 Angle" };
        return val;
    }
    if (currentRegister < 24490) {
        val = (PM8000RegType){ 24490, 2,  "FLOAT32",  "Current A, H11 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24492) {
        val = (PM8000RegType){ 24492, 2,  "FLOAT32",  "Current A, H11 Angle" };
        return val;
    }
    if (currentRegister < 24496) {
        val = (PM8000RegType){ 24496, 2,  "FLOAT32",  "Current A, H12 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24498) {
        val = (PM8000RegType){ 24498, 2,  "FLOAT32",  "Current A, H12 Angle" };
        return val;
    }
    if (currentRegister < 24502) {
        val = (PM8000RegType){ 24502, 2,  "FLOAT32",  "Current A, H13 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24504) {
        val = (PM8000RegType){ 24504, 2,  "FLOAT32",  "Current A, H13 Angle" };
        return val;
    }
    if (currentRegister < 24508) {
        val = (PM8000RegType){ 24508, 2,  "FLOAT32",  "Current A, H14 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24510) {
        val = (PM8000RegType){ 24510, 2,  "FLOAT32",  "Current A, H14 Angle" };
        return val;
    }
    if (currentRegister < 24514) {
        val = (PM8000RegType){ 24514, 2,  "FLOAT32",  "Current A, H15 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24516) {
        val = (PM8000RegType){ 24516, 2,  "FLOAT32",  "Current A, H15 Angle" };
        return val;
    }
    if (currentRegister < 24520) {
        val = (PM8000RegType){ 24520, 2,  "FLOAT32",  "Current A, H16 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24522) {
        val = (PM8000RegType){ 24522, 2,  "FLOAT32",  "Current A, H16 Angle" };
        return val;
    }
    if (currentRegister < 24526) {
        val = (PM8000RegType){ 24526, 2,  "FLOAT32",  "Current A, H17 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24528) {
        val = (PM8000RegType){ 24528, 2,  "FLOAT32",  "Current A, H17 Angle" };
        return val;
    }
    if (currentRegister < 24532) {
        val = (PM8000RegType){ 24532, 2,  "FLOAT32",  "Current A, H18 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24534) {
        val = (PM8000RegType){ 24534, 2,  "FLOAT32",  "Current A, H18 Angle" };
        return val;
    }
    if (currentRegister < 24538) {
        val = (PM8000RegType){ 24538, 2,  "FLOAT32",  "Current A, H19 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24540) {
        val = (PM8000RegType){ 24540, 2,  "FLOAT32",  "Current A, H19 Angle" };
        return val;
    }
    if (currentRegister < 24544) {
        val = (PM8000RegType){ 24544, 2,  "FLOAT32",  "Current A, H20 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24546) {
        val = (PM8000RegType){ 24546, 2,  "FLOAT32",  "Current A, H20 Angle" };
        return val;
    }
    if (currentRegister < 24550) {
        val = (PM8000RegType){ 24550, 2,  "FLOAT32",  "Current A, H21 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24552) {
        val = (PM8000RegType){ 24552, 2,  "FLOAT32",  "Current A, H21 Angle" };
        return val;
    }
    if (currentRegister < 24556) {
        val = (PM8000RegType){ 24556, 2,  "FLOAT32",  "Current A, H22 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24558) {
        val = (PM8000RegType){ 24558, 2,  "FLOAT32",  "Current A, H22 Angle" };
        return val;
    }
    if (currentRegister < 24562) {
        val = (PM8000RegType){ 24562, 2,  "FLOAT32",  "Current A, H23 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24564) {
        val = (PM8000RegType){ 24564, 2,  "FLOAT32",  "Current A, H23 Angle" };
        return val;
    }
    if (currentRegister < 24568) {
        val = (PM8000RegType){ 24568, 2,  "FLOAT32",  "Current A, H24 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24570) {
        val = (PM8000RegType){ 24570, 2,  "FLOAT32",  "Current A, H24 Angle" };
        return val;
    }
    if (currentRegister < 24574) {
        val = (PM8000RegType){ 24574, 2,  "FLOAT32",  "Current A, H25 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24576) {
        val = (PM8000RegType){ 24576, 2,  "FLOAT32",  "Current A, H25 Angle" };
        return val;
    }
    if (currentRegister < 24580) {
        val = (PM8000RegType){ 24580, 2,  "FLOAT32",  "Current A, H26 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24582) {
        val = (PM8000RegType){ 24582, 2,  "FLOAT32",  "Current A, H26 Angle" };
        return val;
    }
    if (currentRegister < 24586) {
        val = (PM8000RegType){ 24586, 2,  "FLOAT32",  "Current A, H27 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24588) {
        val = (PM8000RegType){ 24588, 2,  "FLOAT32",  "Current A, H27 Angle" };
        return val;
    }
    if (currentRegister < 24592) {
        val = (PM8000RegType){ 24592, 2,  "FLOAT32",  "Current A, H28 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24594) {
        val = (PM8000RegType){ 24594, 2,  "FLOAT32",  "Current A, H28 Angle" };
        return val;
    }
    if (currentRegister < 24598) {
        val = (PM8000RegType){ 24598, 2,  "FLOAT32",  "Current A, H29 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24600) {
        val = (PM8000RegType){ 24600, 2,  "FLOAT32",  "Current A, H29 Angle" };
        return val;
    }
    if (currentRegister < 24604) {
        val = (PM8000RegType){ 24604, 2,  "FLOAT32",  "Current A, H30 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24606) {
        val = (PM8000RegType){ 24606, 2,  "FLOAT32",  "Current A, H30 Angle" };
        return val;
    }
    if (currentRegister < 24610) {
        val = (PM8000RegType){ 24610, 2,  "FLOAT32",  "Current A, H31 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24612) {
        val = (PM8000RegType){ 24612, 2,  "FLOAT32",  "Current A, H31 Angle" };
        return val;
    }
    if (currentRegister < 24616) {
        val = (PM8000RegType){ 24616, 2,  "FLOAT32",  "Current A, H32 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24618) {
        val = (PM8000RegType){ 24618, 2,  "FLOAT32",  "Current A, H32 Angle" };
        return val;
    }
    if (currentRegister < 24622) {
        val = (PM8000RegType){ 24622, 2,  "FLOAT32",  "Current A, H33 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24624) {
        val = (PM8000RegType){ 24624, 2,  "FLOAT32",  "Current A, H33 Angle" };
        return val;
    }
    if (currentRegister < 24628) {
        val = (PM8000RegType){ 24628, 2,  "FLOAT32",  "Current A, H34 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24630) {
        val = (PM8000RegType){ 24630, 2,  "FLOAT32",  "Current A, H34 Angle" };
        return val;
    }
    if (currentRegister < 24634) {
        val = (PM8000RegType){ 24634, 2,  "FLOAT32",  "Current A, H35 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24636) {
        val = (PM8000RegType){ 24636, 2,  "FLOAT32",  "Current A, H35 Angle" };
        return val;
    }
    if (currentRegister < 24640) {
        val = (PM8000RegType){ 24640, 2,  "FLOAT32",  "Current A, H36 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24642) {
        val = (PM8000RegType){ 24642, 2,  "FLOAT32",  "Current A, H36 Angle" };
        return val;
    }
    if (currentRegister < 24646) {
        val = (PM8000RegType){ 24646, 2,  "FLOAT32",  "Current A, H37 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24648) {
        val = (PM8000RegType){ 24648, 2,  "FLOAT32",  "Current A, H37 Angle" };
        return val;
    }
    if (currentRegister < 24652) {
        val = (PM8000RegType){ 24652, 2,  "FLOAT32",  "Current A, H38 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24654) {
        val = (PM8000RegType){ 24654, 2,  "FLOAT32",  "Current A, H38 Angle" };
        return val;
    }
    if (currentRegister < 24658) {
        val = (PM8000RegType){ 24658, 2,  "FLOAT32",  "Current A, H39 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24660) {
        val = (PM8000RegType){ 24660, 2,  "FLOAT32",  "Current A, H39 Angle" };
        return val;
    }
    if (currentRegister < 24664) {
        val = (PM8000RegType){ 24664, 2,  "FLOAT32",  "Current A, H40 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24666) {
        val = (PM8000RegType){ 24666, 2,  "FLOAT32",  "Current A, H40 Angle" };
        return val;
    }
    if (currentRegister < 24670) {
        val = (PM8000RegType){ 24670, 2,  "FLOAT32",  "Current A, H41 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24672) {
        val = (PM8000RegType){ 24672, 2,  "FLOAT32",  "Current A, H41 Angle" };
        return val;
    }
    if (currentRegister < 24676) {
        val = (PM8000RegType){ 24676, 2,  "FLOAT32",  "Current A, H42 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24678) {
        val = (PM8000RegType){ 24678, 2,  "FLOAT32",  "Current A, H42 Angle" };
        return val;
    }
    if (currentRegister < 24682) {
        val = (PM8000RegType){ 24682, 2,  "FLOAT32",  "Current A, H43 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24684) {
        val = (PM8000RegType){ 24684, 2,  "FLOAT32",  "Current A, H43 Angle" };
        return val;
    }
    if (currentRegister < 24688) {
        val = (PM8000RegType){ 24688, 2,  "FLOAT32",  "Current A, H44 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24690) {
        val = (PM8000RegType){ 24690, 2,  "FLOAT32",  "Current A, H44 Angle" };
        return val;
    }
    if (currentRegister < 24694) {
        val = (PM8000RegType){ 24694, 2,  "FLOAT32",  "Current A, H45 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24696) {
        val = (PM8000RegType){ 24696, 2,  "FLOAT32",  "Current A, H45 Angle" };
        return val;
    }
    if (currentRegister < 24700) {
        val = (PM8000RegType){ 24700, 2,  "FLOAT32",  "Current A, H46 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24702) {
        val = (PM8000RegType){ 24702, 2,  "FLOAT32",  "Current A, H46 Angle" };
        return val;
    }
    if (currentRegister < 24706) {
        val = (PM8000RegType){ 24706, 2,  "FLOAT32",  "Current A, H47 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24708) {
        val = (PM8000RegType){ 24708, 2,  "FLOAT32",  "Current A, H47 Angle" };
        return val;
    }
    if (currentRegister < 24712) {
        val = (PM8000RegType){ 24712, 2,  "FLOAT32",  "Current A, H48 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24714) {
        val = (PM8000RegType){ 24714, 2,  "FLOAT32",  "Current A, H48 Angle" };
        return val;
    }
    if (currentRegister < 24718) {
        val = (PM8000RegType){ 24718, 2,  "FLOAT32",  "Current A, H49 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24720) {
        val = (PM8000RegType){ 24720, 2,  "FLOAT32",  "Current A, H49 Angle" };
        return val;
    }
    if (currentRegister < 24724) {
        val = (PM8000RegType){ 24724, 2,  "FLOAT32",  "Current A, H50 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24726) {
        val = (PM8000RegType){ 24726, 2,  "FLOAT32",  "Current A, H50 Angle" };
        return val;
    }
    if (currentRegister < 24730) {
        val = (PM8000RegType){ 24730, 2,  "FLOAT32",  "Current A, H51 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24732) {
        val = (PM8000RegType){ 24732, 2,  "FLOAT32",  "Current A, H51 Angle" };
        return val;
    }
    if (currentRegister < 24736) {
        val = (PM8000RegType){ 24736, 2,  "FLOAT32",  "Current A, H52 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24738) {
        val = (PM8000RegType){ 24738, 2,  "FLOAT32",  "Current A, H52 Angle" };
        return val;
    }
    if (currentRegister < 24742) {
        val = (PM8000RegType){ 24742, 2,  "FLOAT32",  "Current A, H53 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24744) {
        val = (PM8000RegType){ 24744, 2,  "FLOAT32",  "Current A, H53 Angle" };
        return val;
    }
    if (currentRegister < 24748) {
        val = (PM8000RegType){ 24748, 2,  "FLOAT32",  "Current A, H54 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24750) {
        val = (PM8000RegType){ 24750, 2,  "FLOAT32",  "Current A, H54 Angle" };
        return val;
    }
    if (currentRegister < 24754) {
        val = (PM8000RegType){ 24754, 2,  "FLOAT32",  "Current A, H55 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24756) {
        val = (PM8000RegType){ 24756, 2,  "FLOAT32",  "Current A, H55 Angle" };
        return val;
    }
    if (currentRegister < 24760) {
        val = (PM8000RegType){ 24760, 2,  "FLOAT32",  "Current A, H56 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24762) {
        val = (PM8000RegType){ 24762, 2,  "FLOAT32",  "Current A, H56 Angle" };
        return val;
    }
    if (currentRegister < 24766) {
        val = (PM8000RegType){ 24766, 2,  "FLOAT32",  "Current A, H57 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24768) {
        val = (PM8000RegType){ 24768, 2,  "FLOAT32",  "Current A, H57 Angle" };
        return val;
    }
    if (currentRegister < 24772) {
        val = (PM8000RegType){ 24772, 2,  "FLOAT32",  "Current A, H58 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24774) {
        val = (PM8000RegType){ 24774, 2,  "FLOAT32",  "Current A, H58 Angle" };
        return val;
    }
    if (currentRegister < 24778) {
        val = (PM8000RegType){ 24778, 2,  "FLOAT32",  "Current A, H59 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24780) {
        val = (PM8000RegType){ 24780, 2,  "FLOAT32",  "Current A, H59 Angle" };
        return val;
    }
    if (currentRegister < 24784) {
        val = (PM8000RegType){ 24784, 2,  "FLOAT32",  "Current A, H60 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24786) {
        val = (PM8000RegType){ 24786, 2,  "FLOAT32",  "Current A, H60 Angle" };
        return val;
    }
    if (currentRegister < 24790) {
        val = (PM8000RegType){ 24790, 2,  "FLOAT32",  "Current A, H61 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24792) {
        val = (PM8000RegType){ 24792, 2,  "FLOAT32",  "Current A, H61 Angle" };
        return val;
    }
    if (currentRegister < 24796) {
        val = (PM8000RegType){ 24796, 2,  "FLOAT32",  "Current A, H62 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24798) {
        val = (PM8000RegType){ 24798, 2,  "FLOAT32",  "Current A, H62 Angle" };
        return val;
    }
    if (currentRegister < 24802) {
        val = (PM8000RegType){ 24802, 2,  "FLOAT32",  "Current A, H63 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24804) {
        val = (PM8000RegType){ 24804, 2,  "FLOAT32",  "Current A, H63 Angle" };
        return val;
    }
    if (currentRegister < 24818) {
        val = (PM8000RegType){ 24818, 2,  "FLOAT32",  "Current B, H1 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24820) {
        val = (PM8000RegType){ 24820, 2,  "FLOAT32",  "Current B, H1 Angle" };
        return val;
    }
    if (currentRegister < 24824) {
        val = (PM8000RegType){ 24824, 2,  "FLOAT32",  "Current B, H2 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24826) {
        val = (PM8000RegType){ 24826, 2,  "FLOAT32",  "Current B, H2 Angle" };
        return val;
    }
    if (currentRegister < 24830) {
        val = (PM8000RegType){ 24830, 2,  "FLOAT32",  "Current B, H3 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24832) {
        val = (PM8000RegType){ 24832, 2,  "FLOAT32",  "Current B, H3 Angle" };
        return val;
    }
    if (currentRegister < 24836) {
        val = (PM8000RegType){ 24836, 2,  "FLOAT32",  "Current B, H4 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24838) {
        val = (PM8000RegType){ 24838, 2,  "FLOAT32",  "Current B, H4 Angle" };
        return val;
    }
    if (currentRegister < 24842) {
        val = (PM8000RegType){ 24842, 2,  "FLOAT32",  "Current B, H5 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24844) {
        val = (PM8000RegType){ 24844, 2,  "FLOAT32",  "Current B, H5 Angle" };
        return val;
    }
    if (currentRegister < 24848) {
        val = (PM8000RegType){ 24848, 2,  "FLOAT32",  "Current B, H6 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24850) {
        val = (PM8000RegType){ 24850, 2,  "FLOAT32",  "Current B, H6 Angle" };
        return val;
    }
    if (currentRegister < 24854) {
        val = (PM8000RegType){ 24854, 2,  "FLOAT32",  "Current B, H7 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24856) {
        val = (PM8000RegType){ 24856, 2,  "FLOAT32",  "Current B, H7 Angle" };
        return val;
    }
    if (currentRegister < 24860) {
        val = (PM8000RegType){ 24860, 2,  "FLOAT32",  "Current B, H8 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24862) {
        val = (PM8000RegType){ 24862, 2,  "FLOAT32",  "Current B, H8 Angle" };
        return val;
    }
    if (currentRegister < 24866) {
        val = (PM8000RegType){ 24866, 2,  "FLOAT32",  "Current B, H9 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24868) {
        val = (PM8000RegType){ 24868, 2,  "FLOAT32",  "Current B, H9 Angle" };
        return val;
    }
    if (currentRegister < 24872) {
        val = (PM8000RegType){ 24872, 2,  "FLOAT32",  "Current B, H10 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24874) {
        val = (PM8000RegType){ 24874, 2,  "FLOAT32",  "Current B, H10 Angle" };
        return val;
    }
    if (currentRegister < 24878) {
        val = (PM8000RegType){ 24878, 2,  "FLOAT32",  "Current B, H11 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24880) {
        val = (PM8000RegType){ 24880, 2,  "FLOAT32",  "Current B, H11 Angle" };
        return val;
    }
    if (currentRegister < 24884) {
        val = (PM8000RegType){ 24884, 2,  "FLOAT32",  "Current B, H12 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24886) {
        val = (PM8000RegType){ 24886, 2,  "FLOAT32",  "Current B, H12 Angle" };
        return val;
    }
    if (currentRegister < 24890) {
        val = (PM8000RegType){ 24890, 2,  "FLOAT32",  "Current B, H13 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24892) {
        val = (PM8000RegType){ 24892, 2,  "FLOAT32",  "Current B, H13 Angle" };
        return val;
    }
    if (currentRegister < 24896) {
        val = (PM8000RegType){ 24896, 2,  "FLOAT32",  "Current B, H14 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24898) {
        val = (PM8000RegType){ 24898, 2,  "FLOAT32",  "Current B, H14 Angle" };
        return val;
    }
    if (currentRegister < 24902) {
        val = (PM8000RegType){ 24902, 2,  "FLOAT32",  "Current B, H15 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24904) {
        val = (PM8000RegType){ 24904, 2,  "FLOAT32",  "Current B, H15 Angle" };
        return val;
    }
    if (currentRegister < 24908) {
        val = (PM8000RegType){ 24908, 2,  "FLOAT32",  "Current B, H16 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24910) {
        val = (PM8000RegType){ 24910, 2,  "FLOAT32",  "Current B, H16 Angle" };
        return val;
    }
    if (currentRegister < 24914) {
        val = (PM8000RegType){ 24914, 2,  "FLOAT32",  "Current B, H17 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24916) {
        val = (PM8000RegType){ 24916, 2,  "FLOAT32",  "Current B, H17 Angle" };
        return val;
    }
    if (currentRegister < 24920) {
        val = (PM8000RegType){ 24920, 2,  "FLOAT32",  "Current B, H18 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24922) {
        val = (PM8000RegType){ 24922, 2,  "FLOAT32",  "Current B, H18 Angle" };
        return val;
    }
    if (currentRegister < 24926) {
        val = (PM8000RegType){ 24926, 2,  "FLOAT32",  "Current B, H19 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24928) {
        val = (PM8000RegType){ 24928, 2,  "FLOAT32",  "Current B, H19 Angle" };
        return val;
    }
    if (currentRegister < 24932) {
        val = (PM8000RegType){ 24932, 2,  "FLOAT32",  "Current B, H20 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24934) {
        val = (PM8000RegType){ 24934, 2,  "FLOAT32",  "Current B, H20 Angle" };
        return val;
    }
    if (currentRegister < 24938) {
        val = (PM8000RegType){ 24938, 2,  "FLOAT32",  "Current B, H21 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24940) {
        val = (PM8000RegType){ 24940, 2,  "FLOAT32",  "Current B, H21 Angle" };
        return val;
    }
    if (currentRegister < 24944) {
        val = (PM8000RegType){ 24944, 2,  "FLOAT32",  "Current B, H22 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24946) {
        val = (PM8000RegType){ 24946, 2,  "FLOAT32",  "Current B, H22 Angle" };
        return val;
    }
    if (currentRegister < 24950) {
        val = (PM8000RegType){ 24950, 2,  "FLOAT32",  "Current B, H23 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24952) {
        val = (PM8000RegType){ 24952, 2,  "FLOAT32",  "Current B, H23 Angle" };
        return val;
    }
    if (currentRegister < 24956) {
        val = (PM8000RegType){ 24956, 2,  "FLOAT32",  "Current B, H24 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24958) {
        val = (PM8000RegType){ 24958, 2,  "FLOAT32",  "Current B, H24 Angle" };
        return val;
    }
    if (currentRegister < 24962) {
        val = (PM8000RegType){ 24962, 2,  "FLOAT32",  "Current B, H25 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24964) {
        val = (PM8000RegType){ 24964, 2,  "FLOAT32",  "Current B, H25 Angle" };
        return val;
    }
    if (currentRegister < 24968) {
        val = (PM8000RegType){ 24968, 2,  "FLOAT32",  "Current B, H26 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24970) {
        val = (PM8000RegType){ 24970, 2,  "FLOAT32",  "Current B, H26 Angle" };
        return val;
    }
    if (currentRegister < 24974) {
        val = (PM8000RegType){ 24974, 2,  "FLOAT32",  "Current B, H27 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24976) {
        val = (PM8000RegType){ 24976, 2,  "FLOAT32",  "Current B, H27 Angle" };
        return val;
    }
    if (currentRegister < 24980) {
        val = (PM8000RegType){ 24980, 2,  "FLOAT32",  "Current B, H28 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24982) {
        val = (PM8000RegType){ 24982, 2,  "FLOAT32",  "Current B, H28 Angle" };
        return val;
    }
    if (currentRegister < 24986) {
        val = (PM8000RegType){ 24986, 2,  "FLOAT32",  "Current B, H29 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24988) {
        val = (PM8000RegType){ 24988, 2,  "FLOAT32",  "Current B, H29 Angle" };
        return val;
    }
    if (currentRegister < 24992) {
        val = (PM8000RegType){ 24992, 2,  "FLOAT32",  "Current B, H30 Magnitude, A" };
        return val;
    }
    if (currentRegister < 24994) {
        val = (PM8000RegType){ 24994, 2,  "FLOAT32",  "Current B, H30 Angle" };
        return val;
    }
    if (currentRegister < 24998) {
        val = (PM8000RegType){ 24998, 2,  "FLOAT32",  "Current B, H31 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25000) {
        val = (PM8000RegType){ 25000, 2,  "FLOAT32",  "Current B, H31 Angle" };
        return val;
    }
    if (currentRegister < 25004) {
        val = (PM8000RegType){ 25004, 2,  "FLOAT32",  "Current B, H32 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25006) {
        val = (PM8000RegType){ 25006, 2,  "FLOAT32",  "Current B, H32 Angle" };
        return val;
    }
    if (currentRegister < 25010) {
        val = (PM8000RegType){ 25010, 2,  "FLOAT32",  "Current B, H33 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25012) {
        val = (PM8000RegType){ 25012, 2,  "FLOAT32",  "Current B, H33 Angle" };
        return val;
    }
    if (currentRegister < 25016) {
        val = (PM8000RegType){ 25016, 2,  "FLOAT32",  "Current B, H34 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25018) {
        val = (PM8000RegType){ 25018, 2,  "FLOAT32",  "Current B, H34 Angle" };
        return val;
    }
    if (currentRegister < 25022) {
        val = (PM8000RegType){ 25022, 2,  "FLOAT32",  "Current B, H35 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25024) {
        val = (PM8000RegType){ 25024, 2,  "FLOAT32",  "Current B, H35 Angle" };
        return val;
    }
    if (currentRegister < 25028) {
        val = (PM8000RegType){ 25028, 2,  "FLOAT32",  "Current B, H36 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25030) {
        val = (PM8000RegType){ 25030, 2,  "FLOAT32",  "Current B, H36 Angle" };
        return val;
    }
    if (currentRegister < 25034) {
        val = (PM8000RegType){ 25034, 2,  "FLOAT32",  "Current B, H37 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25036) {
        val = (PM8000RegType){ 25036, 2,  "FLOAT32",  "Current B, H37 Angle" };
        return val;
    }
    if (currentRegister < 25040) {
        val = (PM8000RegType){ 25040, 2,  "FLOAT32",  "Current B, H38 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25042) {
        val = (PM8000RegType){ 25042, 2,  "FLOAT32",  "Current B, H38 Angle" };
        return val;
    }
    if (currentRegister < 25046) {
        val = (PM8000RegType){ 25046, 2,  "FLOAT32",  "Current B, H39 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25048) {
        val = (PM8000RegType){ 25048, 2,  "FLOAT32",  "Current B, H39 Angle" };
        return val;
    }
    if (currentRegister < 25052) {
        val = (PM8000RegType){ 25052, 2,  "FLOAT32",  "Current B, H40 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25054) {
        val = (PM8000RegType){ 25054, 2,  "FLOAT32",  "Current B, H40 Angle" };
        return val;
    }
    if (currentRegister < 25058) {
        val = (PM8000RegType){ 25058, 2,  "FLOAT32",  "Current B, H41 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25060) {
        val = (PM8000RegType){ 25060, 2,  "FLOAT32",  "Current B, H41 Angle" };
        return val;
    }
    if (currentRegister < 25064) {
        val = (PM8000RegType){ 25064, 2,  "FLOAT32",  "Current B, H42 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25066) {
        val = (PM8000RegType){ 25066, 2,  "FLOAT32",  "Current B, H42 Angle" };
        return val;
    }
    if (currentRegister < 25070) {
        val = (PM8000RegType){ 25070, 2,  "FLOAT32",  "Current B, H43 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25072) {
        val = (PM8000RegType){ 25072, 2,  "FLOAT32",  "Current B, H43 Angle" };
        return val;
    }
    if (currentRegister < 25076) {
        val = (PM8000RegType){ 25076, 2,  "FLOAT32",  "Current B, H44 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25078) {
        val = (PM8000RegType){ 25078, 2,  "FLOAT32",  "Current B, H44 Angle" };
        return val;
    }
    if (currentRegister < 25082) {
        val = (PM8000RegType){ 25082, 2,  "FLOAT32",  "Current B, H45 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25084) {
        val = (PM8000RegType){ 25084, 2,  "FLOAT32",  "Current B, H45 Angle" };
        return val;
    }
    if (currentRegister < 25088) {
        val = (PM8000RegType){ 25088, 2,  "FLOAT32",  "Current B, H46 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25090) {
        val = (PM8000RegType){ 25090, 2,  "FLOAT32",  "Current B, H46 Angle" };
        return val;
    }
    if (currentRegister < 25094) {
        val = (PM8000RegType){ 25094, 2,  "FLOAT32",  "Current B, H47 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25096) {
        val = (PM8000RegType){ 25096, 2,  "FLOAT32",  "Current B, H47 Angle" };
        return val;
    }
    if (currentRegister < 25100) {
        val = (PM8000RegType){ 25100, 2,  "FLOAT32",  "Current B, H48 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25102) {
        val = (PM8000RegType){ 25102, 2,  "FLOAT32",  "Current B, H48 Angle" };
        return val;
    }
    if (currentRegister < 25106) {
        val = (PM8000RegType){ 25106, 2,  "FLOAT32",  "Current B, H49 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25108) {
        val = (PM8000RegType){ 25108, 2,  "FLOAT32",  "Current B, H49 Angle" };
        return val;
    }
    if (currentRegister < 25112) {
        val = (PM8000RegType){ 25112, 2,  "FLOAT32",  "Current B, H50 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25114) {
        val = (PM8000RegType){ 25114, 2,  "FLOAT32",  "Current B, H50 Angle" };
        return val;
    }
    if (currentRegister < 25118) {
        val = (PM8000RegType){ 25118, 2,  "FLOAT32",  "Current B, H51 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25120) {
        val = (PM8000RegType){ 25120, 2,  "FLOAT32",  "Current B, H51 Angle" };
        return val;
    }
    if (currentRegister < 25124) {
        val = (PM8000RegType){ 25124, 2,  "FLOAT32",  "Current B, H52 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25126) {
        val = (PM8000RegType){ 25126, 2,  "FLOAT32",  "Current B, H52 Angle" };
        return val;
    }
    if (currentRegister < 25130) {
        val = (PM8000RegType){ 25130, 2,  "FLOAT32",  "Current B, H53 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25132) {
        val = (PM8000RegType){ 25132, 2,  "FLOAT32",  "Current B, H53 Angle" };
        return val;
    }
    if (currentRegister < 25136) {
        val = (PM8000RegType){ 25136, 2,  "FLOAT32",  "Current B, H54 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25138) {
        val = (PM8000RegType){ 25138, 2,  "FLOAT32",  "Current B, H54 Angle" };
        return val;
    }
    if (currentRegister < 25142) {
        val = (PM8000RegType){ 25142, 2,  "FLOAT32",  "Current B, H55 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25144) {
        val = (PM8000RegType){ 25144, 2,  "FLOAT32",  "Current B, H55 Angle" };
        return val;
    }
    if (currentRegister < 25148) {
        val = (PM8000RegType){ 25148, 2,  "FLOAT32",  "Current B, H56 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25150) {
        val = (PM8000RegType){ 25150, 2,  "FLOAT32",  "Current B, H56 Angle" };
        return val;
    }
    if (currentRegister < 25154) {
        val = (PM8000RegType){ 25154, 2,  "FLOAT32",  "Current B, H57 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25156) {
        val = (PM8000RegType){ 25156, 2,  "FLOAT32",  "Current B, H57 Angle" };
        return val;
    }
    if (currentRegister < 25160) {
        val = (PM8000RegType){ 25160, 2,  "FLOAT32",  "Current B, H58 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25162) {
        val = (PM8000RegType){ 25162, 2,  "FLOAT32",  "Current B, H58 Angle" };
        return val;
    }
    if (currentRegister < 25166) {
        val = (PM8000RegType){ 25166, 2,  "FLOAT32",  "Current B, H59 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25168) {
        val = (PM8000RegType){ 25168, 2,  "FLOAT32",  "Current B, H59 Angle" };
        return val;
    }
    if (currentRegister < 25172) {
        val = (PM8000RegType){ 25172, 2,  "FLOAT32",  "Current B, H60 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25174) {
        val = (PM8000RegType){ 25174, 2,  "FLOAT32",  "Current B, H60 Angle" };
        return val;
    }
    if (currentRegister < 25178) {
        val = (PM8000RegType){ 25178, 2,  "FLOAT32",  "Current B, H61 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25180) {
        val = (PM8000RegType){ 25180, 2,  "FLOAT32",  "Current B, H61 Angle" };
        return val;
    }
    if (currentRegister < 25184) {
        val = (PM8000RegType){ 25184, 2,  "FLOAT32",  "Current B, H62 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25186) {
        val = (PM8000RegType){ 25186, 2,  "FLOAT32",  "Current B, H62 Angle" };
        return val;
    }
    if (currentRegister < 25190) {
        val = (PM8000RegType){ 25190, 2,  "FLOAT32",  "Current B, H63 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25192) {
        val = (PM8000RegType){ 25192, 2,  "FLOAT32",  "Current B, H63 Angle" };
        return val;
    }
    if (currentRegister < 25206) {
        val = (PM8000RegType){ 25206, 2,  "FLOAT32",  "Current C, H1 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25208) {
        val = (PM8000RegType){ 25208, 2,  "FLOAT32",  "Current C, H1 Angle" };
        return val;
    }
    if (currentRegister < 25212) {
        val = (PM8000RegType){ 25212, 2,  "FLOAT32",  "Current C, H2 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25214) {
        val = (PM8000RegType){ 25214, 2,  "FLOAT32",  "Current C, H2 Angle" };
        return val;
    }
    if (currentRegister < 25218) {
        val = (PM8000RegType){ 25218, 2,  "FLOAT32",  "Current C, H3 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25220) {
        val = (PM8000RegType){ 25220, 2,  "FLOAT32",  "Current C, H3 Angle" };
        return val;
    }
    if (currentRegister < 25224) {
        val = (PM8000RegType){ 25224, 2,  "FLOAT32",  "Current C, H4 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25226) {
        val = (PM8000RegType){ 25226, 2,  "FLOAT32",  "Current C, H4 Angle" };
        return val;
    }
    if (currentRegister < 25230) {
        val = (PM8000RegType){ 25230, 2,  "FLOAT32",  "Current C, H5 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25232) {
        val = (PM8000RegType){ 25232, 2,  "FLOAT32",  "Current C, H5 Angle" };
        return val;
    }
    if (currentRegister < 25236) {
        val = (PM8000RegType){ 25236, 2,  "FLOAT32",  "Current C, H6 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25238) {
        val = (PM8000RegType){ 25238, 2,  "FLOAT32",  "Current C, H6 Angle" };
        return val;
    }
    if (currentRegister < 25242) {
        val = (PM8000RegType){ 25242, 2,  "FLOAT32",  "Current C, H7 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25244) {
        val = (PM8000RegType){ 25244, 2,  "FLOAT32",  "Current C, H7 Angle" };
        return val;
    }
    if (currentRegister < 25248) {
        val = (PM8000RegType){ 25248, 2,  "FLOAT32",  "Current C, H8 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25250) {
        val = (PM8000RegType){ 25250, 2,  "FLOAT32",  "Current C, H8 Angle" };
        return val;
    }
    if (currentRegister < 25254) {
        val = (PM8000RegType){ 25254, 2,  "FLOAT32",  "Current C, H9 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25256) {
        val = (PM8000RegType){ 25256, 2,  "FLOAT32",  "Current C, H9 Angle" };
        return val;
    }
    if (currentRegister < 25260) {
        val = (PM8000RegType){ 25260, 2,  "FLOAT32",  "Current C, H10 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25262) {
        val = (PM8000RegType){ 25262, 2,  "FLOAT32",  "Current C, H10 Angle" };
        return val;
    }
    if (currentRegister < 25266) {
        val = (PM8000RegType){ 25266, 2,  "FLOAT32",  "Current C, H11 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25268) {
        val = (PM8000RegType){ 25268, 2,  "FLOAT32",  "Current C, H11 Angle" };
        return val;
    }
    if (currentRegister < 25272) {
        val = (PM8000RegType){ 25272, 2,  "FLOAT32",  "Current C, H12 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25274) {
        val = (PM8000RegType){ 25274, 2,  "FLOAT32",  "Current C, H12 Angle" };
        return val;
    }
    if (currentRegister < 25278) {
        val = (PM8000RegType){ 25278, 2,  "FLOAT32",  "Current C, H13 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25280) {
        val = (PM8000RegType){ 25280, 2,  "FLOAT32",  "Current C, H13 Angle" };
        return val;
    }
    if (currentRegister < 25284) {
        val = (PM8000RegType){ 25284, 2,  "FLOAT32",  "Current C, H14 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25286) {
        val = (PM8000RegType){ 25286, 2,  "FLOAT32",  "Current C, H14 Angle" };
        return val;
    }
    if (currentRegister < 25290) {
        val = (PM8000RegType){ 25290, 2,  "FLOAT32",  "Current C, H15 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25292) {
        val = (PM8000RegType){ 25292, 2,  "FLOAT32",  "Current C, H15 Angle" };
        return val;
    }
    if (currentRegister < 25296) {
        val = (PM8000RegType){ 25296, 2,  "FLOAT32",  "Current C, H16 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25298) {
        val = (PM8000RegType){ 25298, 2,  "FLOAT32",  "Current C, H16 Angle" };
        return val;
    }
    if (currentRegister < 25302) {
        val = (PM8000RegType){ 25302, 2,  "FLOAT32",  "Current C, H17 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25304) {
        val = (PM8000RegType){ 25304, 2,  "FLOAT32",  "Current C, H17 Angle" };
        return val;
    }
    if (currentRegister < 25308) {
        val = (PM8000RegType){ 25308, 2,  "FLOAT32",  "Current C, H18 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25310) {
        val = (PM8000RegType){ 25310, 2,  "FLOAT32",  "Current C, H18 Angle" };
        return val;
    }
    if (currentRegister < 25314) {
        val = (PM8000RegType){ 25314, 2,  "FLOAT32",  "Current C, H19 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25316) {
        val = (PM8000RegType){ 25316, 2,  "FLOAT32",  "Current C, H19 Angle" };
        return val;
    }
    if (currentRegister < 25320) {
        val = (PM8000RegType){ 25320, 2,  "FLOAT32",  "Current C, H20 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25322) {
        val = (PM8000RegType){ 25322, 2,  "FLOAT32",  "Current C, H20 Angle" };
        return val;
    }
    if (currentRegister < 25326) {
        val = (PM8000RegType){ 25326, 2,  "FLOAT32",  "Current C, H21 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25328) {
        val = (PM8000RegType){ 25328, 2,  "FLOAT32",  "Current C, H21 Angle" };
        return val;
    }
    if (currentRegister < 25332) {
        val = (PM8000RegType){ 25332, 2,  "FLOAT32",  "Current C, H22 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25334) {
        val = (PM8000RegType){ 25334, 2,  "FLOAT32",  "Current C, H22 Angle" };
        return val;
    }
    if (currentRegister < 25338) {
        val = (PM8000RegType){ 25338, 2,  "FLOAT32",  "Current C, H23 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25340) {
        val = (PM8000RegType){ 25340, 2,  "FLOAT32",  "Current C, H23 Angle" };
        return val;
    }
    if (currentRegister < 25344) {
        val = (PM8000RegType){ 25344, 2,  "FLOAT32",  "Current C, H24 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25346) {
        val = (PM8000RegType){ 25346, 2,  "FLOAT32",  "Current C, H24 Angle" };
        return val;
    }
    if (currentRegister < 25350) {
        val = (PM8000RegType){ 25350, 2,  "FLOAT32",  "Current C, H25 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25352) {
        val = (PM8000RegType){ 25352, 2,  "FLOAT32",  "Current C, H25 Angle" };
        return val;
    }
    if (currentRegister < 25356) {
        val = (PM8000RegType){ 25356, 2,  "FLOAT32",  "Current C, H26 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25358) {
        val = (PM8000RegType){ 25358, 2,  "FLOAT32",  "Current C, H26 Angle" };
        return val;
    }
    if (currentRegister < 25362) {
        val = (PM8000RegType){ 25362, 2,  "FLOAT32",  "Current C, H27 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25364) {
        val = (PM8000RegType){ 25364, 2,  "FLOAT32",  "Current C, H27 Angle" };
        return val;
    }
    if (currentRegister < 25368) {
        val = (PM8000RegType){ 25368, 2,  "FLOAT32",  "Current C, H28 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25370) {
        val = (PM8000RegType){ 25370, 2,  "FLOAT32",  "Current C, H28 Angle" };
        return val;
    }
    if (currentRegister < 25374) {
        val = (PM8000RegType){ 25374, 2,  "FLOAT32",  "Current C, H29 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25376) {
        val = (PM8000RegType){ 25376, 2,  "FLOAT32",  "Current C, H29 Angle" };
        return val;
    }
    if (currentRegister < 25380) {
        val = (PM8000RegType){ 25380, 2,  "FLOAT32",  "Current C, H30 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25382) {
        val = (PM8000RegType){ 25382, 2,  "FLOAT32",  "Current C, H30 Angle" };
        return val;
    }
    if (currentRegister < 25386) {
        val = (PM8000RegType){ 25386, 2,  "FLOAT32",  "Current C, H31 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25388) {
        val = (PM8000RegType){ 25388, 2,  "FLOAT32",  "Current C, H31 Angle" };
        return val;
    }
    if (currentRegister < 25392) {
        val = (PM8000RegType){ 25392, 2,  "FLOAT32",  "Current C, H32 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25394) {
        val = (PM8000RegType){ 25394, 2,  "FLOAT32",  "Current C, H32 Angle" };
        return val;
    }
    if (currentRegister < 25398) {
        val = (PM8000RegType){ 25398, 2,  "FLOAT32",  "Current C, H33 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25400) {
        val = (PM8000RegType){ 25400, 2,  "FLOAT32",  "Current C, H33 Angle" };
        return val;
    }
    if (currentRegister < 25404) {
        val = (PM8000RegType){ 25404, 2,  "FLOAT32",  "Current C, H34 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25406) {
        val = (PM8000RegType){ 25406, 2,  "FLOAT32",  "Current C, H34 Angle" };
        return val;
    }
    if (currentRegister < 25410) {
        val = (PM8000RegType){ 25410, 2,  "FLOAT32",  "Current C, H35 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25412) {
        val = (PM8000RegType){ 25412, 2,  "FLOAT32",  "Current C, H35 Angle" };
        return val;
    }
    if (currentRegister < 25416) {
        val = (PM8000RegType){ 25416, 2,  "FLOAT32",  "Current C, H36 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25418) {
        val = (PM8000RegType){ 25418, 2,  "FLOAT32",  "Current C, H36 Angle" };
        return val;
    }
    if (currentRegister < 25422) {
        val = (PM8000RegType){ 25422, 2,  "FLOAT32",  "Current C, H37 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25424) {
        val = (PM8000RegType){ 25424, 2,  "FLOAT32",  "Current C, H37 Angle" };
        return val;
    }
    if (currentRegister < 25428) {
        val = (PM8000RegType){ 25428, 2,  "FLOAT32",  "Current C, H38 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25430) {
        val = (PM8000RegType){ 25430, 2,  "FLOAT32",  "Current C, H38 Angle" };
        return val;
    }
    if (currentRegister < 25434) {
        val = (PM8000RegType){ 25434, 2,  "FLOAT32",  "Current C, H39 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25436) {
        val = (PM8000RegType){ 25436, 2,  "FLOAT32",  "Current C, H39 Angle" };
        return val;
    }
    if (currentRegister < 25440) {
        val = (PM8000RegType){ 25440, 2,  "FLOAT32",  "Current C, H40 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25442) {
        val = (PM8000RegType){ 25442, 2,  "FLOAT32",  "Current C, H40 Angle" };
        return val;
    }
    if (currentRegister < 25446) {
        val = (PM8000RegType){ 25446, 2,  "FLOAT32",  "Current C, H41 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25448) {
        val = (PM8000RegType){ 25448, 2,  "FLOAT32",  "Current C, H41 Angle" };
        return val;
    }
    if (currentRegister < 25452) {
        val = (PM8000RegType){ 25452, 2,  "FLOAT32",  "Current C, H42 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25454) {
        val = (PM8000RegType){ 25454, 2,  "FLOAT32",  "Current C, H42 Angle" };
        return val;
    }
    if (currentRegister < 25458) {
        val = (PM8000RegType){ 25458, 2,  "FLOAT32",  "Current C, H43 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25460) {
        val = (PM8000RegType){ 25460, 2,  "FLOAT32",  "Current C, H43 Angle" };
        return val;
    }
    if (currentRegister < 25464) {
        val = (PM8000RegType){ 25464, 2,  "FLOAT32",  "Current C, H44 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25466) {
        val = (PM8000RegType){ 25466, 2,  "FLOAT32",  "Current C, H44 Angle" };
        return val;
    }
    if (currentRegister < 25470) {
        val = (PM8000RegType){ 25470, 2,  "FLOAT32",  "Current C, H45 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25472) {
        val = (PM8000RegType){ 25472, 2,  "FLOAT32",  "Current C, H45 Angle" };
        return val;
    }
    if (currentRegister < 25476) {
        val = (PM8000RegType){ 25476, 2,  "FLOAT32",  "Current C, H46 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25478) {
        val = (PM8000RegType){ 25478, 2,  "FLOAT32",  "Current C, H46 Angle" };
        return val;
    }
    if (currentRegister < 25482) {
        val = (PM8000RegType){ 25482, 2,  "FLOAT32",  "Current C, H47 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25484) {
        val = (PM8000RegType){ 25484, 2,  "FLOAT32",  "Current C, H47 Angle" };
        return val;
    }
    if (currentRegister < 25488) {
        val = (PM8000RegType){ 25488, 2,  "FLOAT32",  "Current C, H48 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25490) {
        val = (PM8000RegType){ 25490, 2,  "FLOAT32",  "Current C, H48 Angle" };
        return val;
    }
    if (currentRegister < 25494) {
        val = (PM8000RegType){ 25494, 2,  "FLOAT32",  "Current C, H49 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25496) {
        val = (PM8000RegType){ 25496, 2,  "FLOAT32",  "Current C, H49 Angle" };
        return val;
    }
    if (currentRegister < 25500) {
        val = (PM8000RegType){ 25500, 2,  "FLOAT32",  "Current C, H50 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25502) {
        val = (PM8000RegType){ 25502, 2,  "FLOAT32",  "Current C, H50 Angle" };
        return val;
    }
    if (currentRegister < 25506) {
        val = (PM8000RegType){ 25506, 2,  "FLOAT32",  "Current C, H51 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25508) {
        val = (PM8000RegType){ 25508, 2,  "FLOAT32",  "Current C, H51 Angle" };
        return val;
    }
    if (currentRegister < 25512) {
        val = (PM8000RegType){ 25512, 2,  "FLOAT32",  "Current C, H52 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25514) {
        val = (PM8000RegType){ 25514, 2,  "FLOAT32",  "Current C, H52 Angle" };
        return val;
    }
    if (currentRegister < 25518) {
        val = (PM8000RegType){ 25518, 2,  "FLOAT32",  "Current C, H53 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25520) {
        val = (PM8000RegType){ 25520, 2,  "FLOAT32",  "Current C, H53 Angle" };
        return val;
    }
    if (currentRegister < 25524) {
        val = (PM8000RegType){ 25524, 2,  "FLOAT32",  "Current C, H54 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25526) {
        val = (PM8000RegType){ 25526, 2,  "FLOAT32",  "Current C, H54 Angle" };
        return val;
    }
    if (currentRegister < 25530) {
        val = (PM8000RegType){ 25530, 2,  "FLOAT32",  "Current C, H55 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25532) {
        val = (PM8000RegType){ 25532, 2,  "FLOAT32",  "Current C, H55 Angle" };
        return val;
    }
    if (currentRegister < 25536) {
        val = (PM8000RegType){ 25536, 2,  "FLOAT32",  "Current C, H56 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25538) {
        val = (PM8000RegType){ 25538, 2,  "FLOAT32",  "Current C, H56 Angle" };
        return val;
    }
    if (currentRegister < 25542) {
        val = (PM8000RegType){ 25542, 2,  "FLOAT32",  "Current C, H57 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25544) {
        val = (PM8000RegType){ 25544, 2,  "FLOAT32",  "Current C, H57 Angle" };
        return val;
    }
    if (currentRegister < 25548) {
        val = (PM8000RegType){ 25548, 2,  "FLOAT32",  "Current C, H58 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25550) {
        val = (PM8000RegType){ 25550, 2,  "FLOAT32",  "Current C, H58 Angle" };
        return val;
    }
    if (currentRegister < 25554) {
        val = (PM8000RegType){ 25554, 2,  "FLOAT32",  "Current C, H59 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25556) {
        val = (PM8000RegType){ 25556, 2,  "FLOAT32",  "Current C, H59 Angle" };
        return val;
    }
    if (currentRegister < 25560) {
        val = (PM8000RegType){ 25560, 2,  "FLOAT32",  "Current C, H60 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25562) {
        val = (PM8000RegType){ 25562, 2,  "FLOAT32",  "Current C, H60 Angle" };
        return val;
    }
    if (currentRegister < 25566) {
        val = (PM8000RegType){ 25566, 2,  "FLOAT32",  "Current C, H61 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25568) {
        val = (PM8000RegType){ 25568, 2,  "FLOAT32",  "Current C, H61 Angle" };
        return val;
    }
    if (currentRegister < 25572) {
        val = (PM8000RegType){ 25572, 2,  "FLOAT32",  "Current C, H62 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25574) {
        val = (PM8000RegType){ 25574, 2,  "FLOAT32",  "Current C, H62 Angle" };
        return val;
    }
    if (currentRegister < 25578) {
        val = (PM8000RegType){ 25578, 2,  "FLOAT32",  "Current C, H63 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25580) {
        val = (PM8000RegType){ 25580, 2,  "FLOAT32",  "Current C, H63 Angle" };
        return val;
    }
    if (currentRegister < 25594) {
        val = (PM8000RegType){ 25594, 2,  "FLOAT32",  "Current N, H1 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25596) {
        val = (PM8000RegType){ 25596, 2,  "FLOAT32",  "Current N, H1 Angle" };
        return val;
    }
    if (currentRegister < 25600) {
        val = (PM8000RegType){ 25600, 2,  "FLOAT32",  "Current N, H2 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25602) {
        val = (PM8000RegType){ 25602, 2,  "FLOAT32",  "Current N, H2 Angle" };
        return val;
    }
    if (currentRegister < 25606) {
        val = (PM8000RegType){ 25606, 2,  "FLOAT32",  "Current N, H3 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25608) {
        val = (PM8000RegType){ 25608, 2,  "FLOAT32",  "Current N, H3 Angle" };
        return val;
    }
    if (currentRegister < 25612) {
        val = (PM8000RegType){ 25612, 2,  "FLOAT32",  "Current N, H4 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25614) {
        val = (PM8000RegType){ 25614, 2,  "FLOAT32",  "Current N, H4 Angle" };
        return val;
    }
    if (currentRegister < 25618) {
        val = (PM8000RegType){ 25618, 2,  "FLOAT32",  "Current N, H5 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25620) {
        val = (PM8000RegType){ 25620, 2,  "FLOAT32",  "Current N, H5 Angle" };
        return val;
    }
    if (currentRegister < 25624) {
        val = (PM8000RegType){ 25624, 2,  "FLOAT32",  "Current N, H6 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25626) {
        val = (PM8000RegType){ 25626, 2,  "FLOAT32",  "Current N, H6 Angle" };
        return val;
    }
    if (currentRegister < 25630) {
        val = (PM8000RegType){ 25630, 2,  "FLOAT32",  "Current N, H7 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25632) {
        val = (PM8000RegType){ 25632, 2,  "FLOAT32",  "Current N, H7 Angle" };
        return val;
    }
    if (currentRegister < 25636) {
        val = (PM8000RegType){ 25636, 2,  "FLOAT32",  "Current N, H8 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25638) {
        val = (PM8000RegType){ 25638, 2,  "FLOAT32",  "Current N, H8 Angle" };
        return val;
    }
    if (currentRegister < 25642) {
        val = (PM8000RegType){ 25642, 2,  "FLOAT32",  "Current N, H9 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25644) {
        val = (PM8000RegType){ 25644, 2,  "FLOAT32",  "Current N, H9 Angle" };
        return val;
    }
    if (currentRegister < 25648) {
        val = (PM8000RegType){ 25648, 2,  "FLOAT32",  "Current N, H10 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25650) {
        val = (PM8000RegType){ 25650, 2,  "FLOAT32",  "Current N, H10 Angle" };
        return val;
    }
    if (currentRegister < 25654) {
        val = (PM8000RegType){ 25654, 2,  "FLOAT32",  "Current N, H11 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25656) {
        val = (PM8000RegType){ 25656, 2,  "FLOAT32",  "Current N, H11 Angle" };
        return val;
    }
    if (currentRegister < 25660) {
        val = (PM8000RegType){ 25660, 2,  "FLOAT32",  "Current N, H12 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25662) {
        val = (PM8000RegType){ 25662, 2,  "FLOAT32",  "Current N, H12 Angle" };
        return val;
    }
    if (currentRegister < 25666) {
        val = (PM8000RegType){ 25666, 2,  "FLOAT32",  "Current N, H13 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25668) {
        val = (PM8000RegType){ 25668, 2,  "FLOAT32",  "Current N, H13 Angle" };
        return val;
    }
    if (currentRegister < 25672) {
        val = (PM8000RegType){ 25672, 2,  "FLOAT32",  "Current N, H14 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25674) {
        val = (PM8000RegType){ 25674, 2,  "FLOAT32",  "Current N, H14 Angle" };
        return val;
    }
    if (currentRegister < 25678) {
        val = (PM8000RegType){ 25678, 2,  "FLOAT32",  "Current N, H15 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25680) {
        val = (PM8000RegType){ 25680, 2,  "FLOAT32",  "Current N, H15 Angle" };
        return val;
    }
    if (currentRegister < 25684) {
        val = (PM8000RegType){ 25684, 2,  "FLOAT32",  "Current N, H16 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25686) {
        val = (PM8000RegType){ 25686, 2,  "FLOAT32",  "Current N, H16 Angle" };
        return val;
    }
    if (currentRegister < 25690) {
        val = (PM8000RegType){ 25690, 2,  "FLOAT32",  "Current N, H17 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25692) {
        val = (PM8000RegType){ 25692, 2,  "FLOAT32",  "Current N, H17 Angle" };
        return val;
    }
    if (currentRegister < 25696) {
        val = (PM8000RegType){ 25696, 2,  "FLOAT32",  "Current N, H18 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25698) {
        val = (PM8000RegType){ 25698, 2,  "FLOAT32",  "Current N, H18 Angle" };
        return val;
    }
    if (currentRegister < 25702) {
        val = (PM8000RegType){ 25702, 2,  "FLOAT32",  "Current N, H19 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25704) {
        val = (PM8000RegType){ 25704, 2,  "FLOAT32",  "Current N, H19 Angle" };
        return val;
    }
    if (currentRegister < 25708) {
        val = (PM8000RegType){ 25708, 2,  "FLOAT32",  "Current N, H20 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25710) {
        val = (PM8000RegType){ 25710, 2,  "FLOAT32",  "Current N, H20 Angle" };
        return val;
    }
    if (currentRegister < 25714) {
        val = (PM8000RegType){ 25714, 2,  "FLOAT32",  "Current N, H21 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25716) {
        val = (PM8000RegType){ 25716, 2,  "FLOAT32",  "Current N, H21 Angle" };
        return val;
    }
    if (currentRegister < 25720) {
        val = (PM8000RegType){ 25720, 2,  "FLOAT32",  "Current N, H22 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25722) {
        val = (PM8000RegType){ 25722, 2,  "FLOAT32",  "Current N, H22 Angle" };
        return val;
    }
    if (currentRegister < 25726) {
        val = (PM8000RegType){ 25726, 2,  "FLOAT32",  "Current N, H23 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25728) {
        val = (PM8000RegType){ 25728, 2,  "FLOAT32",  "Current N, H23 Angle" };
        return val;
    }
    if (currentRegister < 25732) {
        val = (PM8000RegType){ 25732, 2,  "FLOAT32",  "Current N, H24 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25734) {
        val = (PM8000RegType){ 25734, 2,  "FLOAT32",  "Current N, H24 Angle" };
        return val;
    }
    if (currentRegister < 25738) {
        val = (PM8000RegType){ 25738, 2,  "FLOAT32",  "Current N, H25 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25740) {
        val = (PM8000RegType){ 25740, 2,  "FLOAT32",  "Current N, H25 Angle" };
        return val;
    }
    if (currentRegister < 25744) {
        val = (PM8000RegType){ 25744, 2,  "FLOAT32",  "Current N, H26 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25746) {
        val = (PM8000RegType){ 25746, 2,  "FLOAT32",  "Current N, H26 Angle" };
        return val;
    }
    if (currentRegister < 25750) {
        val = (PM8000RegType){ 25750, 2,  "FLOAT32",  "Current N, H27 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25752) {
        val = (PM8000RegType){ 25752, 2,  "FLOAT32",  "Current N, H27 Angle" };
        return val;
    }
    if (currentRegister < 25756) {
        val = (PM8000RegType){ 25756, 2,  "FLOAT32",  "Current N, H28 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25758) {
        val = (PM8000RegType){ 25758, 2,  "FLOAT32",  "Current N, H28 Angle" };
        return val;
    }
    if (currentRegister < 25762) {
        val = (PM8000RegType){ 25762, 2,  "FLOAT32",  "Current N, H29 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25764) {
        val = (PM8000RegType){ 25764, 2,  "FLOAT32",  "Current N, H29 Angle" };
        return val;
    }
    if (currentRegister < 25768) {
        val = (PM8000RegType){ 25768, 2,  "FLOAT32",  "Current N, H30 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25770) {
        val = (PM8000RegType){ 25770, 2,  "FLOAT32",  "Current N, H30 Angle" };
        return val;
    }
    if (currentRegister < 25774) {
        val = (PM8000RegType){ 25774, 2,  "FLOAT32",  "Current N, H31 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25776) {
        val = (PM8000RegType){ 25776, 2,  "FLOAT32",  "Current N, H31 Angle" };
        return val;
    }
    if (currentRegister < 25780) {
        val = (PM8000RegType){ 25780, 2,  "FLOAT32",  "Current N, H32 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25782) {
        val = (PM8000RegType){ 25782, 2,  "FLOAT32",  "Current N, H32 Angle" };
        return val;
    }
    if (currentRegister < 25786) {
        val = (PM8000RegType){ 25786, 2,  "FLOAT32",  "Current N, H33 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25788) {
        val = (PM8000RegType){ 25788, 2,  "FLOAT32",  "Current N, H33 Angle" };
        return val;
    }
    if (currentRegister < 25792) {
        val = (PM8000RegType){ 25792, 2,  "FLOAT32",  "Current N, H34 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25794) {
        val = (PM8000RegType){ 25794, 2,  "FLOAT32",  "Current N, H34 Angle" };
        return val;
    }
    if (currentRegister < 25798) {
        val = (PM8000RegType){ 25798, 2,  "FLOAT32",  "Current N, H35 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25800) {
        val = (PM8000RegType){ 25800, 2,  "FLOAT32",  "Current N, H35 Angle" };
        return val;
    }
    if (currentRegister < 25804) {
        val = (PM8000RegType){ 25804, 2,  "FLOAT32",  "Current N, H36 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25806) {
        val = (PM8000RegType){ 25806, 2,  "FLOAT32",  "Current N, H36 Angle" };
        return val;
    }
    if (currentRegister < 25810) {
        val = (PM8000RegType){ 25810, 2,  "FLOAT32",  "Current N, H37 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25812) {
        val = (PM8000RegType){ 25812, 2,  "FLOAT32",  "Current N, H37 Angle" };
        return val;
    }
    if (currentRegister < 25816) {
        val = (PM8000RegType){ 25816, 2,  "FLOAT32",  "Current N, H38 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25818) {
        val = (PM8000RegType){ 25818, 2,  "FLOAT32",  "Current N, H38 Angle" };
        return val;
    }
    if (currentRegister < 25822) {
        val = (PM8000RegType){ 25822, 2,  "FLOAT32",  "Current N, H39 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25824) {
        val = (PM8000RegType){ 25824, 2,  "FLOAT32",  "Current N, H39 Angle" };
        return val;
    }
    if (currentRegister < 25828) {
        val = (PM8000RegType){ 25828, 2,  "FLOAT32",  "Current N, H40 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25830) {
        val = (PM8000RegType){ 25830, 2,  "FLOAT32",  "Current N, H40 Angle" };
        return val;
    }
    if (currentRegister < 25834) {
        val = (PM8000RegType){ 25834, 2,  "FLOAT32",  "Current N, H41 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25836) {
        val = (PM8000RegType){ 25836, 2,  "FLOAT32",  "Current N, H41 Angle" };
        return val;
    }
    if (currentRegister < 25840) {
        val = (PM8000RegType){ 25840, 2,  "FLOAT32",  "Current N, H42 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25842) {
        val = (PM8000RegType){ 25842, 2,  "FLOAT32",  "Current N, H42 Angle" };
        return val;
    }
    if (currentRegister < 25846) {
        val = (PM8000RegType){ 25846, 2,  "FLOAT32",  "Current N, H43 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25848) {
        val = (PM8000RegType){ 25848, 2,  "FLOAT32",  "Current N, H43 Angle" };
        return val;
    }
    if (currentRegister < 25852) {
        val = (PM8000RegType){ 25852, 2,  "FLOAT32",  "Current N, H44 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25854) {
        val = (PM8000RegType){ 25854, 2,  "FLOAT32",  "Current N, H44 Angle" };
        return val;
    }
    if (currentRegister < 25858) {
        val = (PM8000RegType){ 25858, 2,  "FLOAT32",  "Current N, H45 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25860) {
        val = (PM8000RegType){ 25860, 2,  "FLOAT32",  "Current N, H45 Angle" };
        return val;
    }
    if (currentRegister < 25864) {
        val = (PM8000RegType){ 25864, 2,  "FLOAT32",  "Current N, H46 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25866) {
        val = (PM8000RegType){ 25866, 2,  "FLOAT32",  "Current N, H46 Angle" };
        return val;
    }
    if (currentRegister < 25870) {
        val = (PM8000RegType){ 25870, 2,  "FLOAT32",  "Current N, H47 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25872) {
        val = (PM8000RegType){ 25872, 2,  "FLOAT32",  "Current N, H47 Angle" };
        return val;
    }
    if (currentRegister < 25876) {
        val = (PM8000RegType){ 25876, 2,  "FLOAT32",  "Current N, H48 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25878) {
        val = (PM8000RegType){ 25878, 2,  "FLOAT32",  "Current N, H48 Angle" };
        return val;
    }
    if (currentRegister < 25882) {
        val = (PM8000RegType){ 25882, 2,  "FLOAT32",  "Current N, H49 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25884) {
        val = (PM8000RegType){ 25884, 2,  "FLOAT32",  "Current N, H49 Angle" };
        return val;
    }
    if (currentRegister < 25888) {
        val = (PM8000RegType){ 25888, 2,  "FLOAT32",  "Current N, H50 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25890) {
        val = (PM8000RegType){ 25890, 2,  "FLOAT32",  "Current N, H50 Angle" };
        return val;
    }
    if (currentRegister < 25894) {
        val = (PM8000RegType){ 25894, 2,  "FLOAT32",  "Current N, H51 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25896) {
        val = (PM8000RegType){ 25896, 2,  "FLOAT32",  "Current N, H51 Angle" };
        return val;
    }
    if (currentRegister < 25900) {
        val = (PM8000RegType){ 25900, 2,  "FLOAT32",  "Current N, H52 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25902) {
        val = (PM8000RegType){ 25902, 2,  "FLOAT32",  "Current N, H52 Angle" };
        return val;
    }
    if (currentRegister < 25906) {
        val = (PM8000RegType){ 25906, 2,  "FLOAT32",  "Current N, H53 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25908) {
        val = (PM8000RegType){ 25908, 2,  "FLOAT32",  "Current N, H53 Angle" };
        return val;
    }
    if (currentRegister < 25912) {
        val = (PM8000RegType){ 25912, 2,  "FLOAT32",  "Current N, H54 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25914) {
        val = (PM8000RegType){ 25914, 2,  "FLOAT32",  "Current N, H54 Angle" };
        return val;
    }
    if (currentRegister < 25918) {
        val = (PM8000RegType){ 25918, 2,  "FLOAT32",  "Current N, H55 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25920) {
        val = (PM8000RegType){ 25920, 2,  "FLOAT32",  "Current N, H55 Angle" };
        return val;
    }
    if (currentRegister < 25924) {
        val = (PM8000RegType){ 25924, 2,  "FLOAT32",  "Current N, H56 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25926) {
        val = (PM8000RegType){ 25926, 2,  "FLOAT32",  "Current N, H56 Angle" };
        return val;
    }
    if (currentRegister < 25930) {
        val = (PM8000RegType){ 25930, 2,  "FLOAT32",  "Current N, H57 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25932) {
        val = (PM8000RegType){ 25932, 2,  "FLOAT32",  "Current N, H57 Angle" };
        return val;
    }
    if (currentRegister < 25936) {
        val = (PM8000RegType){ 25936, 2,  "FLOAT32",  "Current N, H58 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25938) {
        val = (PM8000RegType){ 25938, 2,  "FLOAT32",  "Current N, H58 Angle" };
        return val;
    }
    if (currentRegister < 25942) {
        val = (PM8000RegType){ 25942, 2,  "FLOAT32",  "Current N, H59 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25944) {
        val = (PM8000RegType){ 25944, 2,  "FLOAT32",  "Current N, H59 Angle" };
        return val;
    }
    if (currentRegister < 25948) {
        val = (PM8000RegType){ 25948, 2,  "FLOAT32",  "Current N, H60 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25950) {
        val = (PM8000RegType){ 25950, 2,  "FLOAT32",  "Current N, H60 Angle" };
        return val;
    }
    if (currentRegister < 25954) {
        val = (PM8000RegType){ 25954, 2,  "FLOAT32",  "Current N, H61 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25956) {
        val = (PM8000RegType){ 25956, 2,  "FLOAT32",  "Current N, H61 Angle" };
        return val;
    }
    if (currentRegister < 25960) {
        val = (PM8000RegType){ 25960, 2,  "FLOAT32",  "Current N, H62 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25962) {
        val = (PM8000RegType){ 25962, 2,  "FLOAT32",  "Current N, H62 Angle" };
        return val;
    }
    if (currentRegister < 25966) {
        val = (PM8000RegType){ 25966, 2,  "FLOAT32",  "Current N, H63 Magnitude, A" };
        return val;
    }
    if (currentRegister < 25968) {
        val = (PM8000RegType){ 25968, 2,  "FLOAT32",  "Current N, H63 Angle" };
        return val;
    }
    if (currentRegister < 27218) {
        val = (PM8000RegType){ 27218, 2,  "FLOAT32",  "Min Current A" };
        return val;
    }
    if (currentRegister < 27220) {
        val = (PM8000RegType){ 27220, 2,  "FLOAT32",  "Min Current B" };
        return val;
    }
    if (currentRegister < 27222) {
        val = (PM8000RegType){ 27222, 2,  "FLOAT32",  "Min Current C" };
        return val;
    }
    if (currentRegister < 27224) {
        val = (PM8000RegType){ 27224, 2,  "FLOAT32",  "Min Current N" };
        return val;
    }
    if (currentRegister < 27226) {
        val = (PM8000RegType){ 27226, 2,  "FLOAT32",  "Min Current G" };
        return val;
    }
    if (currentRegister < 27228) {
        val = (PM8000RegType){ 27228, 2,  "FLOAT32",  "Min Current Avg" };
        return val;
    }
    if (currentRegister < 27238) {
        val = (PM8000RegType){ 27238, 2,  "FLOAT32",  "Min Voltage A-B" };
        return val;
    }
    if (currentRegister < 27240) {
        val = (PM8000RegType){ 27240, 2,  "FLOAT32",  "Min Voltage B-C" };
        return val;
    }
    if (currentRegister < 27242) {
        val = (PM8000RegType){ 27242, 2,  "FLOAT32",  "Min Voltage C-A" };
        return val;
    }
    if (currentRegister < 27244) {
        val = (PM8000RegType){ 27244, 2,  "FLOAT32",  "Min Voltage L-L Avg" };
        return val;
    }
    if (currentRegister < 27246) {
        val = (PM8000RegType){ 27246, 2,  "FLOAT32",  "Min Voltage A-N" };
        return val;
    }
    if (currentRegister < 27248) {
        val = (PM8000RegType){ 27248, 2,  "FLOAT32",  "Min Voltage B-N" };
        return val;
    }
    if (currentRegister < 27250) {
        val = (PM8000RegType){ 27250, 2,  "FLOAT32",  "Min Voltage C-N" };
        return val;
    }
    if (currentRegister < 27254) {
        val = (PM8000RegType){ 27254, 2,  "FLOAT32",  "Min Voltage L-N Avg" };
        return val;
    }
    if (currentRegister < 27270) {
        val = (PM8000RegType){ 27270, 2,  "FLOAT32",  "Min Voltage Unbalance L-N Worst" };
        return val;
    }
    if (currentRegister < 27278) {
        val = (PM8000RegType){ 27278, 2,  "FLOAT32",  "Min Active Power Total" };
        return val;
    }
    if (currentRegister < 27286) {
        val = (PM8000RegType){ 27286, 2,  "FLOAT32",  "Min Reactive Power Total" };
        return val;
    }
    if (currentRegister < 27294) {
        val = (PM8000RegType){ 27294, 2,  "FLOAT32",  "Min Apparent Power Total" };
        return val;
    }
    if (currentRegister < 27322) {
        val = (PM8000RegType){ 27322, 2,  "FLOAT32",  "Min Power Factor Lagging" };
        return val;
    }
    if (currentRegister < 27324) {
        val = (PM8000RegType){ 27324, 2,  "FLOAT32",  "Min Power Factor Leading" };
        return val;
    }
    if (currentRegister < 27338) {
        val = (PM8000RegType){ 27338, 2,  "FLOAT32",  "Min THDCurrent A" };
        return val;
    }
    if (currentRegister < 27340) {
        val = (PM8000RegType){ 27340, 2,  "FLOAT32",  "Min THDCurrent B" };
        return val;
    }
    if (currentRegister < 27342) {
        val = (PM8000RegType){ 27342, 2,  "FLOAT32",  "Min THD Current C" };
        return val;
    }
    if (currentRegister < 27344) {
        val = (PM8000RegType){ 27344, 2,  "FLOAT32",  "Min THD Current N" };
        return val;
    }
    if (currentRegister < 27360) {
        val = (PM8000RegType){ 27360, 2,  "FLOAT32",  "Min THD Voltage A-B" };
        return val;
    }
    if (currentRegister < 27362) {
        val = (PM8000RegType){ 27362, 2,  "FLOAT32",  "Min THD Voltage B-C" };
        return val;
    }
    if (currentRegister < 27364) {
        val = (PM8000RegType){ 27364, 2,  "FLOAT32",  "Min THD Voltage C-A" };
        return val;
    }
    if (currentRegister < 27616) {
        val = (PM8000RegType){ 27616, 2,  "FLOAT32",  "Min Frequency" };
        return val;
    }
    if (currentRegister < 27644) {
        val = (PM8000RegType){ 27644, 2,  "FLOAT32",  "Current A Low" };
        return val;
    }
    if (currentRegister < 27646) {
        val = (PM8000RegType){ 27646, 2,  "FLOAT32",  "Current B Low" };
        return val;
    }
    if (currentRegister < 27648) {
        val = (PM8000RegType){ 27648, 2,  "FLOAT32",  "Current C Low" };
        return val;
    }
    if (currentRegister < 27650) {
        val = (PM8000RegType){ 27650, 2,  "FLOAT32",  "Current N Low" };
        return val;
    }
    if (currentRegister < 27652) {
        val = (PM8000RegType){ 27652, 2,  "FLOAT32",  "Current Avg Low" };
        return val;
    }
    if (currentRegister < 27654) {
        val = (PM8000RegType){ 27654, 2,  "FLOAT32",  "Voltage A-B Low" };
        return val;
    }
    if (currentRegister < 27656) {
        val = (PM8000RegType){ 27656, 2,  "FLOAT32",  "Voltage B-C Low" };
        return val;
    }
    if (currentRegister < 27658) {
        val = (PM8000RegType){ 27658, 2,  "FLOAT32",  "Voltage C-A Low" };
        return val;
    }
    if (currentRegister < 27660) {
        val = (PM8000RegType){ 27660, 2,  "FLOAT32",  "Voltage L-L Avg Low" };
        return val;
    }
    if (currentRegister < 27670) {
        val = (PM8000RegType){ 27670, 2,  "FLOAT32",  "Voltage Unbalance Low" };
        return val;
    }
    if (currentRegister < 27672) {
        val = (PM8000RegType){ 27672, 2,  "FLOAT32",  "Active Power Low" };
        return val;
    }
    if (currentRegister < 27674) {
        val = (PM8000RegType){ 27674, 2,  "FLOAT32",  "Reactive Power Low" };
        return val;
    }
    if (currentRegister < 27676) {
        val = (PM8000RegType){ 27676, 2,  "FLOAT32",  "Apparent Power Low" };
        return val;
    }
    if (currentRegister < 27678) {
        val = (PM8000RegType){ 27678, 2,  "FLOAT32",  "Power Factor Lagging Low" };
        return val;
    }
    if (currentRegister < 27680) {
        val = (PM8000RegType){ 27680, 2,  "FLOAT32",  "Power Factor Leading Low" };
        return val;
    }
    if (currentRegister < 27682) {
        val = (PM8000RegType){ 27682, 2,  "FLOAT32",  "Frequency Low" };
        return val;
    }
    if (currentRegister < 27694) {
        val = (PM8000RegType){ 27694, 2,  "FLOAT32",  "Max Current A" };
        return val;
    }
    if (currentRegister < 27696) {
        val = (PM8000RegType){ 27696, 2,  "FLOAT32",  "Max Current B" };
        return val;
    }
    if (currentRegister < 27698) {
        val = (PM8000RegType){ 27698, 2,  "FLOAT32",  "Max Current C" };
        return val;
    }
    if (currentRegister < 27700) {
        val = (PM8000RegType){ 27700, 2,  "FLOAT32",  "Max Current N" };
        return val;
    }
    if (currentRegister < 27702) {
        val = (PM8000RegType){ 27702, 2,  "FLOAT32",  "Max Current G" };
        return val;
    }
    if (currentRegister < 27704) {
        val = (PM8000RegType){ 27704, 2,  "FLOAT32",  "Max Current Avg" };
        return val;
    }
    if (currentRegister < 27714) {
        val = (PM8000RegType){ 27714, 2,  "FLOAT32",  "Max Voltage A-B" };
        return val;
    }
    if (currentRegister < 27716) {
        val = (PM8000RegType){ 27716, 2,  "FLOAT32",  "Max Voltage B-C" };
        return val;
    }
    if (currentRegister < 27718) {
        val = (PM8000RegType){ 27718, 2,  "FLOAT32",  "Max Voltage C-A" };
        return val;
    }
    if (currentRegister < 27720) {
        val = (PM8000RegType){ 27720, 2,  "FLOAT32",  "Max Voltage L-L Avg" };
        return val;
    }
    if (currentRegister < 27722) {
        val = (PM8000RegType){ 27722, 2,  "FLOAT32",  "Max Voltage A-N" };
        return val;
    }
    if (currentRegister < 27724) {
        val = (PM8000RegType){ 27724, 2,  "FLOAT32",  "Max Voltage B-N" };
        return val;
    }
    if (currentRegister < 27726) {
        val = (PM8000RegType){ 27726, 2,  "FLOAT32",  "Max Voltage C-N" };
        return val;
    }
    if (currentRegister < 27730) {
        val = (PM8000RegType){ 27730, 2,  "FLOAT32",  "Max Voltage L-N Avg" };
        return val;
    }
    if (currentRegister < 27746) {
        val = (PM8000RegType){ 27746, 2,  "FLOAT32",  "Max Voltage Unbalance L-N Worst" };
        return val;
    }
    if (currentRegister < 27754) {
        val = (PM8000RegType){ 27754, 2,  "FLOAT32",  "Max Active Power Total" };
        return val;
    }
    if (currentRegister < 27762) {
        val = (PM8000RegType){ 27762, 2,  "FLOAT32",  "Max Reactive Power Total" };
        return val;
    }
    if (currentRegister < 27770) {
        val = (PM8000RegType){ 27770, 2,  "FLOAT32",  "Max Apparent Power Total" };
        return val;
    }
    if (currentRegister < 27798) {
        val = (PM8000RegType){ 27798, 2,  "FLOAT32",  "Max Power Factor Lagging" };
        return val;
    }
    if (currentRegister < 27800) {
        val = (PM8000RegType){ 27800, 2,  "FLOAT32",  "Max Power Factor Leading" };
        return val;
    }
    if (currentRegister < 27814) {
        val = (PM8000RegType){ 27814, 2,  "FLOAT32",  "Max THD Current A" };
        return val;
    }
    if (currentRegister < 27816) {
        val = (PM8000RegType){ 27816, 2,  "FLOAT32",  "Max THD Current B" };
        return val;
    }
    if (currentRegister < 27818) {
        val = (PM8000RegType){ 27818, 2,  "FLOAT32",  "Max THD Current C" };
        return val;
    }
    if (currentRegister < 27820) {
        val = (PM8000RegType){ 27820, 2,  "FLOAT32",  "Max THD Current N" };
        return val;
    }
    if (currentRegister < 27844) {
        val = (PM8000RegType){ 27844, 2,  "FLOAT32",  "Max THD Voltage A-N" };
        return val;
    }
    if (currentRegister < 27846) {
        val = (PM8000RegType){ 27846, 2,  "FLOAT32",  "Max THD Voltage B-N" };
        return val;
    }
    if (currentRegister < 27848) {
        val = (PM8000RegType){ 27848, 2,  "FLOAT32",  "Max THD Voltage C-N" };
        return val;
    }
    if (currentRegister < 28092) {
        val = (PM8000RegType){ 28092, 2,  "FLOAT32",  "Max Frequency" };
        return val;
    }
    if (currentRegister < 28120) {
        val = (PM8000RegType){ 28120, 2,  "FLOAT32",  "Current A High" };
        return val;
    }
    if (currentRegister < 28122) {
        val = (PM8000RegType){ 28122, 2,  "FLOAT32",  "Current B High" };
        return val;
    }
    if (currentRegister < 28124) {
        val = (PM8000RegType){ 28124, 2,  "FLOAT32",  "Current C High" };
        return val;
    }
    if (currentRegister < 28126) {
        val = (PM8000RegType){ 28126, 2,  "FLOAT32",  "Current N High" };
        return val;
    }
    if (currentRegister < 28128) {
        val = (PM8000RegType){ 28128, 2,  "FLOAT32",  "Current Avg High" };
        return val;
    }
    if (currentRegister < 28130) {
        val = (PM8000RegType){ 28130, 2,  "FLOAT32",  "Voltage A-B High" };
        return val;
    }
    if (currentRegister < 28132) {
        val = (PM8000RegType){ 28132, 2,  "FLOAT32",  "Voltage B-C High" };
        return val;
    }
    if (currentRegister < 28134) {
        val = (PM8000RegType){ 28134, 2,  "FLOAT32",  "Voltage C-A High" };
        return val;
    }
    if (currentRegister < 28136) {
        val = (PM8000RegType){ 28136, 2,  "FLOAT32",  "Voltage L-L Avg High" };
        return val;
    }
    if (currentRegister < 28146) {
        val = (PM8000RegType){ 28146, 2,  "FLOAT32",  "Voltage Unbalance High" };
        return val;
    }
    if (currentRegister < 28148) {
        val = (PM8000RegType){ 28148, 2,  "FLOAT32",  "THD Current A High" };
        return val;
    }
    if (currentRegister < 28150) {
        val = (PM8000RegType){ 28150, 2,  "FLOAT32",  "THD Current B High" };
        return val;
    }
    if (currentRegister < 28152) {
        val = (PM8000RegType){ 28152, 2,  "FLOAT32",  "THD Current C High" };
        return val;
    }
    if (currentRegister < 28154) {
        val = (PM8000RegType){ 28154, 2,  "FLOAT32",  "THD Current N High" };
        return val;
    }
    if (currentRegister < 28156) {
        val = (PM8000RegType){ 28156, 2,  "FLOAT32",  "THD Voltage V1 High" };
        return val;
    }
    if (currentRegister < 28158) {
        val = (PM8000RegType){ 28158, 2,  "FLOAT32",  "THD Voltage V2 High" };
        return val;
    }
    if (currentRegister < 28160) {
        val = (PM8000RegType){ 28160, 2,  "FLOAT32",  "THD Voltage V3 High" };
        return val;
    }
    if (currentRegister < 28162) {
        val = (PM8000RegType){ 28162, 2,  "FLOAT32",  "Active Power High" };
        return val;
    }
    if (currentRegister < 28164) {
        val = (PM8000RegType){ 28164, 2,  "FLOAT32",  "Reactive Power High" };
        return val;
    }
    if (currentRegister < 28166) {
        val = (PM8000RegType){ 28166, 2,  "FLOAT32",  "Apparent Power High" };
        return val;
    }
    if (currentRegister < 28168) {
        val = (PM8000RegType){ 28168, 2,  "FLOAT32",  "Power Factor Lagging High" };
        return val;
    }
    if (currentRegister < 28170) {
        val = (PM8000RegType){ 28170, 2,  "FLOAT32",  "Power Factor Leading High" };
        return val;
    }
    if (currentRegister < 28172) {
        val = (PM8000RegType){ 28172, 2,  "FLOAT32",  "Frequency High" };
        return val;
    }
    if (currentRegister < 28174) {
        val = (PM8000RegType){ 28174, 2,  "FLOAT32",  "Current A K Factor High" };
        return val;
    }
    if (currentRegister < 28176) {
        val = (PM8000RegType){ 28176, 2,  "FLOAT32",  "Current B K Factor High" };
        return val;
    }
    if (currentRegister < 28178) {
        val = (PM8000RegType){ 28178, 2,  "FLOAT32",  "Current C K Factor High" };
        return val;
    }
    if (currentRegister < 28180) {
        val = (PM8000RegType){ 28180, 2,  "FLOAT32",  "Current A Mean" };
        return val;
    }
    if (currentRegister < 28182) {
        val = (PM8000RegType){ 28182, 2,  "FLOAT32",  "Current B Mean" };
        return val;
    }
    if (currentRegister < 28184) {
        val = (PM8000RegType){ 28184, 2,  "FLOAT32",  "Current C Mean" };
        return val;
    }
    if (currentRegister < 28186) {
        val = (PM8000RegType){ 28186, 2,  "FLOAT32",  "Current N Mean" };
        return val;
    }
    if (currentRegister < 28188) {
        val = (PM8000RegType){ 28188, 2,  "FLOAT32",  "Current Avg Mean" };
        return val;
    }
    if (currentRegister < 28190) {
        val = (PM8000RegType){ 28190, 2,  "FLOAT32",  "Voltage A-B Mean" };
        return val;
    }
    if (currentRegister < 28192) {
        val = (PM8000RegType){ 28192, 2,  "FLOAT32",  "Voltage B-C Mean" };
        return val;
    }
    if (currentRegister < 28194) {
        val = (PM8000RegType){ 28194, 2,  "FLOAT32",  "Voltage C-A Mean" };
        return val;
    }
    if (currentRegister < 28196) {
        val = (PM8000RegType){ 28196, 2,  "FLOAT32",  "Voltage L-L Avg Mean" };
        return val;
    }
    if (currentRegister < 28206) {
        val = (PM8000RegType){ 28206, 2,  "FLOAT32",  "Voltage Unbalance Mean" };
        return val;
    }
    if (currentRegister < 28208) {
        val = (PM8000RegType){ 28208, 2,  "FLOAT32",  "Active Power Mean" };
        return val;
    }
    if (currentRegister < 28210) {
        val = (PM8000RegType){ 28210, 2,  "FLOAT32",  "Reactive Power Mean" };
        return val;
    }
    if (currentRegister < 28212) {
        val = (PM8000RegType){ 28212, 2,  "FLOAT32",  "Apparent Power Mean" };
        return val;
    }
    if (currentRegister < 28214) {
        val = (PM8000RegType){ 28214, 2,  "FLOAT32",  "Power Factor Lagging Mean" };
        return val;
    }
    if (currentRegister < 28216) {
        val = (PM8000RegType){ 28216, 2,  "FLOAT32",  "Power Factor Leading Mean" };
        return val;
    }
    if (currentRegister < 28218) {
        val = (PM8000RegType){ 28218, 2,  "FLOAT32",  "Frequency Mean" };
        return val;
    }
    if (currentRegister < 29880) {
        val = (PM8000RegType){ 29880, 1,  "INT16U",  "Block Demand Current A Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29881) {
        val = (PM8000RegType){ 29881, 1,  "INT16U",  "Block Demand Current A # Subintervals" };
        return val;
    }
    if (currentRegister < 29882) {
        val = (PM8000RegType){ 29882, 1,  "INT16U",  "Block Demand Current A Pred Resp" };
        return val;
    }
    if (currentRegister < 29883) {
        val = (PM8000RegType){ 29883, 1,  "INT16U",  "Block Demand Current A Update Rate" };
        return val;
    }
    if (currentRegister < 29884) {
        val = (PM8000RegType){ 29884, 2,  "FLOAT32",  "Current A Last Demand" };
        return val;
    }
    if (currentRegister < 29886) {
        val = (PM8000RegType){ 29886, 2,  "FLOAT32",  "Current A Predicted Demand" };
        return val;
    }
    if (currentRegister < 29888) {
        val = (PM8000RegType){ 29888, 6,  "TIMESTAMPED_FLOAT32",  "Current A Peak Demand" };
        return val;
    }
    if (currentRegister < 29894) {
        val = (PM8000RegType){ 29894, 1,  "INT16U",  "Block Demand Current B Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29895) {
        val = (PM8000RegType){ 29895, 1,  "INT16U",  "Block Demand Current B # Subintervals" };
        return val;
    }
    if (currentRegister < 29896) {
        val = (PM8000RegType){ 29896, 1,  "INT16U",  "Block Demand Current B Pred Resp" };
        return val;
    }
    if (currentRegister < 29897) {
        val = (PM8000RegType){ 29897, 1,  "INT16U",  "Block Demand Current B Update Rate" };
        return val;
    }
    if (currentRegister < 29898) {
        val = (PM8000RegType){ 29898, 2,  "FLOAT32",  "Current B Last Demand" };
        return val;
    }
    if (currentRegister < 29900) {
        val = (PM8000RegType){ 29900, 2,  "FLOAT32",  "Current B Predicted Demand" };
        return val;
    }
    if (currentRegister < 29902) {
        val = (PM8000RegType){ 29902, 6,  "TIMESTAMPED_FLOAT32",  "Current B Peak Demand" };
        return val;
    }
    if (currentRegister < 29908) {
        val = (PM8000RegType){ 29908, 1,  "INT16U",  "Block Demand Current C Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29909) {
        val = (PM8000RegType){ 29909, 1,  "INT16U",  "Block Demand Current C # Subintervals" };
        return val;
    }
    if (currentRegister < 29910) {
        val = (PM8000RegType){ 29910, 1,  "INT16U",  "Block Demand Current C Pred Resp" };
        return val;
    }
    if (currentRegister < 29911) {
        val = (PM8000RegType){ 29911, 1,  "INT16U",  "Block Demand Current C Update Rate" };
        return val;
    }
    if (currentRegister < 29912) {
        val = (PM8000RegType){ 29912, 2,  "FLOAT32",  "Current C Last Demand" };
        return val;
    }
    if (currentRegister < 29914) {
        val = (PM8000RegType){ 29914, 2,  "FLOAT32",  "Current C Predicted Demand" };
        return val;
    }
    if (currentRegister < 29916) {
        val = (PM8000RegType){ 29916, 6,  "TIMESTAMPED_FLOAT32",  "Current C Peak Demand" };
        return val;
    }
    if (currentRegister < 29922) {
        val = (PM8000RegType){ 29922, 1,  "INT16U",  "Block Demand Current 4 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29923) {
        val = (PM8000RegType){ 29923, 1,  "INT16U",  "Block Demand Current 4 # Subintervals" };
        return val;
    }
    if (currentRegister < 29924) {
        val = (PM8000RegType){ 29924, 1,  "INT16U",  "Block Demand Current 4  Pred Resp" };
        return val;
    }
    if (currentRegister < 29925) {
        val = (PM8000RegType){ 29925, 1,  "INT16U",  "Block Demand Current 4  Update Rate" };
        return val;
    }
    if (currentRegister < 29926) {
        val = (PM8000RegType){ 29926, 2,  "FLOAT32",  "Current 4 Last Demand" };
        return val;
    }
    if (currentRegister < 29928) {
        val = (PM8000RegType){ 29928, 2,  "FLOAT32",  "Current 4 Predicted Demand" };
        return val;
    }
    if (currentRegister < 29930) {
        val = (PM8000RegType){ 29930, 6,  "TIMESTAMPED_FLOAT32",  "Current 4 Peak Demand" };
        return val;
    }
    if (currentRegister < 29936) {
        val = (PM8000RegType){ 29936, 1,  "INT16U",  "Block Demand Current Avg Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29937) {
        val = (PM8000RegType){ 29937, 1,  "INT16U",  "Block Demand Current Avg # Subintervals" };
        return val;
    }
    if (currentRegister < 29938) {
        val = (PM8000RegType){ 29938, 1,  "INT16U",  "Block Demand Current Avg Pred Resp" };
        return val;
    }
    if (currentRegister < 29939) {
        val = (PM8000RegType){ 29939, 1,  "INT16U",  "Block Demand Current Avg Update Rate" };
        return val;
    }
    if (currentRegister < 29940) {
        val = (PM8000RegType){ 29940, 2,  "FLOAT32",  "Current Avg Last Demand" };
        return val;
    }
    if (currentRegister < 29942) {
        val = (PM8000RegType){ 29942, 2,  "FLOAT32",  "Current Avg Predicted Demand" };
        return val;
    }
    if (currentRegister < 29944) {
        val = (PM8000RegType){ 29944, 6,  "TIMESTAMPED_FLOAT32",  "Current Avg Peak Demand" };
        return val;
    }
    if (currentRegister < 29950) {
        val = (PM8000RegType){ 29950, 1,  "INT16U",  "Block Demand Active Power Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29951) {
        val = (PM8000RegType){ 29951, 1,  "INT16U",  "Block Demand Active Power # Subintervals" };
        return val;
    }
    if (currentRegister < 29952) {
        val = (PM8000RegType){ 29952, 1,  "INT16U",  "Block Demand Active Power Pred Resp" };
        return val;
    }
    if (currentRegister < 29953) {
        val = (PM8000RegType){ 29953, 1,  "INT16U",  "Block Demand Active Power Update Rate" };
        return val;
    }
    if (currentRegister < 29954) {
        val = (PM8000RegType){ 29954, 2,  "FLOAT32",  "Active Power Last Demand" };
        return val;
    }
    if (currentRegister < 29956) {
        val = (PM8000RegType){ 29956, 2,  "FLOAT32",  "Active Power Predicted Demand" };
        return val;
    }
    if (currentRegister < 29958) {
        val = (PM8000RegType){ 29958, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Peak Demand" };
        return val;
    }
    if (currentRegister < 29964) {
        val = (PM8000RegType){ 29964, 1,  "INT16U",  "Block Demand Active Power Del Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29965) {
        val = (PM8000RegType){ 29965, 1,  "INT16U",  "Block Demand Active Power Del # Subintervals" };
        return val;
    }
    if (currentRegister < 29966) {
        val = (PM8000RegType){ 29966, 1,  "INT16U",  "Block Demand Active Power Del Pred Resp" };
        return val;
    }
    if (currentRegister < 29967) {
        val = (PM8000RegType){ 29967, 1,  "INT16U",  "Block Demand Active Power Del Update Rate" };
        return val;
    }
    if (currentRegister < 29968) {
        val = (PM8000RegType){ 29968, 2,  "FLOAT32",  "Active Power Del Last Demand" };
        return val;
    }
    if (currentRegister < 29970) {
        val = (PM8000RegType){ 29970, 2,  "FLOAT32",  "Active Power Del Predicted Demand" };
        return val;
    }
    if (currentRegister < 29972) {
        val = (PM8000RegType){ 29972, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Del Peak Demand" };
        return val;
    }
    if (currentRegister < 29978) {
        val = (PM8000RegType){ 29978, 1,  "INT16U",  "Block Demand Active Power Rec Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29979) {
        val = (PM8000RegType){ 29979, 1,  "INT16U",  "Block Demand Active Power Rec # Subintervals" };
        return val;
    }
    if (currentRegister < 29980) {
        val = (PM8000RegType){ 29980, 1,  "INT16U",  "Block Demand Active Power Rec Pred Resp" };
        return val;
    }
    if (currentRegister < 29981) {
        val = (PM8000RegType){ 29981, 1,  "INT16U",  "Block Demand Active Power Rec Update Rate" };
        return val;
    }
    if (currentRegister < 29982) {
        val = (PM8000RegType){ 29982, 2,  "FLOAT32",  "Active Power Rec Last Demand" };
        return val;
    }
    if (currentRegister < 29984) {
        val = (PM8000RegType){ 29984, 2,  "FLOAT32",  "Active Power Rec Predicted Demand" };
        return val;
    }
    if (currentRegister < 29986) {
        val = (PM8000RegType){ 29986, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Rec Peak Demand" };
        return val;
    }
    if (currentRegister < 29992) {
        val = (PM8000RegType){ 29992, 1,  "INT16U",  "Block Demand Active Power Total Subinterval Duration" };
        return val;
    }
    if (currentRegister < 29993) {
        val = (PM8000RegType){ 29993, 1,  "INT16U",  "Block Demand Active Power Total # Subintervals" };
        return val;
    }
    if (currentRegister < 29994) {
        val = (PM8000RegType){ 29994, 1,  "INT16U",  "Block Demand Active Power Total Pred Resp" };
        return val;
    }
    if (currentRegister < 29995) {
        val = (PM8000RegType){ 29995, 1,  "INT16U",  "Block Demand Active Power Total Update Rate" };
        return val;
    }
    if (currentRegister < 29996) {
        val = (PM8000RegType){ 29996, 2,  "FLOAT32",  "Active Power Total Last Demand" };
        return val;
    }
    if (currentRegister < 29998) {
        val = (PM8000RegType){ 29998, 2,  "FLOAT32",  "Active Power Total Predicted Demand" };
        return val;
    }
    if (currentRegister < 30000) {
        val = (PM8000RegType){ 30000, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Total Peak Demand" };
        return val;
    }
    if (currentRegister < 30006) {
        val = (PM8000RegType){ 30006, 1,  "INT16U",  "Block Demand Reactive Power Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30007) {
        val = (PM8000RegType){ 30007, 1,  "INT16U",  "Block Demand Reactive Power # Subintervals" };
        return val;
    }
    if (currentRegister < 30008) {
        val = (PM8000RegType){ 30008, 1,  "INT16U",  "Block Demand Reactive Power Pred Resp" };
        return val;
    }
    if (currentRegister < 30009) {
        val = (PM8000RegType){ 30009, 1,  "INT16U",  "Block Demand Reactive Power Update Rate" };
        return val;
    }
    if (currentRegister < 30010) {
        val = (PM8000RegType){ 30010, 2,  "FLOAT32",  "Reactive Power Last Demand" };
        return val;
    }
    if (currentRegister < 30012) {
        val = (PM8000RegType){ 30012, 2,  "FLOAT32",  "Reactive Power Predicted Demand" };
        return val;
    }
    if (currentRegister < 30014) {
        val = (PM8000RegType){ 30014, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Peak Demand" };
        return val;
    }
    if (currentRegister < 30020) {
        val = (PM8000RegType){ 30020, 1,  "INT16U",  "Block Demand Reactive Power Del Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30021) {
        val = (PM8000RegType){ 30021, 1,  "INT16U",  "Block Demand Reactive Power Del # Subintervals" };
        return val;
    }
    if (currentRegister < 30022) {
        val = (PM8000RegType){ 30022, 1,  "INT16U",  "Block Demand Reactive Power Del Pred Resp" };
        return val;
    }
    if (currentRegister < 30023) {
        val = (PM8000RegType){ 30023, 1,  "INT16U",  "Block Demand Reactive Power Del Update Rate" };
        return val;
    }
    if (currentRegister < 30024) {
        val = (PM8000RegType){ 30024, 2,  "FLOAT32",  "Reactive Power Del Last Demand" };
        return val;
    }
    if (currentRegister < 30026) {
        val = (PM8000RegType){ 30026, 2,  "FLOAT32",  "Reactive Power Del Predicted Demand" };
        return val;
    }
    if (currentRegister < 30028) {
        val = (PM8000RegType){ 30028, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Del Peak Demand" };
        return val;
    }
    if (currentRegister < 30034) {
        val = (PM8000RegType){ 30034, 1,  "INT16U",  "Block Demand Reactive Power Rec Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30035) {
        val = (PM8000RegType){ 30035, 1,  "INT16U",  "Block Demand Reactive Power Rec # Subintervals" };
        return val;
    }
    if (currentRegister < 30036) {
        val = (PM8000RegType){ 30036, 1,  "INT16U",  "Block Demand Reactive Power Rec Pred Resp" };
        return val;
    }
    if (currentRegister < 30037) {
        val = (PM8000RegType){ 30037, 1,  "INT16U",  "Block Demand Reactive Power Rec Update Rate" };
        return val;
    }
    if (currentRegister < 30038) {
        val = (PM8000RegType){ 30038, 2,  "FLOAT32",  "Reactive Power Rec Last Demand" };
        return val;
    }
    if (currentRegister < 30040) {
        val = (PM8000RegType){ 30040, 2,  "FLOAT32",  "Reactive Power Rec Predicted Demand" };
        return val;
    }
    if (currentRegister < 30042) {
        val = (PM8000RegType){ 30042, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Rec Peak Demand" };
        return val;
    }
    if (currentRegister < 30048) {
        val = (PM8000RegType){ 30048, 1,  "INT16U",  "Block Demand Reactive Power Total Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30049) {
        val = (PM8000RegType){ 30049, 1,  "INT16U",  "Block Demand Reactive Power Total # Subintervals" };
        return val;
    }
    if (currentRegister < 30050) {
        val = (PM8000RegType){ 30050, 1,  "INT16U",  "Block Demand Reactive Power Total Pred Resp" };
        return val;
    }
    if (currentRegister < 30051) {
        val = (PM8000RegType){ 30051, 1,  "INT16U",  "Block Demand Reactive Power Total Update Rate" };
        return val;
    }
    if (currentRegister < 30052) {
        val = (PM8000RegType){ 30052, 2,  "FLOAT32",  "Reactive Power Total Last Demand" };
        return val;
    }
    if (currentRegister < 30054) {
        val = (PM8000RegType){ 30054, 2,  "FLOAT32",  "Reactive Power Total Predicted Demand" };
        return val;
    }
    if (currentRegister < 30056) {
        val = (PM8000RegType){ 30056, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Total Peak Demand" };
        return val;
    }
    if (currentRegister < 30062) {
        val = (PM8000RegType){ 30062, 1,  "INT16U",  "Block Demand Apparent Power Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30063) {
        val = (PM8000RegType){ 30063, 1,  "INT16U",  "Block Demand Apparent Power # Subintervals" };
        return val;
    }
    if (currentRegister < 30064) {
        val = (PM8000RegType){ 30064, 1,  "INT16U",  "Block Demand Apparent Power Pred Resp" };
        return val;
    }
    if (currentRegister < 30065) {
        val = (PM8000RegType){ 30065, 1,  "INT16U",  "Block Demand Apparent Power Update Rate" };
        return val;
    }
    if (currentRegister < 30066) {
        val = (PM8000RegType){ 30066, 2,  "FLOAT32",  "Apparent Power Last Demand" };
        return val;
    }
    if (currentRegister < 30068) {
        val = (PM8000RegType){ 30068, 2,  "FLOAT32",  "Apparent Power Predicted Demand" };
        return val;
    }
    if (currentRegister < 30070) {
        val = (PM8000RegType){ 30070, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Peak Demand" };
        return val;
    }
    if (currentRegister < 30076) {
        val = (PM8000RegType){ 30076, 1,  "INT16U",  "Block Demand Apparent Power Del Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30077) {
        val = (PM8000RegType){ 30077, 1,  "INT16U",  "Block Demand Apparent Power Del # Subintervals" };
        return val;
    }
    if (currentRegister < 30078) {
        val = (PM8000RegType){ 30078, 1,  "INT16U",  "Block Demand Apparent Power Del Pred Resp" };
        return val;
    }
    if (currentRegister < 30079) {
        val = (PM8000RegType){ 30079, 1,  "INT16U",  "Block Demand Apparent Power Del Update Rate" };
        return val;
    }
    if (currentRegister < 30080) {
        val = (PM8000RegType){ 30080, 2,  "FLOAT32",  "Apparent Power Del Last Demand" };
        return val;
    }
    if (currentRegister < 30082) {
        val = (PM8000RegType){ 30082, 2,  "FLOAT32",  "Apparent Power Del Predicted Demand" };
        return val;
    }
    if (currentRegister < 30084) {
        val = (PM8000RegType){ 30084, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Del Peak Demand" };
        return val;
    }
    if (currentRegister < 30090) {
        val = (PM8000RegType){ 30090, 1,  "INT16U",  "Block Demand Apparent Power Rec Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30091) {
        val = (PM8000RegType){ 30091, 1,  "INT16U",  "Block Demand Apparent Power Rec # Subintervals" };
        return val;
    }
    if (currentRegister < 30092) {
        val = (PM8000RegType){ 30092, 1,  "INT16U",  "Block Demand Apparent Power Rec Pred Resp" };
        return val;
    }
    if (currentRegister < 30093) {
        val = (PM8000RegType){ 30093, 1,  "INT16U",  "Block Demand Apparent Power Rec Update Rate" };
        return val;
    }
    if (currentRegister < 30094) {
        val = (PM8000RegType){ 30094, 2,  "FLOAT32",  "Apparent Power Rec Last Demand" };
        return val;
    }
    if (currentRegister < 30096) {
        val = (PM8000RegType){ 30096, 2,  "FLOAT32",  "Apparent Power Rec Predicted Demand" };
        return val;
    }
    if (currentRegister < 30098) {
        val = (PM8000RegType){ 30098, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Rec Peak Demand" };
        return val;
    }
    if (currentRegister < 30104) {
        val = (PM8000RegType){ 30104, 1,  "INT16U",  "Block Demand Apparent Power Total Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30105) {
        val = (PM8000RegType){ 30105, 1,  "INT16U",  "Block Demand Apparent Power Total # Subintervals" };
        return val;
    }
    if (currentRegister < 30106) {
        val = (PM8000RegType){ 30106, 1,  "INT16U",  "Block Demand Apparent Power Total Pred Resp" };
        return val;
    }
    if (currentRegister < 30107) {
        val = (PM8000RegType){ 30107, 1,  "INT16U",  "Block Demand Apparent Power Total Update Rate" };
        return val;
    }
    if (currentRegister < 30108) {
        val = (PM8000RegType){ 30108, 2,  "FLOAT32",  "Apparent Power Total Last Demand" };
        return val;
    }
    if (currentRegister < 30110) {
        val = (PM8000RegType){ 30110, 2,  "FLOAT32",  "Apparent Power Total Predicted Demand" };
        return val;
    }
    if (currentRegister < 30112) {
        val = (PM8000RegType){ 30112, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Total Peak Demand" };
        return val;
    }
    if (currentRegister < 30218) {
        val = (PM8000RegType){ 30218, 1,  "INT16U",  "Block Demand Active Power Del A Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30219) {
        val = (PM8000RegType){ 30219, 1,  "INT16U",  "Block Demand Active Power Del A # Subintervals" };
        return val;
    }
    if (currentRegister < 30220) {
        val = (PM8000RegType){ 30220, 1,  "INT16U",  "Block Demand Active Power Del A Pred Resp" };
        return val;
    }
    if (currentRegister < 30221) {
        val = (PM8000RegType){ 30221, 1,  "INT16U",  "Block Demand Active Power Del A Update Rate" };
        return val;
    }
    if (currentRegister < 30222) {
        val = (PM8000RegType){ 30222, 2,  "FLOAT32",  "Active Power Del A Last Demand" };
        return val;
    }
    if (currentRegister < 30224) {
        val = (PM8000RegType){ 30224, 2,  "FLOAT32",  "Active Power Del A Predicted Demand" };
        return val;
    }
    if (currentRegister < 30226) {
        val = (PM8000RegType){ 30226, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Del A Peak Demand" };
        return val;
    }
    if (currentRegister < 30232) {
        val = (PM8000RegType){ 30232, 1,  "INT16U",  "Block Demand Active Power Del B Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30233) {
        val = (PM8000RegType){ 30233, 1,  "INT16U",  "Block Demand Active Power Del B # Subintervals" };
        return val;
    }
    if (currentRegister < 30234) {
        val = (PM8000RegType){ 30234, 1,  "INT16U",  "Block Demand Active Power Del B Pred Resp" };
        return val;
    }
    if (currentRegister < 30235) {
        val = (PM8000RegType){ 30235, 1,  "INT16U",  "Block Demand Active Power Del B Update Rate" };
        return val;
    }
    if (currentRegister < 30236) {
        val = (PM8000RegType){ 30236, 2,  "FLOAT32",  "Active Power Del B Last Demand" };
        return val;
    }
    if (currentRegister < 30238) {
        val = (PM8000RegType){ 30238, 2,  "FLOAT32",  "Active Power Del B Predicted Demand" };
        return val;
    }
    if (currentRegister < 30240) {
        val = (PM8000RegType){ 30240, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Del B Peak Demand" };
        return val;
    }
    if (currentRegister < 30246) {
        val = (PM8000RegType){ 30246, 1,  "INT16U",  "Block Demand Active Power Del C Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30247) {
        val = (PM8000RegType){ 30247, 1,  "INT16U",  "Block Demand Active Power Del C # Subintervals" };
        return val;
    }
    if (currentRegister < 30248) {
        val = (PM8000RegType){ 30248, 1,  "INT16U",  "Block Demand Active Power Del C Pred Resp" };
        return val;
    }
    if (currentRegister < 30249) {
        val = (PM8000RegType){ 30249, 1,  "INT16U",  "Block Demand Active Power Del C Update Rate" };
        return val;
    }
    if (currentRegister < 30250) {
        val = (PM8000RegType){ 30250, 2,  "FLOAT32",  "Active Power Del C Last Demand" };
        return val;
    }
    if (currentRegister < 30252) {
        val = (PM8000RegType){ 30252, 2,  "FLOAT32",  "Active Power Del C Predicted Demand" };
        return val;
    }
    if (currentRegister < 30254) {
        val = (PM8000RegType){ 30254, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Del C Peak Demand" };
        return val;
    }
    if (currentRegister < 30260) {
        val = (PM8000RegType){ 30260, 1,  "INT16U",  "Block Demand Active Power Del D Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30261) {
        val = (PM8000RegType){ 30261, 1,  "INT16U",  "Block Demand Active Power Del D # Subintervals" };
        return val;
    }
    if (currentRegister < 30262) {
        val = (PM8000RegType){ 30262, 1,  "INT16U",  "Block Demand Active Power Del D Pred Resp" };
        return val;
    }
    if (currentRegister < 30263) {
        val = (PM8000RegType){ 30263, 1,  "INT16U",  "Block Demand Active Power Del D Update Rate" };
        return val;
    }
    if (currentRegister < 30264) {
        val = (PM8000RegType){ 30264, 2,  "FLOAT32",  "Active Power Del D Last Demand" };
        return val;
    }
    if (currentRegister < 30266) {
        val = (PM8000RegType){ 30266, 2,  "FLOAT32",  "Active Power Del D Predicted Demand" };
        return val;
    }
    if (currentRegister < 30268) {
        val = (PM8000RegType){ 30268, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Del D Peak Demand" };
        return val;
    }
    if (currentRegister < 30274) {
        val = (PM8000RegType){ 30274, 1,  "INT16U",  "Block Demand Active Power Rec A Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30275) {
        val = (PM8000RegType){ 30275, 1,  "INT16U",  "Block Demand Active Power Rec A # Subintervals" };
        return val;
    }
    if (currentRegister < 30276) {
        val = (PM8000RegType){ 30276, 1,  "INT16U",  "Block Demand Active Power Rec A Pred Resp" };
        return val;
    }
    if (currentRegister < 30277) {
        val = (PM8000RegType){ 30277, 1,  "INT16U",  "Block Demand Active Power Rec A Update Rate" };
        return val;
    }
    if (currentRegister < 30278) {
        val = (PM8000RegType){ 30278, 2,  "FLOAT32",  "Active Power Rec A Last Demand" };
        return val;
    }
    if (currentRegister < 30280) {
        val = (PM8000RegType){ 30280, 2,  "FLOAT32",  "Active Power Rec A Predicted Demand" };
        return val;
    }
    if (currentRegister < 30282) {
        val = (PM8000RegType){ 30282, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Rec A Peak Demand" };
        return val;
    }
    if (currentRegister < 30288) {
        val = (PM8000RegType){ 30288, 1,  "INT16U",  "Block Demand Active Power Rec B Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30289) {
        val = (PM8000RegType){ 30289, 1,  "INT16U",  "Block Demand Active Power Rec B # Subintervals" };
        return val;
    }
    if (currentRegister < 30290) {
        val = (PM8000RegType){ 30290, 1,  "INT16U",  "Block Demand Active Power Rec B Pred Resp" };
        return val;
    }
    if (currentRegister < 30291) {
        val = (PM8000RegType){ 30291, 1,  "INT16U",  "Block Demand Active Power Rec B Update Rate" };
        return val;
    }
    if (currentRegister < 30292) {
        val = (PM8000RegType){ 30292, 2,  "FLOAT32",  "Active Power Rec B Last Demand" };
        return val;
    }
    if (currentRegister < 30294) {
        val = (PM8000RegType){ 30294, 2,  "FLOAT32",  "Active Power Rec B Predicted Demand" };
        return val;
    }
    if (currentRegister < 30296) {
        val = (PM8000RegType){ 30296, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Rec B Peak Demand" };
        return val;
    }
    if (currentRegister < 30302) {
        val = (PM8000RegType){ 30302, 1,  "INT16U",  "Block Demand Active Power Rec C Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30303) {
        val = (PM8000RegType){ 30303, 1,  "INT16U",  "Block Demand Active Power Rec C # Subintervals" };
        return val;
    }
    if (currentRegister < 30304) {
        val = (PM8000RegType){ 30304, 1,  "INT16U",  "Block Demand Active Power Rec C Pred Resp" };
        return val;
    }
    if (currentRegister < 30305) {
        val = (PM8000RegType){ 30305, 1,  "INT16U",  "Block Demand Active Power Rec C Update Rate" };
        return val;
    }
    if (currentRegister < 30306) {
        val = (PM8000RegType){ 30306, 2,  "FLOAT32",  "Active Power Rec C Last Demand" };
        return val;
    }
    if (currentRegister < 30308) {
        val = (PM8000RegType){ 30308, 2,  "FLOAT32",  "Active Power Rec C Predicted Demand" };
        return val;
    }
    if (currentRegister < 30310) {
        val = (PM8000RegType){ 30310, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Rec C Peak Demand" };
        return val;
    }
    if (currentRegister < 30316) {
        val = (PM8000RegType){ 30316, 1,  "INT16U",  "Block Demand Active Power Rec D Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30317) {
        val = (PM8000RegType){ 30317, 1,  "INT16U",  "Block Demand Active Power Rec D # Subintervals" };
        return val;
    }
    if (currentRegister < 30318) {
        val = (PM8000RegType){ 30318, 1,  "INT16U",  "Block Demand Active Power Rec D Pred Resp" };
        return val;
    }
    if (currentRegister < 30319) {
        val = (PM8000RegType){ 30319, 1,  "INT16U",  "Block Demand Active Power Rec D Update Rate" };
        return val;
    }
    if (currentRegister < 30320) {
        val = (PM8000RegType){ 30320, 2,  "FLOAT32",  "Active Power Rec D Last Demand" };
        return val;
    }
    if (currentRegister < 30322) {
        val = (PM8000RegType){ 30322, 2,  "FLOAT32",  "Active Power Rec D Predicted Demand" };
        return val;
    }
    if (currentRegister < 30324) {
        val = (PM8000RegType){ 30324, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Rec D Peak Demand" };
        return val;
    }
    if (currentRegister < 30330) {
        val = (PM8000RegType){ 30330, 1,  "INT16U",  "Block Demand Reactive Power Del A Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30331) {
        val = (PM8000RegType){ 30331, 1,  "INT16U",  "Block Demand Reactive Power Del A # Subintervals" };
        return val;
    }
    if (currentRegister < 30332) {
        val = (PM8000RegType){ 30332, 1,  "INT16U",  "Block Demand Reactive Power Del A Pred Resp" };
        return val;
    }
    if (currentRegister < 30333) {
        val = (PM8000RegType){ 30333, 1,  "INT16U",  "Block Demand Reactive Power Del A Update Rate" };
        return val;
    }
    if (currentRegister < 30334) {
        val = (PM8000RegType){ 30334, 2,  "FLOAT32",  "Reactive Power Del A Last Demand" };
        return val;
    }
    if (currentRegister < 30336) {
        val = (PM8000RegType){ 30336, 2,  "FLOAT32",  "Reactive Power Del A  Predicted Demand" };
        return val;
    }
    if (currentRegister < 30338) {
        val = (PM8000RegType){ 30338, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Del A Peak Demand" };
        return val;
    }
    if (currentRegister < 30344) {
        val = (PM8000RegType){ 30344, 1,  "INT16U",  "Block Demand Reactive Power Del B Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30345) {
        val = (PM8000RegType){ 30345, 1,  "INT16U",  "Block Demand Reactive Power Del B # Subintervals" };
        return val;
    }
    if (currentRegister < 30346) {
        val = (PM8000RegType){ 30346, 1,  "INT16U",  "Block Demand Reactive Power Del B Pred Resp" };
        return val;
    }
    if (currentRegister < 30347) {
        val = (PM8000RegType){ 30347, 1,  "INT16U",  "Block Demand Reactive Power Del B Update Rate" };
        return val;
    }
    if (currentRegister < 30348) {
        val = (PM8000RegType){ 30348, 2,  "FLOAT32",  "Reactive Power Del B Last Demand" };
        return val;
    }
    if (currentRegister < 30350) {
        val = (PM8000RegType){ 30350, 2,  "FLOAT32",  "Reactive Power Del B Predicted Demand" };
        return val;
    }
    if (currentRegister < 30352) {
        val = (PM8000RegType){ 30352, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Del B Peak Demand" };
        return val;
    }
    if (currentRegister < 30358) {
        val = (PM8000RegType){ 30358, 1,  "INT16U",  "Block Demand Reactive Power Del C Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30359) {
        val = (PM8000RegType){ 30359, 1,  "INT16U",  "Block Demand Reactive Power Del C # Subintervals" };
        return val;
    }
    if (currentRegister < 30360) {
        val = (PM8000RegType){ 30360, 1,  "INT16U",  "Block Demand Reactive Power Del C Pred Resp" };
        return val;
    }
    if (currentRegister < 30361) {
        val = (PM8000RegType){ 30361, 1,  "INT16U",  "Block Demand Reactive Power Del C Update Rate" };
        return val;
    }
    if (currentRegister < 30362) {
        val = (PM8000RegType){ 30362, 2,  "FLOAT32",  "Reactive Power Del C Last Demand" };
        return val;
    }
    if (currentRegister < 30364) {
        val = (PM8000RegType){ 30364, 2,  "FLOAT32",  "Reactive Power Del C Predicted Demand" };
        return val;
    }
    if (currentRegister < 30366) {
        val = (PM8000RegType){ 30366, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Del C Peak Demand" };
        return val;
    }
    if (currentRegister < 30372) {
        val = (PM8000RegType){ 30372, 1,  "INT16U",  "Block Demand Reactive Power Del D Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30373) {
        val = (PM8000RegType){ 30373, 1,  "INT16U",  "Block Demand Reactive Power Del D # Subintervals" };
        return val;
    }
    if (currentRegister < 30374) {
        val = (PM8000RegType){ 30374, 1,  "INT16U",  "Block Demand Reactive Power Del D Pred Resp" };
        return val;
    }
    if (currentRegister < 30375) {
        val = (PM8000RegType){ 30375, 1,  "INT16U",  "Block Demand Reactive Power Del D Update Rate" };
        return val;
    }
    if (currentRegister < 30376) {
        val = (PM8000RegType){ 30376, 2,  "FLOAT32",  "Reactive Power Del D Last Demand" };
        return val;
    }
    if (currentRegister < 30378) {
        val = (PM8000RegType){ 30378, 2,  "FLOAT32",  "Reactive Power Del D Predicted Demand" };
        return val;
    }
    if (currentRegister < 30380) {
        val = (PM8000RegType){ 30380, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Del D Peak Demand" };
        return val;
    }
    if (currentRegister < 30386) {
        val = (PM8000RegType){ 30386, 1,  "INT16U",  "Block Demand Reactive Power Rec A Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30387) {
        val = (PM8000RegType){ 30387, 1,  "INT16U",  "Block Demand Reactive Power Rec A # Subintervals" };
        return val;
    }
    if (currentRegister < 30388) {
        val = (PM8000RegType){ 30388, 1,  "INT16U",  "Block Demand Reactive Power Rec A Pred Resp" };
        return val;
    }
    if (currentRegister < 30389) {
        val = (PM8000RegType){ 30389, 1,  "INT16U",  "Block Demand Reactive Power Rec A Update Rate" };
        return val;
    }
    if (currentRegister < 30390) {
        val = (PM8000RegType){ 30390, 2,  "FLOAT32",  "Reactive Power Rec A Last Demand" };
        return val;
    }
    if (currentRegister < 30392) {
        val = (PM8000RegType){ 30392, 2,  "FLOAT32",  "Reactive Power Rec A Predicted Demand" };
        return val;
    }
    if (currentRegister < 30394) {
        val = (PM8000RegType){ 30394, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Rec A Peak Demand" };
        return val;
    }
    if (currentRegister < 30400) {
        val = (PM8000RegType){ 30400, 1,  "INT16U",  "Block Demand Reactive Power Rec B Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30401) {
        val = (PM8000RegType){ 30401, 1,  "INT16U",  "Block Demand Reactive Power Rec B # Subintervals" };
        return val;
    }
    if (currentRegister < 30402) {
        val = (PM8000RegType){ 30402, 1,  "INT16U",  "Block Demand Reactive Power Rec B Pred Resp" };
        return val;
    }
    if (currentRegister < 30403) {
        val = (PM8000RegType){ 30403, 1,  "INT16U",  "Block Demand Reactive Power Rec B Update Rate" };
        return val;
    }
    if (currentRegister < 30404) {
        val = (PM8000RegType){ 30404, 2,  "FLOAT32",  "Reactive Power Rec B Last Demand" };
        return val;
    }
    if (currentRegister < 30406) {
        val = (PM8000RegType){ 30406, 2,  "FLOAT32",  "Reactive Power Rec B Predicted Demand" };
        return val;
    }
    if (currentRegister < 30408) {
        val = (PM8000RegType){ 30408, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Rec B Peak Demand" };
        return val;
    }
    if (currentRegister < 30414) {
        val = (PM8000RegType){ 30414, 1,  "INT16U",  "Block Demand Reactive Power Rec C Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30415) {
        val = (PM8000RegType){ 30415, 1,  "INT16U",  "Block Demand Reactive Power Rec C # Subintervals" };
        return val;
    }
    if (currentRegister < 30416) {
        val = (PM8000RegType){ 30416, 1,  "INT16U",  "Block Demand Reactive Power Rec C Pred Resp" };
        return val;
    }
    if (currentRegister < 30417) {
        val = (PM8000RegType){ 30417, 1,  "INT16U",  "Block Demand Reactive Power Rec C Update Rate" };
        return val;
    }
    if (currentRegister < 30418) {
        val = (PM8000RegType){ 30418, 2,  "FLOAT32",  "Reactive Power Rec C Last Demand" };
        return val;
    }
    if (currentRegister < 30420) {
        val = (PM8000RegType){ 30420, 2,  "FLOAT32",  "Reactive Power Rec C Predicted Demand" };
        return val;
    }
    if (currentRegister < 30422) {
        val = (PM8000RegType){ 30422, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Rec C Peak Demand" };
        return val;
    }
    if (currentRegister < 30428) {
        val = (PM8000RegType){ 30428, 1,  "INT16U",  "Block Demand Reactive Power Rec D Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30429) {
        val = (PM8000RegType){ 30429, 1,  "INT16U",  "Block Demand Reactive Power Rec D # Subintervals" };
        return val;
    }
    if (currentRegister < 30430) {
        val = (PM8000RegType){ 30430, 1,  "INT16U",  "Block Demand Reactive Power Rec D Pred Resp" };
        return val;
    }
    if (currentRegister < 30431) {
        val = (PM8000RegType){ 30431, 1,  "INT16U",  "Block Demand Reactive Power Rec D Update Rate" };
        return val;
    }
    if (currentRegister < 30432) {
        val = (PM8000RegType){ 30432, 2,  "FLOAT32",  "Reactive Power Rec D Last Demand" };
        return val;
    }
    if (currentRegister < 30434) {
        val = (PM8000RegType){ 30434, 2,  "FLOAT32",  "Reactive Power Rec D Predicted Demand" };
        return val;
    }
    if (currentRegister < 30436) {
        val = (PM8000RegType){ 30436, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Rec D Peak Demand" };
        return val;
    }
    if (currentRegister < 30442) {
        val = (PM8000RegType){ 30442, 1,  "INT16U",  "Block Demand Apparent Power Del A Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30443) {
        val = (PM8000RegType){ 30443, 1,  "INT16U",  "Block Demand Apparent Power Del A # Subintervals" };
        return val;
    }
    if (currentRegister < 30444) {
        val = (PM8000RegType){ 30444, 1,  "INT16U",  "Block Demand Apparent Power Del A Pred Resp" };
        return val;
    }
    if (currentRegister < 30445) {
        val = (PM8000RegType){ 30445, 1,  "INT16U",  "Block Demand Apparent Power Del A Update Rate" };
        return val;
    }
    if (currentRegister < 30446) {
        val = (PM8000RegType){ 30446, 2,  "FLOAT32",  "Apparent Power Del A Last Demand" };
        return val;
    }
    if (currentRegister < 30448) {
        val = (PM8000RegType){ 30448, 2,  "FLOAT32",  "Apparent Power Del A Predicted Demand" };
        return val;
    }
    if (currentRegister < 30450) {
        val = (PM8000RegType){ 30450, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Del A Peak Demand" };
        return val;
    }
    if (currentRegister < 30456) {
        val = (PM8000RegType){ 30456, 1,  "INT16U",  "Block Demand Apparent Power Del B Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30457) {
        val = (PM8000RegType){ 30457, 1,  "INT16U",  "Block Demand Apparent Power Del B # Subintervals" };
        return val;
    }
    if (currentRegister < 30458) {
        val = (PM8000RegType){ 30458, 1,  "INT16U",  "Block Demand Apparent Power Del B Pred Resp" };
        return val;
    }
    if (currentRegister < 30459) {
        val = (PM8000RegType){ 30459, 1,  "INT16U",  "Block Demand Apparent Power Del B Update Rate" };
        return val;
    }
    if (currentRegister < 30460) {
        val = (PM8000RegType){ 30460, 2,  "FLOAT32",  "Apparent Power Del B Last Demand" };
        return val;
    }
    if (currentRegister < 30462) {
        val = (PM8000RegType){ 30462, 2,  "FLOAT32",  "Apparent Power Del B Predicted Demand" };
        return val;
    }
    if (currentRegister < 30464) {
        val = (PM8000RegType){ 30464, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Del B Peak Demand" };
        return val;
    }
    if (currentRegister < 30470) {
        val = (PM8000RegType){ 30470, 1,  "INT16U",  "Block Demand Apparent Power Del C Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30471) {
        val = (PM8000RegType){ 30471, 1,  "INT16U",  "Block Demand Apparent Power Del C # Subintervals" };
        return val;
    }
    if (currentRegister < 30472) {
        val = (PM8000RegType){ 30472, 1,  "INT16U",  "Block Demand Apparent Power Del C Pred Resp" };
        return val;
    }
    if (currentRegister < 30473) {
        val = (PM8000RegType){ 30473, 1,  "INT16U",  "Block Demand Apparent Power Del C Update Rate" };
        return val;
    }
    if (currentRegister < 30474) {
        val = (PM8000RegType){ 30474, 2,  "FLOAT32",  "Apparent Power Del C Last Demand" };
        return val;
    }
    if (currentRegister < 30476) {
        val = (PM8000RegType){ 30476, 2,  "FLOAT32",  "Apparent Power Del C Predicted Demand" };
        return val;
    }
    if (currentRegister < 30478) {
        val = (PM8000RegType){ 30478, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Del C Peak Demand" };
        return val;
    }
    if (currentRegister < 30484) {
        val = (PM8000RegType){ 30484, 1,  "INT16U",  "Block Demand Apparent Power Del D Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30485) {
        val = (PM8000RegType){ 30485, 1,  "INT16U",  "Block Demand Apparent Power Del D # Subintervals" };
        return val;
    }
    if (currentRegister < 30486) {
        val = (PM8000RegType){ 30486, 1,  "INT16U",  "Block Demand Apparent Power Del D Pred Resp" };
        return val;
    }
    if (currentRegister < 30487) {
        val = (PM8000RegType){ 30487, 1,  "INT16U",  "Block Demand Apparent Power Del D Update Rate" };
        return val;
    }
    if (currentRegister < 30488) {
        val = (PM8000RegType){ 30488, 2,  "FLOAT32",  "Apparent Power Del D Last Demand" };
        return val;
    }
    if (currentRegister < 30490) {
        val = (PM8000RegType){ 30490, 2,  "FLOAT32",  "Apparent Power Del D Predicted Demand" };
        return val;
    }
    if (currentRegister < 30492) {
        val = (PM8000RegType){ 30492, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Del D Peak Demand" };
        return val;
    }
    if (currentRegister < 30498) {
        val = (PM8000RegType){ 30498, 1,  "INT16U",  "Block Demand Apparent Power Rec A Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30499) {
        val = (PM8000RegType){ 30499, 1,  "INT16U",  "Block Demand Apparent Power Rec A # Subintervals" };
        return val;
    }
    if (currentRegister < 30500) {
        val = (PM8000RegType){ 30500, 1,  "INT16U",  "Block Demand Apparent Power Rec A Pred Resp" };
        return val;
    }
    if (currentRegister < 30501) {
        val = (PM8000RegType){ 30501, 1,  "INT16U",  "Block Demand Apparent Power Rec A Update Rate" };
        return val;
    }
    if (currentRegister < 30502) {
        val = (PM8000RegType){ 30502, 2,  "FLOAT32",  "Apparent Power Rec A Last Demand" };
        return val;
    }
    if (currentRegister < 30504) {
        val = (PM8000RegType){ 30504, 2,  "FLOAT32",  "Apparent Power Rec A Predicted Demand" };
        return val;
    }
    if (currentRegister < 30506) {
        val = (PM8000RegType){ 30506, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Rec A Peak Demand" };
        return val;
    }
    if (currentRegister < 30512) {
        val = (PM8000RegType){ 30512, 1,  "INT16U",  "Block Demand Apparent Power Rec B Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30513) {
        val = (PM8000RegType){ 30513, 1,  "INT16U",  "Block Demand Apparent Power Rec B # Subintervals" };
        return val;
    }
    if (currentRegister < 30514) {
        val = (PM8000RegType){ 30514, 1,  "INT16U",  "Block Demand Apparent Power Rec B Pred Resp" };
        return val;
    }
    if (currentRegister < 30515) {
        val = (PM8000RegType){ 30515, 1,  "INT16U",  "Block Demand Apparent Power Rec B Update Rate" };
        return val;
    }
    if (currentRegister < 30516) {
        val = (PM8000RegType){ 30516, 2,  "FLOAT32",  "Apparent Power Rec B Last Demand" };
        return val;
    }
    if (currentRegister < 30518) {
        val = (PM8000RegType){ 30518, 2,  "FLOAT32",  "Apparent Power Rec B Predicted Demand" };
        return val;
    }
    if (currentRegister < 30520) {
        val = (PM8000RegType){ 30520, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Rec B Peak Demand" };
        return val;
    }
    if (currentRegister < 30526) {
        val = (PM8000RegType){ 30526, 1,  "INT16U",  "Block Demand Apparent Power Rec C Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30527) {
        val = (PM8000RegType){ 30527, 1,  "INT16U",  "Block Demand Apparent Power Rec C # Subintervals" };
        return val;
    }
    if (currentRegister < 30528) {
        val = (PM8000RegType){ 30528, 1,  "INT16U",  "Block Demand Apparent Power Rec C Pred Resp" };
        return val;
    }
    if (currentRegister < 30529) {
        val = (PM8000RegType){ 30529, 1,  "INT16U",  "Block Demand Apparent Power Rec C Update Rate" };
        return val;
    }
    if (currentRegister < 30530) {
        val = (PM8000RegType){ 30530, 2,  "FLOAT32",  "Apparent Power Rec C Last Demand" };
        return val;
    }
    if (currentRegister < 30532) {
        val = (PM8000RegType){ 30532, 2,  "FLOAT32",  "Apparent Power Rec C Predicted Demand" };
        return val;
    }
    if (currentRegister < 30534) {
        val = (PM8000RegType){ 30534, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Rec C Peak Demand" };
        return val;
    }
    if (currentRegister < 30540) {
        val = (PM8000RegType){ 30540, 1,  "INT16U",  "Block Demand Apparent Power Rec D Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30541) {
        val = (PM8000RegType){ 30541, 1,  "INT16U",  "Block Demand Apparent Power Rec D # Subintervals" };
        return val;
    }
    if (currentRegister < 30542) {
        val = (PM8000RegType){ 30542, 1,  "INT16U",  "Block Demand Apparent Power Rec D Pred Resp" };
        return val;
    }
    if (currentRegister < 30543) {
        val = (PM8000RegType){ 30543, 1,  "INT16U",  "Block Demand Apparent Power Rec D Update Rate" };
        return val;
    }
    if (currentRegister < 30544) {
        val = (PM8000RegType){ 30544, 2,  "FLOAT32",  "Apparent Power Rec D Last Demand" };
        return val;
    }
    if (currentRegister < 30546) {
        val = (PM8000RegType){ 30546, 2,  "FLOAT32",  "Apparent Power Rec D Predicted Demand" };
        return val;
    }
    if (currentRegister < 30548) {
        val = (PM8000RegType){ 30548, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Rec D Peak Demand" };
        return val;
    }
    if (currentRegister < 30554) {
        val = (PM8000RegType){ 30554, 1,  "INT16U",  "Block Demand Active Power Q1 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30555) {
        val = (PM8000RegType){ 30555, 1,  "INT16U",  "Block Demand Active Power Q1 # Subintervals" };
        return val;
    }
    if (currentRegister < 30556) {
        val = (PM8000RegType){ 30556, 1,  "INT16U",  "Block Demand Active Power Q1 Pred Resp" };
        return val;
    }
    if (currentRegister < 30557) {
        val = (PM8000RegType){ 30557, 1,  "INT16U",  "Block Demand Active Power Q1 Update Rate" };
        return val;
    }
    if (currentRegister < 30558) {
        val = (PM8000RegType){ 30558, 2,  "FLOAT32",  "Active Power Q1 Last Demand" };
        return val;
    }
    if (currentRegister < 30560) {
        val = (PM8000RegType){ 30560, 2,  "FLOAT32",  "Active Power Q1 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30562) {
        val = (PM8000RegType){ 30562, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Q1 Peak Demand" };
        return val;
    }
    if (currentRegister < 30568) {
        val = (PM8000RegType){ 30568, 1,  "INT16U",  "Block Demand Active Power Q2 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30569) {
        val = (PM8000RegType){ 30569, 1,  "INT16U",  "Block Demand Active Power Q2 # Subintervals" };
        return val;
    }
    if (currentRegister < 30570) {
        val = (PM8000RegType){ 30570, 1,  "INT16U",  "Block Demand Active Power Q2 Pred Resp" };
        return val;
    }
    if (currentRegister < 30571) {
        val = (PM8000RegType){ 30571, 1,  "INT16U",  "Block Demand Active Power Q2 Update Rate" };
        return val;
    }
    if (currentRegister < 30572) {
        val = (PM8000RegType){ 30572, 2,  "FLOAT32",  "Active Power Q2 Last Demand" };
        return val;
    }
    if (currentRegister < 30574) {
        val = (PM8000RegType){ 30574, 2,  "FLOAT32",  "Active Power Q2 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30576) {
        val = (PM8000RegType){ 30576, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Q2 Peak Demand" };
        return val;
    }
    if (currentRegister < 30582) {
        val = (PM8000RegType){ 30582, 1,  "INT16U",  "Block Demand Active Power Q3 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30583) {
        val = (PM8000RegType){ 30583, 1,  "INT16U",  "Block Demand Active Power Q3 # Subintervals" };
        return val;
    }
    if (currentRegister < 30584) {
        val = (PM8000RegType){ 30584, 1,  "INT16U",  "Block Demand Active Power Q3 Pred Resp" };
        return val;
    }
    if (currentRegister < 30585) {
        val = (PM8000RegType){ 30585, 1,  "INT16U",  "Block Demand Active Power Q3 Update Rate" };
        return val;
    }
    if (currentRegister < 30586) {
        val = (PM8000RegType){ 30586, 2,  "FLOAT32",  "Active Power Q3 Last Demand" };
        return val;
    }
    if (currentRegister < 30588) {
        val = (PM8000RegType){ 30588, 2,  "FLOAT32",  "Active Power Q3 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30590) {
        val = (PM8000RegType){ 30590, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Q3 Peak Demand" };
        return val;
    }
    if (currentRegister < 30596) {
        val = (PM8000RegType){ 30596, 1,  "INT16U",  "Block Demand Active Power Q4 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30597) {
        val = (PM8000RegType){ 30597, 1,  "INT16U",  "Block Demand Active Power Q4 # Subintervals" };
        return val;
    }
    if (currentRegister < 30598) {
        val = (PM8000RegType){ 30598, 1,  "INT16U",  "Block Demand Active Power Q4 Pred Resp" };
        return val;
    }
    if (currentRegister < 30599) {
        val = (PM8000RegType){ 30599, 1,  "INT16U",  "Block Demand Active Power Q4 Update Rate" };
        return val;
    }
    if (currentRegister < 30600) {
        val = (PM8000RegType){ 30600, 2,  "FLOAT32",  "Active Power Q4 Last Demand" };
        return val;
    }
    if (currentRegister < 30602) {
        val = (PM8000RegType){ 30602, 2,  "FLOAT32",  "Active Power Q4 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30604) {
        val = (PM8000RegType){ 30604, 6,  "TIMESTAMPED_FLOAT32",  "Active Power Q4 Peak Demand" };
        return val;
    }
    if (currentRegister < 30610) {
        val = (PM8000RegType){ 30610, 1,  "INT16U",  "Block Demand Reactive Power Q1 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30611) {
        val = (PM8000RegType){ 30611, 1,  "INT16U",  "Block Demand Reactive Power Q1 # Subintervals" };
        return val;
    }
    if (currentRegister < 30612) {
        val = (PM8000RegType){ 30612, 1,  "INT16U",  "Block Demand Reactive Power Q1 Pred Resp" };
        return val;
    }
    if (currentRegister < 30613) {
        val = (PM8000RegType){ 30613, 1,  "INT16U",  "Block Demand Reactive Power Q1 Update Rate" };
        return val;
    }
    if (currentRegister < 30614) {
        val = (PM8000RegType){ 30614, 2,  "FLOAT32",  "Reactive Power Q1 Last Demand" };
        return val;
    }
    if (currentRegister < 30616) {
        val = (PM8000RegType){ 30616, 2,  "FLOAT32",  "Reactive Power Q1 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30618) {
        val = (PM8000RegType){ 30618, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Q1 Peak Demand" };
        return val;
    }
    if (currentRegister < 30624) {
        val = (PM8000RegType){ 30624, 1,  "INT16U",  "Block Demand Reactive Power Q2 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30625) {
        val = (PM8000RegType){ 30625, 1,  "INT16U",  "Block Demand Reactive Power Q2 # Subintervals" };
        return val;
    }
    if (currentRegister < 30626) {
        val = (PM8000RegType){ 30626, 1,  "INT16U",  "Block Demand Reactive Power Q2 Pred Resp" };
        return val;
    }
    if (currentRegister < 30627) {
        val = (PM8000RegType){ 30627, 1,  "INT16U",  "Block Demand Reactive Power Q2 Update Rate" };
        return val;
    }
    if (currentRegister < 30628) {
        val = (PM8000RegType){ 30628, 2,  "FLOAT32",  "Reactive Power Q2 Last Demand" };
        return val;
    }
    if (currentRegister < 30630) {
        val = (PM8000RegType){ 30630, 2,  "FLOAT32",  "Reactive Power Q2 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30632) {
        val = (PM8000RegType){ 30632, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Q2 Peak Demand" };
        return val;
    }
    if (currentRegister < 30638) {
        val = (PM8000RegType){ 30638, 1,  "INT16U",  "Block Demand Reactive Power Q3 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30639) {
        val = (PM8000RegType){ 30639, 1,  "INT16U",  "Block Demand Reactive Power Q3 # Subintervals" };
        return val;
    }
    if (currentRegister < 30640) {
        val = (PM8000RegType){ 30640, 1,  "INT16U",  "Block Demand Reactive Power Q3 Pred Resp" };
        return val;
    }
    if (currentRegister < 30641) {
        val = (PM8000RegType){ 30641, 1,  "INT16U",  "Block Demand Reactive Power Q3 Update Rate" };
        return val;
    }
    if (currentRegister < 30642) {
        val = (PM8000RegType){ 30642, 2,  "FLOAT32",  "Reactive Power Q3 Last Demand" };
        return val;
    }
    if (currentRegister < 30644) {
        val = (PM8000RegType){ 30644, 2,  "FLOAT32",  "Reactive Power Q3 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30646) {
        val = (PM8000RegType){ 30646, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Q3 Peak Demand" };
        return val;
    }
    if (currentRegister < 30652) {
        val = (PM8000RegType){ 30652, 1,  "INT16U",  "Block Demand Reactive Power Q4 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30653) {
        val = (PM8000RegType){ 30653, 1,  "INT16U",  "Block Demand Reactive Power Q4 # Subintervals" };
        return val;
    }
    if (currentRegister < 30654) {
        val = (PM8000RegType){ 30654, 1,  "INT16U",  "Block Demand Reactive Power Q4 Pred Resp" };
        return val;
    }
    if (currentRegister < 30655) {
        val = (PM8000RegType){ 30655, 1,  "INT16U",  "Block Demand Reactive Power Q4 Update Rate" };
        return val;
    }
    if (currentRegister < 30656) {
        val = (PM8000RegType){ 30656, 2,  "FLOAT32",  "Reactive Power Q4 Last Demand" };
        return val;
    }
    if (currentRegister < 30658) {
        val = (PM8000RegType){ 30658, 2,  "FLOAT32",  "Reactive Power Q4 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30660) {
        val = (PM8000RegType){ 30660, 6,  "TIMESTAMPED_FLOAT32",  "Reactive Power Q4 Peak Demand" };
        return val;
    }
    if (currentRegister < 30666) {
        val = (PM8000RegType){ 30666, 1,  "INT16U",  "Block Demand Apparent Power Q1 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30667) {
        val = (PM8000RegType){ 30667, 1,  "INT16U",  "Block Demand Apparent Power Q1 # Subintervals" };
        return val;
    }
    if (currentRegister < 30668) {
        val = (PM8000RegType){ 30668, 1,  "INT16U",  "Block Demand Apparent Power Q1 Pred Resp" };
        return val;
    }
    if (currentRegister < 30669) {
        val = (PM8000RegType){ 30669, 1,  "INT16U",  "Block Demand Apparent Power Q1 Update Rate" };
        return val;
    }
    if (currentRegister < 30670) {
        val = (PM8000RegType){ 30670, 2,  "FLOAT32",  "Apparent Power Q1 Last Demand" };
        return val;
    }
    if (currentRegister < 30672) {
        val = (PM8000RegType){ 30672, 2,  "FLOAT32",  "Apparent Power Q1 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30674) {
        val = (PM8000RegType){ 30674, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Q1 Peak Demand" };
        return val;
    }
    if (currentRegister < 30680) {
        val = (PM8000RegType){ 30680, 1,  "INT16U",  "Block Demand Apparent Power Q2 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30681) {
        val = (PM8000RegType){ 30681, 1,  "INT16U",  "Block Demand Apparent Power Q2 # Subintervals" };
        return val;
    }
    if (currentRegister < 30682) {
        val = (PM8000RegType){ 30682, 1,  "INT16U",  "Block Demand Apparent Power Q2 Pred Resp" };
        return val;
    }
    if (currentRegister < 30683) {
        val = (PM8000RegType){ 30683, 1,  "INT16U",  "Block Demand Apparent Power Q2 Update Rate" };
        return val;
    }
    if (currentRegister < 30684) {
        val = (PM8000RegType){ 30684, 2,  "FLOAT32",  "Apparent Power Q2 Last Demand" };
        return val;
    }
    if (currentRegister < 30686) {
        val = (PM8000RegType){ 30686, 2,  "FLOAT32",  "Apparent Power Q2 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30688) {
        val = (PM8000RegType){ 30688, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Q2 Peak Demand" };
        return val;
    }
    if (currentRegister < 30694) {
        val = (PM8000RegType){ 30694, 1,  "INT16U",  "Block Demand Apparent Power Q3 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30695) {
        val = (PM8000RegType){ 30695, 1,  "INT16U",  "Block Demand Apparent Power Q3 # Subintervals" };
        return val;
    }
    if (currentRegister < 30696) {
        val = (PM8000RegType){ 30696, 1,  "INT16U",  "Block Demand Apparent Power Q3 Pred Resp" };
        return val;
    }
    if (currentRegister < 30697) {
        val = (PM8000RegType){ 30697, 1,  "INT16U",  "Block Demand Apparent Power Q3 Update Rate" };
        return val;
    }
    if (currentRegister < 30698) {
        val = (PM8000RegType){ 30698, 2,  "FLOAT32",  "Apparent Power Q3 Last Demand" };
        return val;
    }
    if (currentRegister < 30700) {
        val = (PM8000RegType){ 30700, 2,  "FLOAT32",  "Apparent Power Q3 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30702) {
        val = (PM8000RegType){ 30702, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Q3 Peak Demand" };
        return val;
    }
    if (currentRegister < 30708) {
        val = (PM8000RegType){ 30708, 1,  "INT16U",  "Block Demand Apparent Power Q4 Subinterval Duration" };
        return val;
    }
    if (currentRegister < 30709) {
        val = (PM8000RegType){ 30709, 1,  "INT16U",  "Block Demand Apparent Power Q4 # Subintervals" };
        return val;
    }
    if (currentRegister < 30710) {
        val = (PM8000RegType){ 30710, 1,  "INT16U",  "Block Demand Apparent Power Q4 Pred Resp" };
        return val;
    }
    if (currentRegister < 30711) {
        val = (PM8000RegType){ 30711, 1,  "INT16U",  "Block Demand Apparent Power Q4 Update Rate" };
        return val;
    }
    if (currentRegister < 30712) {
        val = (PM8000RegType){ 30712, 2,  "FLOAT32",  "Apparent Power Q4 Last Demand" };
        return val;
    }
    if (currentRegister < 30714) {
        val = (PM8000RegType){ 30714, 2,  "FLOAT32",  "Apparent Power Q4 Predicted Demand" };
        return val;
    }
    if (currentRegister < 30716) {
        val = (PM8000RegType){ 30716, 6,  "TIMESTAMPED_FLOAT32",  "Apparent Power Q4 Peak Demand" };
        return val;
    }
    if (currentRegister < 30822) {
        val = (PM8000RegType){ 30822, 2,  "FLOAT32",  "Block Demand Active Power" };
        return val;
    }
    if (currentRegister < 30824) {
        val = (PM8000RegType){ 30824, 2,  "FLOAT32",  "Block Demand Active Power Into the Load" };
        return val;
    }
    if (currentRegister < 30826) {
        val = (PM8000RegType){ 30826, 2,  "FLOAT32",  "Block Demand Active Power Out of the Load" };
        return val;
    }
    if (currentRegister < 30828) {
        val = (PM8000RegType){ 30828, 2,  "FLOAT32",  "Block Demand Active Power Total" };
        return val;
    }
    if (currentRegister < 30830) {
        val = (PM8000RegType){ 30830, 2,  "FLOAT32",  "Block Demand Reactive Power" };
        return val;
    }
    if (currentRegister < 30832) {
        val = (PM8000RegType){ 30832, 2,  "FLOAT32",  "Block Demand Reactive Power Into the Load" };
        return val;
    }
    if (currentRegister < 30834) {
        val = (PM8000RegType){ 30834, 2,  "FLOAT32",  "Block Demand Reactive Power Out of the Load" };
        return val;
    }
    if (currentRegister < 30836) {
        val = (PM8000RegType){ 30836, 2,  "FLOAT32",  "Block Demand Reactive Power Total" };
        return val;
    }
    if (currentRegister < 30838) {
        val = (PM8000RegType){ 30838, 2,  "FLOAT32",  "Block Demand Active Power" };
        return val;
    }
    if (currentRegister < 30840) {
        val = (PM8000RegType){ 30840, 2,  "FLOAT32",  "Block Demand Active Power Into the Load" };
        return val;
    }
    if (currentRegister < 30842) {
        val = (PM8000RegType){ 30842, 2,  "FLOAT32",  "Block Demand Active Power Out of the Load" };
        return val;
    }
    if (currentRegister < 30844) {
        val = (PM8000RegType){ 30844, 2,  "FLOAT32",  "Block Demand Active Power Total" };
        return val;
    }
    if (currentRegister < 30846) {
        val = (PM8000RegType){ 30846, 2,  "FLOAT32",  "Block Demand Apparent Power" };
        return val;
    }
    if (currentRegister < 30848) {
        val = (PM8000RegType){ 30848, 2,  "FLOAT32",  "Block Demand Apparent Power Into the Load" };
        return val;
    }
    if (currentRegister < 30850) {
        val = (PM8000RegType){ 30850, 2,  "FLOAT32",  "Block Demand Apparent Power Out of the Load" };
        return val;
    }
    if (currentRegister < 30852) {
        val = (PM8000RegType){ 30852, 2,  "FLOAT32",  "Block Demand Apparent Power Total" };
        return val;
    }
    if (currentRegister < 30854) {
        val = (PM8000RegType){ 30854, 2,  "FLOAT32",  "Block Demand Reactive Power" };
        return val;
    }
    if (currentRegister < 30856) {
        val = (PM8000RegType){ 30856, 2,  "FLOAT32",  "Block Demand Reactive Power Into the Load" };
        return val;
    }
    if (currentRegister < 30858) {
        val = (PM8000RegType){ 30858, 2,  "FLOAT32",  "Block Demand Reactive Power Out of the Load" };
        return val;
    }
    if (currentRegister < 30860) {
        val = (PM8000RegType){ 30860, 2,  "FLOAT32",  "Block Demand Reactive Power Total" };
        return val;
    }
    if (currentRegister < 30862) {
        val = (PM8000RegType){ 30862, 2,  "FLOAT32",  "Block Demand Apparent Power" };
        return val;
    }
    if (currentRegister < 30864) {
        val = (PM8000RegType){ 30864, 2,  "FLOAT32",  "Block Demand Apparent Power Into the Load" };
        return val;
    }
    if (currentRegister < 30866) {
        val = (PM8000RegType){ 30866, 2,  "FLOAT32",  "Block Demand Apparent Power Out of the Load" };
        return val;
    }
    if (currentRegister < 30868) {
        val = (PM8000RegType){ 30868, 2,  "FLOAT32",  "Block Demand Apparent Power Total" };
        return val;
    }
    if (currentRegister < 30870) {
        val = (PM8000RegType){ 30870, 4,  "INT64",  "Active Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 30874) {
        val = (PM8000RegType){ 30874, 4,  "INT64",  "Active Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 30878) {
        val = (PM8000RegType){ 30878, 4,  "INT64",  "Active Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 30882) {
        val = (PM8000RegType){ 30882, 4,  "INT64",  "Active Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 30886) {
        val = (PM8000RegType){ 30886, 4,  "INT64",  "Active Energy Delivered" };
        return val;
    }
    if (currentRegister < 30890) {
        val = (PM8000RegType){ 30890, 4,  "INT64",  "Active Energy Received" };
        return val;
    }
    if (currentRegister < 30894) {
        val = (PM8000RegType){ 30894, 4,  "INT64",  "Reactive Energy Delivered" };
        return val;
    }
    if (currentRegister < 30898) {
        val = (PM8000RegType){ 30898, 4,  "INT64",  "Reactive Energy Received" };
        return val;
    }
    if (currentRegister < 30902) {
        val = (PM8000RegType){ 30902, 4,  "INT64",  "Apparent Energy Delivered" };
        return val;
    }
    if (currentRegister < 30906) {
        val = (PM8000RegType){ 30906, 4,  "INT64",  "Apparent Energy Received" };
        return val;
    }
    if (currentRegister < 30910) {
        val = (PM8000RegType){ 30910, 2,  "FLOAT32",  "Peak Block Demand Active Power Delived Rate 1" };
        return val;
    }
    if (currentRegister < 30912) {
        val = (PM8000RegType){ 30912, 2,  "FLOAT32",  "Peak Block Demand Active Power Delived Rate 2" };
        return val;
    }
    if (currentRegister < 30914) {
        val = (PM8000RegType){ 30914, 2,  "FLOAT32",  "Peak Block Demand Active Power Delived Rate 3" };
        return val;
    }
    if (currentRegister < 30916) {
        val = (PM8000RegType){ 30916, 2,  "FLOAT32",  "Peak Block Demand Active Power Delived Rate 4" };
        return val;
    }
    if (currentRegister < 30918) {
        val = (PM8000RegType){ 30918, 2,  "FLOAT32",  "Peak Block Demand Active Power Received" };
        return val;
    }
    if (currentRegister < 30920) {
        val = (PM8000RegType){ 30920, 2,  "FLOAT32",  "Peak Block Demand Reactive Power Delivered" };
        return val;
    }
    if (currentRegister < 30922) {
        val = (PM8000RegType){ 30922, 2,  "FLOAT32",  "Peak Block Demand Reactive Power Received" };
        return val;
    }
    if (currentRegister < 30924) {
        val = (PM8000RegType){ 30924, 2,  "FLOAT32",  "Peak Block Demand Apparent Power Delivered" };
        return val;
    }
    if (currentRegister < 30926) {
        val = (PM8000RegType){ 30926, 2,  "FLOAT32",  "Peak Block Demand Apparent Power Received" };
        return val;
    }
    if (currentRegister < 30928) {
        val = (PM8000RegType){ 30928, 4,  "INT64",  "Active Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 30932) {
        val = (PM8000RegType){ 30932, 4,  "INT64",  "Active Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 30936) {
        val = (PM8000RegType){ 30936, 4,  "INT64",  "Active Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 30940) {
        val = (PM8000RegType){ 30940, 4,  "INT64",  "Active Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 30944) {
        val = (PM8000RegType){ 30944, 4,  "INT64",  "Active Energy Delivered" };
        return val;
    }
    if (currentRegister < 30948) {
        val = (PM8000RegType){ 30948, 4,  "INT64",  "Active Energy Received" };
        return val;
    }
    if (currentRegister < 30952) {
        val = (PM8000RegType){ 30952, 4,  "INT64",  "Reactive Energy Delivered" };
        return val;
    }
    if (currentRegister < 30956) {
        val = (PM8000RegType){ 30956, 4,  "INT64",  "Reactive Energy Received" };
        return val;
    }
    if (currentRegister < 30960) {
        val = (PM8000RegType){ 30960, 4,  "INT64",  "Apparent Energy Delivered" };
        return val;
    }
    if (currentRegister < 30964) {
        val = (PM8000RegType){ 30964, 4,  "INT64",  "Apparent Energy Received" };
        return val;
    }
    if (currentRegister < 30968) {
        val = (PM8000RegType){ 30968, 2,  "FLOAT32",  "Peak Block Demand Active Power Delived Rate 1" };
        return val;
    }
    if (currentRegister < 30970) {
        val = (PM8000RegType){ 30970, 2,  "FLOAT32",  "Peak Block Demand Active Power Delived Rate 2" };
        return val;
    }
    if (currentRegister < 30972) {
        val = (PM8000RegType){ 30972, 2,  "FLOAT32",  "Peak Block Demand Active Power Delived Rate 3" };
        return val;
    }
    if (currentRegister < 30974) {
        val = (PM8000RegType){ 30974, 2,  "FLOAT32",  "Peak Block Demand Active Power Delived Rate 4" };
        return val;
    }
    if (currentRegister < 30976) {
        val = (PM8000RegType){ 30976, 2,  "FLOAT32",  "Peak Block Demand Active Power Received" };
        return val;
    }
    if (currentRegister < 30978) {
        val = (PM8000RegType){ 30978, 2,  "FLOAT32",  "Peak Block Demand Reactive Power Delivered" };
        return val;
    }
    if (currentRegister < 30980) {
        val = (PM8000RegType){ 30980, 2,  "FLOAT32",  "Peak Block Demand Reactive Power Received" };
        return val;
    }
    if (currentRegister < 30982) {
        val = (PM8000RegType){ 30982, 2,  "FLOAT32",  "Peak Block Demand Apparent Power Delivered" };
        return val;
    }
    if (currentRegister < 30984) {
        val = (PM8000RegType){ 30984, 2,  "FLOAT32",  "Peak Block Demand Apparent Power Received" };
        return val;
    }
    if (currentRegister < 30986) {
        val = (PM8000RegType){ 30986, 2,  "FLOAT32",  "Active Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 30988) {
        val = (PM8000RegType){ 30988, 2,  "FLOAT32",  "Active Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 30990) {
        val = (PM8000RegType){ 30990, 2,  "FLOAT32",  "Active Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 30992) {
        val = (PM8000RegType){ 30992, 2,  "FLOAT32",  "Active Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 30994) {
        val = (PM8000RegType){ 30994, 2,  "FLOAT32",  "Active Energy Delivered" };
        return val;
    }
    if (currentRegister < 30996) {
        val = (PM8000RegType){ 30996, 2,  "FLOAT32",  "Active Energy Received" };
        return val;
    }
    if (currentRegister < 30998) {
        val = (PM8000RegType){ 30998, 2,  "FLOAT32",  "Reactive Energy Delivered" };
        return val;
    }
    if (currentRegister < 31000) {
        val = (PM8000RegType){ 31000, 2,  "FLOAT32",  "Reactive Energy Received" };
        return val;
    }
    if (currentRegister < 31002) {
        val = (PM8000RegType){ 31002, 2,  "FLOAT32",  "Apparent Energy Delivered" };
        return val;
    }
    if (currentRegister < 31004) {
        val = (PM8000RegType){ 31004, 2,  "FLOAT32",  "Apparent Energy Received" };
        return val;
    }
    if (currentRegister < 31006) {
        val = (PM8000RegType){ 31006, 2,  "FLOAT32",  "Active Energy Delivered Rate 1" };
        return val;
    }
    if (currentRegister < 31008) {
        val = (PM8000RegType){ 31008, 2,  "FLOAT32",  "Active Energy Delivered Rate 2" };
        return val;
    }
    if (currentRegister < 31010) {
        val = (PM8000RegType){ 31010, 2,  "FLOAT32",  "Active Energy Delivered Rate 3" };
        return val;
    }
    if (currentRegister < 31012) {
        val = (PM8000RegType){ 31012, 2,  "FLOAT32",  "Active Energy Delivered Rate 4" };
        return val;
    }
    if (currentRegister < 31014) {
        val = (PM8000RegType){ 31014, 2,  "FLOAT32",  "Active Energy Delivered" };
        return val;
    }
    if (currentRegister < 31016) {
        val = (PM8000RegType){ 31016, 2,  "FLOAT32",  "Active Energy Received" };
        return val;
    }
    if (currentRegister < 31018) {
        val = (PM8000RegType){ 31018, 2,  "FLOAT32",  "Reactive Energy Delivered" };
        return val;
    }
    if (currentRegister < 31020) {
        val = (PM8000RegType){ 31020, 2,  "FLOAT32",  "Reactive Energy Received" };
        return val;
    }
    if (currentRegister < 31022) {
        val = (PM8000RegType){ 31022, 2,  "FLOAT32",  "Apparent Energy Delivered" };
        return val;
    }
    if (currentRegister < 31024) {
        val = (PM8000RegType){ 31024, 2,  "FLOAT32",  "Apparent Energy Received" };
        return val;
    }
    if (currentRegister < 34352) {
        val = (PM8000RegType){ 34352, 2,  "FLOAT32",  "Current, Phase A 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34354) {
        val = (PM8000RegType){ 34354, 2,  "FLOAT32",  "Current, Phase A 10 Minute" };
        return val;
    }
    if (currentRegister < 34358) {
        val = (PM8000RegType){ 34358, 2,  "FLOAT32",  "Current, Phase B 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34360) {
        val = (PM8000RegType){ 34360, 2,  "FLOAT32",  "Current, Phase B 10 Minute" };
        return val;
    }
    if (currentRegister < 34364) {
        val = (PM8000RegType){ 34364, 2,  "FLOAT32",  "Current, Phase C 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34366) {
        val = (PM8000RegType){ 34366, 2,  "FLOAT32",  "Current, Phase C 10 Minute" };
        return val;
    }
    if (currentRegister < 34400) {
        val = (PM8000RegType){ 34400, 2,  "FLOAT32",  "Voltage, A-N 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34402) {
        val = (PM8000RegType){ 34402, 2,  "FLOAT32",  "Voltage, A-N 10 Minute" };
        return val;
    }
    if (currentRegister < 34404) {
        val = (PM8000RegType){ 34404, 2,  "FLOAT32",  "Voltage, A-N 2 Hour" };
        return val;
    }
    if (currentRegister < 34406) {
        val = (PM8000RegType){ 34406, 2,  "FLOAT32",  "Voltage, B-N 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34408) {
        val = (PM8000RegType){ 34408, 2,  "FLOAT32",  "Voltage, B-N 10 Minute" };
        return val;
    }
    if (currentRegister < 34410) {
        val = (PM8000RegType){ 34410, 2,  "FLOAT32",  "Voltage, B-N 2 Hour" };
        return val;
    }
    if (currentRegister < 34412) {
        val = (PM8000RegType){ 34412, 2,  "FLOAT32",  "Voltage, C-N 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34414) {
        val = (PM8000RegType){ 34414, 2,  "FLOAT32",  "Voltage, C-N 10 Minute" };
        return val;
    }
    if (currentRegister < 34416) {
        val = (PM8000RegType){ 34416, 2,  "FLOAT32",  "Voltage, C-N 2 Hour" };
        return val;
    }
    if (currentRegister < 34460) {
        val = (PM8000RegType){ 34460, 2,  "FLOAT32",  "Unbalance, Neg Seq 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34462) {
        val = (PM8000RegType){ 34462, 2,  "FLOAT32",  "Unbalance, Neg Seq 10 Minute" };
        return val;
    }
    if (currentRegister < 34464) {
        val = (PM8000RegType){ 34464, 2,  "FLOAT32",  "Unbalance, Neg Seq 2 Hour" };
        return val;
    }
    if (currentRegister < 34466) {
        val = (PM8000RegType){ 34466, 2,  "FLOAT32",  "Unbalance, Zero Seq 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34468) {
        val = (PM8000RegType){ 34468, 2,  "FLOAT32",  "Unbalance, Zero Seq 10 Minute" };
        return val;
    }
    if (currentRegister < 34470) {
        val = (PM8000RegType){ 34470, 2,  "FLOAT32",  "Unbalance, Zero Seq 2 Hour" };
        return val;
    }
    if (currentRegister < 34472) {
        val = (PM8000RegType){ 34472, 2,  "FLOAT32",  "Power Frequency 3 Second (150/180 Cycles)" };
        return val;
    }
    if (currentRegister < 34474) {
        val = (PM8000RegType){ 34474, 2,  "FLOAT32",  "Power Frequency 10 Minute" };
        return val;
    }
    if (currentRegister < 34476) {
        val = (PM8000RegType){ 34476, 2,  "FLOAT32",  "Power Frequency 2 Hour" };
        return val;
    }
    if (currentRegister < 34611) {
        val = (PM8000RegType){ 34611, 2,  "FLOAT32",  "Current, Positive Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 34613) {
        val = (PM8000RegType){ 34613, 2,  "FLOAT32",  "Current, Positive Sequence, Angle" };
        return val;
    }
    if (currentRegister < 34615) {
        val = (PM8000RegType){ 34615, 2,  "FLOAT32",  "Current, Negative Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 34617) {
        val = (PM8000RegType){ 34617, 2,  "FLOAT32",  "Current, Negative Sequence, Angle" };
        return val;
    }
    if (currentRegister < 34619) {
        val = (PM8000RegType){ 34619, 2,  "FLOAT32",  "Current, Zero Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 34621) {
        val = (PM8000RegType){ 34621, 2,  "FLOAT32",  "Current, Zero Sequence, Angle" };
        return val;
    }
    if (currentRegister < 34623) {
        val = (PM8000RegType){ 34623, 2,  "FLOAT32",  "Voltage, Positive Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 34625) {
        val = (PM8000RegType){ 34625, 2,  "FLOAT32",  "Voltage, Positive Sequence, Angle" };
        return val;
    }
    if (currentRegister < 34627) {
        val = (PM8000RegType){ 34627, 2,  "FLOAT32",  "Voltage, Negative Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 34629) {
        val = (PM8000RegType){ 34629, 2,  "FLOAT32",  "Voltage, Negative Sequence, Angle" };
        return val;
    }
    if (currentRegister < 34631) {
        val = (PM8000RegType){ 34631, 2,  "FLOAT32",  "Voltage, Zero Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 34633) {
        val = (PM8000RegType){ 34633, 2,  "FLOAT32",  "Voltage, Zero Sequence, Angle" };
        return val;
    }
    if (currentRegister < 35891) {
        val = (PM8000RegType){ 35891, 2,  "FLOAT32",  "Voltage A-N, H1 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35893) {
        val = (PM8000RegType){ 35893, 2,  "FLOAT32",  "Voltage A-N, H1 Angle" };
        return val;
    }
    if (currentRegister < 35897) {
        val = (PM8000RegType){ 35897, 2,  "FLOAT32",  "Voltage A-N, H2 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35899) {
        val = (PM8000RegType){ 35899, 2,  "FLOAT32",  "Voltage A-N, H2 Angle" };
        return val;
    }
    if (currentRegister < 35903) {
        val = (PM8000RegType){ 35903, 2,  "FLOAT32",  "Voltage A-N, H3 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35905) {
        val = (PM8000RegType){ 35905, 2,  "FLOAT32",  "Voltage A-N, H3 Angle" };
        return val;
    }
    if (currentRegister < 35909) {
        val = (PM8000RegType){ 35909, 2,  "FLOAT32",  "Voltage A-N, H4 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35911) {
        val = (PM8000RegType){ 35911, 2,  "FLOAT32",  "Voltage A-N, H4 Angle" };
        return val;
    }
    if (currentRegister < 35915) {
        val = (PM8000RegType){ 35915, 2,  "FLOAT32",  "Voltage A-N, H5 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35917) {
        val = (PM8000RegType){ 35917, 2,  "FLOAT32",  "Voltage A-N, H5 Angle" };
        return val;
    }
    if (currentRegister < 35921) {
        val = (PM8000RegType){ 35921, 2,  "FLOAT32",  "Voltage A-N, H6 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35923) {
        val = (PM8000RegType){ 35923, 2,  "FLOAT32",  "Voltage A-N, H6 Angle" };
        return val;
    }
    if (currentRegister < 35927) {
        val = (PM8000RegType){ 35927, 2,  "FLOAT32",  "Voltage A-N, H7 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35929) {
        val = (PM8000RegType){ 35929, 2,  "FLOAT32",  "Voltage A-N, H7 Angle" };
        return val;
    }
    if (currentRegister < 35933) {
        val = (PM8000RegType){ 35933, 2,  "FLOAT32",  "Voltage A-N, H8 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35935) {
        val = (PM8000RegType){ 35935, 2,  "FLOAT32",  "Voltage A-N, H8 Angle" };
        return val;
    }
    if (currentRegister < 35939) {
        val = (PM8000RegType){ 35939, 2,  "FLOAT32",  "Voltage A-N, H9 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35941) {
        val = (PM8000RegType){ 35941, 2,  "FLOAT32",  "Voltage A-N, H9 Angle" };
        return val;
    }
    if (currentRegister < 35945) {
        val = (PM8000RegType){ 35945, 2,  "FLOAT32",  "Voltage A-N, H10 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35947) {
        val = (PM8000RegType){ 35947, 2,  "FLOAT32",  "Voltage A-N, H10 Angle" };
        return val;
    }
    if (currentRegister < 35951) {
        val = (PM8000RegType){ 35951, 2,  "FLOAT32",  "Voltage A-N, H11 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35953) {
        val = (PM8000RegType){ 35953, 2,  "FLOAT32",  "Voltage A-N, H11 Angle" };
        return val;
    }
    if (currentRegister < 35957) {
        val = (PM8000RegType){ 35957, 2,  "FLOAT32",  "Voltage A-N, H12 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35959) {
        val = (PM8000RegType){ 35959, 2,  "FLOAT32",  "Voltage A-N, H12 Angle" };
        return val;
    }
    if (currentRegister < 35963) {
        val = (PM8000RegType){ 35963, 2,  "FLOAT32",  "Voltage A-N, H13 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35965) {
        val = (PM8000RegType){ 35965, 2,  "FLOAT32",  "Voltage A-N, H13 Angle" };
        return val;
    }
    if (currentRegister < 35969) {
        val = (PM8000RegType){ 35969, 2,  "FLOAT32",  "Voltage A-N, H14 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35971) {
        val = (PM8000RegType){ 35971, 2,  "FLOAT32",  "Voltage A-N, H14 Angle" };
        return val;
    }
    if (currentRegister < 35975) {
        val = (PM8000RegType){ 35975, 2,  "FLOAT32",  "Voltage A-N, H15 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35977) {
        val = (PM8000RegType){ 35977, 2,  "FLOAT32",  "Voltage A-N, H15 Angle" };
        return val;
    }
    if (currentRegister < 35981) {
        val = (PM8000RegType){ 35981, 2,  "FLOAT32",  "Voltage A-N, H16 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35983) {
        val = (PM8000RegType){ 35983, 2,  "FLOAT32",  "Voltage A-N, H16 Angle" };
        return val;
    }
    if (currentRegister < 35987) {
        val = (PM8000RegType){ 35987, 2,  "FLOAT32",  "Voltage A-N, H17 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35989) {
        val = (PM8000RegType){ 35989, 2,  "FLOAT32",  "Voltage A-N, H17 Angle" };
        return val;
    }
    if (currentRegister < 35993) {
        val = (PM8000RegType){ 35993, 2,  "FLOAT32",  "Voltage A-N, H18 Magnitude, V" };
        return val;
    }
    if (currentRegister < 35995) {
        val = (PM8000RegType){ 35995, 2,  "FLOAT32",  "Voltage A-N, H18 Angle" };
        return val;
    }
    if (currentRegister < 35999) {
        val = (PM8000RegType){ 35999, 2,  "FLOAT32",  "Voltage A-N, H19 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36001) {
        val = (PM8000RegType){ 36001, 2,  "FLOAT32",  "Voltage A-N, H19 Angle" };
        return val;
    }
    if (currentRegister < 36005) {
        val = (PM8000RegType){ 36005, 2,  "FLOAT32",  "Voltage A-N, H20 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36007) {
        val = (PM8000RegType){ 36007, 2,  "FLOAT32",  "Voltage A-N, H20 Angle" };
        return val;
    }
    if (currentRegister < 36011) {
        val = (PM8000RegType){ 36011, 2,  "FLOAT32",  "Voltage A-N, H21 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36013) {
        val = (PM8000RegType){ 36013, 2,  "FLOAT32",  "Voltage A-N, H21 Angle" };
        return val;
    }
    if (currentRegister < 36017) {
        val = (PM8000RegType){ 36017, 2,  "FLOAT32",  "Voltage A-N, H22 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36019) {
        val = (PM8000RegType){ 36019, 2,  "FLOAT32",  "Voltage A-N, H22 Angle" };
        return val;
    }
    if (currentRegister < 36023) {
        val = (PM8000RegType){ 36023, 2,  "FLOAT32",  "Voltage A-N, H23 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36025) {
        val = (PM8000RegType){ 36025, 2,  "FLOAT32",  "Voltage A-N, H23 Angle" };
        return val;
    }
    if (currentRegister < 36029) {
        val = (PM8000RegType){ 36029, 2,  "FLOAT32",  "Voltage A-N, H24 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36031) {
        val = (PM8000RegType){ 36031, 2,  "FLOAT32",  "Voltage A-N, H24 Angle" };
        return val;
    }
    if (currentRegister < 36035) {
        val = (PM8000RegType){ 36035, 2,  "FLOAT32",  "Voltage A-N, H25 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36037) {
        val = (PM8000RegType){ 36037, 2,  "FLOAT32",  "Voltage A-N, H25 Angle" };
        return val;
    }
    if (currentRegister < 36041) {
        val = (PM8000RegType){ 36041, 2,  "FLOAT32",  "Voltage A-N, H26 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36043) {
        val = (PM8000RegType){ 36043, 2,  "FLOAT32",  "Voltage A-N, H26 Angle" };
        return val;
    }
    if (currentRegister < 36047) {
        val = (PM8000RegType){ 36047, 2,  "FLOAT32",  "Voltage A-N, H27 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36049) {
        val = (PM8000RegType){ 36049, 2,  "FLOAT32",  "Voltage A-N, H27 Angle" };
        return val;
    }
    if (currentRegister < 36053) {
        val = (PM8000RegType){ 36053, 2,  "FLOAT32",  "Voltage A-N, H28 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36055) {
        val = (PM8000RegType){ 36055, 2,  "FLOAT32",  "Voltage A-N, H28 Angle" };
        return val;
    }
    if (currentRegister < 36059) {
        val = (PM8000RegType){ 36059, 2,  "FLOAT32",  "Voltage A-N, H29 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36061) {
        val = (PM8000RegType){ 36061, 2,  "FLOAT32",  "Voltage A-N, H29 Angle" };
        return val;
    }
    if (currentRegister < 36065) {
        val = (PM8000RegType){ 36065, 2,  "FLOAT32",  "Voltage A-N, H30 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36067) {
        val = (PM8000RegType){ 36067, 2,  "FLOAT32",  "Voltage A-N, H30 Angle" };
        return val;
    }
    if (currentRegister < 36071) {
        val = (PM8000RegType){ 36071, 2,  "FLOAT32",  "Voltage A-N, H31 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36073) {
        val = (PM8000RegType){ 36073, 2,  "FLOAT32",  "Voltage A-N, H31 Angle" };
        return val;
    }
    if (currentRegister < 36077) {
        val = (PM8000RegType){ 36077, 2,  "FLOAT32",  "Voltage A-N, H32 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36079) {
        val = (PM8000RegType){ 36079, 2,  "FLOAT32",  "Voltage A-N, H32 Angle" };
        return val;
    }
    if (currentRegister < 36083) {
        val = (PM8000RegType){ 36083, 2,  "FLOAT32",  "Voltage A-N, H33 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36085) {
        val = (PM8000RegType){ 36085, 2,  "FLOAT32",  "Voltage A-N, H33 Angle" };
        return val;
    }
    if (currentRegister < 36089) {
        val = (PM8000RegType){ 36089, 2,  "FLOAT32",  "Voltage A-N, H34 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36091) {
        val = (PM8000RegType){ 36091, 2,  "FLOAT32",  "Voltage A-N, H34 Angle" };
        return val;
    }
    if (currentRegister < 36095) {
        val = (PM8000RegType){ 36095, 2,  "FLOAT32",  "Voltage A-N, H35 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36097) {
        val = (PM8000RegType){ 36097, 2,  "FLOAT32",  "Voltage A-N, H35 Angle" };
        return val;
    }
    if (currentRegister < 36101) {
        val = (PM8000RegType){ 36101, 2,  "FLOAT32",  "Voltage A-N, H36 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36103) {
        val = (PM8000RegType){ 36103, 2,  "FLOAT32",  "Voltage A-N, H36 Angle" };
        return val;
    }
    if (currentRegister < 36107) {
        val = (PM8000RegType){ 36107, 2,  "FLOAT32",  "Voltage A-N, H37 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36109) {
        val = (PM8000RegType){ 36109, 2,  "FLOAT32",  "Voltage A-N, H37 Angle" };
        return val;
    }
    if (currentRegister < 36113) {
        val = (PM8000RegType){ 36113, 2,  "FLOAT32",  "Voltage A-N, H38 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36115) {
        val = (PM8000RegType){ 36115, 2,  "FLOAT32",  "Voltage A-N, H38 Angle" };
        return val;
    }
    if (currentRegister < 36119) {
        val = (PM8000RegType){ 36119, 2,  "FLOAT32",  "Voltage A-N, H39 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36121) {
        val = (PM8000RegType){ 36121, 2,  "FLOAT32",  "Voltage A-N, H39 Angle" };
        return val;
    }
    if (currentRegister < 36125) {
        val = (PM8000RegType){ 36125, 2,  "FLOAT32",  "Voltage A-N, H40 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36127) {
        val = (PM8000RegType){ 36127, 2,  "FLOAT32",  "Voltage A-N, H40 Angle" };
        return val;
    }
    if (currentRegister < 36131) {
        val = (PM8000RegType){ 36131, 2,  "FLOAT32",  "Voltage A-N, H41 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36133) {
        val = (PM8000RegType){ 36133, 2,  "FLOAT32",  "Voltage A-N, H41 Angle" };
        return val;
    }
    if (currentRegister < 36137) {
        val = (PM8000RegType){ 36137, 2,  "FLOAT32",  "Voltage A-N, H42 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36139) {
        val = (PM8000RegType){ 36139, 2,  "FLOAT32",  "Voltage A-N, H42 Angle" };
        return val;
    }
    if (currentRegister < 36143) {
        val = (PM8000RegType){ 36143, 2,  "FLOAT32",  "Voltage A-N, H43 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36145) {
        val = (PM8000RegType){ 36145, 2,  "FLOAT32",  "Voltage A-N, H43 Angle" };
        return val;
    }
    if (currentRegister < 36149) {
        val = (PM8000RegType){ 36149, 2,  "FLOAT32",  "Voltage A-N, H44 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36151) {
        val = (PM8000RegType){ 36151, 2,  "FLOAT32",  "Voltage A-N, H44 Angle" };
        return val;
    }
    if (currentRegister < 36155) {
        val = (PM8000RegType){ 36155, 2,  "FLOAT32",  "Voltage A-N, H45 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36157) {
        val = (PM8000RegType){ 36157, 2,  "FLOAT32",  "Voltage A-N, H45 Angle" };
        return val;
    }
    if (currentRegister < 36161) {
        val = (PM8000RegType){ 36161, 2,  "FLOAT32",  "Voltage A-N, H46 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36163) {
        val = (PM8000RegType){ 36163, 2,  "FLOAT32",  "Voltage A-N, H46 Angle" };
        return val;
    }
    if (currentRegister < 36167) {
        val = (PM8000RegType){ 36167, 2,  "FLOAT32",  "Voltage A-N, H47 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36169) {
        val = (PM8000RegType){ 36169, 2,  "FLOAT32",  "Voltage A-N, H47 Angle" };
        return val;
    }
    if (currentRegister < 36173) {
        val = (PM8000RegType){ 36173, 2,  "FLOAT32",  "Voltage A-N, H48 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36175) {
        val = (PM8000RegType){ 36175, 2,  "FLOAT32",  "Voltage A-N, H48 Angle" };
        return val;
    }
    if (currentRegister < 36179) {
        val = (PM8000RegType){ 36179, 2,  "FLOAT32",  "Voltage A-N, H49 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36181) {
        val = (PM8000RegType){ 36181, 2,  "FLOAT32",  "Voltage A-N, H49 Angle" };
        return val;
    }
    if (currentRegister < 36185) {
        val = (PM8000RegType){ 36185, 2,  "FLOAT32",  "Voltage A-N, H50 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36187) {
        val = (PM8000RegType){ 36187, 2,  "FLOAT32",  "Voltage A-N, H50 Angle" };
        return val;
    }
    if (currentRegister < 36191) {
        val = (PM8000RegType){ 36191, 2,  "FLOAT32",  "Voltage A-N, H51 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36193) {
        val = (PM8000RegType){ 36193, 2,  "FLOAT32",  "Voltage A-N, H51 Angle" };
        return val;
    }
    if (currentRegister < 36197) {
        val = (PM8000RegType){ 36197, 2,  "FLOAT32",  "Voltage A-N, H52 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36199) {
        val = (PM8000RegType){ 36199, 2,  "FLOAT32",  "Voltage A-N, H52 Angle" };
        return val;
    }
    if (currentRegister < 36203) {
        val = (PM8000RegType){ 36203, 2,  "FLOAT32",  "Voltage A-N, H53 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36205) {
        val = (PM8000RegType){ 36205, 2,  "FLOAT32",  "Voltage A-N, H53 Angle" };
        return val;
    }
    if (currentRegister < 36209) {
        val = (PM8000RegType){ 36209, 2,  "FLOAT32",  "Voltage A-N, H54 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36211) {
        val = (PM8000RegType){ 36211, 2,  "FLOAT32",  "Voltage A-N, H54 Angle" };
        return val;
    }
    if (currentRegister < 36215) {
        val = (PM8000RegType){ 36215, 2,  "FLOAT32",  "Voltage A-N, H55 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36217) {
        val = (PM8000RegType){ 36217, 2,  "FLOAT32",  "Voltage A-N, H55 Angle" };
        return val;
    }
    if (currentRegister < 36221) {
        val = (PM8000RegType){ 36221, 2,  "FLOAT32",  "Voltage A-N, H56 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36223) {
        val = (PM8000RegType){ 36223, 2,  "FLOAT32",  "Voltage A-N, H56 Angle" };
        return val;
    }
    if (currentRegister < 36227) {
        val = (PM8000RegType){ 36227, 2,  "FLOAT32",  "Voltage A-N, H57 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36229) {
        val = (PM8000RegType){ 36229, 2,  "FLOAT32",  "Voltage A-N, H57 Angle" };
        return val;
    }
    if (currentRegister < 36233) {
        val = (PM8000RegType){ 36233, 2,  "FLOAT32",  "Voltage A-N, H58 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36235) {
        val = (PM8000RegType){ 36235, 2,  "FLOAT32",  "Voltage A-N, H58 Angle" };
        return val;
    }
    if (currentRegister < 36239) {
        val = (PM8000RegType){ 36239, 2,  "FLOAT32",  "Voltage A-N, H59 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36241) {
        val = (PM8000RegType){ 36241, 2,  "FLOAT32",  "Voltage A-N, H59 Angle" };
        return val;
    }
    if (currentRegister < 36245) {
        val = (PM8000RegType){ 36245, 2,  "FLOAT32",  "Voltage A-N, H60 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36247) {
        val = (PM8000RegType){ 36247, 2,  "FLOAT32",  "Voltage A-N, H60 Angle" };
        return val;
    }
    if (currentRegister < 36251) {
        val = (PM8000RegType){ 36251, 2,  "FLOAT32",  "Voltage A-N, H61 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36253) {
        val = (PM8000RegType){ 36253, 2,  "FLOAT32",  "Voltage A-N, H61 Angle" };
        return val;
    }
    if (currentRegister < 36257) {
        val = (PM8000RegType){ 36257, 2,  "FLOAT32",  "Voltage A-N, H62 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36259) {
        val = (PM8000RegType){ 36259, 2,  "FLOAT32",  "Voltage A-N, H62 Angle" };
        return val;
    }
    if (currentRegister < 36263) {
        val = (PM8000RegType){ 36263, 2,  "FLOAT32",  "Voltage A-N, H63 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36265) {
        val = (PM8000RegType){ 36265, 2,  "FLOAT32",  "Voltage A-N, H63 Angle" };
        return val;
    }
    if (currentRegister < 36279) {
        val = (PM8000RegType){ 36279, 2,  "FLOAT32",  "Voltage B-N, H1 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36281) {
        val = (PM8000RegType){ 36281, 2,  "FLOAT32",  "Voltage B-N, H1 Angle" };
        return val;
    }
    if (currentRegister < 36285) {
        val = (PM8000RegType){ 36285, 2,  "FLOAT32",  "Voltage B-N, H2 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36287) {
        val = (PM8000RegType){ 36287, 2,  "FLOAT32",  "Voltage B-N, H2 Angle" };
        return val;
    }
    if (currentRegister < 36291) {
        val = (PM8000RegType){ 36291, 2,  "FLOAT32",  "Voltage B-N, H3 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36293) {
        val = (PM8000RegType){ 36293, 2,  "FLOAT32",  "Voltage B-N, H3 Angle" };
        return val;
    }
    if (currentRegister < 36297) {
        val = (PM8000RegType){ 36297, 2,  "FLOAT32",  "Voltage B-N, H4 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36299) {
        val = (PM8000RegType){ 36299, 2,  "FLOAT32",  "Voltage B-N, H4 Angle" };
        return val;
    }
    if (currentRegister < 36303) {
        val = (PM8000RegType){ 36303, 2,  "FLOAT32",  "Voltage B-N, H5 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36305) {
        val = (PM8000RegType){ 36305, 2,  "FLOAT32",  "Voltage B-N, H5 Angle" };
        return val;
    }
    if (currentRegister < 36309) {
        val = (PM8000RegType){ 36309, 2,  "FLOAT32",  "Voltage B-N, H6 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36311) {
        val = (PM8000RegType){ 36311, 2,  "FLOAT32",  "Voltage B-N, H6 Angle" };
        return val;
    }
    if (currentRegister < 36315) {
        val = (PM8000RegType){ 36315, 2,  "FLOAT32",  "Voltage B-N, H7 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36317) {
        val = (PM8000RegType){ 36317, 2,  "FLOAT32",  "Voltage B-N, H7 Angle" };
        return val;
    }
    if (currentRegister < 36321) {
        val = (PM8000RegType){ 36321, 2,  "FLOAT32",  "Voltage B-N, H8 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36323) {
        val = (PM8000RegType){ 36323, 2,  "FLOAT32",  "Voltage B-N, H8 Angle" };
        return val;
    }
    if (currentRegister < 36327) {
        val = (PM8000RegType){ 36327, 2,  "FLOAT32",  "Voltage B-N, H9 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36329) {
        val = (PM8000RegType){ 36329, 2,  "FLOAT32",  "Voltage B-N, H9 Angle" };
        return val;
    }
    if (currentRegister < 36333) {
        val = (PM8000RegType){ 36333, 2,  "FLOAT32",  "Voltage B-N, H10 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36335) {
        val = (PM8000RegType){ 36335, 2,  "FLOAT32",  "Voltage B-N, H10 Angle" };
        return val;
    }
    if (currentRegister < 36339) {
        val = (PM8000RegType){ 36339, 2,  "FLOAT32",  "Voltage B-N, H11 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36341) {
        val = (PM8000RegType){ 36341, 2,  "FLOAT32",  "Voltage B-N, H11 Angle" };
        return val;
    }
    if (currentRegister < 36345) {
        val = (PM8000RegType){ 36345, 2,  "FLOAT32",  "Voltage B-N, H12 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36347) {
        val = (PM8000RegType){ 36347, 2,  "FLOAT32",  "Voltage B-N, H12 Angle" };
        return val;
    }
    if (currentRegister < 36351) {
        val = (PM8000RegType){ 36351, 2,  "FLOAT32",  "Voltage B-N, H13 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36353) {
        val = (PM8000RegType){ 36353, 2,  "FLOAT32",  "Voltage B-N, H13 Angle" };
        return val;
    }
    if (currentRegister < 36357) {
        val = (PM8000RegType){ 36357, 2,  "FLOAT32",  "Voltage B-N, H14 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36359) {
        val = (PM8000RegType){ 36359, 2,  "FLOAT32",  "Voltage B-N, H14 Angle" };
        return val;
    }
    if (currentRegister < 36363) {
        val = (PM8000RegType){ 36363, 2,  "FLOAT32",  "Voltage B-N, H15 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36365) {
        val = (PM8000RegType){ 36365, 2,  "FLOAT32",  "Voltage B-N, H15 Angle" };
        return val;
    }
    if (currentRegister < 36369) {
        val = (PM8000RegType){ 36369, 2,  "FLOAT32",  "Voltage B-N, H16 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36371) {
        val = (PM8000RegType){ 36371, 2,  "FLOAT32",  "Voltage B-N, H16 Angle" };
        return val;
    }
    if (currentRegister < 36375) {
        val = (PM8000RegType){ 36375, 2,  "FLOAT32",  "Voltage B-N, H17 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36377) {
        val = (PM8000RegType){ 36377, 2,  "FLOAT32",  "Voltage B-N, H17 Angle" };
        return val;
    }
    if (currentRegister < 36381) {
        val = (PM8000RegType){ 36381, 2,  "FLOAT32",  "Voltage B-N, H18 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36383) {
        val = (PM8000RegType){ 36383, 2,  "FLOAT32",  "Voltage B-N, H18 Angle" };
        return val;
    }
    if (currentRegister < 36387) {
        val = (PM8000RegType){ 36387, 2,  "FLOAT32",  "Voltage B-N, H19 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36389) {
        val = (PM8000RegType){ 36389, 2,  "FLOAT32",  "Voltage B-N, H19 Angle" };
        return val;
    }
    if (currentRegister < 36393) {
        val = (PM8000RegType){ 36393, 2,  "FLOAT32",  "Voltage B-N, H20 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36395) {
        val = (PM8000RegType){ 36395, 2,  "FLOAT32",  "Voltage B-N, H20 Angle" };
        return val;
    }
    if (currentRegister < 36399) {
        val = (PM8000RegType){ 36399, 2,  "FLOAT32",  "Voltage B-N, H21 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36401) {
        val = (PM8000RegType){ 36401, 2,  "FLOAT32",  "Voltage B-N, H21 Angle" };
        return val;
    }
    if (currentRegister < 36405) {
        val = (PM8000RegType){ 36405, 2,  "FLOAT32",  "Voltage B-N, H22 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36407) {
        val = (PM8000RegType){ 36407, 2,  "FLOAT32",  "Voltage B-N, H22 Angle" };
        return val;
    }
    if (currentRegister < 36411) {
        val = (PM8000RegType){ 36411, 2,  "FLOAT32",  "Voltage B-N, H23 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36413) {
        val = (PM8000RegType){ 36413, 2,  "FLOAT32",  "Voltage B-N, H23 Angle" };
        return val;
    }
    if (currentRegister < 36417) {
        val = (PM8000RegType){ 36417, 2,  "FLOAT32",  "Voltage B-N, H24 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36419) {
        val = (PM8000RegType){ 36419, 2,  "FLOAT32",  "Voltage B-N, H24 Angle" };
        return val;
    }
    if (currentRegister < 36423) {
        val = (PM8000RegType){ 36423, 2,  "FLOAT32",  "Voltage B-N, H25 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36425) {
        val = (PM8000RegType){ 36425, 2,  "FLOAT32",  "Voltage B-N, H25 Angle" };
        return val;
    }
    if (currentRegister < 36429) {
        val = (PM8000RegType){ 36429, 2,  "FLOAT32",  "Voltage B-N, H26 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36431) {
        val = (PM8000RegType){ 36431, 2,  "FLOAT32",  "Voltage B-N, H26 Angle" };
        return val;
    }
    if (currentRegister < 36435) {
        val = (PM8000RegType){ 36435, 2,  "FLOAT32",  "Voltage B-N, H27 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36437) {
        val = (PM8000RegType){ 36437, 2,  "FLOAT32",  "Voltage B-N, H27 Angle" };
        return val;
    }
    if (currentRegister < 36441) {
        val = (PM8000RegType){ 36441, 2,  "FLOAT32",  "Voltage B-N, H28 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36443) {
        val = (PM8000RegType){ 36443, 2,  "FLOAT32",  "Voltage B-N, H28 Angle" };
        return val;
    }
    if (currentRegister < 36447) {
        val = (PM8000RegType){ 36447, 2,  "FLOAT32",  "Voltage B-N, H29 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36449) {
        val = (PM8000RegType){ 36449, 2,  "FLOAT32",  "Voltage B-N, H29 Angle" };
        return val;
    }
    if (currentRegister < 36453) {
        val = (PM8000RegType){ 36453, 2,  "FLOAT32",  "Voltage B-N, H30 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36455) {
        val = (PM8000RegType){ 36455, 2,  "FLOAT32",  "Voltage B-N, H30 Angle" };
        return val;
    }
    if (currentRegister < 36459) {
        val = (PM8000RegType){ 36459, 2,  "FLOAT32",  "Voltage B-N, H31 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36461) {
        val = (PM8000RegType){ 36461, 2,  "FLOAT32",  "Voltage B-N, H31 Angle" };
        return val;
    }
    if (currentRegister < 36465) {
        val = (PM8000RegType){ 36465, 2,  "FLOAT32",  "Voltage B-N, H32 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36467) {
        val = (PM8000RegType){ 36467, 2,  "FLOAT32",  "Voltage B-N, H32 Angle" };
        return val;
    }
    if (currentRegister < 36471) {
        val = (PM8000RegType){ 36471, 2,  "FLOAT32",  "Voltage B-N, H33 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36473) {
        val = (PM8000RegType){ 36473, 2,  "FLOAT32",  "Voltage B-N, H33 Angle" };
        return val;
    }
    if (currentRegister < 36477) {
        val = (PM8000RegType){ 36477, 2,  "FLOAT32",  "Voltage B-N, H34 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36479) {
        val = (PM8000RegType){ 36479, 2,  "FLOAT32",  "Voltage B-N, H34 Angle" };
        return val;
    }
    if (currentRegister < 36483) {
        val = (PM8000RegType){ 36483, 2,  "FLOAT32",  "Voltage B-N, H35 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36485) {
        val = (PM8000RegType){ 36485, 2,  "FLOAT32",  "Voltage B-N, H35 Angle" };
        return val;
    }
    if (currentRegister < 36489) {
        val = (PM8000RegType){ 36489, 2,  "FLOAT32",  "Voltage B-N, H36 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36491) {
        val = (PM8000RegType){ 36491, 2,  "FLOAT32",  "Voltage B-N, H36 Angle" };
        return val;
    }
    if (currentRegister < 36495) {
        val = (PM8000RegType){ 36495, 2,  "FLOAT32",  "Voltage B-N, H37 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36497) {
        val = (PM8000RegType){ 36497, 2,  "FLOAT32",  "Voltage B-N, H37 Angle" };
        return val;
    }
    if (currentRegister < 36501) {
        val = (PM8000RegType){ 36501, 2,  "FLOAT32",  "Voltage B-N, H38 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36503) {
        val = (PM8000RegType){ 36503, 2,  "FLOAT32",  "Voltage B-N, H38 Angle" };
        return val;
    }
    if (currentRegister < 36507) {
        val = (PM8000RegType){ 36507, 2,  "FLOAT32",  "Voltage B-N, H39 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36509) {
        val = (PM8000RegType){ 36509, 2,  "FLOAT32",  "Voltage B-N, H39 Angle" };
        return val;
    }
    if (currentRegister < 36513) {
        val = (PM8000RegType){ 36513, 2,  "FLOAT32",  "Voltage B-N, H40 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36515) {
        val = (PM8000RegType){ 36515, 2,  "FLOAT32",  "Voltage B-N, H40 Angle" };
        return val;
    }
    if (currentRegister < 36519) {
        val = (PM8000RegType){ 36519, 2,  "FLOAT32",  "Voltage B-N, H41 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36521) {
        val = (PM8000RegType){ 36521, 2,  "FLOAT32",  "Voltage B-N, H41 Angle" };
        return val;
    }
    if (currentRegister < 36525) {
        val = (PM8000RegType){ 36525, 2,  "FLOAT32",  "Voltage B-N, H42 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36527) {
        val = (PM8000RegType){ 36527, 2,  "FLOAT32",  "Voltage B-N, H42 Angle" };
        return val;
    }
    if (currentRegister < 36531) {
        val = (PM8000RegType){ 36531, 2,  "FLOAT32",  "Voltage B-N, H43 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36533) {
        val = (PM8000RegType){ 36533, 2,  "FLOAT32",  "Voltage B-N, H43 Angle" };
        return val;
    }
    if (currentRegister < 36537) {
        val = (PM8000RegType){ 36537, 2,  "FLOAT32",  "Voltage B-N, H44 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36539) {
        val = (PM8000RegType){ 36539, 2,  "FLOAT32",  "Voltage B-N, H44 Angle" };
        return val;
    }
    if (currentRegister < 36543) {
        val = (PM8000RegType){ 36543, 2,  "FLOAT32",  "Voltage B-N, H45 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36545) {
        val = (PM8000RegType){ 36545, 2,  "FLOAT32",  "Voltage B-N, H45 Angle" };
        return val;
    }
    if (currentRegister < 36549) {
        val = (PM8000RegType){ 36549, 2,  "FLOAT32",  "Voltage B-N, H46 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36551) {
        val = (PM8000RegType){ 36551, 2,  "FLOAT32",  "Voltage B-N, H46 Angle" };
        return val;
    }
    if (currentRegister < 36555) {
        val = (PM8000RegType){ 36555, 2,  "FLOAT32",  "Voltage B-N, H47 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36557) {
        val = (PM8000RegType){ 36557, 2,  "FLOAT32",  "Voltage B-N, H47 Angle" };
        return val;
    }
    if (currentRegister < 36561) {
        val = (PM8000RegType){ 36561, 2,  "FLOAT32",  "Voltage B-N, H48 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36563) {
        val = (PM8000RegType){ 36563, 2,  "FLOAT32",  "Voltage B-N, H48 Angle" };
        return val;
    }
    if (currentRegister < 36567) {
        val = (PM8000RegType){ 36567, 2,  "FLOAT32",  "Voltage B-N, H49 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36569) {
        val = (PM8000RegType){ 36569, 2,  "FLOAT32",  "Voltage B-N, H49 Angle" };
        return val;
    }
    if (currentRegister < 36573) {
        val = (PM8000RegType){ 36573, 2,  "FLOAT32",  "Voltage B-N, H50 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36575) {
        val = (PM8000RegType){ 36575, 2,  "FLOAT32",  "Voltage B-N, H50 Angle" };
        return val;
    }
    if (currentRegister < 36579) {
        val = (PM8000RegType){ 36579, 2,  "FLOAT32",  "Voltage B-N, H51 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36581) {
        val = (PM8000RegType){ 36581, 2,  "FLOAT32",  "Voltage B-N, H51 Angle" };
        return val;
    }
    if (currentRegister < 36585) {
        val = (PM8000RegType){ 36585, 2,  "FLOAT32",  "Voltage B-N, H52 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36587) {
        val = (PM8000RegType){ 36587, 2,  "FLOAT32",  "Voltage B-N, H52 Angle" };
        return val;
    }
    if (currentRegister < 36591) {
        val = (PM8000RegType){ 36591, 2,  "FLOAT32",  "Voltage B-N, H53 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36593) {
        val = (PM8000RegType){ 36593, 2,  "FLOAT32",  "Voltage B-N, H53 Angle" };
        return val;
    }
    if (currentRegister < 36597) {
        val = (PM8000RegType){ 36597, 2,  "FLOAT32",  "Voltage B-N, H54 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36599) {
        val = (PM8000RegType){ 36599, 2,  "FLOAT32",  "Voltage B-N, H54 Angle" };
        return val;
    }
    if (currentRegister < 36603) {
        val = (PM8000RegType){ 36603, 2,  "FLOAT32",  "Voltage B-N, H55 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36605) {
        val = (PM8000RegType){ 36605, 2,  "FLOAT32",  "Voltage B-N, H55 Angle" };
        return val;
    }
    if (currentRegister < 36609) {
        val = (PM8000RegType){ 36609, 2,  "FLOAT32",  "Voltage B-N, H56 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36611) {
        val = (PM8000RegType){ 36611, 2,  "FLOAT32",  "Voltage B-N, H56 Angle" };
        return val;
    }
    if (currentRegister < 36615) {
        val = (PM8000RegType){ 36615, 2,  "FLOAT32",  "Voltage B-N, H57 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36617) {
        val = (PM8000RegType){ 36617, 2,  "FLOAT32",  "Voltage B-N, H57 Angle" };
        return val;
    }
    if (currentRegister < 36621) {
        val = (PM8000RegType){ 36621, 2,  "FLOAT32",  "Voltage B-N, H58 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36623) {
        val = (PM8000RegType){ 36623, 2,  "FLOAT32",  "Voltage B-N, H58 Angle" };
        return val;
    }
    if (currentRegister < 36627) {
        val = (PM8000RegType){ 36627, 2,  "FLOAT32",  "Voltage B-N, H59 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36629) {
        val = (PM8000RegType){ 36629, 2,  "FLOAT32",  "Voltage B-N, H59 Angle" };
        return val;
    }
    if (currentRegister < 36633) {
        val = (PM8000RegType){ 36633, 2,  "FLOAT32",  "Voltage B-N, H60 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36635) {
        val = (PM8000RegType){ 36635, 2,  "FLOAT32",  "Voltage B-N, H60 Angle" };
        return val;
    }
    if (currentRegister < 36639) {
        val = (PM8000RegType){ 36639, 2,  "FLOAT32",  "Voltage B-N, H61 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36641) {
        val = (PM8000RegType){ 36641, 2,  "FLOAT32",  "Voltage B-N, H61 Angle" };
        return val;
    }
    if (currentRegister < 36645) {
        val = (PM8000RegType){ 36645, 2,  "FLOAT32",  "Voltage B-N, H62 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36647) {
        val = (PM8000RegType){ 36647, 2,  "FLOAT32",  "Voltage B-N, H62 Angle" };
        return val;
    }
    if (currentRegister < 36651) {
        val = (PM8000RegType){ 36651, 2,  "FLOAT32",  "Voltage B-N, H63 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36653) {
        val = (PM8000RegType){ 36653, 2,  "FLOAT32",  "Voltage B-N, H63 Angle" };
        return val;
    }
    if (currentRegister < 36667) {
        val = (PM8000RegType){ 36667, 2,  "FLOAT32",  "Voltage C-N, H1 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36669) {
        val = (PM8000RegType){ 36669, 2,  "FLOAT32",  "Voltage C-N, H1 Angle" };
        return val;
    }
    if (currentRegister < 36673) {
        val = (PM8000RegType){ 36673, 2,  "FLOAT32",  "Voltage C-N, H2 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36675) {
        val = (PM8000RegType){ 36675, 2,  "FLOAT32",  "Voltage C-N, H2 Angle" };
        return val;
    }
    if (currentRegister < 36679) {
        val = (PM8000RegType){ 36679, 2,  "FLOAT32",  "Voltage C-N, H3 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36681) {
        val = (PM8000RegType){ 36681, 2,  "FLOAT32",  "Voltage C-N, H3 Angle" };
        return val;
    }
    if (currentRegister < 36685) {
        val = (PM8000RegType){ 36685, 2,  "FLOAT32",  "Voltage C-N, H4 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36687) {
        val = (PM8000RegType){ 36687, 2,  "FLOAT32",  "Voltage C-N, H4 Angle" };
        return val;
    }
    if (currentRegister < 36691) {
        val = (PM8000RegType){ 36691, 2,  "FLOAT32",  "Voltage C-N, H5 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36693) {
        val = (PM8000RegType){ 36693, 2,  "FLOAT32",  "Voltage C-N, H5 Angle" };
        return val;
    }
    if (currentRegister < 36697) {
        val = (PM8000RegType){ 36697, 2,  "FLOAT32",  "Voltage C-N, H6 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36699) {
        val = (PM8000RegType){ 36699, 2,  "FLOAT32",  "Voltage C-N, H6 Angle" };
        return val;
    }
    if (currentRegister < 36703) {
        val = (PM8000RegType){ 36703, 2,  "FLOAT32",  "Voltage C-N, H7 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36705) {
        val = (PM8000RegType){ 36705, 2,  "FLOAT32",  "Voltage C-N, H7 Angle" };
        return val;
    }
    if (currentRegister < 36709) {
        val = (PM8000RegType){ 36709, 2,  "FLOAT32",  "Voltage C-N, H8 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36711) {
        val = (PM8000RegType){ 36711, 2,  "FLOAT32",  "Voltage C-N, H8 Angle" };
        return val;
    }
    if (currentRegister < 36715) {
        val = (PM8000RegType){ 36715, 2,  "FLOAT32",  "Voltage C-N, H9 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36717) {
        val = (PM8000RegType){ 36717, 2,  "FLOAT32",  "Voltage C-N, H9 Angle" };
        return val;
    }
    if (currentRegister < 36721) {
        val = (PM8000RegType){ 36721, 2,  "FLOAT32",  "Voltage C-N, H10 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36723) {
        val = (PM8000RegType){ 36723, 2,  "FLOAT32",  "Voltage C-N, H10 Angle" };
        return val;
    }
    if (currentRegister < 36727) {
        val = (PM8000RegType){ 36727, 2,  "FLOAT32",  "Voltage C-N, H11 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36729) {
        val = (PM8000RegType){ 36729, 2,  "FLOAT32",  "Voltage C-N, H11 Angle" };
        return val;
    }
    if (currentRegister < 36733) {
        val = (PM8000RegType){ 36733, 2,  "FLOAT32",  "Voltage C-N, H12 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36735) {
        val = (PM8000RegType){ 36735, 2,  "FLOAT32",  "Voltage C-N, H12 Angle" };
        return val;
    }
    if (currentRegister < 36739) {
        val = (PM8000RegType){ 36739, 2,  "FLOAT32",  "Voltage C-N, H13 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36741) {
        val = (PM8000RegType){ 36741, 2,  "FLOAT32",  "Voltage C-N, H13 Angle" };
        return val;
    }
    if (currentRegister < 36745) {
        val = (PM8000RegType){ 36745, 2,  "FLOAT32",  "Voltage C-N, H14 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36747) {
        val = (PM8000RegType){ 36747, 2,  "FLOAT32",  "Voltage C-N, H14 Angle" };
        return val;
    }
    if (currentRegister < 36751) {
        val = (PM8000RegType){ 36751, 2,  "FLOAT32",  "Voltage C-N, H15 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36753) {
        val = (PM8000RegType){ 36753, 2,  "FLOAT32",  "Voltage C-N, H15 Angle" };
        return val;
    }
    if (currentRegister < 36757) {
        val = (PM8000RegType){ 36757, 2,  "FLOAT32",  "Voltage C-N, H16 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36759) {
        val = (PM8000RegType){ 36759, 2,  "FLOAT32",  "Voltage C-N, H16 Angle" };
        return val;
    }
    if (currentRegister < 36763) {
        val = (PM8000RegType){ 36763, 2,  "FLOAT32",  "Voltage C-N, H17 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36765) {
        val = (PM8000RegType){ 36765, 2,  "FLOAT32",  "Voltage C-N, H17 Angle" };
        return val;
    }
    if (currentRegister < 36769) {
        val = (PM8000RegType){ 36769, 2,  "FLOAT32",  "Voltage C-N, H18 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36771) {
        val = (PM8000RegType){ 36771, 2,  "FLOAT32",  "Voltage C-N, H18 Angle" };
        return val;
    }
    if (currentRegister < 36775) {
        val = (PM8000RegType){ 36775, 2,  "FLOAT32",  "Voltage C-N, H19 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36777) {
        val = (PM8000RegType){ 36777, 2,  "FLOAT32",  "Voltage C-N, H19 Angle" };
        return val;
    }
    if (currentRegister < 36781) {
        val = (PM8000RegType){ 36781, 2,  "FLOAT32",  "Voltage C-N, H20 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36783) {
        val = (PM8000RegType){ 36783, 2,  "FLOAT32",  "Voltage C-N, H20 Angle" };
        return val;
    }
    if (currentRegister < 36787) {
        val = (PM8000RegType){ 36787, 2,  "FLOAT32",  "Voltage C-N, H21 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36789) {
        val = (PM8000RegType){ 36789, 2,  "FLOAT32",  "Voltage C-N, H21 Angle" };
        return val;
    }
    if (currentRegister < 36793) {
        val = (PM8000RegType){ 36793, 2,  "FLOAT32",  "Voltage C-N, H22 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36795) {
        val = (PM8000RegType){ 36795, 2,  "FLOAT32",  "Voltage C-N, H22 Angle" };
        return val;
    }
    if (currentRegister < 36799) {
        val = (PM8000RegType){ 36799, 2,  "FLOAT32",  "Voltage C-N, H23 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36801) {
        val = (PM8000RegType){ 36801, 2,  "FLOAT32",  "Voltage C-N, H23 Angle" };
        return val;
    }
    if (currentRegister < 36805) {
        val = (PM8000RegType){ 36805, 2,  "FLOAT32",  "Voltage C-N, H24 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36807) {
        val = (PM8000RegType){ 36807, 2,  "FLOAT32",  "Voltage C-N, H24 Angle" };
        return val;
    }
    if (currentRegister < 36811) {
        val = (PM8000RegType){ 36811, 2,  "FLOAT32",  "Voltage C-N, H25 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36813) {
        val = (PM8000RegType){ 36813, 2,  "FLOAT32",  "Voltage C-N, H25 Angle" };
        return val;
    }
    if (currentRegister < 36817) {
        val = (PM8000RegType){ 36817, 2,  "FLOAT32",  "Voltage C-N, H26 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36819) {
        val = (PM8000RegType){ 36819, 2,  "FLOAT32",  "Voltage C-N, H26 Angle" };
        return val;
    }
    if (currentRegister < 36823) {
        val = (PM8000RegType){ 36823, 2,  "FLOAT32",  "Voltage C-N, H27 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36825) {
        val = (PM8000RegType){ 36825, 2,  "FLOAT32",  "Voltage C-N, H27 Angle" };
        return val;
    }
    if (currentRegister < 36829) {
        val = (PM8000RegType){ 36829, 2,  "FLOAT32",  "Voltage C-N, H28 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36831) {
        val = (PM8000RegType){ 36831, 2,  "FLOAT32",  "Voltage C-N, H28 Angle" };
        return val;
    }
    if (currentRegister < 36835) {
        val = (PM8000RegType){ 36835, 2,  "FLOAT32",  "Voltage C-N, H29 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36837) {
        val = (PM8000RegType){ 36837, 2,  "FLOAT32",  "Voltage C-N, H29 Angle" };
        return val;
    }
    if (currentRegister < 36841) {
        val = (PM8000RegType){ 36841, 2,  "FLOAT32",  "Voltage C-N, H30 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36843) {
        val = (PM8000RegType){ 36843, 2,  "FLOAT32",  "Voltage C-N, H30 Angle" };
        return val;
    }
    if (currentRegister < 36847) {
        val = (PM8000RegType){ 36847, 2,  "FLOAT32",  "Voltage C-N, H31 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36849) {
        val = (PM8000RegType){ 36849, 2,  "FLOAT32",  "Voltage C-N, H31 Angle" };
        return val;
    }
    if (currentRegister < 36853) {
        val = (PM8000RegType){ 36853, 2,  "FLOAT32",  "Voltage C-N, H32 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36855) {
        val = (PM8000RegType){ 36855, 2,  "FLOAT32",  "Voltage C-N, H32 Angle" };
        return val;
    }
    if (currentRegister < 36859) {
        val = (PM8000RegType){ 36859, 2,  "FLOAT32",  "Voltage C-N, H33 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36861) {
        val = (PM8000RegType){ 36861, 2,  "FLOAT32",  "Voltage C-N, H33 Angle" };
        return val;
    }
    if (currentRegister < 36865) {
        val = (PM8000RegType){ 36865, 2,  "FLOAT32",  "Voltage C-N, H34 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36867) {
        val = (PM8000RegType){ 36867, 2,  "FLOAT32",  "Voltage C-N, H34 Angle" };
        return val;
    }
    if (currentRegister < 36871) {
        val = (PM8000RegType){ 36871, 2,  "FLOAT32",  "Voltage C-N, H35 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36873) {
        val = (PM8000RegType){ 36873, 2,  "FLOAT32",  "Voltage C-N, H35 Angle" };
        return val;
    }
    if (currentRegister < 36877) {
        val = (PM8000RegType){ 36877, 2,  "FLOAT32",  "Voltage C-N, H36 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36879) {
        val = (PM8000RegType){ 36879, 2,  "FLOAT32",  "Voltage C-N, H36 Angle" };
        return val;
    }
    if (currentRegister < 36883) {
        val = (PM8000RegType){ 36883, 2,  "FLOAT32",  "Voltage C-N, H37 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36885) {
        val = (PM8000RegType){ 36885, 2,  "FLOAT32",  "Voltage C-N, H37 Angle" };
        return val;
    }
    if (currentRegister < 36889) {
        val = (PM8000RegType){ 36889, 2,  "FLOAT32",  "Voltage C-N, H38 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36891) {
        val = (PM8000RegType){ 36891, 2,  "FLOAT32",  "Voltage C-N, H38 Angle" };
        return val;
    }
    if (currentRegister < 36895) {
        val = (PM8000RegType){ 36895, 2,  "FLOAT32",  "Voltage C-N, H39 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36897) {
        val = (PM8000RegType){ 36897, 2,  "FLOAT32",  "Voltage C-N, H39 Angle" };
        return val;
    }
    if (currentRegister < 36901) {
        val = (PM8000RegType){ 36901, 2,  "FLOAT32",  "Voltage C-N, H40 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36903) {
        val = (PM8000RegType){ 36903, 2,  "FLOAT32",  "Voltage C-N, H40 Angle" };
        return val;
    }
    if (currentRegister < 36907) {
        val = (PM8000RegType){ 36907, 2,  "FLOAT32",  "Voltage C-N, H41 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36909) {
        val = (PM8000RegType){ 36909, 2,  "FLOAT32",  "Voltage C-N, H41 Angle" };
        return val;
    }
    if (currentRegister < 36913) {
        val = (PM8000RegType){ 36913, 2,  "FLOAT32",  "Voltage C-N, H42 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36915) {
        val = (PM8000RegType){ 36915, 2,  "FLOAT32",  "Voltage C-N, H42 Angle" };
        return val;
    }
    if (currentRegister < 36919) {
        val = (PM8000RegType){ 36919, 2,  "FLOAT32",  "Voltage C-N, H43 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36921) {
        val = (PM8000RegType){ 36921, 2,  "FLOAT32",  "Voltage C-N, H43 Angle" };
        return val;
    }
    if (currentRegister < 36925) {
        val = (PM8000RegType){ 36925, 2,  "FLOAT32",  "Voltage C-N, H44 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36927) {
        val = (PM8000RegType){ 36927, 2,  "FLOAT32",  "Voltage C-N, H44 Angle" };
        return val;
    }
    if (currentRegister < 36931) {
        val = (PM8000RegType){ 36931, 2,  "FLOAT32",  "Voltage C-N, H45 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36933) {
        val = (PM8000RegType){ 36933, 2,  "FLOAT32",  "Voltage C-N, H45 Angle" };
        return val;
    }
    if (currentRegister < 36937) {
        val = (PM8000RegType){ 36937, 2,  "FLOAT32",  "Voltage C-N, H46 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36939) {
        val = (PM8000RegType){ 36939, 2,  "FLOAT32",  "Voltage C-N, H46 Angle" };
        return val;
    }
    if (currentRegister < 36943) {
        val = (PM8000RegType){ 36943, 2,  "FLOAT32",  "Voltage C-N, H47 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36945) {
        val = (PM8000RegType){ 36945, 2,  "FLOAT32",  "Voltage C-N, H47 Angle" };
        return val;
    }
    if (currentRegister < 36949) {
        val = (PM8000RegType){ 36949, 2,  "FLOAT32",  "Voltage C-N, H48 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36951) {
        val = (PM8000RegType){ 36951, 2,  "FLOAT32",  "Voltage C-N, H48 Angle" };
        return val;
    }
    if (currentRegister < 36955) {
        val = (PM8000RegType){ 36955, 2,  "FLOAT32",  "Voltage C-N, H49 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36957) {
        val = (PM8000RegType){ 36957, 2,  "FLOAT32",  "Voltage C-N, H49 Angle" };
        return val;
    }
    if (currentRegister < 36961) {
        val = (PM8000RegType){ 36961, 2,  "FLOAT32",  "Voltage C-N, H50 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36963) {
        val = (PM8000RegType){ 36963, 2,  "FLOAT32",  "Voltage C-N, H50 Angle" };
        return val;
    }
    if (currentRegister < 36967) {
        val = (PM8000RegType){ 36967, 2,  "FLOAT32",  "Voltage C-N, H51 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36969) {
        val = (PM8000RegType){ 36969, 2,  "FLOAT32",  "Voltage C-N, H51 Angle" };
        return val;
    }
    if (currentRegister < 36973) {
        val = (PM8000RegType){ 36973, 2,  "FLOAT32",  "Voltage C-N, H52 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36975) {
        val = (PM8000RegType){ 36975, 2,  "FLOAT32",  "Voltage C-N, H52 Angle" };
        return val;
    }
    if (currentRegister < 36979) {
        val = (PM8000RegType){ 36979, 2,  "FLOAT32",  "Voltage C-N, H53 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36981) {
        val = (PM8000RegType){ 36981, 2,  "FLOAT32",  "Voltage C-N, H53 Angle" };
        return val;
    }
    if (currentRegister < 36985) {
        val = (PM8000RegType){ 36985, 2,  "FLOAT32",  "Voltage C-N, H54 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36987) {
        val = (PM8000RegType){ 36987, 2,  "FLOAT32",  "Voltage C-N, H54 Angle" };
        return val;
    }
    if (currentRegister < 36991) {
        val = (PM8000RegType){ 36991, 2,  "FLOAT32",  "Voltage C-N, H55 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36993) {
        val = (PM8000RegType){ 36993, 2,  "FLOAT32",  "Voltage C-N, H55 Angle" };
        return val;
    }
    if (currentRegister < 36997) {
        val = (PM8000RegType){ 36997, 2,  "FLOAT32",  "Voltage C-N, H56 Magnitude, V" };
        return val;
    }
    if (currentRegister < 36999) {
        val = (PM8000RegType){ 36999, 2,  "FLOAT32",  "Voltage C-N, H56 Angle" };
        return val;
    }
    if (currentRegister < 37003) {
        val = (PM8000RegType){ 37003, 2,  "FLOAT32",  "Voltage C-N, H57 Magnitude, V" };
        return val;
    }
    if (currentRegister < 37005) {
        val = (PM8000RegType){ 37005, 2,  "FLOAT32",  "Voltage C-N, H57 Angle" };
        return val;
    }
    if (currentRegister < 37009) {
        val = (PM8000RegType){ 37009, 2,  "FLOAT32",  "Voltage C-N, H58 Magnitude, V" };
        return val;
    }
    if (currentRegister < 37011) {
        val = (PM8000RegType){ 37011, 2,  "FLOAT32",  "Voltage C-N, H58 Angle" };
        return val;
    }
    if (currentRegister < 37015) {
        val = (PM8000RegType){ 37015, 2,  "FLOAT32",  "Voltage C-N, H59 Magnitude, V" };
        return val;
    }
    if (currentRegister < 37017) {
        val = (PM8000RegType){ 37017, 2,  "FLOAT32",  "Voltage C-N, H59 Angle" };
        return val;
    }
    if (currentRegister < 37021) {
        val = (PM8000RegType){ 37021, 2,  "FLOAT32",  "Voltage C-N, H60 Magnitude, V" };
        return val;
    }
    if (currentRegister < 37023) {
        val = (PM8000RegType){ 37023, 2,  "FLOAT32",  "Voltage C-N, H60 Angle" };
        return val;
    }
    if (currentRegister < 37027) {
        val = (PM8000RegType){ 37027, 2,  "FLOAT32",  "Voltage C-N, H61 Magnitude, V" };
        return val;
    }
    if (currentRegister < 37029) {
        val = (PM8000RegType){ 37029, 2,  "FLOAT32",  "Voltage C-N, H61 Angle" };
        return val;
    }
    if (currentRegister < 37033) {
        val = (PM8000RegType){ 37033, 2,  "FLOAT32",  "Voltage C-N, H62 Magnitude, V" };
        return val;
    }
    if (currentRegister < 37035) {
        val = (PM8000RegType){ 37035, 2,  "FLOAT32",  "Voltage C-N, H62 Angle" };
        return val;
    }
    if (currentRegister < 37039) {
        val = (PM8000RegType){ 37039, 2,  "FLOAT32",  "Voltage C-N, H63 Magnitude, V" };
        return val;
    }
    if (currentRegister < 37041) {
        val = (PM8000RegType){ 37041, 2,  "FLOAT32",  "Voltage C-N, H63 Angle" };
        return val;
    }
    if (currentRegister < 39401) {
        val = (PM8000RegType){ 39401, 2,  "FLOAT32",  "THD Voltage A-N" };
        return val;
    }
    if (currentRegister < 39403) {
        val = (PM8000RegType){ 39403, 2,  "FLOAT32",  "THD Voltage B-N" };
        return val;
    }
    if (currentRegister < 39405) {
        val = (PM8000RegType){ 39405, 2,  "FLOAT32",  "THD Voltage C-N" };
        return val;
    }
    if (currentRegister < 39441) {
        val = (PM8000RegType){ 39441, 2,  "FLOAT32",  "Voltage, Positive Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 39445) {
        val = (PM8000RegType){ 39445, 2,  "FLOAT32",  "Voltage, Negative Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 39449) {
        val = (PM8000RegType){ 39449, 2,  "FLOAT32",  "Voltage, Zero Sequence, Magnitude" };
        return val;
    }
    if (currentRegister < 40000) {
        val = (PM8000RegType){ 40000, 2,  "FLOAT32",  "Frequency 10m Mean" };
        return val;
    }
    if (currentRegister < 40002) {
        val = (PM8000RegType){ 40002, 2,  "FLOAT32",  "Frequency 10m Low" };
        return val;
    }
    if (currentRegister < 40004) {
        val = (PM8000RegType){ 40004, 2,  "FLOAT32",  "Frequency 10m High" };
        return val;
    }
    if (currentRegister < 40006) {
        val = (PM8000RegType){ 40006, 2,  "FLOAT32",  "Frequency Minimum" };
        return val;
    }
    if (currentRegister < 40008) {
        val = (PM8000RegType){ 40008, 2,  "FLOAT32",  "Frequency Maximum" };
        return val;
    }
    if (currentRegister < 40010) {
        val = (PM8000RegType){ 40010, 2,  "FLOAT32",  "V1 10m Mean" };
        return val;
    }
    if (currentRegister < 40012) {
        val = (PM8000RegType){ 40012, 2,  "FLOAT32",  "V1 10m Low" };
        return val;
    }
    if (currentRegister < 40014) {
        val = (PM8000RegType){ 40014, 2,  "FLOAT32",  "V1 10m High" };
        return val;
    }
    if (currentRegister < 40016) {
        val = (PM8000RegType){ 40016, 2,  "FLOAT32",  "V2 10m Mean" };
        return val;
    }
    if (currentRegister < 40018) {
        val = (PM8000RegType){ 40018, 2,  "FLOAT32",  "V2 10m Low" };
        return val;
    }
    if (currentRegister < 40020) {
        val = (PM8000RegType){ 40020, 2,  "FLOAT32",  "V2 10m High" };
        return val;
    }
    if (currentRegister < 40022) {
        val = (PM8000RegType){ 40022, 2,  "FLOAT32",  "V3 10m Mean" };
        return val;
    }
    if (currentRegister < 40024) {
        val = (PM8000RegType){ 40024, 2,  "FLOAT32",  "V3 10m Low" };
        return val;
    }
    if (currentRegister < 40026) {
        val = (PM8000RegType){ 40026, 2,  "FLOAT32",  "V3 10m High" };
        return val;
    }
    if (currentRegister < 40028) {
        val = (PM8000RegType){ 40028, 2,  "FLOAT32",  "THD V1 10m Mean" };
        return val;
    }
    if (currentRegister < 40030) {
        val = (PM8000RegType){ 40030, 2,  "FLOAT32",  "THD V1 10m Low" };
        return val;
    }
    if (currentRegister < 40032) {
        val = (PM8000RegType){ 40032, 2,  "FLOAT32",  "THD V1 10m High" };
        return val;
    }
    if (currentRegister < 40034) {
        val = (PM8000RegType){ 40034, 2,  "FLOAT32",  "THD V2 10m Mean" };
        return val;
    }
    if (currentRegister < 40036) {
        val = (PM8000RegType){ 40036, 2,  "FLOAT32",  "THD V2 10m Low" };
        return val;
    }
    if (currentRegister < 40038) {
        val = (PM8000RegType){ 40038, 2,  "FLOAT32",  "THD V2 10m High" };
        return val;
    }
    if (currentRegister < 40040) {
        val = (PM8000RegType){ 40040, 2,  "FLOAT32",  "THD V3 10m Mean" };
        return val;
    }
    if (currentRegister < 40042) {
        val = (PM8000RegType){ 40042, 2,  "FLOAT32",  "THD V3 10m Low" };
        return val;
    }
    if (currentRegister < 40044) {
        val = (PM8000RegType){ 40044, 2,  "FLOAT32",  "THD V3 10m High" };
        return val;
    }
    if (currentRegister < 40046) {
        val = (PM8000RegType){ 40046, 2,  "FLOAT32",  "Total Even HD V1 10m Low" };
        return val;
    }
    if (currentRegister < 40048) {
        val = (PM8000RegType){ 40048, 2,  "FLOAT32",  "Total Even HD V1 10m High" };
        return val;
    }
    if (currentRegister < 40050) {
        val = (PM8000RegType){ 40050, 2,  "FLOAT32",  "Total Even HD V1 10m Mean" };
        return val;
    }
    if (currentRegister < 40052) {
        val = (PM8000RegType){ 40052, 2,  "FLOAT32",  "Total Odd HD V1 10m Low" };
        return val;
    }
    if (currentRegister < 40054) {
        val = (PM8000RegType){ 40054, 2,  "FLOAT32",  "Total Odd HD V1 10m High" };
        return val;
    }
    if (currentRegister < 40056) {
        val = (PM8000RegType){ 40056, 2,  "FLOAT32",  "Total Odd HD V1 10m Mean" };
        return val;
    }
    if (currentRegister < 40058) {
        val = (PM8000RegType){ 40058, 2,  "FLOAT32",  "Total Even HD V2 10m Low" };
        return val;
    }
    if (currentRegister < 40060) {
        val = (PM8000RegType){ 40060, 2,  "FLOAT32",  "Total Even HD V2 10m High" };
        return val;
    }
    if (currentRegister < 40062) {
        val = (PM8000RegType){ 40062, 2,  "FLOAT32",  "Total Even HD V2 10m Mean" };
        return val;
    }
    if (currentRegister < 40064) {
        val = (PM8000RegType){ 40064, 2,  "FLOAT32",  "Total Odd HD V2 10m Low" };
        return val;
    }
    if (currentRegister < 40066) {
        val = (PM8000RegType){ 40066, 2,  "FLOAT32",  "Total Odd HD V2 10m High" };
        return val;
    }
    if (currentRegister < 40068) {
        val = (PM8000RegType){ 40068, 2,  "FLOAT32",  "Total Odd HD V2 10m Mean" };
        return val;
    }
    if (currentRegister < 40070) {
        val = (PM8000RegType){ 40070, 2,  "FLOAT32",  "Total Even HD V3 10m Low" };
        return val;
    }
    if (currentRegister < 40072) {
        val = (PM8000RegType){ 40072, 2,  "FLOAT32",  "Total Even HD V3 10m High" };
        return val;
    }
    if (currentRegister < 40074) {
        val = (PM8000RegType){ 40074, 2,  "FLOAT32",  "Total Even HD V3 10m Mean" };
        return val;
    }
    if (currentRegister < 40076) {
        val = (PM8000RegType){ 40076, 2,  "FLOAT32",  "Total Odd HD V3 10m Low" };
        return val;
    }
    if (currentRegister < 40078) {
        val = (PM8000RegType){ 40078, 2,  "FLOAT32",  "Total Odd HD V3 10m High" };
        return val;
    }
    if (currentRegister < 40080) {
        val = (PM8000RegType){ 40080, 2,  "FLOAT32",  "Total Odd HD V3 10m Mean" };
        return val;
    }
    if (currentRegister < 40082) {
        val = (PM8000RegType){ 40082, 2,  "FLOAT32",  "Voltage unbalance 10m min" };
        return val;
    }
    if (currentRegister < 40084) {
        val = (PM8000RegType){ 40084, 2,  "FLOAT32",  "Voltage unbalance 10m max" };
        return val;
    }
    if (currentRegister < 40086) {
        val = (PM8000RegType){ 40086, 2,  "FLOAT32",  "V1 Dip min" };
        return val;
    }
    if (currentRegister < 40088) {
        val = (PM8000RegType){ 40088, 2,  "FLOAT32",  "V2 Dip min" };
        return val;
    }
    if (currentRegister < 40090) {
        val = (PM8000RegType){ 40090, 2,  "FLOAT32",  "V3 Dip min" };
        return val;
    }
    if (currentRegister < 40092) {
        val = (PM8000RegType){ 40092, 2,  "FLOAT32",  "V1 Overvoltage max" };
        return val;
    }
    if (currentRegister < 40094) {
        val = (PM8000RegType){ 40094, 2,  "FLOAT32",  "V2 Overvoltage max" };
        return val;
    }
    if (currentRegister < 40096) {
        val = (PM8000RegType){ 40096, 2,  "FLOAT32",  "V3 Overvoltage max" };
        return val;
    }
    if (currentRegister < 40200) {
        val = (PM8000RegType){ 40200, 1,  "INT16U",  "Freq Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40201) {
        val = (PM8000RegType){ 40201, 1,  "INT16U",  "Freq Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40202) {
        val = (PM8000RegType){ 40202, 1,  "INT16U",  "Freq Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40203) {
        val = (PM8000RegType){ 40203, 1,  "INT16U",  "Freq Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40204) {
        val = (PM8000RegType){ 40204, 1,  "INT16U",  "Freq Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40205) {
        val = (PM8000RegType){ 40205, 1,  "INT16U",  "Freq Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40206) {
        val = (PM8000RegType){ 40206, 1,  "INT16U",  "V1 Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40207) {
        val = (PM8000RegType){ 40207, 1,  "INT16U",  "V1 Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40208) {
        val = (PM8000RegType){ 40208, 1,  "INT16U",  "V1 Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40209) {
        val = (PM8000RegType){ 40209, 1,  "INT16U",  "V1 Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40210) {
        val = (PM8000RegType){ 40210, 1,  "INT16U",  "V1 Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40211) {
        val = (PM8000RegType){ 40211, 1,  "INT16U",  "V1 Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40212) {
        val = (PM8000RegType){ 40212, 1,  "INT16U",  "V2 Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40213) {
        val = (PM8000RegType){ 40213, 1,  "INT16U",  "V2 Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40214) {
        val = (PM8000RegType){ 40214, 1,  "INT16U",  "V2 Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40215) {
        val = (PM8000RegType){ 40215, 1,  "INT16U",  "V2 Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40216) {
        val = (PM8000RegType){ 40216, 1,  "INT16U",  "V2 Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40217) {
        val = (PM8000RegType){ 40217, 1,  "INT16U",  "V2 Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40218) {
        val = (PM8000RegType){ 40218, 1,  "INT16U",  "V3 Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40219) {
        val = (PM8000RegType){ 40219, 1,  "INT16U",  "V3 Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40220) {
        val = (PM8000RegType){ 40220, 1,  "INT16U",  "V3 Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40221) {
        val = (PM8000RegType){ 40221, 1,  "INT16U",  "V3 Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40222) {
        val = (PM8000RegType){ 40222, 1,  "INT16U",  "V3 Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40223) {
        val = (PM8000RegType){ 40223, 1,  "INT16U",  "V3 Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40224) {
        val = (PM8000RegType){ 40224, 1,  "INT16U",  "V1 Harm Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40225) {
        val = (PM8000RegType){ 40225, 1,  "INT16U",  "V1 Harm Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40226) {
        val = (PM8000RegType){ 40226, 1,  "INT16U",  "V1 Harm Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40227) {
        val = (PM8000RegType){ 40227, 1,  "INT16U",  "V1 Harm Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40228) {
        val = (PM8000RegType){ 40228, 1,  "INT16U",  "V1 Harm Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40229) {
        val = (PM8000RegType){ 40229, 1,  "INT16U",  "V1 Harm Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40230) {
        val = (PM8000RegType){ 40230, 1,  "INT16U",  "V2 Harm Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40231) {
        val = (PM8000RegType){ 40231, 1,  "INT16U",  "V2 Harm Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40232) {
        val = (PM8000RegType){ 40232, 1,  "INT16U",  "V2 Harm Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40233) {
        val = (PM8000RegType){ 40233, 1,  "INT16U",  "V2 Harm Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40234) {
        val = (PM8000RegType){ 40234, 1,  "INT16U",  "V2 Harm Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40235) {
        val = (PM8000RegType){ 40235, 1,  "INT16U",  "V2 Harm Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40236) {
        val = (PM8000RegType){ 40236, 1,  "INT16U",  "V3 Harm Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40237) {
        val = (PM8000RegType){ 40237, 1,  "INT16U",  "V3 Harm Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40238) {
        val = (PM8000RegType){ 40238, 1,  "INT16U",  "V3 Harm Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40239) {
        val = (PM8000RegType){ 40239, 1,  "INT16U",  "V3 Harm Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40240) {
        val = (PM8000RegType){ 40240, 1,  "INT16U",  "V3 Harm Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40241) {
        val = (PM8000RegType){ 40241, 1,  "INT16U",  "V3 Harm Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40242) {
        val = (PM8000RegType){ 40242, 1,  "INT16U",  "Voltage Unbal Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40243) {
        val = (PM8000RegType){ 40243, 1,  "INT16U",  "Voltage Unbal Num Intervals Exceeded 1" };
        return val;
    }
    if (currentRegister < 40244) {
        val = (PM8000RegType){ 40244, 1,  "INT16U",  "Voltage Unbal Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40245) {
        val = (PM8000RegType){ 40245, 1,  "INT16U",  "Voltage Unbal Num Intervals Exceeded 1 / Valid" };
        return val;
    }
    if (currentRegister < 40246) {
        val = (PM8000RegType){ 40246, 1,  "INT16U",  "V1-Dip A1" };
        return val;
    }
    if (currentRegister < 40247) {
        val = (PM8000RegType){ 40247, 1,  "INT16U",  "V1-Dip B1" };
        return val;
    }
    if (currentRegister < 40248) {
        val = (PM8000RegType){ 40248, 1,  "INT16U",  "V1-Dip C1" };
        return val;
    }
    if (currentRegister < 40249) {
        val = (PM8000RegType){ 40249, 1,  "INT16U",  "V1-Dip D1" };
        return val;
    }
    if (currentRegister < 40250) {
        val = (PM8000RegType){ 40250, 1,  "INT16U",  "V1-Dip A2" };
        return val;
    }
    if (currentRegister < 40251) {
        val = (PM8000RegType){ 40251, 1,  "INT16U",  "V1-Dip B2" };
        return val;
    }
    if (currentRegister < 40252) {
        val = (PM8000RegType){ 40252, 1,  "INT16U",  "V1-Dip C2" };
        return val;
    }
    if (currentRegister < 40253) {
        val = (PM8000RegType){ 40253, 1,  "INT16U",  "V1-Dip D2" };
        return val;
    }
    if (currentRegister < 40254) {
        val = (PM8000RegType){ 40254, 1,  "INT16U",  "V1-Dip A3" };
        return val;
    }
    if (currentRegister < 40255) {
        val = (PM8000RegType){ 40255, 1,  "INT16U",  "V1-Dip B3" };
        return val;
    }
    if (currentRegister < 40256) {
        val = (PM8000RegType){ 40256, 1,  "INT16U",  "V1-Dip C3" };
        return val;
    }
    if (currentRegister < 40257) {
        val = (PM8000RegType){ 40257, 1,  "INT16U",  "V1-Dip D3" };
        return val;
    }
    if (currentRegister < 40258) {
        val = (PM8000RegType){ 40258, 1,  "INT16U",  "V1-Dip A4" };
        return val;
    }
    if (currentRegister < 40259) {
        val = (PM8000RegType){ 40259, 1,  "INT16U",  "V1-Dip B4" };
        return val;
    }
    if (currentRegister < 40260) {
        val = (PM8000RegType){ 40260, 1,  "INT16U",  "V1-Dip C4" };
        return val;
    }
    if (currentRegister < 40261) {
        val = (PM8000RegType){ 40261, 1,  "INT16U",  "V1-Dip D4" };
        return val;
    }
    if (currentRegister < 40262) {
        val = (PM8000RegType){ 40262, 1,  "INT16U",  "V1-Dip A5" };
        return val;
    }
    if (currentRegister < 40263) {
        val = (PM8000RegType){ 40263, 1,  "INT16U",  "V1-Dip B5" };
        return val;
    }
    if (currentRegister < 40264) {
        val = (PM8000RegType){ 40264, 1,  "INT16U",  "V1-Dip C5" };
        return val;
    }
    if (currentRegister < 40265) {
        val = (PM8000RegType){ 40265, 1,  "INT16U",  "V1-Dip D5" };
        return val;
    }
    if (currentRegister < 40266) {
        val = (PM8000RegType){ 40266, 1,  "INT16U",  "V1-Dip X1" };
        return val;
    }
    if (currentRegister < 40267) {
        val = (PM8000RegType){ 40267, 1,  "INT16U",  "V1-Dip X2" };
        return val;
    }
    if (currentRegister < 40268) {
        val = (PM8000RegType){ 40268, 1,  "INT16U",  "V1-Dip X3" };
        return val;
    }
    if (currentRegister < 40269) {
        val = (PM8000RegType){ 40269, 1,  "INT16U",  "V1-Dip X4" };
        return val;
    }
    if (currentRegister < 40270) {
        val = (PM8000RegType){ 40270, 1,  "INT16U",  "V1-Dip X5" };
        return val;
    }
    if (currentRegister < 40271) {
        val = (PM8000RegType){ 40271, 1,  "INT16U",  "V2-Dip A1" };
        return val;
    }
    if (currentRegister < 40272) {
        val = (PM8000RegType){ 40272, 1,  "INT16U",  "V2-Dip B1" };
        return val;
    }
    if (currentRegister < 40273) {
        val = (PM8000RegType){ 40273, 1,  "INT16U",  "V2-Dip C1" };
        return val;
    }
    if (currentRegister < 40274) {
        val = (PM8000RegType){ 40274, 1,  "INT16U",  "V2-Dip D1" };
        return val;
    }
    if (currentRegister < 40275) {
        val = (PM8000RegType){ 40275, 1,  "INT16U",  "V2-Dip A2" };
        return val;
    }
    if (currentRegister < 40276) {
        val = (PM8000RegType){ 40276, 1,  "INT16U",  "V2-Dip B2" };
        return val;
    }
    if (currentRegister < 40277) {
        val = (PM8000RegType){ 40277, 1,  "INT16U",  "V2-Dip C2" };
        return val;
    }
    if (currentRegister < 40278) {
        val = (PM8000RegType){ 40278, 1,  "INT16U",  "V2-Dip D2" };
        return val;
    }
    if (currentRegister < 40279) {
        val = (PM8000RegType){ 40279, 1,  "INT16U",  "V2-Dip A3" };
        return val;
    }
    if (currentRegister < 40280) {
        val = (PM8000RegType){ 40280, 1,  "INT16U",  "V2-Dip B3" };
        return val;
    }
    if (currentRegister < 40281) {
        val = (PM8000RegType){ 40281, 1,  "INT16U",  "V2-Dip C3" };
        return val;
    }
    if (currentRegister < 40282) {
        val = (PM8000RegType){ 40282, 1,  "INT16U",  "V2-Dip D3" };
        return val;
    }
    if (currentRegister < 40283) {
        val = (PM8000RegType){ 40283, 1,  "INT16U",  "V2-Dip A4" };
        return val;
    }
    if (currentRegister < 40284) {
        val = (PM8000RegType){ 40284, 1,  "INT16U",  "V2-Dip B4" };
        return val;
    }
    if (currentRegister < 40285) {
        val = (PM8000RegType){ 40285, 1,  "INT16U",  "V2-Dip C4" };
        return val;
    }
    if (currentRegister < 40286) {
        val = (PM8000RegType){ 40286, 1,  "INT16U",  "V2-Dip D4" };
        return val;
    }
    if (currentRegister < 40287) {
        val = (PM8000RegType){ 40287, 1,  "INT16U",  "V2-Dip A5" };
        return val;
    }
    if (currentRegister < 40288) {
        val = (PM8000RegType){ 40288, 1,  "INT16U",  "V2-Dip B5" };
        return val;
    }
    if (currentRegister < 40289) {
        val = (PM8000RegType){ 40289, 1,  "INT16U",  "V2-Dip C5" };
        return val;
    }
    if (currentRegister < 40290) {
        val = (PM8000RegType){ 40290, 1,  "INT16U",  "V2-Dip D5" };
        return val;
    }
    if (currentRegister < 40291) {
        val = (PM8000RegType){ 40291, 1,  "INT16U",  "V2-Dip X1" };
        return val;
    }
    if (currentRegister < 40292) {
        val = (PM8000RegType){ 40292, 1,  "INT16U",  "V2-Dip X2" };
        return val;
    }
    if (currentRegister < 40293) {
        val = (PM8000RegType){ 40293, 1,  "INT16U",  "V2-Dip X3" };
        return val;
    }
    if (currentRegister < 40294) {
        val = (PM8000RegType){ 40294, 1,  "INT16U",  "V2-Dip X4" };
        return val;
    }
    if (currentRegister < 40295) {
        val = (PM8000RegType){ 40295, 1,  "INT16U",  "V2-Dip X5" };
        return val;
    }
    if (currentRegister < 40296) {
        val = (PM8000RegType){ 40296, 1,  "INT16U",  "V3-Dip A1" };
        return val;
    }
    if (currentRegister < 40297) {
        val = (PM8000RegType){ 40297, 1,  "INT16U",  "V3-Dip B1" };
        return val;
    }
    if (currentRegister < 40298) {
        val = (PM8000RegType){ 40298, 1,  "INT16U",  "V3-Dip C1" };
        return val;
    }
    if (currentRegister < 40299) {
        val = (PM8000RegType){ 40299, 1,  "INT16U",  "V3-Dip D1" };
        return val;
    }
    if (currentRegister < 40300) {
        val = (PM8000RegType){ 40300, 1,  "INT16U",  "V3-Dip A2" };
        return val;
    }
    if (currentRegister < 40301) {
        val = (PM8000RegType){ 40301, 1,  "INT16U",  "V3-Dip B2" };
        return val;
    }
    if (currentRegister < 40302) {
        val = (PM8000RegType){ 40302, 1,  "INT16U",  "V3-Dip C2" };
        return val;
    }
    if (currentRegister < 40303) {
        val = (PM8000RegType){ 40303, 1,  "INT16U",  "V3-Dip D2" };
        return val;
    }
    if (currentRegister < 40304) {
        val = (PM8000RegType){ 40304, 1,  "INT16U",  "V3-Dip A3" };
        return val;
    }
    if (currentRegister < 40305) {
        val = (PM8000RegType){ 40305, 1,  "INT16U",  "V3-Dip B3" };
        return val;
    }
    if (currentRegister < 40306) {
        val = (PM8000RegType){ 40306, 1,  "INT16U",  "V3-Dip C3" };
        return val;
    }
    if (currentRegister < 40307) {
        val = (PM8000RegType){ 40307, 1,  "INT16U",  "V3-Dip D3" };
        return val;
    }
    if (currentRegister < 40308) {
        val = (PM8000RegType){ 40308, 1,  "INT16U",  "V3-Dip A4" };
        return val;
    }
    if (currentRegister < 40309) {
        val = (PM8000RegType){ 40309, 1,  "INT16U",  "V3-Dip B4" };
        return val;
    }
    if (currentRegister < 40310) {
        val = (PM8000RegType){ 40310, 1,  "INT16U",  "V3-Dip C4" };
        return val;
    }
    if (currentRegister < 40311) {
        val = (PM8000RegType){ 40311, 1,  "INT16U",  "V3-Dip D4" };
        return val;
    }
    if (currentRegister < 40312) {
        val = (PM8000RegType){ 40312, 1,  "INT16U",  "V3-Dip A5" };
        return val;
    }
    if (currentRegister < 40313) {
        val = (PM8000RegType){ 40313, 1,  "INT16U",  "V3-Dip B5" };
        return val;
    }
    if (currentRegister < 40314) {
        val = (PM8000RegType){ 40314, 1,  "INT16U",  "V3-Dip C5" };
        return val;
    }
    if (currentRegister < 40315) {
        val = (PM8000RegType){ 40315, 1,  "INT16U",  "V3-Dip D5" };
        return val;
    }
    if (currentRegister < 40316) {
        val = (PM8000RegType){ 40316, 1,  "INT16U",  "V3-Dip X1" };
        return val;
    }
    if (currentRegister < 40317) {
        val = (PM8000RegType){ 40317, 1,  "INT16U",  "V3-Dip X2" };
        return val;
    }
    if (currentRegister < 40318) {
        val = (PM8000RegType){ 40318, 1,  "INT16U",  "V3-Dip X3" };
        return val;
    }
    if (currentRegister < 40319) {
        val = (PM8000RegType){ 40319, 1,  "INT16U",  "V3-Dip X4" };
        return val;
    }
    if (currentRegister < 40320) {
        val = (PM8000RegType){ 40320, 1,  "INT16U",  "V3-Dip X5" };
        return val;
    }
    if (currentRegister < 40321) {
        val = (PM8000RegType){ 40321, 1,  "INT16U",  "V1-Ovrvlt S1" };
        return val;
    }
    if (currentRegister < 40322) {
        val = (PM8000RegType){ 40322, 1,  "INT16U",  "V1-Ovrvlt T1" };
        return val;
    }
    if (currentRegister < 40323) {
        val = (PM8000RegType){ 40323, 1,  "INT16U",  "V1-Ovrvlt S2" };
        return val;
    }
    if (currentRegister < 40324) {
        val = (PM8000RegType){ 40324, 1,  "INT16U",  "V1-Ovrvlt T2" };
        return val;
    }
    if (currentRegister < 40325) {
        val = (PM8000RegType){ 40325, 1,  "INT16U",  "V1-Ovrvlt S3" };
        return val;
    }
    if (currentRegister < 40326) {
        val = (PM8000RegType){ 40326, 1,  "INT16U",  "V1-Ovrvlt T3" };
        return val;
    }
    if (currentRegister < 40327) {
        val = (PM8000RegType){ 40327, 1,  "INT16U",  "V1-Ovrvlt S4" };
        return val;
    }
    if (currentRegister < 40328) {
        val = (PM8000RegType){ 40328, 1,  "INT16U",  "V1-Ovrvlt T4" };
        return val;
    }
    if (currentRegister < 40329) {
        val = (PM8000RegType){ 40329, 1,  "INT16U",  "V2-Ovrvlt S1" };
        return val;
    }
    if (currentRegister < 40330) {
        val = (PM8000RegType){ 40330, 1,  "INT16U",  "V2-Ovrvlt T1" };
        return val;
    }
    if (currentRegister < 40331) {
        val = (PM8000RegType){ 40331, 1,  "INT16U",  "V2-Ovrvlt S2" };
        return val;
    }
    if (currentRegister < 40332) {
        val = (PM8000RegType){ 40332, 1,  "INT16U",  "V2-Ovrvlt T2" };
        return val;
    }
    if (currentRegister < 40333) {
        val = (PM8000RegType){ 40333, 1,  "INT16U",  "V2-Ovrvlt S3" };
        return val;
    }
    if (currentRegister < 40334) {
        val = (PM8000RegType){ 40334, 1,  "INT16U",  "V2-Ovrvlt T3" };
        return val;
    }
    if (currentRegister < 40335) {
        val = (PM8000RegType){ 40335, 1,  "INT16U",  "V2-Ovrvlt S4" };
        return val;
    }
    if (currentRegister < 40336) {
        val = (PM8000RegType){ 40336, 1,  "INT16U",  "V2-Ovrvlt T4" };
        return val;
    }
    if (currentRegister < 40337) {
        val = (PM8000RegType){ 40337, 1,  "INT16U",  "V3-Ovrvlt S1" };
        return val;
    }
    if (currentRegister < 40338) {
        val = (PM8000RegType){ 40338, 1,  "INT16U",  "V3-Ovrvlt T1" };
        return val;
    }
    if (currentRegister < 40339) {
        val = (PM8000RegType){ 40339, 1,  "INT16U",  "V3-Ovrvlt S2" };
        return val;
    }
    if (currentRegister < 40340) {
        val = (PM8000RegType){ 40340, 1,  "INT16U",  "V3-Ovrvlt T2" };
        return val;
    }
    if (currentRegister < 40341) {
        val = (PM8000RegType){ 40341, 1,  "INT16U",  "V3-Ovrvlt S3" };
        return val;
    }
    if (currentRegister < 40342) {
        val = (PM8000RegType){ 40342, 1,  "INT16U",  "V3-Ovrvlt T3" };
        return val;
    }
    if (currentRegister < 40343) {
        val = (PM8000RegType){ 40343, 1,  "INT16U",  "V3-Ovrvlt S4" };
        return val;
    }
    if (currentRegister < 40344) {
        val = (PM8000RegType){ 40344, 1,  "INT16U",  "V3-Ovrvlt T4" };
        return val;
    }
    if (currentRegister < 40345) {
        val = (PM8000RegType){ 40345, 1,  "INT16U",  "V1-Intrpt N1" };
        return val;
    }
    if (currentRegister < 40346) {
        val = (PM8000RegType){ 40346, 1,  "INT16U",  "V1-Intrpt N2" };
        return val;
    }
    if (currentRegister < 40347) {
        val = (PM8000RegType){ 40347, 1,  "INT16U",  "V1-Intrpt N3" };
        return val;
    }
    if (currentRegister < 40348) {
        val = (PM8000RegType){ 40348, 1,  "INT16U",  "V2-Intrpt N1" };
        return val;
    }
    if (currentRegister < 40349) {
        val = (PM8000RegType){ 40349, 1,  "INT16U",  "V2-Intrpt N2" };
        return val;
    }
    if (currentRegister < 40350) {
        val = (PM8000RegType){ 40350, 1,  "INT16U",  "V2-Intrpt N3" };
        return val;
    }
    if (currentRegister < 40351) {
        val = (PM8000RegType){ 40351, 1,  "INT16U",  "V3-Intrpt N1" };
        return val;
    }
    if (currentRegister < 40352) {
        val = (PM8000RegType){ 40352, 1,  "INT16U",  "V3-Intrpt N2" };
        return val;
    }
    if (currentRegister < 40353) {
        val = (PM8000RegType){ 40353, 1,  "INT16U",  "V3-Intrpt N3" };
        return val;
    }
    if (currentRegister < 40500) {
        val = (PM8000RegType){ 40500, 1,  "INT16U",  "Freq Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40501) {
        val = (PM8000RegType){ 40501, 1,  "INT16U",  "Freq Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40502) {
        val = (PM8000RegType){ 40502, 1,  "INT16U",  "Freq Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40503) {
        val = (PM8000RegType){ 40503, 1,  "INT16U",  "Freq Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40504) {
        val = (PM8000RegType){ 40504, 1,  "INT16U",  "Freq Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40505) {
        val = (PM8000RegType){ 40505, 1,  "INT16U",  "Freq Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40506) {
        val = (PM8000RegType){ 40506, 1,  "INT16U",  "V1 Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40507) {
        val = (PM8000RegType){ 40507, 1,  "INT16U",  "V1 Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40508) {
        val = (PM8000RegType){ 40508, 1,  "INT16U",  "V1 Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40509) {
        val = (PM8000RegType){ 40509, 1,  "INT16U",  "V1 Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40510) {
        val = (PM8000RegType){ 40510, 1,  "INT16U",  "V1 Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40511) {
        val = (PM8000RegType){ 40511, 1,  "INT16U",  "V1 Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40512) {
        val = (PM8000RegType){ 40512, 1,  "INT16U",  "V2 Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40513) {
        val = (PM8000RegType){ 40513, 1,  "INT16U",  "V2 Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40514) {
        val = (PM8000RegType){ 40514, 1,  "INT16U",  "V2 Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40515) {
        val = (PM8000RegType){ 40515, 1,  "INT16U",  "V2 Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40516) {
        val = (PM8000RegType){ 40516, 1,  "INT16U",  "V2 Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40517) {
        val = (PM8000RegType){ 40517, 1,  "INT16U",  "V2 Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40518) {
        val = (PM8000RegType){ 40518, 1,  "INT16U",  "V3 Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40519) {
        val = (PM8000RegType){ 40519, 1,  "INT16U",  "V3 Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40520) {
        val = (PM8000RegType){ 40520, 1,  "INT16U",  "V3 Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40521) {
        val = (PM8000RegType){ 40521, 1,  "INT16U",  "V3 Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40522) {
        val = (PM8000RegType){ 40522, 1,  "INT16U",  "V3 Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40523) {
        val = (PM8000RegType){ 40523, 1,  "INT16U",  "V3 Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40524) {
        val = (PM8000RegType){ 40524, 1,  "INT16U",  "V1 Harm Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40525) {
        val = (PM8000RegType){ 40525, 1,  "INT16U",  "V1 Harm Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40526) {
        val = (PM8000RegType){ 40526, 1,  "INT16U",  "V1 Harm Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40527) {
        val = (PM8000RegType){ 40527, 1,  "INT16U",  "V1 Harm Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40528) {
        val = (PM8000RegType){ 40528, 1,  "INT16U",  "V1 Harm Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40529) {
        val = (PM8000RegType){ 40529, 1,  "INT16U",  "V1 Harm Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40530) {
        val = (PM8000RegType){ 40530, 1,  "INT16U",  "V2 Harm Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40531) {
        val = (PM8000RegType){ 40531, 1,  "INT16U",  "V2 Harm Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40532) {
        val = (PM8000RegType){ 40532, 1,  "INT16U",  "V2 Harm Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40533) {
        val = (PM8000RegType){ 40533, 1,  "INT16U",  "V2 Harm Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40534) {
        val = (PM8000RegType){ 40534, 1,  "INT16U",  "V2 Harm Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40535) {
        val = (PM8000RegType){ 40535, 1,  "INT16U",  "V2 Harm Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40536) {
        val = (PM8000RegType){ 40536, 1,  "INT16U",  "V3 Harm Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40537) {
        val = (PM8000RegType){ 40537, 1,  "INT16U",  "V3 Harm Num Intervals Exceed 1" };
        return val;
    }
    if (currentRegister < 40538) {
        val = (PM8000RegType){ 40538, 1,  "INT16U",  "V3 Harm Num Intervals Exceed 2" };
        return val;
    }
    if (currentRegister < 40539) {
        val = (PM8000RegType){ 40539, 1,  "INT16U",  "V3 Harm Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40540) {
        val = (PM8000RegType){ 40540, 1,  "INT16U",  "V3 Harm Num Intervals Exceed 1 / Valid" };
        return val;
    }
    if (currentRegister < 40541) {
        val = (PM8000RegType){ 40541, 1,  "INT16U",  "V3 Harm Num Intervals Exceed 2 / Valid" };
        return val;
    }
    if (currentRegister < 40542) {
        val = (PM8000RegType){ 40542, 1,  "INT16U",  "Voltage Unbal Num Intervals Valid" };
        return val;
    }
    if (currentRegister < 40543) {
        val = (PM8000RegType){ 40543, 1,  "INT16U",  "Voltage Unbal Num Intervals Exceeded 1" };
        return val;
    }
    if (currentRegister < 40544) {
        val = (PM8000RegType){ 40544, 1,  "INT16U",  "Voltage Unbal Num Intervals Invalid" };
        return val;
    }
    if (currentRegister < 40545) {
        val = (PM8000RegType){ 40545, 1,  "INT16U",  "Voltage Unbal Num Intervals Exceeded 1 / Valid" };
        return val;
    }
    if (currentRegister < 40546) {
        val = (PM8000RegType){ 40546, 1,  "INT16U",  "V1-Dip A1" };
        return val;
    }
    if (currentRegister < 40547) {
        val = (PM8000RegType){ 40547, 1,  "INT16U",  "V1-Dip B1" };
        return val;
    }
    if (currentRegister < 40548) {
        val = (PM8000RegType){ 40548, 1,  "INT16U",  "V1-Dip C1" };
        return val;
    }
    if (currentRegister < 40549) {
        val = (PM8000RegType){ 40549, 1,  "INT16U",  "V1-Dip D1" };
        return val;
    }
    if (currentRegister < 40550) {
        val = (PM8000RegType){ 40550, 1,  "INT16U",  "V1-Dip A2" };
        return val;
    }
    if (currentRegister < 40551) {
        val = (PM8000RegType){ 40551, 1,  "INT16U",  "V1-Dip B2" };
        return val;
    }
    if (currentRegister < 40552) {
        val = (PM8000RegType){ 40552, 1,  "INT16U",  "V1-Dip C2" };
        return val;
    }
    if (currentRegister < 40553) {
        val = (PM8000RegType){ 40553, 1,  "INT16U",  "V1-Dip D2" };
        return val;
    }
    if (currentRegister < 40554) {
        val = (PM8000RegType){ 40554, 1,  "INT16U",  "V1-Dip A3" };
        return val;
    }
    if (currentRegister < 40555) {
        val = (PM8000RegType){ 40555, 1,  "INT16U",  "V1-Dip B3" };
        return val;
    }
    if (currentRegister < 40556) {
        val = (PM8000RegType){ 40556, 1,  "INT16U",  "V1-Dip C3" };
        return val;
    }
    if (currentRegister < 40557) {
        val = (PM8000RegType){ 40557, 1,  "INT16U",  "V1-Dip D3" };
        return val;
    }
    if (currentRegister < 40558) {
        val = (PM8000RegType){ 40558, 1,  "INT16U",  "V1-Dip A4" };
        return val;
    }
    if (currentRegister < 40559) {
        val = (PM8000RegType){ 40559, 1,  "INT16U",  "V1-Dip B4" };
        return val;
    }
    if (currentRegister < 40560) {
        val = (PM8000RegType){ 40560, 1,  "INT16U",  "V1-Dip C4" };
        return val;
    }
    if (currentRegister < 40561) {
        val = (PM8000RegType){ 40561, 1,  "INT16U",  "V1-Dip D4" };
        return val;
    }
    if (currentRegister < 40562) {
        val = (PM8000RegType){ 40562, 1,  "INT16U",  "V1-Dip A5" };
        return val;
    }
    if (currentRegister < 40563) {
        val = (PM8000RegType){ 40563, 1,  "INT16U",  "V1-Dip B5" };
        return val;
    }
    if (currentRegister < 40564) {
        val = (PM8000RegType){ 40564, 1,  "INT16U",  "V1-Dip C5" };
        return val;
    }
    if (currentRegister < 40565) {
        val = (PM8000RegType){ 40565, 1,  "INT16U",  "V1-Dip D5" };
        return val;
    }
    if (currentRegister < 40566) {
        val = (PM8000RegType){ 40566, 1,  "INT16U",  "V1-Dip X1" };
        return val;
    }
    if (currentRegister < 40567) {
        val = (PM8000RegType){ 40567, 1,  "INT16U",  "V1-Dip X2" };
        return val;
    }
    if (currentRegister < 40568) {
        val = (PM8000RegType){ 40568, 1,  "INT16U",  "V1-Dip X3" };
        return val;
    }
    if (currentRegister < 40569) {
        val = (PM8000RegType){ 40569, 1,  "INT16U",  "V1-Dip X4" };
        return val;
    }
    if (currentRegister < 40570) {
        val = (PM8000RegType){ 40570, 1,  "INT16U",  "V1-Dip X5" };
        return val;
    }
    if (currentRegister < 40571) {
        val = (PM8000RegType){ 40571, 1,  "INT16U",  "V2-Dip A1" };
        return val;
    }
    if (currentRegister < 40572) {
        val = (PM8000RegType){ 40572, 1,  "INT16U",  "V2-Dip B1" };
        return val;
    }
    if (currentRegister < 40573) {
        val = (PM8000RegType){ 40573, 1,  "INT16U",  "V2-Dip C1" };
        return val;
    }
    if (currentRegister < 40574) {
        val = (PM8000RegType){ 40574, 1,  "INT16U",  "V2-Dip D1" };
        return val;
    }
    if (currentRegister < 40575) {
        val = (PM8000RegType){ 40575, 1,  "INT16U",  "V2-Dip A2" };
        return val;
    }
    if (currentRegister < 40576) {
        val = (PM8000RegType){ 40576, 1,  "INT16U",  "V2-Dip B2" };
        return val;
    }
    if (currentRegister < 40577) {
        val = (PM8000RegType){ 40577, 1,  "INT16U",  "V2-Dip C2" };
        return val;
    }
    if (currentRegister < 40578) {
        val = (PM8000RegType){ 40578, 1,  "INT16U",  "V2-Dip D2" };
        return val;
    }
    if (currentRegister < 40579) {
        val = (PM8000RegType){ 40579, 1,  "INT16U",  "V2-Dip A3" };
        return val;
    }
    if (currentRegister < 40580) {
        val = (PM8000RegType){ 40580, 1,  "INT16U",  "V2-Dip B3" };
        return val;
    }
    if (currentRegister < 40581) {
        val = (PM8000RegType){ 40581, 1,  "INT16U",  "V2-Dip C3" };
        return val;
    }
    if (currentRegister < 40582) {
        val = (PM8000RegType){ 40582, 1,  "INT16U",  "V2-Dip D3" };
        return val;
    }
    if (currentRegister < 40583) {
        val = (PM8000RegType){ 40583, 1,  "INT16U",  "V2-Dip A4" };
        return val;
    }
    if (currentRegister < 40584) {
        val = (PM8000RegType){ 40584, 1,  "INT16U",  "V2-Dip B4" };
        return val;
    }
    if (currentRegister < 40585) {
        val = (PM8000RegType){ 40585, 1,  "INT16U",  "V2-Dip C4" };
        return val;
    }
    if (currentRegister < 40586) {
        val = (PM8000RegType){ 40586, 1,  "INT16U",  "V2-Dip D4" };
        return val;
    }
    if (currentRegister < 40587) {
        val = (PM8000RegType){ 40587, 1,  "INT16U",  "V2-Dip A5" };
        return val;
    }
    if (currentRegister < 40588) {
        val = (PM8000RegType){ 40588, 1,  "INT16U",  "V2-Dip B5" };
        return val;
    }
    if (currentRegister < 40589) {
        val = (PM8000RegType){ 40589, 1,  "INT16U",  "V2-Dip C5" };
        return val;
    }
    if (currentRegister < 40590) {
        val = (PM8000RegType){ 40590, 1,  "INT16U",  "V2-Dip D5" };
        return val;
    }
    if (currentRegister < 40591) {
        val = (PM8000RegType){ 40591, 1,  "INT16U",  "V2-Dip X1" };
        return val;
    }
    if (currentRegister < 40592) {
        val = (PM8000RegType){ 40592, 1,  "INT16U",  "V2-Dip X2" };
        return val;
    }
    if (currentRegister < 40593) {
        val = (PM8000RegType){ 40593, 1,  "INT16U",  "V2-Dip X3" };
        return val;
    }
    if (currentRegister < 40594) {
        val = (PM8000RegType){ 40594, 1,  "INT16U",  "V2-Dip X4" };
        return val;
    }
    if (currentRegister < 40595) {
        val = (PM8000RegType){ 40595, 1,  "INT16U",  "V2-Dip X5" };
        return val;
    }
    if (currentRegister < 40596) {
        val = (PM8000RegType){ 40596, 1,  "INT16U",  "V3-Dip A1" };
        return val;
    }
    if (currentRegister < 40597) {
        val = (PM8000RegType){ 40597, 1,  "INT16U",  "V3-Dip B1" };
        return val;
    }
    if (currentRegister < 40598) {
        val = (PM8000RegType){ 40598, 1,  "INT16U",  "V3-Dip C1" };
        return val;
    }
    if (currentRegister < 40599) {
        val = (PM8000RegType){ 40599, 1,  "INT16U",  "V3-Dip D1" };
        return val;
    }
    if (currentRegister < 40600) {
        val = (PM8000RegType){ 40600, 1,  "INT16U",  "V3-Dip A2" };
        return val;
    }
    if (currentRegister < 40601) {
        val = (PM8000RegType){ 40601, 1,  "INT16U",  "V3-Dip B2" };
        return val;
    }
    if (currentRegister < 40602) {
        val = (PM8000RegType){ 40602, 1,  "INT16U",  "V3-Dip C2" };
        return val;
    }
    if (currentRegister < 40603) {
        val = (PM8000RegType){ 40603, 1,  "INT16U",  "V3-Dip D2" };
        return val;
    }
    if (currentRegister < 40604) {
        val = (PM8000RegType){ 40604, 1,  "INT16U",  "V3-Dip A3" };
        return val;
    }
    if (currentRegister < 40605) {
        val = (PM8000RegType){ 40605, 1,  "INT16U",  "V3-Dip B3" };
        return val;
    }
    if (currentRegister < 40606) {
        val = (PM8000RegType){ 40606, 1,  "INT16U",  "V3-Dip C3" };
        return val;
    }
    if (currentRegister < 40607) {
        val = (PM8000RegType){ 40607, 1,  "INT16U",  "V3-Dip D3" };
        return val;
    }
    if (currentRegister < 40608) {
        val = (PM8000RegType){ 40608, 1,  "INT16U",  "V3-Dip A4" };
        return val;
    }
    if (currentRegister < 40609) {
        val = (PM8000RegType){ 40609, 1,  "INT16U",  "V3-Dip B4" };
        return val;
    }
    if (currentRegister < 40610) {
        val = (PM8000RegType){ 40610, 1,  "INT16U",  "V3-Dip C4" };
        return val;
    }
    if (currentRegister < 40611) {
        val = (PM8000RegType){ 40611, 1,  "INT16U",  "V3-Dip D4" };
        return val;
    }
    if (currentRegister < 40612) {
        val = (PM8000RegType){ 40612, 1,  "INT16U",  "V3-Dip A5" };
        return val;
    }
    if (currentRegister < 40613) {
        val = (PM8000RegType){ 40613, 1,  "INT16U",  "V3-Dip B5" };
        return val;
    }
    if (currentRegister < 40614) {
        val = (PM8000RegType){ 40614, 1,  "INT16U",  "V3-Dip C5" };
        return val;
    }
    if (currentRegister < 40615) {
        val = (PM8000RegType){ 40615, 1,  "INT16U",  "V3-Dip D5" };
        return val;
    }
    if (currentRegister < 40616) {
        val = (PM8000RegType){ 40616, 1,  "INT16U",  "V3-Dip X1" };
        return val;
    }
    if (currentRegister < 40617) {
        val = (PM8000RegType){ 40617, 1,  "INT16U",  "V3-Dip X2" };
        return val;
    }
    if (currentRegister < 40618) {
        val = (PM8000RegType){ 40618, 1,  "INT16U",  "V3-Dip X3" };
        return val;
    }
    if (currentRegister < 40619) {
        val = (PM8000RegType){ 40619, 1,  "INT16U",  "V3-Dip X4" };
        return val;
    }
    if (currentRegister < 40620) {
        val = (PM8000RegType){ 40620, 1,  "INT16U",  "V3-Dip X5" };
        return val;
    }
    if (currentRegister < 40621) {
        val = (PM8000RegType){ 40621, 1,  "INT16U",  "V1-Ovrvlt S1" };
        return val;
    }
    if (currentRegister < 40622) {
        val = (PM8000RegType){ 40622, 1,  "INT16U",  "V1-Ovrvlt T1" };
        return val;
    }
    if (currentRegister < 40623) {
        val = (PM8000RegType){ 40623, 1,  "INT16U",  "V1-Ovrvlt S2" };
        return val;
    }
    if (currentRegister < 40624) {
        val = (PM8000RegType){ 40624, 1,  "INT16U",  "V1-Ovrvlt T2" };
        return val;
    }
    if (currentRegister < 40625) {
        val = (PM8000RegType){ 40625, 1,  "INT16U",  "V1-Ovrvlt S3" };
        return val;
    }
    if (currentRegister < 40626) {
        val = (PM8000RegType){ 40626, 1,  "INT16U",  "V1-Ovrvlt T3" };
        return val;
    }
    if (currentRegister < 40627) {
        val = (PM8000RegType){ 40627, 1,  "INT16U",  "V1-Ovrvlt S4" };
        return val;
    }
    if (currentRegister < 40628) {
        val = (PM8000RegType){ 40628, 1,  "INT16U",  "V1-Ovrvlt T4" };
        return val;
    }
    if (currentRegister < 40629) {
        val = (PM8000RegType){ 40629, 1,  "INT16U",  "V2-Ovrvlt S1" };
        return val;
    }
    if (currentRegister < 40630) {
        val = (PM8000RegType){ 40630, 1,  "INT16U",  "V2-Ovrvlt T1" };
        return val;
    }
    if (currentRegister < 40631) {
        val = (PM8000RegType){ 40631, 1,  "INT16U",  "V2-Ovrvlt S2" };
        return val;
    }
    if (currentRegister < 40632) {
        val = (PM8000RegType){ 40632, 1,  "INT16U",  "V2-Ovrvlt T2" };
        return val;
    }
    if (currentRegister < 40633) {
        val = (PM8000RegType){ 40633, 1,  "INT16U",  "V2-Ovrvlt S3" };
        return val;
    }
    if (currentRegister < 40634) {
        val = (PM8000RegType){ 40634, 1,  "INT16U",  "V2-Ovrvlt T3" };
        return val;
    }
    if (currentRegister < 40635) {
        val = (PM8000RegType){ 40635, 1,  "INT16U",  "V2-Ovrvlt S4" };
        return val;
    }
    if (currentRegister < 40636) {
        val = (PM8000RegType){ 40636, 1,  "INT16U",  "V2-Ovrvlt T4" };
        return val;
    }
    if (currentRegister < 40637) {
        val = (PM8000RegType){ 40637, 1,  "INT16U",  "V3-Ovrvlt S1" };
        return val;
    }
    if (currentRegister < 40638) {
        val = (PM8000RegType){ 40638, 1,  "INT16U",  "V3-Ovrvlt T1" };
        return val;
    }
    if (currentRegister < 40639) {
        val = (PM8000RegType){ 40639, 1,  "INT16U",  "V3-Ovrvlt S2" };
        return val;
    }
    if (currentRegister < 40640) {
        val = (PM8000RegType){ 40640, 1,  "INT16U",  "V3-Ovrvlt T2" };
        return val;
    }
    if (currentRegister < 40641) {
        val = (PM8000RegType){ 40641, 1,  "INT16U",  "V3-Ovrvlt S3" };
        return val;
    }
    if (currentRegister < 40642) {
        val = (PM8000RegType){ 40642, 1,  "INT16U",  "V3-Ovrvlt T3" };
        return val;
    }
    if (currentRegister < 40643) {
        val = (PM8000RegType){ 40643, 1,  "INT16U",  "V3-Ovrvlt S4" };
        return val;
    }
    if (currentRegister < 40644) {
        val = (PM8000RegType){ 40644, 1,  "INT16U",  "V3-Ovrvlt T4" };
        return val;
    }
    if (currentRegister < 40645) {
        val = (PM8000RegType){ 40645, 1,  "INT16U",  "V1-Intrpt N1" };
        return val;
    }
    if (currentRegister < 40646) {
        val = (PM8000RegType){ 40646, 1,  "INT16U",  "V1-Intrpt N2" };
        return val;
    }
    if (currentRegister < 40647) {
        val = (PM8000RegType){ 40647, 1,  "INT16U",  "V1-Intrpt N3" };
        return val;
    }
    if (currentRegister < 40648) {
        val = (PM8000RegType){ 40648, 1,  "INT16U",  "V2-Intrpt N1" };
        return val;
    }
    if (currentRegister < 40649) {
        val = (PM8000RegType){ 40649, 1,  "INT16U",  "V2-Intrpt N2" };
        return val;
    }
    if (currentRegister < 40650) {
        val = (PM8000RegType){ 40650, 1,  "INT16U",  "V2-Intrpt N3" };
        return val;
    }
    if (currentRegister < 40651) {
        val = (PM8000RegType){ 40651, 1,  "INT16U",  "V3-Intrpt N1" };
        return val;
    }
    if (currentRegister < 40652) {
        val = (PM8000RegType){ 40652, 1,  "INT16U",  "V3-Intrpt N2" };
        return val;
    }
    if (currentRegister < 40653) {
        val = (PM8000RegType){ 40653, 1,  "INT16U",  "V3-Intrpt N3" };
        return val;
    }
    if (currentRegister < 52001) {
        val = (PM8000RegType){ 52001, 1,  "INT16U",  "External Pulse 1 Trigger" };
        return val;
    }
    if (currentRegister < 52002) {
        val = (PM8000RegType){ 52002, 1,  "INT16U",  "External Pulse 2 Trigger" };
        return val;
    }
    if (currentRegister < 52003) {
        val = (PM8000RegType){ 52003, 1,  "INT16U",  "External Pulse 3 Trigger" };
        return val;
    }
    if (currentRegister < 52004) {
        val = (PM8000RegType){ 52004, 1,  "INT16U",  "External Pulse 4 Trigger" };
        return val;
    }
    if (currentRegister < 52005) {
        val = (PM8000RegType){ 52005, 1,  "INT16U",  "External Pulse 5 Trigger" };
        return val;
    }
    if (currentRegister < 52006) {
        val = (PM8000RegType){ 52006, 1,  "INT16U",  "External Pulse 6 Trigger" };
        return val;
    }
    if (currentRegister < 52007) {
        val = (PM8000RegType){ 52007, 1,  "INT16U",  "External Pulse 7 Trigger" };
        return val;
    }
    if (currentRegister < 52008) {
        val = (PM8000RegType){ 52008, 1,  "INT16U",  "External Pulse 8 Trigger" };
        return val;
    }
    if (currentRegister < 52009) {
        val = (PM8000RegType){ 52009, 1,  "INT16U",  "External Pulse 9 Trigger" };
        return val;
    }
    if (currentRegister < 52010) {
        val = (PM8000RegType){ 52010, 1,  "INT16U",  "External Pulse 10 Trigger" };
        return val;
    }
    if (currentRegister < 52011) {
        val = (PM8000RegType){ 52011, 1,  "INT16U",  "External Pulse 11 Trigger" };
        return val;
    }
    if (currentRegister < 52012) {
        val = (PM8000RegType){ 52012, 1,  "INT16U",  "External Pulse 12 Trigger" };
        return val;
    }
    if (currentRegister < 52013) {
        val = (PM8000RegType){ 52013, 1,  "INT16U",  "External Pulse 13 Trigger" };
        return val;
    }
    if (currentRegister < 52014) {
        val = (PM8000RegType){ 52014, 1,  "INT16U",  "External Pulse 14 Trigger" };
        return val;
    }
    if (currentRegister < 52015) {
        val = (PM8000RegType){ 52015, 1,  "INT16U",  "External Pulse 15 Trigger" };
        return val;
    }
    if (currentRegister < 52016) {
        val = (PM8000RegType){ 52016, 1,  "INT16U",  "External Pulse 16 Trigger" };
        return val;
    }
    if (currentRegister < 52017) {
        val = (PM8000RegType){ 52017, 1,  "INT16U",  "External Pulse 17 Trigger" };
        return val;
    }
    if (currentRegister < 52018) {
        val = (PM8000RegType){ 52018, 1,  "INT16U",  "External Pulse 18 Trigger" };
        return val;
    }
    if (currentRegister < 52019) {
        val = (PM8000RegType){ 52019, 1,  "INT16U",  "External Pulse 19 Trigger" };
        return val;
    }
    if (currentRegister < 52020) {
        val = (PM8000RegType){ 52020, 1,  "INT16U",  "External Pulse 20 Trigger" };
        return val;
    }
    if (currentRegister < 52021) {
        val = (PM8000RegType){ 52021, 1,  "INT16U",  "External Pulse 21 Trigger" };
        return val;
    }
    if (currentRegister < 52022) {
        val = (PM8000RegType){ 52022, 1,  "INT16U",  "External Pulse 22 Trigger" };
        return val;
    }
    if (currentRegister < 52023) {
        val = (PM8000RegType){ 52023, 1,  "INT16U",  "External Pulse 23 Trigger" };
        return val;
    }
    if (currentRegister < 52024) {
        val = (PM8000RegType){ 52024, 1,  "INT16U",  "External Pulse 24 Trigger" };
        return val;
    }
    if (currentRegister < 52025) {
        val = (PM8000RegType){ 52025, 1,  "INT16U",  "External Pulse 25 Trigger" };
        return val;
    }
    if (currentRegister < 52026) {
        val = (PM8000RegType){ 52026, 1,  "INT16U",  "External Pulse 26 Trigger" };
        return val;
    }
    if (currentRegister < 52027) {
        val = (PM8000RegType){ 52027, 1,  "INT16U",  "External Pulse 27 Trigger" };
        return val;
    }
    if (currentRegister < 52028) {
        val = (PM8000RegType){ 52028, 1,  "INT16U",  "External Pulse 28 Trigger" };
        return val;
    }
    if (currentRegister < 52029) {
        val = (PM8000RegType){ 52029, 1,  "INT16U",  "External Pulse 29 Trigger" };
        return val;
    }
    if (currentRegister < 52030) {
        val = (PM8000RegType){ 52030, 1,  "INT16U",  "External Pulse 30 Trigger" };
        return val;
    }
    if (currentRegister < 52031) {
        val = (PM8000RegType){ 52031, 1,  "INT16U",  "External Pulse 31 Trigger" };
        return val;
    }
    if (currentRegister < 52032) {
        val = (PM8000RegType){ 52032, 1,  "INT16U",  "External Pulse 32 Trigger" };
        return val;
    }
    if (currentRegister < 52033) {
        val = (PM8000RegType){ 52033, 1,  "INT16U",  "External Pulse 33 Trigger" };
        return val;
    }
    if (currentRegister < 52034) {
        val = (PM8000RegType){ 52034, 1,  "INT16U",  "External Pulse 34 Trigger" };
        return val;
    }
    if (currentRegister < 52035) {
        val = (PM8000RegType){ 52035, 1,  "INT16U",  "External Pulse 35 Trigger" };
        return val;
    }
    if (currentRegister < 52036) {
        val = (PM8000RegType){ 52036, 1,  "INT16U",  "External Pulse 36 Trigger" };
        return val;
    }
    if (currentRegister < 52037) {
        val = (PM8000RegType){ 52037, 1,  "INT16U",  "External Pulse 37 Trigger" };
        return val;
    }
    if (currentRegister < 52038) {
        val = (PM8000RegType){ 52038, 1,  "INT16U",  "External Pulse 38 Trigger" };
        return val;
    }
    if (currentRegister < 52039) {
        val = (PM8000RegType){ 52039, 1,  "INT16U",  "External Pulse 39 Trigger" };
        return val;
    }
    if (currentRegister < 52040) {
        val = (PM8000RegType){ 52040, 1,  "INT16U",  "External Pulse 40 Trigger" };
        return val;
    }
    if (currentRegister < 52041) {
        val = (PM8000RegType){ 52041, 1,  "INT16U",  "External Pulse 41 Trigger" };
        return val;
    }
    if (currentRegister < 52042) {
        val = (PM8000RegType){ 52042, 1,  "INT16U",  "External Pulse 42 Trigger" };
        return val;
    }
    if (currentRegister < 52043) {
        val = (PM8000RegType){ 52043, 1,  "INT16U",  "External Pulse 43 Trigger" };
        return val;
    }
    if (currentRegister < 52044) {
        val = (PM8000RegType){ 52044, 1,  "INT16U",  "External Pulse 44 Trigger" };
        return val;
    }
    if (currentRegister < 52045) {
        val = (PM8000RegType){ 52045, 1,  "INT16U",  "External Pulse 45 Trigger" };
        return val;
    }
    if (currentRegister < 52046) {
        val = (PM8000RegType){ 52046, 1,  "INT16U",  "External Pulse 46 Trigger" };
        return val;
    }
    if (currentRegister < 52047) {
        val = (PM8000RegType){ 52047, 1,  "INT16U",  "External Pulse 47 Trigger" };
        return val;
    }
    if (currentRegister < 52048) {
        val = (PM8000RegType){ 52048, 1,  "INT16U",  "External Pulse 48 Trigger" };
        return val;
    }
    if (currentRegister < 52049) {
        val = (PM8000RegType){ 52049, 1,  "INT16U",  "External Pulse 49 Trigger" };
        return val;
    }
    if (currentRegister < 52050) {
        val = (PM8000RegType){ 52050, 1,  "INT16U",  "External Pulse 50 Trigger" };
        return val;
    }
    if (currentRegister < 52051) {
        val = (PM8000RegType){ 52051, 1,  "INT16U",  "External Pulse 51 Trigger" };
        return val;
    }
    if (currentRegister < 52052) {
        val = (PM8000RegType){ 52052, 1,  "INT16U",  "External Pulse 52 Trigger" };
        return val;
    }
    if (currentRegister < 52053) {
        val = (PM8000RegType){ 52053, 1,  "INT16U",  "External Pulse 53 Trigger" };
        return val;
    }
    if (currentRegister < 52054) {
        val = (PM8000RegType){ 52054, 1,  "INT16U",  "External Pulse 54 Trigger" };
        return val;
    }
    if (currentRegister < 52055) {
        val = (PM8000RegType){ 52055, 1,  "INT16U",  "External Pulse 55 Trigger" };
        return val;
    }
    if (currentRegister < 52056) {
        val = (PM8000RegType){ 52056, 1,  "INT16U",  "External Pulse 56 Trigger" };
        return val;
    }
    if (currentRegister < 52057) {
        val = (PM8000RegType){ 52057, 1,  "INT16U",  "External Pulse 57 Trigger" };
        return val;
    }
    if (currentRegister < 52058) {
        val = (PM8000RegType){ 52058, 1,  "INT16U",  "External Pulse 58 Trigger" };
        return val;
    }
    if (currentRegister < 52059) {
        val = (PM8000RegType){ 52059, 1,  "INT16U",  "External Pulse 59 Trigger" };
        return val;
    }
    if (currentRegister < 52060) {
        val = (PM8000RegType){ 52060, 1,  "INT16U",  "External Pulse 60 Trigger" };
        return val;
    }
    if (currentRegister < 52061) {
        val = (PM8000RegType){ 52061, 1,  "INT16U",  "External Pulse 61 Trigger" };
        return val;
    }
    if (currentRegister < 52062) {
        val = (PM8000RegType){ 52062, 1,  "INT16U",  "External Pulse 62 Trigger" };
        return val;
    }
    if (currentRegister < 52063) {
        val = (PM8000RegType){ 52063, 1,  "INT16U",  "External Pulse 63 Trigger" };
        return val;
    }
    if (currentRegister < 52064) {
        val = (PM8000RegType){ 52064, 1,  "INT16U",  "External Pulse 64 Trigger" };
        return val;
    }
    if (currentRegister < 52065) {
        val = (PM8000RegType){ 52065, 1,  "INT16U",  "External Pulse 65 Trigger" };
        return val;
    }
    if (currentRegister < 52066) {
        val = (PM8000RegType){ 52066, 1,  "INT16U",  "External Pulse 66 Trigger" };
        return val;
    }
    if (currentRegister < 52067) {
        val = (PM8000RegType){ 52067, 1,  "INT16U",  "External Pulse 67 Trigger" };
        return val;
    }
    if (currentRegister < 52068) {
        val = (PM8000RegType){ 52068, 1,  "INT16U",  "External Pulse 68 Trigger" };
        return val;
    }
    if (currentRegister < 52069) {
        val = (PM8000RegType){ 52069, 1,  "INT16U",  "External Pulse 69 Trigger" };
        return val;
    }
    if (currentRegister < 52070) {
        val = (PM8000RegType){ 52070, 1,  "INT16U",  "External Pulse 70 Trigger" };
        return val;
    }
    if (currentRegister < 52071) {
        val = (PM8000RegType){ 52071, 1,  "INT16U",  "External Pulse 71 Trigger" };
        return val;
    }
    if (currentRegister < 52072) {
        val = (PM8000RegType){ 52072, 1,  "INT16U",  "External Pulse 72 Trigger" };
        return val;
    }
    if (currentRegister < 52073) {
        val = (PM8000RegType){ 52073, 1,  "INT16U",  "External Pulse 73 Trigger" };
        return val;
    }
    if (currentRegister < 52074) {
        val = (PM8000RegType){ 52074, 1,  "INT16U",  "External Pulse 74 Trigger" };
        return val;
    }
    if (currentRegister < 52075) {
        val = (PM8000RegType){ 52075, 1,  "INT16U",  "External Pulse 75 Trigger" };
        return val;
    }
    if (currentRegister < 52076) {
        val = (PM8000RegType){ 52076, 1,  "INT16U",  "External Pulse 76 Trigger" };
        return val;
    }
    if (currentRegister < 52077) {
        val = (PM8000RegType){ 52077, 1,  "INT16U",  "External Pulse 77 Trigger" };
        return val;
    }
    if (currentRegister < 52078) {
        val = (PM8000RegType){ 52078, 1,  "INT16U",  "External Pulse 78 Trigger" };
        return val;
    }
    if (currentRegister < 52079) {
        val = (PM8000RegType){ 52079, 1,  "INT16U",  "External Pulse 79 Trigger" };
        return val;
    }
    if (currentRegister < 52080) {
        val = (PM8000RegType){ 52080, 1,  "INT16U",  "External Pulse 80 Trigger" };
        return val;
    }
    if (currentRegister < 52081) {
        val = (PM8000RegType){ 52081, 1,  "INT16U",  "External Pulse 81 Trigger" };
        return val;
    }
    if (currentRegister < 52082) {
        val = (PM8000RegType){ 52082, 1,  "INT16U",  "External Pulse 82 Trigger" };
        return val;
    }
    if (currentRegister < 52083) {
        val = (PM8000RegType){ 52083, 1,  "INT16U",  "External Pulse 83 Trigger" };
        return val;
    }
    if (currentRegister < 52084) {
        val = (PM8000RegType){ 52084, 1,  "INT16U",  "External Pulse 84 Trigger" };
        return val;
    }
    if (currentRegister < 52085) {
        val = (PM8000RegType){ 52085, 1,  "INT16U",  "External Pulse 85 Trigger" };
        return val;
    }
    if (currentRegister < 52086) {
        val = (PM8000RegType){ 52086, 1,  "INT16U",  "External Pulse 86 Trigger" };
        return val;
    }
    if (currentRegister < 52087) {
        val = (PM8000RegType){ 52087, 1,  "INT16U",  "External Pulse 87 Trigger" };
        return val;
    }
    if (currentRegister < 52088) {
        val = (PM8000RegType){ 52088, 1,  "INT16U",  "External Pulse 88 Trigger" };
        return val;
    }
    if (currentRegister < 52089) {
        val = (PM8000RegType){ 52089, 1,  "INT16U",  "External Pulse 89 Trigger" };
        return val;
    }
    if (currentRegister < 52090) {
        val = (PM8000RegType){ 52090, 1,  "INT16U",  "External Pulse 90 Trigger" };
        return val;
    }
    if (currentRegister < 52091) {
        val = (PM8000RegType){ 52091, 1,  "INT16U",  "External Pulse 91 Trigger" };
        return val;
    }
    if (currentRegister < 52092) {
        val = (PM8000RegType){ 52092, 1,  "INT16U",  "External Pulse 92 Trigger" };
        return val;
    }
    if (currentRegister < 52093) {
        val = (PM8000RegType){ 52093, 1,  "INT16U",  "External Pulse 93 Trigger" };
        return val;
    }
    if (currentRegister < 52094) {
        val = (PM8000RegType){ 52094, 1,  "INT16U",  "External Pulse 94 Trigger" };
        return val;
    }
    if (currentRegister < 52095) {
        val = (PM8000RegType){ 52095, 1,  "INT16U",  "External Pulse 95 Trigger" };
        return val;
    }
    if (currentRegister < 52096) {
        val = (PM8000RegType){ 52096, 1,  "INT16U",  "External Pulse 96 Trigger" };
        return val;
    }
    if (currentRegister < 52097) {
        val = (PM8000RegType){ 52097, 1,  "INT16U",  "External Pulse 97 Trigger" };
        return val;
    }
    if (currentRegister < 52098) {
        val = (PM8000RegType){ 52098, 1,  "INT16U",  "External Pulse 98 Trigger" };
        return val;
    }
    if (currentRegister < 52099) {
        val = (PM8000RegType){ 52099, 1,  "INT16U",  "External Pulse 99 Trigger" };
        return val;
    }
    if (currentRegister < 52100) {
        val = (PM8000RegType){ 52100, 1,  "INT16U",  "External Pulse 100 Trigger" };
        return val;
    }
    if (currentRegister < 52101) {
        val = (PM8000RegType){ 52101, 1,  "INT16U",  "External Pulse 101 Trigger" };
        return val;
    }
    if (currentRegister < 52102) {
        val = (PM8000RegType){ 52102, 1,  "INT16U",  "External Pulse 102 Trigger" };
        return val;
    }
    if (currentRegister < 52103) {
        val = (PM8000RegType){ 52103, 1,  "INT16U",  "External Pulse 103 Trigger" };
        return val;
    }
    if (currentRegister < 52104) {
        val = (PM8000RegType){ 52104, 1,  "INT16U",  "External Pulse 104 Trigger" };
        return val;
    }
    if (currentRegister < 52105) {
        val = (PM8000RegType){ 52105, 1,  "INT16U",  "External Pulse 105 Trigger" };
        return val;
    }
    if (currentRegister < 52106) {
        val = (PM8000RegType){ 52106, 1,  "INT16U",  "External Pulse 106 Trigger" };
        return val;
    }
    if (currentRegister < 52107) {
        val = (PM8000RegType){ 52107, 1,  "INT16U",  "External Pulse 107 Trigger" };
        return val;
    }
    if (currentRegister < 52108) {
        val = (PM8000RegType){ 52108, 1,  "INT16U",  "External Pulse 108 Trigger" };
        return val;
    }
    if (currentRegister < 52109) {
        val = (PM8000RegType){ 52109, 1,  "INT16U",  "External Pulse 109 Trigger" };
        return val;
    }
    if (currentRegister < 52110) {
        val = (PM8000RegType){ 52110, 1,  "INT16U",  "External Pulse 110 Trigger" };
        return val;
    }
    if (currentRegister < 52111) {
        val = (PM8000RegType){ 52111, 1,  "INT16U",  "External Pulse 111 Trigger" };
        return val;
    }
    if (currentRegister < 52112) {
        val = (PM8000RegType){ 52112, 1,  "INT16U",  "External Pulse 112 Trigger" };
        return val;
    }
    if (currentRegister < 52113) {
        val = (PM8000RegType){ 52113, 1,  "INT16U",  "External Pulse 113 Trigger" };
        return val;
    }
    if (currentRegister < 52114) {
        val = (PM8000RegType){ 52114, 1,  "INT16U",  "External Pulse 114 Trigger" };
        return val;
    }
    if (currentRegister < 52115) {
        val = (PM8000RegType){ 52115, 1,  "INT16U",  "External Pulse 115 Trigger" };
        return val;
    }
    if (currentRegister < 52116) {
        val = (PM8000RegType){ 52116, 1,  "INT16U",  "External Pulse 116 Trigger" };
        return val;
    }
    if (currentRegister < 52117) {
        val = (PM8000RegType){ 52117, 1,  "INT16U",  "External Pulse 117 Trigger" };
        return val;
    }
    if (currentRegister < 52118) {
        val = (PM8000RegType){ 52118, 1,  "INT16U",  "External Pulse 118 Trigger" };
        return val;
    }
    if (currentRegister < 52119) {
        val = (PM8000RegType){ 52119, 1,  "INT16U",  "External Pulse 119 Trigger" };
        return val;
    }
    if (currentRegister < 52120) {
        val = (PM8000RegType){ 52120, 1,  "INT16U",  "External Pulse 120 Trigger" };
        return val;
    }
    if (currentRegister < 52121) {
        val = (PM8000RegType){ 52121, 1,  "INT16U",  "External Pulse 121 Trigger" };
        return val;
    }
    if (currentRegister < 52122) {
        val = (PM8000RegType){ 52122, 1,  "INT16U",  "External Pulse 122 Trigger" };
        return val;
    }
    if (currentRegister < 52123) {
        val = (PM8000RegType){ 52123, 1,  "INT16U",  "External Pulse 123 Trigger" };
        return val;
    }
    if (currentRegister < 52124) {
        val = (PM8000RegType){ 52124, 1,  "INT16U",  "External Pulse 124 Trigger" };
        return val;
    }
    if (currentRegister < 52125) {
        val = (PM8000RegType){ 52125, 1,  "INT16U",  "External Pulse 125 Trigger" };
        return val;
    }
    if (currentRegister < 52126) {
        val = (PM8000RegType){ 52126, 1,  "INT16U",  "External Pulse 126 Trigger" };
        return val;
    }
    if (currentRegister < 52127) {
        val = (PM8000RegType){ 52127, 1,  "INT16U",  "External Pulse 127 Trigger" };
        return val;
    }
    if (currentRegister < 52128) {
        val = (PM8000RegType){ 52128, 1,  "INT16U",  "External Pulse 128 Trigger" };
        return val;
    }
    if (currentRegister < 52201) {
        val = (PM8000RegType){ 52201, 1,  "INT16U",  "External Boolean 1 Switch" };
        return val;
    }
    if (currentRegister < 52202) {
        val = (PM8000RegType){ 52202, 1,  "INT16U",  "External Boolean 2 Switch" };
        return val;
    }
    if (currentRegister < 52203) {
        val = (PM8000RegType){ 52203, 1,  "INT16U",  "External Boolean 3 Switch" };
        return val;
    }
    if (currentRegister < 52204) {
        val = (PM8000RegType){ 52204, 1,  "INT16U",  "External Boolean 4 Switch" };
        return val;
    }
    if (currentRegister < 52205) {
        val = (PM8000RegType){ 52205, 1,  "INT16U",  "External Boolean 5 Switch" };
        return val;
    }
    if (currentRegister < 52206) {
        val = (PM8000RegType){ 52206, 1,  "INT16U",  "External Boolean 6 Switch" };
        return val;
    }
    if (currentRegister < 52207) {
        val = (PM8000RegType){ 52207, 1,  "INT16U",  "External Boolean 7 Switch" };
        return val;
    }
    if (currentRegister < 52208) {
        val = (PM8000RegType){ 52208, 1,  "INT16U",  "External Boolean 8 Switch" };
        return val;
    }
    if (currentRegister < 52209) {
        val = (PM8000RegType){ 52209, 1,  "INT16U",  "External Boolean 9 Switch" };
        return val;
    }
    if (currentRegister < 52210) {
        val = (PM8000RegType){ 52210, 1,  "INT16U",  "External Boolean 10 Switch" };
        return val;
    }
    if (currentRegister < 52211) {
        val = (PM8000RegType){ 52211, 1,  "INT16U",  "External Boolean 11 Switch" };
        return val;
    }
    if (currentRegister < 52212) {
        val = (PM8000RegType){ 52212, 1,  "INT16U",  "External Boolean 12 Switch" };
        return val;
    }
    if (currentRegister < 52213) {
        val = (PM8000RegType){ 52213, 1,  "INT16U",  "External Boolean 13 Switch" };
        return val;
    }
    if (currentRegister < 52214) {
        val = (PM8000RegType){ 52214, 1,  "INT16U",  "External Boolean 14 Switch" };
        return val;
    }
    if (currentRegister < 52215) {
        val = (PM8000RegType){ 52215, 1,  "INT16U",  "External Boolean 15 Switch" };
        return val;
    }
    if (currentRegister < 52216) {
        val = (PM8000RegType){ 52216, 1,  "INT16U",  "External Boolean 16 Switch" };
        return val;
    }
    if (currentRegister < 52217) {
        val = (PM8000RegType){ 52217, 1,  "INT16U",  "External Boolean 17 Switch" };
        return val;
    }
    if (currentRegister < 52218) {
        val = (PM8000RegType){ 52218, 1,  "INT16U",  "External Boolean 18 Switch" };
        return val;
    }
    if (currentRegister < 52219) {
        val = (PM8000RegType){ 52219, 1,  "INT16U",  "External Boolean 19 Switch" };
        return val;
    }
    if (currentRegister < 52220) {
        val = (PM8000RegType){ 52220, 1,  "INT16U",  "External Boolean 20 Switch" };
        return val;
    }
    if (currentRegister < 52221) {
        val = (PM8000RegType){ 52221, 1,  "INT16U",  "External Boolean 21 Switch" };
        return val;
    }
    if (currentRegister < 52222) {
        val = (PM8000RegType){ 52222, 1,  "INT16U",  "External Boolean 22 Switch" };
        return val;
    }
    if (currentRegister < 52223) {
        val = (PM8000RegType){ 52223, 1,  "INT16U",  "External Boolean 23 Switch" };
        return val;
    }
    if (currentRegister < 52224) {
        val = (PM8000RegType){ 52224, 1,  "INT16U",  "External Boolean 24 Switch" };
        return val;
    }
    if (currentRegister < 52225) {
        val = (PM8000RegType){ 52225, 1,  "INT16U",  "External Boolean 25 Switch" };
        return val;
    }
    if (currentRegister < 52226) {
        val = (PM8000RegType){ 52226, 1,  "INT16U",  "External Boolean 26 Switch" };
        return val;
    }
    if (currentRegister < 52227) {
        val = (PM8000RegType){ 52227, 1,  "INT16U",  "External Boolean 27 Switch" };
        return val;
    }
    if (currentRegister < 52228) {
        val = (PM8000RegType){ 52228, 1,  "INT16U",  "External Boolean 28 Switch" };
        return val;
    }
    if (currentRegister < 52229) {
        val = (PM8000RegType){ 52229, 1,  "INT16U",  "External Boolean 29 Switch" };
        return val;
    }
    if (currentRegister < 52230) {
        val = (PM8000RegType){ 52230, 1,  "INT16U",  "External Boolean 30 Switch" };
        return val;
    }
    if (currentRegister < 52231) {
        val = (PM8000RegType){ 52231, 1,  "INT16U",  "External Boolean 31 Switch" };
        return val;
    }
    if (currentRegister < 52232) {
        val = (PM8000RegType){ 52232, 1,  "INT16U",  "External Boolean 32 Switch" };
        return val;
    }
    if (currentRegister < 52233) {
        val = (PM8000RegType){ 52233, 1,  "INT16U",  "External Boolean 33 Switch" };
        return val;
    }
    if (currentRegister < 52234) {
        val = (PM8000RegType){ 52234, 1,  "INT16U",  "External Boolean 34 Switch" };
        return val;
    }
    if (currentRegister < 52235) {
        val = (PM8000RegType){ 52235, 1,  "INT16U",  "External Boolean 35 Switch" };
        return val;
    }
    if (currentRegister < 52236) {
        val = (PM8000RegType){ 52236, 1,  "INT16U",  "External Boolean 36 Switch" };
        return val;
    }
    if (currentRegister < 52237) {
        val = (PM8000RegType){ 52237, 1,  "INT16U",  "External Boolean 37 Switch" };
        return val;
    }
    if (currentRegister < 52238) {
        val = (PM8000RegType){ 52238, 1,  "INT16U",  "External Boolean 38 Switch" };
        return val;
    }
    if (currentRegister < 52239) {
        val = (PM8000RegType){ 52239, 1,  "INT16U",  "External Boolean 39 Switch" };
        return val;
    }
    if (currentRegister < 52240) {
        val = (PM8000RegType){ 52240, 1,  "INT16U",  "External Boolean 40 Switch" };
        return val;
    }
    if (currentRegister < 52241) {
        val = (PM8000RegType){ 52241, 1,  "INT16U",  "External Boolean 41 Switch" };
        return val;
    }
    if (currentRegister < 52242) {
        val = (PM8000RegType){ 52242, 1,  "INT16U",  "External Boolean 42 Switch" };
        return val;
    }
    if (currentRegister < 52243) {
        val = (PM8000RegType){ 52243, 1,  "INT16U",  "External Boolean 43 Switch" };
        return val;
    }
    if (currentRegister < 52244) {
        val = (PM8000RegType){ 52244, 1,  "INT16U",  "External Boolean 44 Switch" };
        return val;
    }
    if (currentRegister < 52245) {
        val = (PM8000RegType){ 52245, 1,  "INT16U",  "External Boolean 45 Switch" };
        return val;
    }
    if (currentRegister < 52246) {
        val = (PM8000RegType){ 52246, 1,  "INT16U",  "External Boolean 46 Switch" };
        return val;
    }
    if (currentRegister < 52247) {
        val = (PM8000RegType){ 52247, 1,  "INT16U",  "External Boolean 47 Switch" };
        return val;
    }
    if (currentRegister < 52248) {
        val = (PM8000RegType){ 52248, 1,  "INT16U",  "External Boolean 48 Switch" };
        return val;
    }
    if (currentRegister < 52249) {
        val = (PM8000RegType){ 52249, 1,  "INT16U",  "External Boolean 49 Switch" };
        return val;
    }
    if (currentRegister < 52250) {
        val = (PM8000RegType){ 52250, 1,  "INT16U",  "External Boolean 50 Switch" };
        return val;
    }
    if (currentRegister < 52251) {
        val = (PM8000RegType){ 52251, 1,  "INT16U",  "External Boolean 51 Switch" };
        return val;
    }
    if (currentRegister < 52252) {
        val = (PM8000RegType){ 52252, 1,  "INT16U",  "External Boolean 52 Switch" };
        return val;
    }
    if (currentRegister < 52253) {
        val = (PM8000RegType){ 52253, 1,  "INT16U",  "External Boolean 53 Switch" };
        return val;
    }
    if (currentRegister < 52254) {
        val = (PM8000RegType){ 52254, 1,  "INT16U",  "External Boolean 54 Switch" };
        return val;
    }
    if (currentRegister < 52255) {
        val = (PM8000RegType){ 52255, 1,  "INT16U",  "External Boolean 55 Switch" };
        return val;
    }
    if (currentRegister < 52256) {
        val = (PM8000RegType){ 52256, 1,  "INT16U",  "External Boolean 56 Switch" };
        return val;
    }
    if (currentRegister < 52257) {
        val = (PM8000RegType){ 52257, 1,  "INT16U",  "External Boolean 57 Switch" };
        return val;
    }
    if (currentRegister < 52258) {
        val = (PM8000RegType){ 52258, 1,  "INT16U",  "External Boolean 58 Switch" };
        return val;
    }
    if (currentRegister < 52259) {
        val = (PM8000RegType){ 52259, 1,  "INT16U",  "External Boolean 59 Switch" };
        return val;
    }
    if (currentRegister < 52260) {
        val = (PM8000RegType){ 52260, 1,  "INT16U",  "External Boolean 60 Switch" };
        return val;
    }
    if (currentRegister < 52261) {
        val = (PM8000RegType){ 52261, 1,  "INT16U",  "External Boolean 61 Switch" };
        return val;
    }
    if (currentRegister < 52262) {
        val = (PM8000RegType){ 52262, 1,  "INT16U",  "External Boolean 62 Switch" };
        return val;
    }
    if (currentRegister < 52263) {
        val = (PM8000RegType){ 52263, 1,  "INT16U",  "External Boolean 63 Switch" };
        return val;
    }
    if (currentRegister < 52264) {
        val = (PM8000RegType){ 52264, 1,  "INT16U",  "External Boolean 64 Switch" };
        return val;
    }
    if (currentRegister < 52265) {
        val = (PM8000RegType){ 52265, 1,  "INT16U",  "External Boolean 65 Switch" };
        return val;
    }
    if (currentRegister < 52266) {
        val = (PM8000RegType){ 52266, 1,  "INT16U",  "External Boolean 66 Switch" };
        return val;
    }
    if (currentRegister < 52267) {
        val = (PM8000RegType){ 52267, 1,  "INT16U",  "External Boolean 67 Switch" };
        return val;
    }
    if (currentRegister < 52268) {
        val = (PM8000RegType){ 52268, 1,  "INT16U",  "External Boolean 68 Switch" };
        return val;
    }
    if (currentRegister < 52269) {
        val = (PM8000RegType){ 52269, 1,  "INT16U",  "External Boolean 69 Switch" };
        return val;
    }
    if (currentRegister < 52270) {
        val = (PM8000RegType){ 52270, 1,  "INT16U",  "External Boolean 70 Switch" };
        return val;
    }
    if (currentRegister < 52271) {
        val = (PM8000RegType){ 52271, 1,  "INT16U",  "External Boolean 71 Switch" };
        return val;
    }
    if (currentRegister < 52272) {
        val = (PM8000RegType){ 52272, 1,  "INT16U",  "External Boolean 72 Switch" };
        return val;
    }
    if (currentRegister < 52273) {
        val = (PM8000RegType){ 52273, 1,  "INT16U",  "External Boolean 73 Switch" };
        return val;
    }
    if (currentRegister < 52274) {
        val = (PM8000RegType){ 52274, 1,  "INT16U",  "External Boolean 74 Switch" };
        return val;
    }
    if (currentRegister < 52275) {
        val = (PM8000RegType){ 52275, 1,  "INT16U",  "External Boolean 75 Switch" };
        return val;
    }
    if (currentRegister < 52276) {
        val = (PM8000RegType){ 52276, 1,  "INT16U",  "External Boolean 76 Switch" };
        return val;
    }
    if (currentRegister < 52277) {
        val = (PM8000RegType){ 52277, 1,  "INT16U",  "External Boolean 77 Switch" };
        return val;
    }
    if (currentRegister < 52278) {
        val = (PM8000RegType){ 52278, 1,  "INT16U",  "External Boolean 78 Switch" };
        return val;
    }
    if (currentRegister < 52279) {
        val = (PM8000RegType){ 52279, 1,  "INT16U",  "External Boolean 79 Switch" };
        return val;
    }
    if (currentRegister < 52280) {
        val = (PM8000RegType){ 52280, 1,  "INT16U",  "External Boolean 80 Switch" };
        return val;
    }
    if (currentRegister < 52281) {
        val = (PM8000RegType){ 52281, 1,  "INT16U",  "External Boolean 81 Switch" };
        return val;
    }
    if (currentRegister < 52282) {
        val = (PM8000RegType){ 52282, 1,  "INT16U",  "External Boolean 82 Switch" };
        return val;
    }
    if (currentRegister < 52283) {
        val = (PM8000RegType){ 52283, 1,  "INT16U",  "External Boolean 83 Switch" };
        return val;
    }
    if (currentRegister < 52284) {
        val = (PM8000RegType){ 52284, 1,  "INT16U",  "External Boolean 84 Switch" };
        return val;
    }
    if (currentRegister < 52285) {
        val = (PM8000RegType){ 52285, 1,  "INT16U",  "External Boolean 85 Switch" };
        return val;
    }
    if (currentRegister < 52301) {
        val = (PM8000RegType){ 52301, 2,  "INT32",  "External Numeric 1 Value" };
        return val;
    }
    if (currentRegister < 52303) {
        val = (PM8000RegType){ 52303, 2,  "INT32",  "External Numeric 2 Value" };
        return val;
    }
    if (currentRegister < 52305) {
        val = (PM8000RegType){ 52305, 2,  "INT32",  "External Numeric 3 Value" };
        return val;
    }
    if (currentRegister < 52307) {
        val = (PM8000RegType){ 52307, 2,  "INT32",  "External Numeric 4 Value" };
        return val;
    }
    if (currentRegister < 52309) {
        val = (PM8000RegType){ 52309, 2,  "INT32",  "External Numeric 5 Value" };
        return val;
    }
    if (currentRegister < 52311) {
        val = (PM8000RegType){ 52311, 2,  "INT32",  "External Numeric 6 Value" };
        return val;
    }
    if (currentRegister < 52313) {
        val = (PM8000RegType){ 52313, 2,  "INT32",  "External Numeric 7 Value" };
        return val;
    }
    if (currentRegister < 52315) {
        val = (PM8000RegType){ 52315, 2,  "INT32",  "External Numeric 8 Value" };
        return val;
    }
    if (currentRegister < 52317) {
        val = (PM8000RegType){ 52317, 2,  "INT32",  "External Numeric 9 Value" };
        return val;
    }
    if (currentRegister < 52319) {
        val = (PM8000RegType){ 52319, 2,  "INT32",  "External Numeric 10 Value" };
        return val;
    }
    if (currentRegister < 52321) {
        val = (PM8000RegType){ 52321, 2,  "INT32",  "External Numeric 11 Value" };
        return val;
    }
    if (currentRegister < 52323) {
        val = (PM8000RegType){ 52323, 2,  "INT32",  "External Numeric 12 Value" };
        return val;
    }
    if (currentRegister < 52325) {
        val = (PM8000RegType){ 52325, 2,  "INT32",  "External Numeric 13 Value" };
        return val;
    }
    if (currentRegister < 52327) {
        val = (PM8000RegType){ 52327, 2,  "INT32",  "External Numeric 14 Value" };
        return val;
    }
    if (currentRegister < 52329) {
        val = (PM8000RegType){ 52329, 2,  "INT32",  "External Numeric 15 Value" };
        return val;
    }
    if (currentRegister < 52331) {
        val = (PM8000RegType){ 52331, 2,  "INT32",  "External Numeric 16 Value" };
        return val;
    }
    if (currentRegister < 52333) {
        val = (PM8000RegType){ 52333, 2,  "INT32",  "External Numeric 17 Value" };
        return val;
    }
    if (currentRegister < 52335) {
        val = (PM8000RegType){ 52335, 2,  "INT32",  "External Numeric 18 Value" };
        return val;
    }
    if (currentRegister < 52337) {
        val = (PM8000RegType){ 52337, 2,  "INT32",  "External Numeric 19 Value" };
        return val;
    }
    if (currentRegister < 52339) {
        val = (PM8000RegType){ 52339, 2,  "INT32",  "External Numeric 20 Value" };
        return val;
    }
    if (currentRegister < 52341) {
        val = (PM8000RegType){ 52341, 2,  "INT32",  "External Numeric 21 Value" };
        return val;
    }
    if (currentRegister < 52343) {
        val = (PM8000RegType){ 52343, 2,  "INT32",  "External Numeric 22 Value" };
        return val;
    }
    if (currentRegister < 52345) {
        val = (PM8000RegType){ 52345, 2,  "INT32",  "External Numeric 23 Value" };
        return val;
    }
    if (currentRegister < 52347) {
        val = (PM8000RegType){ 52347, 2,  "INT32",  "External Numeric 24 Value" };
        return val;
    }
    if (currentRegister < 52349) {
        val = (PM8000RegType){ 52349, 2,  "INT32",  "External Numeric 25 Value" };
        return val;
    }
    if (currentRegister < 52351) {
        val = (PM8000RegType){ 52351, 2,  "INT32",  "External Numeric 26 Value" };
        return val;
    }
    if (currentRegister < 52353) {
        val = (PM8000RegType){ 52353, 2,  "INT32",  "External Numeric 27 Value" };
        return val;
    }
    if (currentRegister < 52355) {
        val = (PM8000RegType){ 52355, 2,  "INT32",  "External Numeric 28 Value" };
        return val;
    }
    if (currentRegister < 52357) {
        val = (PM8000RegType){ 52357, 2,  "INT32",  "External Numeric 29 Value" };
        return val;
    }
    if (currentRegister < 52359) {
        val = (PM8000RegType){ 52359, 2,  "INT32",  "External Numeric 30 Value" };
        return val;
    }
    if (currentRegister < 52361) {
        val = (PM8000RegType){ 52361, 2,  "INT32",  "External Numeric 31 Value" };
        return val;
    }
    if (currentRegister < 52363) {
        val = (PM8000RegType){ 52363, 2,  "INT32",  "External Numeric 32 Value" };
        return val;
    }
    if (currentRegister < 52365) {
        val = (PM8000RegType){ 52365, 2,  "INT32",  "External Numeric 33 Value" };
        return val;
    }
    if (currentRegister < 52367) {
        val = (PM8000RegType){ 52367, 2,  "INT32",  "External Numeric 34 Value" };
        return val;
    }
    if (currentRegister < 52369) {
        val = (PM8000RegType){ 52369, 2,  "INT32",  "External Numeric 35 Value" };
        return val;
    }
    if (currentRegister < 52371) {
        val = (PM8000RegType){ 52371, 2,  "INT32",  "External Numeric 36 Value" };
        return val;
    }
    if (currentRegister < 52373) {
        val = (PM8000RegType){ 52373, 2,  "INT32",  "External Numeric 37 Value" };
        return val;
    }
    if (currentRegister < 52375) {
        val = (PM8000RegType){ 52375, 2,  "INT32",  "External Numeric 38 Value" };
        return val;
    }
    if (currentRegister < 52377) {
        val = (PM8000RegType){ 52377, 2,  "INT32",  "External Numeric 39 Value" };
        return val;
    }
    if (currentRegister < 52379) {
        val = (PM8000RegType){ 52379, 2,  "INT32",  "External Numeric 40 Value" };
        return val;
    }
    if (currentRegister < 54001) {
        val = (PM8000RegType){ 54001, 1,  "INT16U",  "PM1 Volts Mode" };
        return val;
    }
    if (currentRegister < 54002) {
        val = (PM8000RegType){ 54002, 1,  "INT16U",  "PM1 I1Polarity" };
        return val;
    }
    if (currentRegister < 54003) {
        val = (PM8000RegType){ 54003, 1,  "INT16U",  "PM1 I2Polarity" };
        return val;
    }
    if (currentRegister < 54004) {
        val = (PM8000RegType){ 54004, 1,  "INT16U",  "PM1 I3Polarity" };
        return val;
    }
    if (currentRegister < 54392) {
        val = (PM8000RegType){ 54392, 1,  "INT16U",  "COM1 Baud Rate" };
        return val;
    }
    if (currentRegister < 54396) {
        val = (PM8000RegType){ 54396, 1,  "INT16U",  "FAC1 Nominal Frequency" };
        return val;
    }
    if (currentRegister < 54586) {
        val = (PM8000RegType){ 54586, 1,  "INT16U",  "PM1 I4Polarity" };
        return val;
    }
    if (currentRegister < 54587) {
        val = (PM8000RegType){ 54587, 1,  "INT16U",  "PM1 V1Polarity" };
        return val;
    }
    if (currentRegister < 54588) {
        val = (PM8000RegType){ 54588, 1,  "INT16U",  "PM1 V2Polarity" };
        return val;
    }
    if (currentRegister < 54589) {
        val = (PM8000RegType){ 54589, 1,  "INT16U",  "PM1 V3Polarity" };
        return val;
    }
    if (currentRegister < 54592) {
        val = (PM8000RegType){ 54592, 1,  "INT16U",  "COM1 Protocol " };
        return val;
    }
    if (currentRegister < 56001) {
        val = (PM8000RegType){ 56001, 2,  "INT32",  "PM1 PT Primary" };
        return val;
    }
    if (currentRegister < 56003) {
        val = (PM8000RegType){ 56003, 2,  "INT32",  "PM1 PT Secondary" };
        return val;
    }
    if (currentRegister < 56005) {
        val = (PM8000RegType){ 56005, 2,  "INT32",  "PM1 CT Primary" };
        return val;
    }
    if (currentRegister < 56007) {
        val = (PM8000RegType){ 56007, 2,  "INT32",  "PM1 CT Secondary" };
        return val;
    }
    if (currentRegister < 56009) {
        val = (PM8000RegType){ 56009, 2,  "INT32",  "PM1 I4 CT Primary" };
        return val;
    }
    if (currentRegister < 56011) {
        val = (PM8000RegType){ 56011, 2,  "INT32",  "PM1 I4 CT Secondary" };
        return val;
    }
    if (currentRegister < 56977) {
        val = (PM8000RegType){ 56977, 2,  "INT32",  "COM1 RTS Delay" };
        return val;
    }
    if (currentRegister < 56979) {
        val = (PM8000RegType){ 56979, 2,  "INT32",  "COM1 Unit ID" };
        return val;
    }


    return val;
}

